--
-- PostgreSQL database dump
--

-- Dumped from database version 14.7 (Debian 14.7-1.pgdg110+1)
-- Dumped by pg_dump version 15.3

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

--
-- Name: toba_arai_usuarios; Type: SCHEMA; Schema: -; Owner: -
--

CREATE SCHEMA toba_arai_usuarios;


--
-- Name: toba_arai_usuarios_logs; Type: SCHEMA; Schema: -; Owner: -
--

CREATE SCHEMA toba_arai_usuarios_logs;


--
-- Name: sp_old_pwd_copy(); Type: FUNCTION; Schema: toba_arai_usuarios; Owner: -
--

CREATE FUNCTION toba_arai_usuarios.sp_old_pwd_copy() RETURNS trigger
    LANGUAGE plpgsql
    AS $$
				DECLARE
				BEGIN
					IF (TG_OP = 'INSERT') OR (TG_OP = 'DELETE') THEN
						RAISE EXCEPTION 'Error en la programación del trigger';
					END IF;

					IF (OLD.clave != NEW.clave) OR (OLD.autentificacion != NEW.autentificacion) THEN
						INSERT INTO apex_usuario_pwd_usados (usuario, clave, algoritmo) VALUES (OLD.usuario, OLD.clave, OLD.autentificacion);
					END IF;
					RETURN NULL;
				END;
			$$;


SET default_tablespace = '';

SET default_table_access_method = heap;

--
-- Name: apex_admin_album_fotos; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_admin_album_fotos (
    proyecto character varying(15) NOT NULL,
    usuario character varying(60) NOT NULL,
    foto_tipo character varying(20) NOT NULL,
    foto_nombre text NOT NULL,
    foto_nodos_visibles text,
    foto_opciones text,
    predeterminada smallint
);


--
-- Name: apex_admin_param_previsualizazion; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_admin_param_previsualizazion (
    proyecto character varying(15) NOT NULL,
    usuario character varying(60) NOT NULL,
    grupo_acceso text NOT NULL,
    punto_acceso text NOT NULL,
    perfil_datos text
);


--
-- Name: apex_admin_persistencia; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_admin_persistencia (
    ap bigint DEFAULT nextval(('"apex_admin_persistencia_seq"'::text)::regclass) NOT NULL,
    clase character varying(60) NOT NULL,
    archivo text NOT NULL,
    descripcion text NOT NULL,
    categoria character varying(20)
);


--
-- Name: apex_admin_persistencia_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_admin_persistencia_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_arbol_items_fotos; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_arbol_items_fotos (
    proyecto character varying(15) NOT NULL,
    usuario character varying(60) NOT NULL,
    foto_nombre text NOT NULL,
    foto_nodos_visibles text,
    foto_opciones text
);


--
-- Name: apex_checksum_proyectos; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_checksum_proyectos (
    checksum character varying(200) NOT NULL,
    proyecto character varying(15) NOT NULL
);


--
-- Name: apex_clase; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_clase (
    proyecto character varying(15) NOT NULL,
    clase character varying(60) NOT NULL,
    clase_tipo bigint NOT NULL,
    archivo character varying(80),
    descripcion text NOT NULL,
    icono character varying(60) NOT NULL,
    descripcion_corta character varying(40),
    editor_proyecto character varying(15) NOT NULL,
    editor_item character varying(60) NOT NULL,
    objeto_dr_proyecto character varying(15) NOT NULL,
    objeto_dr bigint NOT NULL,
    utiliza_fuente_datos bigint,
    screenshot character varying(60),
    ancestro_proyecto character varying(15),
    ancestro character varying(60),
    instanciador_id bigint,
    instanciador_proyecto character varying(15),
    instanciador_item character varying(60),
    editor_id bigint,
    editor_ancestro_proyecto character varying(15),
    editor_ancestro character varying(60),
    plan_dump_objeto text,
    sql_info text,
    doc_clase text,
    doc_db text,
    doc_sql text,
    vinculos smallint,
    autodoc smallint,
    parametro_a text,
    parametro_b text,
    parametro_c text,
    exclusivo_toba smallint,
    solicitud_tipo character varying(20)
);


--
-- Name: apex_clase_relacion; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_clase_relacion (
    proyecto character varying(15) NOT NULL,
    clase_relacion bigint DEFAULT nextval(('"apex_clase_relacion_seq"'::text)::regclass) NOT NULL,
    clase_contenedora character varying(60) NOT NULL,
    clase_contenida character varying(60) NOT NULL
);


--
-- Name: apex_clase_relacion_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_clase_relacion_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_clase_tipo; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_clase_tipo (
    clase_tipo bigint DEFAULT nextval(('"apex_clase_tipo_seq"'::text)::regclass) NOT NULL,
    descripcion_corta character varying(40) NOT NULL,
    descripcion text,
    icono character varying(60),
    orden double precision,
    metodologia character varying(10)
);


--
-- Name: apex_clase_tipo_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_clase_tipo_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_columna_estilo; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_columna_estilo (
    columna_estilo bigint DEFAULT nextval(('"apex_columna_estilo_seq"'::text)::regclass) NOT NULL,
    css character varying(40) NOT NULL,
    descripcion text,
    descripcion_corta character varying(40)
);


--
-- Name: apex_columna_estilo_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_columna_estilo_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_columna_formato; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_columna_formato (
    columna_formato bigint DEFAULT nextval(('"apex_columna_formato_seq"'::text)::regclass) NOT NULL,
    funcion character varying(60) NOT NULL,
    archivo character varying(80),
    descripcion text,
    descripcion_corta character varying(40),
    parametros text,
    estilo_defecto bigint NOT NULL
);


--
-- Name: apex_columna_formato_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_columna_formato_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_consulta_php; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_consulta_php (
    proyecto character varying(15) NOT NULL,
    consulta_php bigint DEFAULT nextval(('"apex_consulta_php_seq"'::text)::regclass) NOT NULL,
    clase character varying(60) NOT NULL,
    archivo_clase character varying(60),
    archivo text NOT NULL,
    descripcion text,
    punto_montaje bigint
);


--
-- Name: apex_consulta_php_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_consulta_php_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_conversion; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_conversion (
    proyecto character varying(15) NOT NULL,
    conversion_aplicada character varying(60) NOT NULL,
    fecha timestamp without time zone NOT NULL
);


--
-- Name: apex_dimension; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_dimension (
    proyecto character varying(15) NOT NULL,
    dimension bigint DEFAULT nextval(('"apex_dimension_seq"'::text)::regclass) NOT NULL,
    nombre character varying(80) NOT NULL,
    descripcion text,
    schema character varying(60),
    tabla character varying(80) NOT NULL,
    col_id text NOT NULL,
    col_desc text NOT NULL,
    col_desc_separador character varying(40),
    multitabla_col_tabla character varying(80),
    multitabla_id_tabla character varying(40),
    fuente_datos_proyecto character varying(15) NOT NULL,
    fuente_datos character varying(20) NOT NULL
);


--
-- Name: apex_dimension_gatillo; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_dimension_gatillo (
    proyecto character varying(15) NOT NULL,
    dimension bigint NOT NULL,
    gatillo bigint DEFAULT nextval(('"apex_dimension_gatillo_seq"'::text)::regclass) NOT NULL,
    tipo character varying(20) NOT NULL,
    orden bigint NOT NULL,
    tabla_rel_dim character varying(80) NOT NULL,
    columnas_rel_dim text,
    tabla_gatillo character varying(80),
    ruta_tabla_rel_dim text
);


--
-- Name: apex_dimension_gatillo_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_dimension_gatillo_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_dimension_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_dimension_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_elemento_formulario; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_elemento_formulario (
    elemento_formulario character varying(50) NOT NULL,
    padre character varying(30),
    descripcion text NOT NULL,
    parametros text,
    proyecto character varying(15) NOT NULL,
    exclusivo_toba smallint,
    obsoleto smallint DEFAULT 0,
    es_seleccion smallint DEFAULT 0,
    es_seleccion_multiple smallint DEFAULT 0
);


--
-- Name: apex_estilo; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_estilo (
    estilo character varying(40) NOT NULL,
    descripcion text NOT NULL,
    proyecto character varying(15) NOT NULL,
    es_css3 smallint DEFAULT 0 NOT NULL,
    paleta text
);


--
-- Name: apex_eventos_pantalla; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_eventos_pantalla (
    pantalla bigint NOT NULL,
    objeto_ci bigint NOT NULL,
    evento_id bigint NOT NULL,
    proyecto character varying(15) NOT NULL
);


--
-- Name: apex_fuente_datos; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_fuente_datos (
    proyecto character varying(15) NOT NULL,
    fuente_datos character varying(20) NOT NULL,
    descripcion text NOT NULL,
    descripcion_corta character varying(40),
    fuente_datos_motor character varying(30),
    host character varying(60),
    punto_montaje bigint,
    subclase_archivo text,
    subclase_nombre character varying(60),
    orden smallint,
    schema character varying(60),
    instancia_id character varying,
    administrador character varying,
    link_instancia smallint,
    tiene_auditoria smallint DEFAULT 0 NOT NULL,
    parsea_errores smallint DEFAULT 0 NOT NULL,
    permisos_por_tabla smallint DEFAULT 0 NOT NULL,
    usuario character varying,
    clave character varying,
    base character varying
);


--
-- Name: apex_fuente_datos_motor; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_fuente_datos_motor (
    fuente_datos_motor character varying(30) NOT NULL,
    nombre text NOT NULL,
    version character varying(30) NOT NULL
);


--
-- Name: apex_fuente_datos_schemas; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_fuente_datos_schemas (
    proyecto character varying(15) NOT NULL,
    fuente_datos character varying(20) NOT NULL,
    nombre text NOT NULL,
    principal smallint DEFAULT 0 NOT NULL
);


--
-- Name: apex_gadgets; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_gadgets (
    gadget bigint DEFAULT nextval(('"apex_gadgets_seq"'::text)::regclass) NOT NULL,
    proyecto character varying(15) NOT NULL,
    gadget_url character varying(250),
    titulo character varying(50),
    descripcion character varying(250),
    tipo_gadget character(1) NOT NULL,
    subclase character varying(80),
    subclase_archivo character varying(255)
);


--
-- Name: apex_gadgets_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_gadgets_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_grafico; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_grafico (
    grafico character varying(20) NOT NULL,
    descripcion_corta character varying(40),
    descripcion text NOT NULL,
    parametros text
);


--
-- Name: apex_grupo_acc_restriccion_funcional; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_grupo_acc_restriccion_funcional (
    proyecto character varying(15) NOT NULL,
    usuario_grupo_acc character varying(30) NOT NULL,
    restriccion_funcional bigint NOT NULL
);


--
-- Name: apex_instancia; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_instancia (
    instancia character varying(80) NOT NULL,
    version character varying(15) NOT NULL,
    institucion text,
    observaciones text,
    administrador_1 character varying(60),
    administrador_2 character varying(60),
    administrador_3 character varying(60),
    creacion timestamp(0) without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL
);


--
-- Name: apex_item; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_item (
    item_id bigint,
    proyecto character varying(15) NOT NULL,
    item character varying(60) DEFAULT nextval(('"apex_item_seq"'::text)::regclass) NOT NULL,
    padre_id bigint,
    padre_proyecto character varying(15) NOT NULL,
    padre character varying(60) NOT NULL,
    carpeta smallint,
    nivel_acceso smallint,
    solicitud_tipo character varying(20),
    pagina_tipo_proyecto character varying(15),
    pagina_tipo character varying(20),
    actividad_buffer_proyecto character varying(15),
    actividad_buffer bigint,
    actividad_patron_proyecto character varying(15),
    actividad_patron character varying(20),
    nombre character varying(80) NOT NULL,
    descripcion text,
    punto_montaje bigint,
    actividad_accion text,
    menu smallint,
    orden double precision,
    solicitud_registrar smallint,
    solicitud_obs_tipo_proyecto character varying(15),
    solicitud_obs_tipo character varying(20),
    solicitud_observacion text,
    solicitud_registrar_cron smallint,
    prueba_directorios smallint,
    zona_proyecto character varying(15),
    zona character varying(20),
    zona_orden double precision,
    zona_listar smallint,
    imagen_recurso_origen character varying(10),
    imagen character varying(60),
    parametro_a text,
    parametro_b text,
    parametro_c text,
    publico smallint,
    redirecciona smallint,
    usuario character varying(60),
    exportable smallint,
    creacion timestamp(0) without time zone DEFAULT CURRENT_TIMESTAMP,
    retrasar_headers smallint DEFAULT 0
);


--
-- Name: apex_item_info; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_item_info (
    item_id bigint,
    item_proyecto character varying(15) NOT NULL,
    item character varying(60) NOT NULL,
    descripcion_breve text,
    descripcion_larga text
);


--
-- Name: apex_item_msg; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_item_msg (
    item_msg bigint DEFAULT nextval(('"apex_item_msg_seq"'::text)::regclass) NOT NULL,
    msg_tipo character varying(20) NOT NULL,
    indice character varying(255) NOT NULL,
    item_id bigint,
    item_proyecto character varying(15) NOT NULL,
    item character varying(60) NOT NULL,
    descripcion_corta character varying(50),
    mensaje_a text,
    mensaje_b text,
    mensaje_c text,
    mensaje_customizable text,
    parametro_patron text
);


--
-- Name: apex_item_msg_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_item_msg_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_item_nota; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_item_nota (
    item_nota bigint DEFAULT nextval(('"apex_item_nota_seq"'::text)::regclass) NOT NULL,
    nota_tipo character varying(20) NOT NULL,
    item_id bigint,
    item_proyecto character varying(15) NOT NULL,
    item character varying(60) NOT NULL,
    usuario_origen character varying(20),
    usuario_destino character varying(20),
    titulo character varying(50),
    texto text,
    leido smallint,
    bl smallint,
    creacion timestamp(0) without time zone DEFAULT CURRENT_TIMESTAMP
);


--
-- Name: apex_item_nota_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_item_nota_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_item_objeto; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_item_objeto (
    item_id bigint,
    proyecto character varying(15) NOT NULL,
    item character varying(60) NOT NULL,
    objeto bigint NOT NULL,
    orden smallint NOT NULL,
    inicializar smallint
);


--
-- Name: apex_item_permisos_tablas; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_item_permisos_tablas (
    proyecto character varying(15) NOT NULL,
    item character varying(60) NOT NULL,
    fuente_datos character varying(20) NOT NULL,
    esquema text,
    tabla text NOT NULL,
    permisos text
);


--
-- Name: apex_item_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_item_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_item_zona; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_item_zona (
    proyecto character varying(15) NOT NULL,
    zona character varying(20) NOT NULL,
    nombre character varying(80) NOT NULL,
    clave_editable character varying(100),
    archivo character varying(80),
    descripcion character varying,
    consulta_archivo text,
    consulta_clase character varying(60),
    consulta_metodo character varying(80),
    punto_montaje bigint
);


--
-- Name: apex_log_sistema_tipo; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_log_sistema_tipo (
    log_sistema_tipo character varying(20) NOT NULL,
    descripcion text NOT NULL
);


--
-- Name: apex_menu; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_menu (
    proyecto character varying(15) NOT NULL,
    menu_id character varying(50) NOT NULL,
    descripcion text,
    tipo_menu character varying(40) NOT NULL
);


--
-- Name: apex_menu_operaciones; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_menu_operaciones (
    proyecto character varying(15) NOT NULL,
    menu_id character varying(50) NOT NULL,
    menu_elemento bigint DEFAULT nextval(('"apex_menu_operaciones_seq"'::text)::regclass) NOT NULL,
    item character varying(60),
    padre character varying(60),
    descripcion text,
    carpeta smallint DEFAULT 0 NOT NULL
);


--
-- Name: apex_menu_operaciones_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_menu_operaciones_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_menu_tipos; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_menu_tipos (
    menu character varying(40) NOT NULL,
    descripcion text NOT NULL,
    archivo text NOT NULL,
    soporta_frames smallint
);


--
-- Name: apex_molde_opciones_generacion; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_molde_opciones_generacion (
    proyecto character varying(15) NOT NULL,
    uso_autoload smallint,
    origen_datos_cuadro character varying(20),
    punto_montaje bigint,
    carga_php_include text,
    carga_php_clase text
);


--
-- Name: apex_molde_operacion; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_molde_operacion (
    proyecto character varying(255) NOT NULL,
    molde bigint DEFAULT nextval(('"apex_molde_operacion_seq"'::text)::regclass) NOT NULL,
    operacion_tipo bigint NOT NULL,
    nombre text,
    item character varying(60) NOT NULL,
    carpeta_archivos text NOT NULL,
    prefijo_clases character varying(30) NOT NULL,
    fuente character varying(20) NOT NULL,
    punto_montaje bigint
);


--
-- Name: apex_molde_operacion_abms; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_molde_operacion_abms (
    proyecto character varying(255) NOT NULL,
    molde bigint NOT NULL,
    tabla text NOT NULL,
    gen_usa_filtro smallint,
    gen_separar_pantallas smallint,
    filtro_comprobar_parametros smallint,
    cuadro_eof text,
    cuadro_eliminar_filas smallint,
    cuadro_id text,
    cuadro_forzar_filtro smallint,
    cuadro_carga_origen character varying(15),
    cuadro_carga_sql text,
    cuadro_carga_php_include text,
    cuadro_carga_php_clase text,
    cuadro_carga_php_metodo text,
    datos_tabla_validacion smallint,
    apdb_pre smallint,
    punto_montaje bigint
);


--
-- Name: apex_molde_operacion_abms_fila; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_molde_operacion_abms_fila (
    proyecto character varying(255) NOT NULL,
    molde bigint NOT NULL,
    fila bigint DEFAULT nextval(('"apex_molde_operacion_abms_fila_seq"'::text)::regclass) NOT NULL,
    orden double precision NOT NULL,
    columna text NOT NULL,
    asistente_tipo_dato bigint,
    etiqueta text,
    en_cuadro smallint,
    en_form smallint,
    en_filtro smallint,
    filtro_operador character varying(10),
    cuadro_estilo bigint,
    cuadro_formato bigint,
    dt_tipo_dato character varying(1),
    dt_largo smallint,
    dt_secuencia text,
    dt_pk smallint,
    elemento_formulario character varying(30),
    ef_obligatorio smallint,
    ef_desactivar_modificacion smallint,
    ef_procesar_javascript smallint,
    ef_carga_origen character varying(15),
    ef_carga_sql character varying,
    ef_carga_php_include text,
    ef_carga_php_clase text,
    ef_carga_php_metodo text,
    ef_carga_tabla text,
    ef_carga_col_clave text,
    ef_carga_col_desc text,
    punto_montaje bigint
);


--
-- Name: apex_molde_operacion_abms_fila_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_molde_operacion_abms_fila_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_molde_operacion_importacion; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_molde_operacion_importacion (
    proyecto character varying(255) NOT NULL,
    molde bigint NOT NULL,
    origen_item character varying(60) NOT NULL,
    origen_proyecto character varying(30)
);


--
-- Name: apex_molde_operacion_log; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_molde_operacion_log (
    proyecto character varying(255) NOT NULL,
    molde bigint NOT NULL,
    generacion bigint DEFAULT nextval(('"apex_molde_operacion_log_seq"'::text)::regclass) NOT NULL,
    momento timestamp(0) without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL
);


--
-- Name: apex_molde_operacion_log_elementos; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_molde_operacion_log_elementos (
    generacion bigint NOT NULL,
    molde bigint NOT NULL,
    id bigint DEFAULT nextval(('"apex_molde_operacion_log_elementos_seq"'::text)::regclass) NOT NULL,
    tipo text NOT NULL,
    proyecto text NOT NULL,
    clave text NOT NULL
);


--
-- Name: apex_molde_operacion_log_elementos_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_molde_operacion_log_elementos_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_molde_operacion_log_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_molde_operacion_log_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_molde_operacion_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_molde_operacion_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_molde_operacion_tipo; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_molde_operacion_tipo (
    operacion_tipo bigint DEFAULT nextval(('"apex_molde_operacion_tipo_seq"'::text)::regclass) NOT NULL,
    descripcion_corta character varying(40) NOT NULL,
    descripcion text,
    clase text NOT NULL,
    ci text NOT NULL,
    icono character varying(30),
    vista_previa text,
    orden double precision
);


--
-- Name: apex_molde_operacion_tipo_dato; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_molde_operacion_tipo_dato (
    tipo_dato bigint DEFAULT nextval(('"apex_molde_operacion_tipo_dato_seq"'::text)::regclass) NOT NULL,
    descripcion_corta character varying(40) NOT NULL,
    descripcion text,
    dt_tipo_dato character varying(1),
    elemento_formulario character varying(30),
    cuadro_estilo bigint,
    cuadro_formato bigint,
    orden double precision,
    filtro_operador character varying(10)
);


--
-- Name: apex_molde_operacion_tipo_dato_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_molde_operacion_tipo_dato_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_molde_operacion_tipo_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_molde_operacion_tipo_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_msg; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_msg (
    msg bigint DEFAULT nextval(('"apex_msg_seq"'::text)::regclass) NOT NULL,
    indice character varying(255) NOT NULL,
    proyecto character varying(15) NOT NULL,
    msg_tipo character varying(20) NOT NULL,
    descripcion_corta character varying(50),
    mensaje_a text,
    mensaje_b text,
    mensaje_c text,
    mensaje_customizable text
);


--
-- Name: apex_msg_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_msg_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_msg_tipo; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_msg_tipo (
    msg_tipo character varying(20) NOT NULL,
    descripcion text NOT NULL,
    icono character varying(60)
);


--
-- Name: apex_nivel_acceso; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_nivel_acceso (
    nivel_acceso smallint NOT NULL,
    nombre character varying(80) NOT NULL,
    descripcion text
);


--
-- Name: apex_nota; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_nota (
    nota bigint DEFAULT nextval(('"apex_nota_seq"'::text)::regclass) NOT NULL,
    nota_tipo character varying(20) NOT NULL,
    proyecto character varying(15) NOT NULL,
    usuario_origen character varying(20),
    usuario_destino character varying(20),
    titulo character varying(50),
    texto text,
    leido smallint,
    bl smallint,
    creacion timestamp(0) without time zone DEFAULT CURRENT_TIMESTAMP
);


--
-- Name: apex_nota_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_nota_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_nota_tipo; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_nota_tipo (
    nota_tipo character varying(20) NOT NULL,
    descripcion text NOT NULL,
    icono character varying(30)
);


--
-- Name: apex_obj_ci_pantalla_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_obj_ci_pantalla_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_obj_ei_cuadro_cc_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_obj_ei_cuadro_cc_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_obj_ei_cuadro_col_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_obj_ei_cuadro_col_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_obj_ei_form_fila_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_obj_ei_form_fila_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_objeto; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_objeto (
    proyecto character varying(15) NOT NULL,
    objeto bigint DEFAULT nextval(('"apex_objeto_seq"'::text)::regclass) NOT NULL,
    anterior character varying(20),
    identificador text,
    reflexivo smallint,
    clase_proyecto character varying(15) NOT NULL,
    clase character varying(60) NOT NULL,
    punto_montaje bigint,
    subclase character varying(80),
    subclase_archivo text,
    objeto_categoria_proyecto character varying(15),
    objeto_categoria character varying(30),
    nombre text NOT NULL,
    titulo text,
    colapsable smallint,
    descripcion character varying,
    fuente_datos_proyecto character varying(15),
    fuente_datos character varying(20),
    solicitud_registrar smallint,
    solicitud_obj_obs_tipo character varying(20),
    solicitud_obj_observacion text,
    parametro_a text,
    parametro_b text,
    parametro_c text,
    parametro_d text,
    parametro_e text,
    parametro_f text,
    usuario character varying(20),
    creacion timestamp(0) without time zone DEFAULT CURRENT_TIMESTAMP,
    posicion_botonera character varying(10)
);


--
-- Name: apex_objeto_ci_pantalla; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_objeto_ci_pantalla (
    objeto_ci_proyecto character varying(15) NOT NULL,
    objeto_ci bigint NOT NULL,
    pantalla bigint DEFAULT nextval(('"apex_obj_ci_pantalla_seq"'::text)::regclass) NOT NULL,
    identificador character varying(40) NOT NULL,
    orden smallint,
    etiqueta character varying(80),
    descripcion text,
    tip text,
    imagen_recurso_origen character varying(10),
    imagen character varying(60),
    objetos character varying,
    eventos character varying,
    subclase character varying(80),
    subclase_archivo character varying(255),
    template text,
    template_impresion text,
    punto_montaje bigint
);


--
-- Name: apex_objeto_codigo; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_objeto_codigo (
    objeto_codigo_proyecto character varying(15) NOT NULL,
    objeto_codigo bigint NOT NULL,
    descripcion character varying(80),
    ancho character varying(10),
    alto character varying(10)
);


--
-- Name: apex_objeto_cuadro; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_objeto_cuadro (
    objeto_cuadro_proyecto character varying(15) NOT NULL,
    objeto_cuadro bigint NOT NULL,
    titulo text,
    subtitulo text,
    sql text,
    columnas_clave text,
    columna_descripcion text,
    clave_dbr smallint,
    archivos_callbacks text,
    ancho character varying(10),
    ordenar smallint,
    paginar smallint,
    tamano_pagina smallint,
    tipo_paginado character varying(1),
    mostrar_total_registros smallint DEFAULT 0 NOT NULL,
    eof_invisible smallint,
    eof_customizado character varying,
    siempre_con_titulo smallint DEFAULT 0 NOT NULL,
    exportar_paginado smallint,
    exportar smallint,
    exportar_rtf smallint,
    pdf_propiedades text,
    pdf_respetar_paginacion smallint,
    asociacion_columnas text,
    ev_seleccion smallint,
    ev_eliminar smallint,
    dao_nucleo_proyecto character varying(15),
    dao_nucleo character varying(60),
    dao_metodo character varying(80),
    dao_parametros text,
    desplegable smallint,
    desplegable_activo smallint,
    scroll smallint,
    scroll_alto character varying(10),
    cc_modo character varying(1),
    cc_modo_anidado_colap smallint,
    cc_modo_anidado_totcol smallint,
    cc_modo_anidado_totcua smallint
);


--
-- Name: apex_objeto_cuadro_cc; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_objeto_cuadro_cc (
    objeto_cuadro_proyecto character varying(15) NOT NULL,
    objeto_cuadro bigint NOT NULL,
    objeto_cuadro_cc bigint DEFAULT nextval(('"apex_obj_ei_cuadro_cc_seq"'::text)::regclass) NOT NULL,
    identificador text,
    descripcion text,
    orden double precision NOT NULL,
    columnas_id text NOT NULL,
    columnas_descripcion text NOT NULL,
    pie_contar_filas character varying(10),
    pie_mostrar_titular smallint,
    pie_mostrar_titulos smallint,
    imp_paginar smallint,
    modo_inicio_colapsado smallint DEFAULT 0
);


--
-- Name: apex_objeto_cuadro_col_cc; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_objeto_cuadro_col_cc (
    objeto_cuadro_cc bigint NOT NULL,
    objeto_cuadro_proyecto character varying(15) NOT NULL,
    objeto_cuadro bigint NOT NULL,
    objeto_cuadro_col bigint NOT NULL,
    total smallint DEFAULT 0
);


--
-- Name: apex_objeto_datos_rel; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_objeto_datos_rel (
    proyecto character varying(15) NOT NULL,
    objeto bigint NOT NULL,
    debug smallint DEFAULT 0,
    clave character varying(60),
    ap bigint,
    punto_montaje bigint,
    ap_clase character varying(60),
    ap_archivo text,
    sinc_susp_constraints smallint DEFAULT 0,
    sinc_orden_automatico smallint DEFAULT 1,
    sinc_lock_optimista smallint DEFAULT 1
);


--
-- Name: apex_objeto_datos_rel_asoc; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_objeto_datos_rel_asoc (
    proyecto character varying(15) NOT NULL,
    objeto bigint NOT NULL,
    asoc_id bigint DEFAULT nextval(('"apex_objeto_datos_rel_asoc_seq"'::text)::regclass) NOT NULL,
    identificador character varying(60),
    padre_proyecto character varying(15) NOT NULL,
    padre_objeto bigint NOT NULL,
    padre_id character varying(40) NOT NULL,
    padre_clave character varying(255),
    hijo_proyecto character varying(15) NOT NULL,
    hijo_objeto bigint NOT NULL,
    hijo_id character varying(40) NOT NULL,
    hijo_clave character varying(255),
    cascada smallint,
    orden double precision
);


--
-- Name: apex_objeto_datos_rel_asoc_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_objeto_datos_rel_asoc_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_objeto_db_columna_fks; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_objeto_db_columna_fks (
    id bigint DEFAULT nextval(('"apex_objeto_db_columna_fks_seq"'::text)::regclass) NOT NULL,
    objeto_proyecto character varying(15) NOT NULL,
    objeto bigint NOT NULL,
    tabla character varying(200) NOT NULL,
    columna character varying(200) NOT NULL,
    tabla_ext character varying(200) NOT NULL,
    columna_ext character varying(200) NOT NULL
);


--
-- Name: apex_objeto_db_columna_fks_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_objeto_db_columna_fks_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_objeto_db_registros; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_objeto_db_registros (
    objeto_proyecto character varying(15) NOT NULL,
    objeto bigint NOT NULL,
    max_registros smallint,
    min_registros smallint,
    punto_montaje bigint,
    ap bigint,
    ap_clase character varying(60),
    ap_archivo text,
    tabla text,
    tabla_ext text,
    alias character varying(60),
    modificar_claves smallint,
    fuente_datos_proyecto character varying(15),
    fuente_datos character varying(20),
    permite_actualizacion_automatica smallint DEFAULT 1 NOT NULL,
    esquema text,
    esquema_ext text
);


--
-- Name: apex_objeto_db_registros_col; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_objeto_db_registros_col (
    objeto_proyecto character varying(15) NOT NULL,
    objeto bigint NOT NULL,
    col_id bigint DEFAULT nextval(('"apex_objeto_dbr_columna_seq"'::text)::regclass) NOT NULL,
    columna text NOT NULL,
    tipo character varying(1),
    pk smallint,
    secuencia text,
    largo smallint,
    no_nulo smallint,
    no_nulo_db smallint,
    externa smallint,
    tabla character varying(200)
);


--
-- Name: apex_objeto_db_registros_ext; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_objeto_db_registros_ext (
    objeto_proyecto character varying(15) NOT NULL,
    objeto bigint NOT NULL,
    externa_id bigint DEFAULT nextval(('"apex_objeto_dbr_ext_seq"'::text)::regclass) NOT NULL,
    tipo character varying(3) NOT NULL,
    sincro_continua smallint,
    metodo text,
    clase text,
    include text,
    punto_montaje bigint,
    sql text,
    dato_estricto smallint DEFAULT 1,
    carga_dt bigint,
    carga_consulta_php bigint,
    permite_carga_masiva smallint DEFAULT 0 NOT NULL,
    metodo_masivo text
);


--
-- Name: apex_objeto_db_registros_ext_col; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_objeto_db_registros_ext_col (
    objeto_proyecto character varying(15) NOT NULL,
    objeto bigint NOT NULL,
    externa_id bigint NOT NULL,
    col_id bigint NOT NULL,
    es_resultado smallint
);


--
-- Name: apex_objeto_db_registros_uniq; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_objeto_db_registros_uniq (
    objeto_proyecto character varying(15) NOT NULL,
    objeto bigint NOT NULL,
    uniq_id bigint DEFAULT nextval(('"apex_objeto_dbr_uniq_seq"'::text)::regclass) NOT NULL,
    columnas text
);


--
-- Name: apex_objeto_dbr_columna_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_objeto_dbr_columna_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_objeto_dbr_ext_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_objeto_dbr_ext_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_objeto_dbr_uniq_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_objeto_dbr_uniq_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_objeto_dep_consumo; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_objeto_dep_consumo (
    proyecto character varying(15) NOT NULL,
    consumo_id bigint DEFAULT nextval(('"apex_objeto_dep_consumo_seq"'::text)::regclass) NOT NULL,
    objeto_consumidor bigint NOT NULL,
    objeto_proveedor bigint NOT NULL,
    identificador character varying(40) NOT NULL,
    parametros_a text,
    parametros_b text,
    parametros_c text,
    inicializar smallint
);


--
-- Name: apex_objeto_dep_consumo_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_objeto_dep_consumo_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_objeto_dep_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_objeto_dep_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_objeto_dependencias; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_objeto_dependencias (
    proyecto character varying(15) NOT NULL,
    dep_id bigint DEFAULT nextval(('"apex_objeto_dep_seq"'::text)::regclass) NOT NULL,
    objeto_consumidor bigint NOT NULL,
    objeto_proveedor bigint NOT NULL,
    identificador character varying(40) NOT NULL,
    parametros_a text,
    parametros_b text,
    parametros_c text,
    inicializar smallint,
    orden smallint
);


--
-- Name: apex_objeto_ei_cuadro_columna; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_objeto_ei_cuadro_columna (
    objeto_cuadro_proyecto character varying(15) NOT NULL,
    objeto_cuadro bigint NOT NULL,
    objeto_cuadro_col bigint DEFAULT nextval(('"apex_obj_ei_cuadro_col_seq"'::text)::regclass) NOT NULL,
    clave character varying(80) NOT NULL,
    orden double precision NOT NULL,
    titulo text,
    estilo_titulo text DEFAULT 'ei-cuadro-col-tit'::text,
    estilo text,
    ancho character varying(10),
    formateo bigint,
    vinculo_indice character varying(20),
    no_ordenar smallint,
    mostrar_xls smallint,
    mostrar_pdf smallint,
    pdf_propiedades text,
    desabilitado smallint,
    total smallint,
    total_cc text,
    usar_vinculo smallint,
    vinculo_carpeta character varying(60),
    vinculo_item character varying(60),
    vinculo_popup smallint,
    vinculo_popup_param character varying(100),
    vinculo_target character varying(40),
    vinculo_celda character varying(40),
    vinculo_servicio character varying(100),
    permitir_html smallint,
    grupo text,
    evento_asociado bigint
);


--
-- Name: apex_objeto_ei_filtro; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_objeto_ei_filtro (
    objeto_ei_filtro_proyecto character varying(15) NOT NULL,
    objeto_ei_filtro bigint NOT NULL,
    ancho character varying(10)
);


--
-- Name: apex_objeto_ei_filtro_col; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_objeto_ei_filtro_col (
    objeto_ei_filtro_col bigint DEFAULT nextval(('"apex_objeto_ei_filtro_col_seq"'::text)::regclass) NOT NULL,
    objeto_ei_filtro bigint NOT NULL,
    objeto_ei_filtro_proyecto character varying(15) NOT NULL,
    tipo character varying(30) NOT NULL,
    nombre text NOT NULL,
    expresion text NOT NULL,
    etiqueta text,
    descripcion text,
    obligatorio smallint DEFAULT 0 NOT NULL,
    inicial smallint DEFAULT 0 NOT NULL,
    orden smallint DEFAULT 0 NOT NULL,
    estado_defecto text,
    opciones_es_multiple smallint,
    opciones_ef character varying(50),
    carga_metodo text,
    carga_clase text,
    carga_include text,
    carga_dt bigint,
    carga_consulta_php bigint,
    carga_sql text,
    carga_fuente character varying(30),
    carga_lista text,
    carga_col_clave text,
    carga_col_desc text,
    carga_permite_no_seteado smallint DEFAULT 0 NOT NULL,
    carga_no_seteado text,
    carga_no_seteado_ocultar smallint,
    carga_maestros text,
    edit_tamano smallint,
    edit_maximo smallint,
    edit_mascara text,
    edit_unidad text,
    edit_rango text,
    edit_expreg text,
    estilo text,
    popup_item character varying(60),
    popup_proyecto character varying(15),
    popup_editable smallint,
    popup_ventana character varying(50),
    popup_carga_desc_metodo text,
    popup_carga_desc_clase text,
    popup_carga_desc_include text,
    popup_puede_borrar_estado smallint,
    punto_montaje bigint,
    check_valor_si character varying(40),
    check_valor_no character varying(40),
    check_desc_si character varying(100),
    check_desc_no character varying(100),
    selec_cant_minima smallint,
    selec_cant_maxima smallint,
    selec_utilidades smallint,
    selec_tamano smallint,
    selec_ancho character varying(30),
    selec_serializar smallint,
    selec_cant_columnas smallint,
    placeholder text
);


--
-- Name: apex_objeto_ei_filtro_col_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_objeto_ei_filtro_col_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_objeto_ei_filtro_tipo_col; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_objeto_ei_filtro_tipo_col (
    tipo_col character varying(30) NOT NULL,
    descripcion character varying(50) NOT NULL,
    proyecto character varying(15) NOT NULL
);


--
-- Name: apex_objeto_ei_firma; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_objeto_ei_firma (
    objeto_ei_firma_proyecto character varying(15) NOT NULL,
    objeto_ei_firma bigint NOT NULL,
    ancho character varying(10),
    alto character varying(10)
);


--
-- Name: apex_objeto_ei_formulario_ef; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_objeto_ei_formulario_ef (
    objeto_ei_formulario_fila bigint DEFAULT nextval(('"apex_obj_ei_form_fila_seq"'::text)::regclass) NOT NULL,
    objeto_ei_formulario bigint NOT NULL,
    objeto_ei_formulario_proyecto character varying(15) NOT NULL,
    identificador character varying(40) NOT NULL,
    elemento_formulario character varying(30) NOT NULL,
    columnas text NOT NULL,
    obligatorio smallint,
    oculto_relaja_obligatorio smallint,
    orden double precision NOT NULL,
    etiqueta text,
    etiqueta_estilo text,
    descripcion text,
    colapsado smallint,
    desactivado smallint,
    estilo text,
    total smallint,
    inicializacion text,
    permitir_html smallint,
    deshabilitar_rest_func smallint,
    estado_defecto text,
    solo_lectura smallint,
    solo_lectura_modificacion smallint DEFAULT 0 NOT NULL,
    carga_metodo text,
    carga_clase text,
    carga_include text,
    carga_dt bigint,
    carga_consulta_php bigint,
    carga_sql text,
    carga_fuente character varying(30),
    carga_lista text,
    carga_col_clave text,
    carga_col_desc text,
    carga_maestros text,
    carga_cascada_relaj smallint,
    cascada_mantiene_estado smallint DEFAULT 0 NOT NULL,
    carga_permite_no_seteado smallint DEFAULT 0 NOT NULL,
    carga_no_seteado text,
    carga_no_seteado_ocultar smallint,
    edit_tamano smallint,
    edit_maximo smallint,
    edit_mascara text,
    edit_unidad text,
    edit_rango text,
    edit_filas smallint,
    edit_columnas smallint,
    edit_wrap character varying(20),
    edit_resaltar smallint,
    edit_ajustable smallint,
    edit_confirmar_clave smallint,
    edit_expreg text,
    popup_item character varying(60),
    popup_proyecto character varying(15),
    popup_editable smallint,
    popup_ventana text,
    popup_carga_desc_metodo text,
    popup_carga_desc_clase text,
    popup_carga_desc_include text,
    popup_puede_borrar_estado smallint,
    fieldset_fin smallint,
    check_valor_si character varying(40),
    check_valor_no character varying(40),
    check_desc_si character varying(100),
    check_desc_no character varying(100),
    check_ml_toggle smallint,
    fijo_sin_estado smallint,
    editor_ancho character varying(10),
    editor_alto character varying(10),
    editor_botonera character varying(50),
    editor_config_file text,
    selec_cant_minima smallint,
    selec_cant_maxima smallint,
    selec_utilidades smallint,
    selec_tamano smallint,
    selec_ancho character varying(30),
    selec_serializar smallint,
    selec_cant_columnas smallint,
    upload_extensiones text,
    punto_montaje bigint,
    placeholder text
);


--
-- Name: apex_objeto_esquema; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_objeto_esquema (
    objeto_esquema_proyecto character varying(15) NOT NULL,
    objeto_esquema bigint NOT NULL,
    parser character varying(30),
    descripcion character varying(80),
    dot text,
    debug smallint,
    formato character varying(15),
    modelo_ejecucion character varying(15),
    modelo_ejecucion_cache smallint,
    tipo_incrustacion character varying(15),
    ancho character varying(10),
    alto character varying(10),
    dirigido smallint DEFAULT 1,
    sql text
);


--
-- Name: apex_objeto_eventos; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_objeto_eventos (
    proyecto character varying(15) NOT NULL,
    evento_id bigint DEFAULT nextval(('"apex_objeto_eventos_seq"'::text)::regclass) NOT NULL,
    objeto bigint NOT NULL,
    identificador character varying(40) NOT NULL,
    etiqueta text,
    maneja_datos smallint DEFAULT 1,
    sobre_fila smallint,
    confirmacion text,
    estilo text,
    imagen_recurso_origen character varying(10),
    imagen character varying(60),
    en_botonera smallint DEFAULT 1,
    ayuda text,
    orden smallint,
    ci_predep smallint,
    implicito smallint,
    defecto smallint,
    display_datos_cargados smallint,
    grupo character varying(80),
    accion character varying(20),
    accion_imphtml_debug smallint,
    accion_vinculo_carpeta character varying(60),
    accion_vinculo_item character varying(60),
    accion_vinculo_objeto bigint,
    accion_vinculo_popup smallint,
    accion_vinculo_popup_param text,
    accion_vinculo_target character varying(40),
    accion_vinculo_celda character varying(40),
    accion_vinculo_servicio text,
    es_seleccion_multiple smallint DEFAULT 0 NOT NULL,
    es_autovinculo smallint DEFAULT 0 NOT NULL
);


--
-- Name: apex_objeto_eventos_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_objeto_eventos_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_objeto_grafico; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_objeto_grafico (
    objeto_grafico_proyecto character varying(15) NOT NULL,
    objeto_grafico bigint NOT NULL,
    descripcion character varying(80),
    grafico character varying(20) NOT NULL,
    ancho character varying(10),
    alto character varying(10)
);


--
-- Name: apex_objeto_info; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_objeto_info (
    objeto_proyecto character varying(15) NOT NULL,
    objeto bigint NOT NULL,
    descripcion_breve text,
    descripcion_larga text
);


--
-- Name: apex_objeto_mapa; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_objeto_mapa (
    objeto_mapa_proyecto character varying(15) NOT NULL,
    objeto_mapa bigint NOT NULL,
    mapfile_path character varying(200)
);


--
-- Name: apex_objeto_msg; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_objeto_msg (
    objeto_msg bigint DEFAULT nextval(('"apex_objeto_msg_seq"'::text)::regclass) NOT NULL,
    msg_tipo character varying(20) NOT NULL,
    indice character varying(255) NOT NULL,
    objeto_proyecto character varying(15) NOT NULL,
    objeto bigint NOT NULL,
    descripcion_corta character varying(50),
    mensaje_a text,
    mensaje_b text,
    mensaje_c text,
    mensaje_customizable text,
    parametro_clase text
);


--
-- Name: apex_objeto_msg_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_objeto_msg_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_objeto_mt_me; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_objeto_mt_me (
    objeto_mt_me_proyecto character varying(15) NOT NULL,
    objeto_mt_me bigint NOT NULL,
    ev_procesar_etiq character varying(30),
    ev_cancelar_etiq character varying(30),
    ancho character varying(20),
    alto character varying(20),
    posicion_botonera character varying(10),
    tipo_navegacion character varying(10),
    botonera_barra_item smallint,
    con_toc smallint,
    incremental smallint,
    debug_eventos smallint,
    activacion_procesar character varying(40),
    activacion_cancelar character varying(40),
    ev_procesar smallint,
    ev_cancelar smallint,
    objetos character varying(255),
    post_procesar character varying(40),
    metodo_despachador character varying(40),
    metodo_opciones character varying(40)
);


--
-- Name: apex_objeto_mt_me_tipo_nav; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_objeto_mt_me_tipo_nav (
    tipo_navegacion character varying(10) NOT NULL,
    descripcion character varying(30) NOT NULL
);


--
-- Name: apex_objeto_nota; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_objeto_nota (
    objeto_nota bigint DEFAULT nextval(('"apex_objeto_nota_seq"'::text)::regclass) NOT NULL,
    nota_tipo character varying(20) NOT NULL,
    objeto_proyecto character varying(15) NOT NULL,
    objeto bigint NOT NULL,
    usuario_origen character varying(20),
    usuario_destino character varying(20),
    titulo character varying(50),
    texto text,
    bl smallint,
    leido smallint,
    creacion timestamp(0) without time zone DEFAULT CURRENT_TIMESTAMP
);


--
-- Name: apex_objeto_nota_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_objeto_nota_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_objeto_rel_columnas_asoc; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_objeto_rel_columnas_asoc (
    proyecto character varying(15) NOT NULL,
    objeto bigint NOT NULL,
    asoc_id bigint NOT NULL,
    padre_objeto bigint NOT NULL,
    padre_clave bigint NOT NULL,
    hijo_objeto bigint NOT NULL,
    hijo_clave bigint NOT NULL
);


--
-- Name: apex_objeto_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_objeto_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_objeto_ut_formulario; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_objeto_ut_formulario (
    objeto_ut_formulario_proyecto character varying(15) NOT NULL,
    objeto_ut_formulario bigint NOT NULL,
    tabla text,
    titulo text,
    ev_agregar smallint,
    ev_agregar_etiq character varying(30),
    ev_mod_modificar smallint,
    ev_mod_modificar_etiq character varying(30),
    ev_mod_eliminar smallint,
    ev_mod_eliminar_etiq character varying(30),
    ev_mod_limpiar smallint,
    ev_mod_limpiar_etiq character varying(30),
    ev_mod_clave smallint,
    clase_proyecto character varying(15),
    clase character varying(60),
    auto_reset smallint,
    ancho character varying(10),
    ancho_etiqueta character varying(10),
    expandir_descripcion smallint,
    campo_bl character varying(40),
    scroll smallint,
    filas smallint,
    filas_agregar smallint,
    filas_agregar_online smallint DEFAULT 1,
    filas_agregar_abajo smallint DEFAULT 0,
    filas_agregar_texto text,
    filas_borrar_en_linea smallint DEFAULT 0,
    filas_undo smallint,
    filas_ordenar smallint,
    filas_ordenar_en_linea smallint DEFAULT 0,
    columna_orden text,
    filas_numerar smallint,
    ev_seleccion smallint,
    alto character varying(10),
    analisis_cambios character varying(10),
    no_imprimir_efs_sin_estado smallint,
    resaltar_efs_con_estado smallint,
    template text,
    template_impresion text
);


--
-- Name: apex_objetos_pantalla; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_objetos_pantalla (
    proyecto character varying(15) NOT NULL,
    pantalla bigint NOT NULL,
    objeto_ci bigint NOT NULL,
    orden smallint,
    dep_id bigint NOT NULL
);


--
-- Name: apex_pagina_tipo; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_pagina_tipo (
    proyecto character varying(15) NOT NULL,
    pagina_tipo character varying(20) NOT NULL,
    descripcion text NOT NULL,
    clase_nombre character varying(40),
    clase_archivo text,
    include_arriba text,
    include_abajo text,
    exclusivo_toba smallint,
    contexto text,
    punto_montaje bigint
);


--
-- Name: apex_perfil_datos_set_prueba; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_perfil_datos_set_prueba (
    proyecto character varying(15) NOT NULL,
    fuente_datos character varying(20) NOT NULL,
    lote text,
    seleccionados text,
    parametros text
);


--
-- Name: apex_permiso; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_permiso (
    permiso bigint DEFAULT nextval(('"apex_permiso_seq"'::text)::regclass) NOT NULL,
    proyecto character varying(15) NOT NULL,
    nombre text NOT NULL,
    descripcion text,
    mensaje_particular text
);


--
-- Name: apex_permiso_grupo_acc; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_permiso_grupo_acc (
    proyecto character varying(15) NOT NULL,
    usuario_grupo_acc character varying(30) NOT NULL,
    permiso bigint NOT NULL
);


--
-- Name: apex_permiso_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_permiso_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_proyecto; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_proyecto (
    proyecto character varying(15) NOT NULL,
    descripcion text NOT NULL,
    descripcion_corta text NOT NULL,
    estilo text NOT NULL,
    con_frames smallint DEFAULT 1,
    frames_clase character varying(40),
    frames_archivo text,
    pm_impresion bigint,
    salida_impr_html_c character varying(40),
    salida_impr_html_a text,
    menu character varying(15),
    path_includes text,
    path_browser text,
    administrador character varying(60),
    listar_multiproyecto smallint,
    orden double precision,
    palabra_vinculo_std character varying(30),
    version_toba character varying(15),
    requiere_validacion smallint,
    usuario_anonimo character varying(60),
    usuario_anonimo_desc character varying(60),
    usuario_anonimo_grupos_acc text,
    validacion_intentos smallint,
    validacion_intentos_min smallint DEFAULT 5,
    validacion_bloquear_usuario smallint DEFAULT 1,
    validacion_debug smallint,
    sesion_tiempo_no_interac_min smallint,
    sesion_tiempo_maximo_min smallint,
    pm_sesion bigint,
    sesion_subclase character varying(60),
    sesion_subclase_archivo text,
    pm_contexto bigint,
    contexto_ejecucion_subclase character varying(60),
    contexto_ejecucion_subclase_archivo text,
    pm_usuario bigint,
    usuario_subclase character varying(60),
    usuario_subclase_archivo text,
    encriptar_qs smallint,
    registrar_solicitud character varying(1),
    registrar_cronometro character varying(1),
    item_inicio_sesion character varying(60),
    item_pre_sesion character varying(60),
    item_pre_sesion_popup smallint,
    item_set_sesion character varying(60),
    log_archivo smallint,
    log_archivo_nivel smallint,
    fuente_datos character varying(20),
    pagina_tipo character varying(20),
    version character varying(20),
    version_fecha date,
    version_detalle character varying,
    version_link text,
    tiempo_espera_ms integer,
    navegacion_ajax smallint,
    codigo_ga_tracker character varying(20),
    extension_toba boolean DEFAULT false,
    extension_proyecto boolean DEFAULT false
);


--
-- Name: apex_ptos_control; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_ptos_control (
    proyecto character varying(15) NOT NULL,
    pto_control character varying(30) NOT NULL,
    descripcion text
);


--
-- Name: apex_ptos_control_ctrl; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_ptos_control_ctrl (
    proyecto character varying(15) NOT NULL,
    pto_control character varying(30) NOT NULL,
    clase character varying(60) NOT NULL,
    archivo text,
    actua_como character(1) DEFAULT 'M'::bpchar NOT NULL,
    CONSTRAINT apex_ptos_control_ctrl_actua_como_check CHECK ((actua_como = ANY (ARRAY['E'::bpchar, 'A'::bpchar, 'M'::bpchar])))
);


--
-- Name: apex_ptos_control_param; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_ptos_control_param (
    proyecto character varying(15) NOT NULL,
    pto_control character varying(30) NOT NULL,
    parametro character varying(60) NOT NULL
);


--
-- Name: apex_ptos_control_x_evento; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_ptos_control_x_evento (
    proyecto character varying(15) NOT NULL,
    pto_control character varying(20) NOT NULL,
    evento_id integer NOT NULL,
    objeto bigint NOT NULL
);


--
-- Name: apex_puntos_montaje; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_puntos_montaje (
    id bigint DEFAULT nextval(('"apex_puntos_montaje_seq"'::text)::regclass) NOT NULL,
    etiqueta character varying(50) NOT NULL,
    proyecto character varying(15) NOT NULL,
    proyecto_ref character varying(15),
    descripcion text,
    path_pm text NOT NULL,
    tipo character varying(20) NOT NULL
);


--
-- Name: apex_puntos_montaje_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_puntos_montaje_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_recurso_origen; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_recurso_origen (
    recurso_origen character varying(30) NOT NULL,
    descripcion text NOT NULL
);


--
-- Name: apex_relacion_tablas; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_relacion_tablas (
    fuente_datos_proyecto character varying(15) NOT NULL,
    fuente_datos character varying(20) NOT NULL,
    proyecto character varying(15) NOT NULL,
    relacion_tablas bigint DEFAULT nextval(('"apex_relacion_tablas_seq"'::text)::regclass) NOT NULL,
    tabla_1 character varying(80) NOT NULL,
    tabla_1_cols text NOT NULL,
    tabla_2 character varying(80) NOT NULL,
    tabla_2_cols text NOT NULL
);


--
-- Name: apex_relacion_tablas_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_relacion_tablas_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_restriccion_funcional; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_restriccion_funcional (
    proyecto character varying(15) NOT NULL,
    restriccion_funcional bigint DEFAULT nextval(('"apex_restriccion_funcional_seq"'::text)::regclass) NOT NULL,
    descripcion text,
    permite_edicion smallint DEFAULT 1 NOT NULL
);


--
-- Name: apex_restriccion_funcional_cols; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_restriccion_funcional_cols (
    proyecto character varying(15) NOT NULL,
    restriccion_funcional bigint NOT NULL,
    item character varying(60) NOT NULL,
    objeto_cuadro bigint NOT NULL,
    objeto_cuadro_col bigint NOT NULL,
    no_visible smallint
);


--
-- Name: apex_restriccion_funcional_ef; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_restriccion_funcional_ef (
    proyecto character varying(15) NOT NULL,
    restriccion_funcional bigint NOT NULL,
    item character varying(60) NOT NULL,
    objeto_ei_formulario_fila bigint NOT NULL,
    objeto_ei_formulario bigint NOT NULL,
    no_visible smallint,
    no_editable smallint
);


--
-- Name: apex_restriccion_funcional_ei; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_restriccion_funcional_ei (
    proyecto character varying(15) NOT NULL,
    restriccion_funcional bigint NOT NULL,
    item character varying(60) NOT NULL,
    objeto bigint NOT NULL,
    no_visible smallint
);


--
-- Name: apex_restriccion_funcional_evt; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_restriccion_funcional_evt (
    proyecto character varying(15) NOT NULL,
    restriccion_funcional bigint NOT NULL,
    item character varying(60) NOT NULL,
    evento_id bigint NOT NULL,
    no_visible smallint
);


--
-- Name: apex_restriccion_funcional_filtro_cols; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_restriccion_funcional_filtro_cols (
    proyecto character varying(15) NOT NULL,
    restriccion_funcional bigint NOT NULL,
    item character varying(60) NOT NULL,
    objeto_ei_filtro_col bigint NOT NULL,
    objeto_ei_filtro bigint NOT NULL,
    no_visible smallint
);


--
-- Name: apex_restriccion_funcional_pantalla; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_restriccion_funcional_pantalla (
    proyecto character varying(15) NOT NULL,
    restriccion_funcional bigint NOT NULL,
    item character varying(60) NOT NULL,
    pantalla bigint NOT NULL,
    objeto_ci bigint NOT NULL,
    no_visible smallint
);


--
-- Name: apex_restriccion_funcional_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_restriccion_funcional_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_revision; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_revision (
    revision character varying(20) NOT NULL,
    proyecto character varying(15),
    creacion timestamp(0) without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL
);


--
-- Name: apex_servicio_web; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_servicio_web (
    proyecto character varying(15) NOT NULL,
    servicio_web character varying(50) NOT NULL,
    descripcion text,
    tipo text DEFAULT 'soap'::text NOT NULL,
    param_to text,
    param_wsa smallint DEFAULT 0 NOT NULL
);


--
-- Name: apex_servicio_web_param; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_servicio_web_param (
    proyecto character varying(15) NOT NULL,
    servicio_web character varying(50) NOT NULL,
    parametro text NOT NULL,
    valor text NOT NULL
);


--
-- Name: apex_solicitud_obs_tipo; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_solicitud_obs_tipo (
    proyecto character varying(15) NOT NULL,
    solicitud_obs_tipo character varying(20) NOT NULL,
    descripcion text NOT NULL,
    criterio character varying(20) NOT NULL
);


--
-- Name: apex_solicitud_tipo; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_solicitud_tipo (
    solicitud_tipo character varying(20) NOT NULL,
    descripcion text NOT NULL,
    descripcion_corta character varying(40),
    icono character varying(30)
);


--
-- Name: apex_tarea; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_tarea (
    proyecto character varying(15) NOT NULL,
    tarea bigint DEFAULT nextval(('"apex_tarea_seq"'::text)::regclass) NOT NULL,
    nombre text,
    tarea_clase character varying(120) NOT NULL,
    tarea_objeto bytea NOT NULL,
    ejecucion_proxima timestamp without time zone NOT NULL,
    intervalo_repeticion interval
);


--
-- Name: apex_tarea_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_tarea_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_tipo_datos; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_tipo_datos (
    tipo character varying(1) NOT NULL,
    descripcion character varying(50) NOT NULL
);


--
-- Name: apex_usuario; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_usuario (
    usuario character varying(60) NOT NULL,
    clave character varying(128) NOT NULL,
    nombre text,
    email text,
    autentificacion character varying(10) DEFAULT 'plano'::character varying,
    bloqueado smallint DEFAULT 0,
    parametro_a text,
    parametro_b text,
    parametro_c text,
    solicitud_registrar smallint,
    solicitud_obs_tipo_proyecto character varying(15),
    solicitud_obs_tipo character varying(20),
    solicitud_observacion text,
    usuario_tipodoc character varying(10),
    pre character varying(2),
    ciu character varying(18),
    suf character varying(1),
    telefono character varying(30),
    vencimiento date,
    dias smallint,
    hora_entrada time without time zone,
    hora_salida time without time zone,
    ip_permitida character varying(20),
    forzar_cambio_pwd smallint DEFAULT 0 NOT NULL,
    requiere_segundo_factor smallint DEFAULT 0 NOT NULL
);


--
-- Name: apex_usuario_grupo_acc; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_usuario_grupo_acc (
    proyecto character varying(15) NOT NULL,
    usuario_grupo_acc character varying(30) NOT NULL,
    nombre character varying(80) NOT NULL,
    nivel_acceso smallint,
    descripcion text,
    vencimiento date,
    dias smallint,
    hora_entrada time without time zone,
    hora_salida time without time zone,
    listar smallint,
    permite_edicion smallint DEFAULT 1 NOT NULL,
    menu_usuario character varying(50)
);


--
-- Name: apex_usuario_grupo_acc_item; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_usuario_grupo_acc_item (
    proyecto character varying(15) NOT NULL,
    usuario_grupo_acc character varying(30) NOT NULL,
    item_id bigint,
    item character varying(60) NOT NULL
);


--
-- Name: apex_usuario_grupo_acc_miembros; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_usuario_grupo_acc_miembros (
    proyecto character varying(15) NOT NULL,
    usuario_grupo_acc character varying(30) NOT NULL,
    usuario_grupo_acc_pertenece character varying(30) NOT NULL
);


--
-- Name: apex_usuario_perfil_datos; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_usuario_perfil_datos (
    proyecto character varying(15) NOT NULL,
    usuario_perfil_datos bigint DEFAULT nextval(('"apex_usuario_perfil_datos_seq"'::text)::regclass) NOT NULL,
    nombre character varying(80) NOT NULL,
    descripcion text,
    listar smallint
);


--
-- Name: apex_usuario_perfil_datos_dims; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_usuario_perfil_datos_dims (
    proyecto character varying(15) NOT NULL,
    usuario_perfil_datos bigint NOT NULL,
    dimension bigint NOT NULL,
    elemento bigint DEFAULT nextval(('"apex_usuario_perfil_datos_dims_seq"'::text)::regclass) NOT NULL,
    clave text
);


--
-- Name: apex_usuario_perfil_datos_dims_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_usuario_perfil_datos_dims_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_usuario_perfil_datos_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_usuario_perfil_datos_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_usuario_pregunta_secreta; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_usuario_pregunta_secreta (
    cod_pregunta_secreta bigint DEFAULT nextval(('"apex_usuario_pregunta_secreta_seq"'::text)::regclass) NOT NULL,
    usuario character varying(60) NOT NULL,
    pregunta text NOT NULL,
    respuesta text NOT NULL,
    activa smallint DEFAULT 1 NOT NULL
);


--
-- Name: apex_usuario_pregunta_secreta_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_usuario_pregunta_secreta_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_usuario_proyecto; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_usuario_proyecto (
    proyecto character varying(15) NOT NULL,
    usuario_grupo_acc character varying(30) NOT NULL,
    usuario character varying(60) NOT NULL,
    usuario_perfil_datos text
);


--
-- Name: apex_usuario_proyecto_gadgets; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_usuario_proyecto_gadgets (
    usuario character varying(60) NOT NULL,
    proyecto character varying(15) NOT NULL,
    gadget integer NOT NULL,
    orden integer DEFAULT 1 NOT NULL,
    eliminable character(1) DEFAULT 'S'::bpchar NOT NULL
);


--
-- Name: apex_usuario_proyecto_perfil_datos; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_usuario_proyecto_perfil_datos (
    proyecto character varying(15) NOT NULL,
    usuario_perfil_datos bigint NOT NULL,
    usuario character varying(60) NOT NULL
);


--
-- Name: apex_usuario_pwd_reset; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_usuario_pwd_reset (
    usuario character varying(60) NOT NULL,
    random character varying(128) NOT NULL,
    email text,
    validez timestamp without time zone DEFAULT now() NOT NULL,
    bloqueado smallint DEFAULT 0 NOT NULL
);


--
-- Name: apex_usuario_pwd_usados; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_usuario_pwd_usados (
    cod_pwd_pasados bigint DEFAULT nextval(('"apex_usuario_pwd_usados_seq"'::text)::regclass) NOT NULL,
    usuario character varying(60) NOT NULL,
    clave character varying(128) NOT NULL,
    algoritmo character varying(10) NOT NULL,
    fecha_cambio date DEFAULT ('now'::text)::date NOT NULL
);


--
-- Name: apex_usuario_pwd_usados_seq; Type: SEQUENCE; Schema: toba_arai_usuarios; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios.apex_usuario_pwd_usados_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_usuario_tipodoc; Type: TABLE; Schema: toba_arai_usuarios; Owner: -
--

CREATE TABLE toba_arai_usuarios.apex_usuario_tipodoc (
    usuario_tipodoc character varying(10) NOT NULL,
    descripcion character varying(40) NOT NULL
);


--
-- Name: apex_log_error_login; Type: TABLE; Schema: toba_arai_usuarios_logs; Owner: -
--

CREATE TABLE toba_arai_usuarios_logs.apex_log_error_login (
    log_error_login bigint DEFAULT nextval(('toba_arai_usuarios_logs."apex_log_error_login_seq"'::text)::regclass) NOT NULL,
    momento timestamp(0) without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    usuario text,
    clave text,
    ip text,
    gravedad smallint,
    mensaje text,
    punto_acceso text
);


--
-- Name: apex_log_error_login_seq; Type: SEQUENCE; Schema: toba_arai_usuarios_logs; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios_logs.apex_log_error_login_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_log_ip_rechazada; Type: TABLE; Schema: toba_arai_usuarios_logs; Owner: -
--

CREATE TABLE toba_arai_usuarios_logs.apex_log_ip_rechazada (
    ip character varying(255) NOT NULL,
    momento timestamp(0) without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL
);


--
-- Name: apex_log_objeto; Type: TABLE; Schema: toba_arai_usuarios_logs; Owner: -
--

CREATE TABLE toba_arai_usuarios_logs.apex_log_objeto (
    log_objeto bigint DEFAULT nextval(('toba_arai_usuarios_logs."apex_log_objeto_seq"'::text)::regclass) NOT NULL,
    momento timestamp(0) without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    usuario character varying(60),
    objeto_proyecto character varying(15) NOT NULL,
    objeto bigint,
    item character varying(60),
    observacion character varying
);


--
-- Name: apex_log_objeto_seq; Type: SEQUENCE; Schema: toba_arai_usuarios_logs; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios_logs.apex_log_objeto_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_log_sistema; Type: TABLE; Schema: toba_arai_usuarios_logs; Owner: -
--

CREATE TABLE toba_arai_usuarios_logs.apex_log_sistema (
    log_sistema bigint DEFAULT nextval(('toba_arai_usuarios_logs."apex_log_sistema_seq"'::text)::regclass) NOT NULL,
    momento timestamp(0) without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    usuario character varying(60),
    log_sistema_tipo character varying(20) NOT NULL,
    observaciones text
);


--
-- Name: apex_log_sistema_seq; Type: SEQUENCE; Schema: toba_arai_usuarios_logs; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios_logs.apex_log_sistema_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_log_tarea; Type: TABLE; Schema: toba_arai_usuarios_logs; Owner: -
--

CREATE TABLE toba_arai_usuarios_logs.apex_log_tarea (
    proyecto character varying(15) NOT NULL,
    log_tarea bigint DEFAULT nextval(('toba_arai_usuarios_logs."apex_log_tarea_seq"'::text)::regclass) NOT NULL,
    tarea bigint NOT NULL,
    nombre text,
    tarea_clase character varying(120) NOT NULL,
    tarea_objeto bytea NOT NULL,
    ejecucion timestamp without time zone NOT NULL
);


--
-- Name: apex_log_tarea_seq; Type: SEQUENCE; Schema: toba_arai_usuarios_logs; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios_logs.apex_log_tarea_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_sesion_browser; Type: TABLE; Schema: toba_arai_usuarios_logs; Owner: -
--

CREATE TABLE toba_arai_usuarios_logs.apex_sesion_browser (
    sesion_browser bigint DEFAULT nextval(('toba_arai_usuarios_logs."apex_sesion_browser_seq"'::text)::regclass) NOT NULL,
    proyecto character varying(15) NOT NULL,
    usuario character varying(60) NOT NULL,
    ingreso timestamp(0) without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    egreso timestamp(0) without time zone,
    observaciones text,
    php_id text NOT NULL,
    ip character varying(20),
    punto_acceso character varying(80)
);


--
-- Name: apex_sesion_browser_seq; Type: SEQUENCE; Schema: toba_arai_usuarios_logs; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios_logs.apex_sesion_browser_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_solicitud; Type: TABLE; Schema: toba_arai_usuarios_logs; Owner: -
--

CREATE TABLE toba_arai_usuarios_logs.apex_solicitud (
    proyecto character varying(15) NOT NULL,
    solicitud bigint DEFAULT nextval(('toba_arai_usuarios_logs."apex_solicitud_seq"'::text)::regclass) NOT NULL,
    solicitud_tipo character varying(20) NOT NULL,
    item_proyecto character varying(15) NOT NULL,
    item character varying(60) NOT NULL,
    item_id bigint,
    momento timestamp(0) without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    tiempo_respuesta double precision
);


--
-- Name: apex_solicitud_browser; Type: TABLE; Schema: toba_arai_usuarios_logs; Owner: -
--

CREATE TABLE toba_arai_usuarios_logs.apex_solicitud_browser (
    proyecto character varying(15),
    sesion_browser bigint NOT NULL,
    solicitud_proyecto character varying(15) NOT NULL,
    solicitud_browser bigint NOT NULL,
    ip character varying(20)
);


--
-- Name: apex_solicitud_consola; Type: TABLE; Schema: toba_arai_usuarios_logs; Owner: -
--

CREATE TABLE toba_arai_usuarios_logs.apex_solicitud_consola (
    proyecto character varying(15) NOT NULL,
    solicitud_consola bigint NOT NULL,
    usuario character varying(60) NOT NULL,
    ip character varying(20),
    llamada text,
    entorno text
);


--
-- Name: apex_solicitud_cronometro; Type: TABLE; Schema: toba_arai_usuarios_logs; Owner: -
--

CREATE TABLE toba_arai_usuarios_logs.apex_solicitud_cronometro (
    proyecto character varying(15) NOT NULL,
    solicitud bigint NOT NULL,
    marca smallint NOT NULL,
    nivel_ejecucion character varying(15) NOT NULL,
    texto text,
    tiempo double precision
);


--
-- Name: apex_solicitud_observacion; Type: TABLE; Schema: toba_arai_usuarios_logs; Owner: -
--

CREATE TABLE toba_arai_usuarios_logs.apex_solicitud_observacion (
    proyecto character varying(15),
    solicitud bigint NOT NULL,
    solicitud_observacion bigint DEFAULT nextval(('toba_arai_usuarios_logs."apex_solicitud_observacion_seq"'::text)::regclass) NOT NULL,
    solicitud_obs_tipo_proyecto character varying(15),
    solicitud_obs_tipo character varying(20),
    observacion text
);


--
-- Name: apex_solicitud_observacion_seq; Type: SEQUENCE; Schema: toba_arai_usuarios_logs; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios_logs.apex_solicitud_observacion_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_solicitud_seq; Type: SEQUENCE; Schema: toba_arai_usuarios_logs; Owner: -
--

CREATE SEQUENCE toba_arai_usuarios_logs.apex_solicitud_seq
    START WITH 0
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


--
-- Name: apex_solicitud_web_service; Type: TABLE; Schema: toba_arai_usuarios_logs; Owner: -
--

CREATE TABLE toba_arai_usuarios_logs.apex_solicitud_web_service (
    proyecto character varying(15) NOT NULL,
    solicitud bigint NOT NULL,
    metodo text,
    ip character varying(20)
);


--
-- Data for Name: apex_admin_album_fotos; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_admin_album_fotos (proyecto, usuario, foto_tipo, foto_nombre, foto_nodos_visibles, foto_opciones, predeterminada) FROM stdin;
\.


--
-- Data for Name: apex_admin_param_previsualizazion; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_admin_param_previsualizazion (proyecto, usuario, grupo_acceso, punto_acceso, perfil_datos) FROM stdin;
arai_usuarios	admin	admin	/arai_usuarios/3.2	\N
\.


--
-- Data for Name: apex_admin_persistencia; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_admin_persistencia (ap, clase, archivo, descripcion, categoria) FROM stdin;
0	especifico	ad-hoc	Especifico	T
1	ap_tabla_db_s	nucleo/componentes/persistencia/toba_ap_tabla_db_s.php	DB - Tabla simple	T
2	ap_relacion_db	nucleo/componentes/persistencia/toba_ap_tabla_relacion.php	Predeterminado (Base de datos relacional)	R
3	especifico	ad-hoc	Especifico	R
4	ap_tabla_db_mt	nucleo/componentes/persistencia/toba_ap_tabla_db_mt.php	DB - Multitabla	T
\.


--
-- Data for Name: apex_arbol_items_fotos; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_arbol_items_fotos (proyecto, usuario, foto_nombre, foto_nodos_visibles, foto_opciones) FROM stdin;
\.


--
-- Data for Name: apex_checksum_proyectos; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_checksum_proyectos (checksum, proyecto) FROM stdin;
\.


--
-- Data for Name: apex_clase; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_clase (proyecto, clase, clase_tipo, archivo, descripcion, icono, descripcion_corta, editor_proyecto, editor_item, objeto_dr_proyecto, objeto_dr, utiliza_fuente_datos, screenshot, ancestro_proyecto, ancestro, instanciador_id, instanciador_proyecto, instanciador_item, editor_id, editor_ancestro_proyecto, editor_ancestro, plan_dump_objeto, sql_info, doc_clase, doc_db, doc_sql, vinculos, autodoc, parametro_a, parametro_b, parametro_c, exclusivo_toba, solicitud_tipo) FROM stdin;
toba	toba_asistente_abms	10	x	Plan de generacion de ABMs simples	wizard.png	Generacion de ABMs simples	toba_editor	1000003	toba_editor	1507	0	\N	toba	objeto	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
toba	toba_asistente_grilla	10	x	Plan de generacion de GRILLAS simples	wizard.png	Generacion de GRILLAS simples	toba_editor	1000003	toba_editor	1507	0	\N	toba	objeto	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
toba	toba_ci	8	nucleo/componentes/interface/toba_ci.php	Controlador de Interface	objetos/multi_etapa.gif	ci	toba_editor	1000249	toba_editor	1507	0	\N	toba	objeto_ci	\N	toba_editor	1642	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	web
toba	toba_cn	5	nucleo/componentes/negocio/toba_cn.php	Objeto de Negocio	objetos/negocio.gif	cn	toba_editor	2045	toba_editor	1830	1	\N	toba	objeto	\N	\N	\N	\N	\N	\N	\N	aa	\N	\N	\N	\N	\N	\N	\N	\N	\N	web
toba	toba_datos_relacion	9	nucleo/componentes/persistencia/toba_datos_relacion.php	Objeto DATOS - RELACION	objetos/datos_relacion.gif	datos_relacion	toba_editor	1000251	toba_editor	1532	1	\N	toba	objeto	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
toba	toba_datos_tabla	9	nucleo/componentes/persistencia/toba_datos_tabla.php	Objeto DATOS - TABLA	objetos/datos_tabla.gif	datos_tabla	toba_editor	1000250	toba_editor	1533	1	\N	toba	objeto	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
toba	toba_ei_arbol	7	nucleo/componentes/interface/toba_ei_arbol.php	Muestra una estructura en forma de arbol permitiendo colapsar distintas ramas, anexar iconos, utilerias y  propiedades a cada uno de los distintos nodos.	objetos/arbol.gif	ei_arbol	toba_editor	1241	toba_editor	1610	0	\N	toba	objeto_ei	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
toba	toba_ei_archivos	7	nucleo/componentes/interface/toba_ei_archivos.php	Muestra archivos y directorios.	objetos/archivos.gif	ei_archivos	toba_editor	1000252	toba_editor	1538	0	\N	toba	objeto_ei	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
toba	toba_ei_calendario	7	nucleo/componentes/interface/toba_ei_calendario.php	Calendario que permite la selección de días y semanas	objetos/calendario.gif	ei_calendario	toba_editor	2447	toba_editor	1539	0	\N	toba	objeto_ei	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
toba	toba_ei_codigo	7	nucleo/componentes/interface/toba_ei_codigo.php	Objeto Editor de Codigo	objetos/code.gif	ei_codigo	toba_editor	1000278	toba_editor	1000644	0	\N	toba	objeto	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
toba	toba_ei_cuadro	7	nucleo/componentes/interface/toba_ei_cuadro.php	Objeto cuadro que carga su contenido a partir de un ARRAY	objetos/cuadro_array.gif	ei_cuadro	toba_editor	1000253	toba_editor	1531	0	\N	toba	objeto_ei	\N	toba_editor	1843	\N	\N	\N	\N	d	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
toba	toba_ei_esquema	7	nucleo/componentes/interface/toba_ei_esquema.php	Muestra grafos utilizando GraphViz	objetos/esquema.gif	ei_esquema	toba_editor	2865	toba_editor	1752	0	\N	toba	objeto_ei	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
toba	toba_ei_filtro	7	nucleo/componentes/interface/toba_ei_filtro.php	Formulario para filtro	objetos/filtro.gif	ei_filtro	toba_editor	1000254	toba_editor	1535	1	\N	toba	objeto_ei_formulario	\N	toba_editor	1842	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
toba	toba_ei_firma	7	\N	Componente de firma digital	objetos/firma.png	ei_firma	toba_editor	30000065	toba_editor	30000167	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
toba	toba_ei_formulario	7	nucleo/componentes/interface/toba_ei_formulario.php	Representa un formulario de datos	objetos/ut_formulario.gif	ei_formulario	toba_editor	1000255	toba_editor	1534	1	\N	toba	objeto_ei	\N	toba_editor	1842	\N	\N	\N	\N	ff	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
toba	toba_ei_formulario_ml	7	nucleo/componentes/interface/toba_ei_formulario_ml.php	Elemento de formulario multilinea	objetos/ut_formulario_ml.gif	ei_formulario_ml	toba_editor	1000256	toba_editor	1536	1	\N	toba	objeto_ei_formulario	\N	toba_editor	1842	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
toba	toba_ei_grafico	7	nucleo/componentes/interface/toba_ei_grafico.php	Objeto Grafico	objetos/grafico.gif	ei_grafico	toba_editor	1000273	toba_editor	1000634	0	\N	toba	objeto	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
toba	toba_ei_mapa	7	nucleo/componentes/interface/toba_ei_mapa.php	Objeto Mapa	objetos/met_estatico.gif	ei_mapa	toba_editor	1000272	toba_editor	1000627	0	\N	toba	objeto	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
toba	toba_servicio_web	5	nucleo/componentes/negocio/toba_servicio_web.php	Servicio web	solic_wddx.gif	servicio_web	toba_editor	30000047	toba_editor	30000113	0	\N	toba	objeto	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	servicio_web
\.


--
-- Data for Name: apex_clase_relacion; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_clase_relacion (proyecto, clase_relacion, clase_contenedora, clase_contenida) FROM stdin;
toba	1	toba_ci	toba_ei_arbol
toba	2	toba_ci	toba_ei_archivos
toba	3	toba_ci	toba_ei_calendario
toba	4	toba_ci	toba_ei_cuadro
toba	5	toba_ci	toba_ei_esquema
toba	6	toba_ci	toba_ei_filtro
toba	7	toba_ci	toba_ei_formulario
toba	8	toba_ci	toba_ei_formulario_ml
toba	9	toba_ci	toba_ci
toba	10	toba_ci	toba_datos_relacion
toba	11	toba_ci	toba_datos_tabla
toba	12	toba_datos_relacion	toba_datos_tabla
toba	13	toba_cn	toba_datos_relacion
toba	14	toba_cn	toba_datos_tabla
toba	15	toba_cn	toba_cn
toba	16	toba_ci	toba_ei_mapa
toba	17	toba_ci	toba_ei_grafico
toba	18	toba_ci	toba_ei_codigo
toba	30000001	toba_ci	toba_ei_firma
\.


--
-- Data for Name: apex_clase_tipo; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_clase_tipo (clase_tipo, descripcion_corta, descripcion, icono, orden, metodologia) FROM stdin;
5	Negocio / Servicios	Negocio / Servicio	\N	1.2	capas
7	Elementos de Interface	Elemento de Interface	\N	1.5	capas
8	Controlador de Interface	Controlador de Interface	\N	1.25	capas
9	Elementos de Persistencia	Controlador de Persistencia	\N	1.22	capas
10	Componentes especiales	Componentes especiales	\N	10	interno
\.


--
-- Data for Name: apex_columna_estilo; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_columna_estilo (columna_estilo, css, descripcion, descripcion_corta) FROM stdin;
0	col-num-p1	Der. Normal	\N
1	col-num-p2	Der. Resaltado	\N
2	col-num-p3	Der. Fondo	\N
3	col-num-p4	Der. Combinado	\N
4	col-tex-p1	Izq. Normal	\N
5	col-tex-p2	Izq. Resaltado	\N
6	col-tex-p3	Izq. Fondo	\N
7	col-cen-s1	Centro Normal	\N
8	col-cen-s2	Centro Resaltado	\N
9	col-tex-p4	Izq. Combinado	\N
10	col-cen-s3	Centro Fondo	\N
11	col-cen-s4	Centro Comb.	\N
\.


--
-- Data for Name: apex_columna_formato; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_columna_formato (columna_formato, funcion, archivo, descripcion, descripcion_corta, parametros, estilo_defecto) FROM stdin;
1	NULO	\N	No realizar cambios	-- Sin cambios --	\N	4
2	moneda	\N	Convertir en MONEDA	Moneda ($ 1.000,00)	\N	0
4	mayusculas	\N	Convertir a MAYUSCULAS	Todas Mayusculas	\N	4
5	indivisible	\N	No cortar el texto	No cortar el texto	\N	4
6	may_ind	\N	Mayusculas sin cortar texto	Mayusculas sin cortar texto	\N	4
7	millares	\N	Pone un "." cada MILLAR	Pone un "." cada MILLAR	\N	0
8	fecha	\N	Formato fecha	Fecha (dd/mm/aaaa)	\N	7
9	decimal	\N	\N	Decimal 2 posiciones (opcionales)	\N	0
10	tiempo	\N	\N	Tiempo en SEGUNDOS	\N	7
11	porcentaje	\N	\N	Porcentaje (100,00 %)	\N	0
12	escapar	\N	\N	Escapar Caracteres	\N	4
13	checkbox	\N	Convertir un smallint a SI / NO.	SI/NO	\N	7
14	html_br	\N	Convierte los caracteres de enter a <br>	Enter a <br>	\N	4
15	imagen_toba	\N	Imagen de Toba	Imagen de Toba	\N	7
16	imagen_proyecto	\N	Imagen del proyecto	Imagen del proyecto	\N	7
17	superficie	\N	\N	Superficie	\N	0
18	fecha_hora	\N	Formato fecha-hora	Fecha y Hora (dd/mm/aaaa H:M:S)	\N	7
33000001	decimal_estricto	\N	\N	Decimal 2 posiciones (100,00)	\N	0
\.


--
-- Data for Name: apex_consulta_php; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_consulta_php (proyecto, consulta_php, clase, archivo_clase, archivo, descripcion, punto_montaje) FROM stdin;
\.


--
-- Data for Name: apex_conversion; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_conversion (proyecto, conversion_aplicada, fecha) FROM stdin;
\.


--
-- Data for Name: apex_dimension; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_dimension (proyecto, dimension, nombre, descripcion, schema, tabla, col_id, col_desc, col_desc_separador, multitabla_col_tabla, multitabla_id_tabla, fuente_datos_proyecto, fuente_datos) FROM stdin;
\.


--
-- Data for Name: apex_dimension_gatillo; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_dimension_gatillo (proyecto, dimension, gatillo, tipo, orden, tabla_rel_dim, columnas_rel_dim, tabla_gatillo, ruta_tabla_rel_dim) FROM stdin;
\.


--
-- Data for Name: apex_elemento_formulario; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_elemento_formulario (elemento_formulario, padre, descripcion, parametros, proyecto, exclusivo_toba, obsoleto, es_seleccion, es_seleccion_multiple) FROM stdin;
ef	ef	Ancestro de todos los elementos de formulario	dependencias: Dependencias del EF, separadas por comas (,): opcional;\njavascript: Javascript asociado al EF, la notacion es evento,codigo: opcional;	toba	\N	1	\N	\N
ef_barra_divisora	ef	barra_divisora	\N	toba	\N	0	\N	\N
ef_cbu	ef_editable	CBU	\N	toba	\N	0	0	0
ef_checkbox	ef	checkbox	valor: Valor de la propiedad cuando esta seteada (DB): obligatorio;\nvalor_info: Valor de la propiedad seteada legible para el usuario: obligatorio;	toba	\N	0	\N	\N
ef_combo	ef	combo	No posee: Nada: obligatorio;	toba	\N	0	1	0
ef_combo_editable	ef	combo editable.	\N	toba	\N	0	1	0
ef_cuit	ef	CUIT/CUIL	\N	toba	0	0	\N	\N
ef_editable	ef	editable	tamano: Cantidad de caracteres que posee la interface: obligatorio;\nmaximo: Maxima cantidad de caracteres soportada (Si no se especifica es igual al tamaño): opcional;\nestado: Cargar el elemento con un estado: opcional;\nsql: SQL que devuelve el valor a cargar: opcional;\nsolo_lectura: Hacer el campo solo lectura (setarlo a 1): opcional;	toba	\N	0	\N	\N
ef_editable_captcha	ef_editable	editable_captcha	\N	toba	\N	0	\N	\N
ef_editable_clave	ef_editable	clave	\N	toba	\N	0	\N	\N
ef_editable_fecha	ef_editable	fecha	\N	toba	\N	0	\N	\N
ef_editable_fecha_hora	ef_editable	fecha hora	\N	toba	\N	0	0	0
ef_editable_hora	ef_editable	hora	\N	toba	\N	0	0	0
ef_editable_moneda	ef_editable_numero	moneda	mascara: Formateo del valor (por defecto $ ###.###,00): opcional;\nrango: Intervalo de números permitidos. Los corchetes incluyen el límite, los paréntesis no, por defecto [0..*]: opcional;	toba	\N	0	\N	\N
ef_editable_numero	ef_editable	numero	cifras: Cantidad de cifras del numero:opcional;\nmascara: Formateo del valor (por defecto ###.###,##): opcional;\nrango: Intervalo de números permitidos los corchetes incluyen el límite, los paréntesis no, formato: [-5..*], mensaje de error: opcional;	toba	\N	0	\N	\N
ef_editable_numero_porcentaje	ef_editable_numero	numero_porcentaje	rango: Intervalo de números permitidos. Los corchetes incluyen el límite, los paréntesis no, por defecto [0..100]: opcional;	toba	\N	0	\N	\N
ef_editable_textarea	ef_editable	textarea	\N	toba	\N	0	\N	\N
ef_fieldset	ef	fieldset	\N	toba	\N	0	\N	\N
ef_fijo	ef	fijo	\N	toba	\N	0	\N	\N
ef_html	ef	html	ancho: Ancho del Editor (pixels o porcentaje): opcional;\nalto: Ancho del Editor (pixels o porcentaje): opcional;\nbotones: Modelo de botones a utilizar (Toba, Basic, Defualt): opcional;	toba	\N	0	\N	\N
ef_multi_seleccion	ef	Clase ABSTRACT. Permite seleccionar N elementos de una lista, no tiene salida gráfica. EN BETA.	valores: Lista de valores fijos: opcional;\ntamanio: Cantidad de elementos a mostrar inicialmente: opcional;\ncant_maxima: Cantidad máxima de elementos que puede seleccionar el cliente: opcional;\ncant_minima: Cantidad mínima de elementos que debe seleccionar el cliente: opcional;	toba	\N	1	\N	\N
ef_multi_seleccion_check	ef_multi_seleccion	multi_check	\N	toba	\N	0	1	1
ef_multi_seleccion_doble	ef_multi_seleccion	multi_doble	\N	toba	\N	0	1	1
ef_multi_seleccion_lista	ef_multi_seleccion	multi_lista	mostrar_utilidades: Muestra una pequeña barra de herramientas para facilitar el uso: opcional;\n(Ver los de ef_multi_seleccion también)	toba	\N	0	1	1
ef_oculto	ef	oculto	estado: Estado en el que se va a setear el elemento oculto:opcional;	toba	\N	0	\N	\N
ef_popup	ef	popup	tamano: Tamaño del ef;\nsql: SQL que carga los valores del ef;\ncolumna_clave: Columna clave de la tabla;\nitem_destino: Item que se invoca;\nventana: ancho, alto, scroll (yes | no);	toba	\N	0	1	0
ef_radio	ef	radio	\N	toba	\N	0	1	0
ef_upload	ef	upload	\N	toba	\N	0	\N	\N
\.


--
-- Data for Name: apex_estilo; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_estilo (estilo, descripcion, proyecto, es_css3, paleta) FROM stdin;
cubos	Cubos	toba	0	\N
plastik	Plastik	toba	0	a:20:{s:16:"frente_barra_sup";s:7:"#ffffff";s:15:"borde_barra_sup";s:7:"#5c5f9e";s:14:"fondo_botonera";s:7:"#5a5e9d";s:17:"fondo_componentes";s:7:"#eeeff2";s:18:"frente_componentes";s:7:"#eeeeee";s:17:"borde_componentes";s:7:"#868789";s:15:"fondo_contraste";s:7:"#ffffff";s:10:"fondo_menu";s:7:"#fafbfe";s:10:"borde_menu";s:7:"#8d8e90";s:23:"fondo_menu_seleccionado";s:7:"#7176b0";s:24:"frente_menu_seleccionado";s:7:"#ffffff";s:15:"fondo_principal";s:7:"#e3e3e3";s:16:"frente_principal";s:7:"#000000";s:15:"borde_principal";s:7:"#000000";s:16:"frente_resaltado";s:7:"#aa0000";s:21:"fondo_resaltado_impar";s:7:"#ececf5";s:19:"fondo_resaltado_par";s:7:"#f5f5f5";s:15:"fondo_seleccion";s:7:"#7579BA";s:13:"borde_tabular";s:7:"#eeeeee";s:12:"borde_titulo";s:7:"#949495";}
simple	Simple	toba	0	\N
v2_azul	v2_azul	toba	1	\N
\.


--
-- Data for Name: apex_eventos_pantalla; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_eventos_pantalla (pantalla, objeto_ci, evento_id, proyecto) FROM stdin;
1192	2304	1104	arai_usuarios
1195	31000036	1112	arai_usuarios
1195	31000036	1113	arai_usuarios
1195	31000036	1114	arai_usuarios
31000016	31000036	1111	arai_usuarios
1189	2301	1094	arai_usuarios
1190	2301	1095	arai_usuarios
1190	2301	1097	arai_usuarios
31000001	31000001	31000001	arai_usuarios
31000002	31000001	31000002	arai_usuarios
31000002	31000001	31000004	arai_usuarios
31000015	31000033	31000042	arai_usuarios
60000003	60000005	1121	arai_usuarios
60000003	60000005	1122	arai_usuarios
60000003	60000005	1123	arai_usuarios
60000003	60000005	60000012	arai_usuarios
\.


--
-- Data for Name: apex_fuente_datos; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_fuente_datos (proyecto, fuente_datos, descripcion, descripcion_corta, fuente_datos_motor, host, punto_montaje, subclase_archivo, subclase_nombre, orden, schema, instancia_id, administrador, link_instancia, tiene_auditoria, parsea_errores, permisos_por_tabla, usuario, clave, base) FROM stdin;
toba	instancia	Esta fuente de datos representa la conexion a la instancia donde esta todo la informacion del TOBA. Es distinta a todas las demas fuentes porque siempre esta conectada	instancia	postgres7	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	0	\N	\N	No aplicable
arai_usuarios	arai_usuarios	Fuente arai_usuarios	arai_usuarios	postgres7	\N	30000001	\N	\N	\N	usuarios	arai_usuarios	\N	1	0	0	0	\N	\N	\N
\.


--
-- Data for Name: apex_fuente_datos_motor; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_fuente_datos_motor (fuente_datos_motor, nombre, version) FROM stdin;
informix	Informix	7.2
mysql	MySQL	4.0.13
odbc	Open DataBase Conectivity	
postgres7	PostgreSQL	7.3.3
sqlserver	SQLServer	2005
\.


--
-- Data for Name: apex_fuente_datos_schemas; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_fuente_datos_schemas (proyecto, fuente_datos, nombre, principal) FROM stdin;
arai_usuarios	arai_usuarios	usuarios	0
\.


--
-- Data for Name: apex_gadgets; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_gadgets (gadget, proyecto, gadget_url, titulo, descripcion, tipo_gadget, subclase, subclase_archivo) FROM stdin;
\.


--
-- Data for Name: apex_grafico; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_grafico (grafico, descripcion_corta, descripcion, parametros) FROM stdin;
bar	Barras	Grafico de barras	
lin	Lineas	x	
otro	Otro	Grafico configurable	
pie	Torta	Grafico de torta	
\.


--
-- Data for Name: apex_grupo_acc_restriccion_funcional; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_grupo_acc_restriccion_funcional (proyecto, usuario_grupo_acc, restriccion_funcional) FROM stdin;
\.


--
-- Data for Name: apex_instancia; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_instancia (instancia, version, institucion, observaciones, administrador_1, administrador_2, administrador_3, creacion) FROM stdin;
desarrollo	3.3.25	\N	\N	\N	\N	\N	2023-05-31 21:30:54
\.


--
-- Data for Name: apex_item; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_item (item_id, proyecto, item, padre_id, padre_proyecto, padre, carpeta, nivel_acceso, solicitud_tipo, pagina_tipo_proyecto, pagina_tipo, actividad_buffer_proyecto, actividad_buffer, actividad_patron_proyecto, actividad_patron, nombre, descripcion, punto_montaje, actividad_accion, menu, orden, solicitud_registrar, solicitud_obs_tipo_proyecto, solicitud_obs_tipo, solicitud_observacion, solicitud_registrar_cron, prueba_directorios, zona_proyecto, zona, zona_orden, zona_listar, imagen_recurso_origen, imagen, parametro_a, parametro_b, parametro_c, publico, redirecciona, usuario, exportable, creacion, retrasar_headers) FROM stdin;
\N	arai_usuarios	31000008	\N	arai_usuarios	1	0	0	web	toba	normal	\N	\N	\N	\N	Aplicaciones	\N	30000001	\N	1	5	0	\N	\N	\N	\N	\N	\N	\N	\N	0	apex	\N	\N	\N	\N	0	\N	\N	0	2016-04-29 14:23:05	0
\N	arai_usuarios	3464	\N	arai_usuarios	1	0	0	web	toba	normal	\N	\N	\N	\N	Grupos	\N	30000001	\N	1	3	0	\N	\N	\N	\N	\N	\N	\N	\N	0	apex	\N	\N	\N	\N	0	\N	\N	0	2016-07-25 20:33:14	0
\N	arai_usuarios	2	\N	arai_usuarios	1	0	0	web	toba	normal	toba	0	toba	especifico	Inicio		30000001	item_inicial.php	1	1	0	\N	\N	\N	\N	\N	\N	\N	\N	0	apex	\N	\N	\N	\N	0	\N	\N	0	2015-06-05 12:57:03	0
\N	arai_usuarios	102000002	\N	arai_usuarios	102000001	0	0	web	toba	normal	\N	\N	\N	\N	Cambios de contraseña	\N	30000001	\N	1	2	0	\N	\N	\N	\N	\N	\N	\N	\N	0	apex	\N	\N	\N	\N	0	\N	\N	0	2015-07-23 18:31:57	0
\N	arai_usuarios	102000001	\N	arai_usuarios	1	1	0	\N	\N	\N	\N	\N	\N	\N	Reportes	\N	\N	\N	1	7	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	apex	\N	\N	\N	\N	\N	\N	\N	\N	2019-05-21 16:43:49	0
\N	arai_usuarios	1	\N	arai_usuarios	1	1	0	\N	toba	NO	toba	0	toba	especifico	Raiz PROYECTO		\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2015-06-05 12:57:03	0
\N	arai_usuarios	31000004	\N	arai_usuarios	1	0	0	web	toba	normal	\N	\N	\N	\N	Configuraciones	\N	30000001	\N	0	21	0	\N	\N	\N	\N	\N	\N	\N	\N	0	apex	\N	\N	\N	\N	0	\N	\N	0	2015-07-22 13:24:48	0
\N	arai_usuarios	30000072	\N	arai_usuarios	1	0	0	web	toba	logon	toba	0	toba	abms_cd_c	Autentificación de Usuarios	\N	30000001		0	\N	0	\N	\N	\N	0	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	1	0	\N	0	2015-06-05 12:57:03	1
\N	arai_usuarios	31000007	\N	arai_usuarios	3465	0	0	web	toba	normal	\N	\N	\N	\N	Fusionar usuarios	\N	30000001	\N	1	4	0	\N	\N	\N	\N	\N	\N	\N	\N	0	apex	\N	\N	\N	\N	0	\N	\N	0	2016-04-28 13:08:14	0
\N	arai_usuarios	31000002	\N	arai_usuarios	1	0	0	web	toba	normal	\N	\N	\N	\N	Usuarios	\N	30000001	\N	1	2	0	\N	\N	\N	\N	\N	\N	\N	\N	0	apex	\N	\N	\N	\N	0	\N	\N	0	2015-07-15 19:23:57	0
\N	arai_usuarios	31000006	\N	arai_usuarios	102000001	0	0	web	toba	normal	\N	\N	\N	\N	Sesiones y accesos	\N	30000001	\N	1	1	0	\N	\N	\N	\N	\N	\N	\N	\N	0	apex	\N	\N	\N	\N	0	\N	\N	0	2015-07-23 18:31:57	0
\N	arai_usuarios	3465	\N	arai_usuarios	1	1	0	\N	\N	\N	\N	\N	\N	\N	Tareas	\N	\N	\N	1	6	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	apex	\N	\N	\N	\N	\N	\N	\N	\N	2019-06-04 17:34:41	0
\.


--
-- Data for Name: apex_item_info; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_item_info (item_id, item_proyecto, item, descripcion_breve, descripcion_larga) FROM stdin;
\.


--
-- Data for Name: apex_item_msg; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_item_msg (item_msg, msg_tipo, indice, item_id, item_proyecto, item, descripcion_corta, mensaje_a, mensaje_b, mensaje_c, mensaje_customizable, parametro_patron) FROM stdin;
\.


--
-- Data for Name: apex_item_nota; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_item_nota (item_nota, nota_tipo, item_id, item_proyecto, item, usuario_origen, usuario_destino, titulo, texto, leido, bl, creacion) FROM stdin;
\.


--
-- Data for Name: apex_item_objeto; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_item_objeto (item_id, proyecto, item, objeto, orden, inicializar) FROM stdin;
\N	arai_usuarios	31000008	31000036	0	\N
\N	arai_usuarios	3464	2301	0	\N
\N	arai_usuarios	102000002	102000003	0	\N
\N	arai_usuarios	31000004	31000026	1	\N
\N	arai_usuarios	30000072	30000192	0	\N
\N	arai_usuarios	31000007	31000033	0	\N
\N	arai_usuarios	31000002	31000001	0	\N
\N	arai_usuarios	31000006	31000024	0	\N
\.


--
-- Data for Name: apex_item_permisos_tablas; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_item_permisos_tablas (proyecto, item, fuente_datos, esquema, tabla, permisos) FROM stdin;
\.


--
-- Data for Name: apex_item_zona; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_item_zona (proyecto, zona, nombre, clave_editable, archivo, descripcion, consulta_archivo, consulta_clase, consulta_metodo, punto_montaje) FROM stdin;
\.


--
-- Data for Name: apex_log_sistema_tipo; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_log_sistema_tipo (log_sistema_tipo, descripcion) FROM stdin;
bug	Error en la aplicacion
falta	Sucedio algo no permitido
info	Información
seguridad	Alerta de seguridad
\.


--
-- Data for Name: apex_menu; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_menu (proyecto, menu_id, descripcion, tipo_menu) FROM stdin;
\.


--
-- Data for Name: apex_menu_operaciones; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_menu_operaciones (proyecto, menu_id, menu_elemento, item, padre, descripcion, carpeta) FROM stdin;
\.


--
-- Data for Name: apex_menu_tipos; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_menu_tipos (menu, descripcion, archivo, soporta_frames) FROM stdin;
css	ListMenu (CSS)	nucleo/menu/toba_menu_css.php	0
libmenu	Libmenu (css)	nucleo/menu/toba_menu_libmenu.php	0
\.


--
-- Data for Name: apex_molde_opciones_generacion; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_molde_opciones_generacion (proyecto, uso_autoload, origen_datos_cuadro, punto_montaje, carga_php_include, carga_php_clase) FROM stdin;
\.


--
-- Data for Name: apex_molde_operacion; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_molde_operacion (proyecto, molde, operacion_tipo, nombre, item, carpeta_archivos, prefijo_clases, fuente, punto_montaje) FROM stdin;
\.


--
-- Data for Name: apex_molde_operacion_abms; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_molde_operacion_abms (proyecto, molde, tabla, gen_usa_filtro, gen_separar_pantallas, filtro_comprobar_parametros, cuadro_eof, cuadro_eliminar_filas, cuadro_id, cuadro_forzar_filtro, cuadro_carga_origen, cuadro_carga_sql, cuadro_carga_php_include, cuadro_carga_php_clase, cuadro_carga_php_metodo, datos_tabla_validacion, apdb_pre, punto_montaje) FROM stdin;
\.


--
-- Data for Name: apex_molde_operacion_abms_fila; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_molde_operacion_abms_fila (proyecto, molde, fila, orden, columna, asistente_tipo_dato, etiqueta, en_cuadro, en_form, en_filtro, filtro_operador, cuadro_estilo, cuadro_formato, dt_tipo_dato, dt_largo, dt_secuencia, dt_pk, elemento_formulario, ef_obligatorio, ef_desactivar_modificacion, ef_procesar_javascript, ef_carga_origen, ef_carga_sql, ef_carga_php_include, ef_carga_php_clase, ef_carga_php_metodo, ef_carga_tabla, ef_carga_col_clave, ef_carga_col_desc, punto_montaje) FROM stdin;
\.


--
-- Data for Name: apex_molde_operacion_importacion; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_molde_operacion_importacion (proyecto, molde, origen_item, origen_proyecto) FROM stdin;
\.


--
-- Data for Name: apex_molde_operacion_log; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_molde_operacion_log (proyecto, molde, generacion, momento) FROM stdin;
\.


--
-- Data for Name: apex_molde_operacion_log_elementos; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_molde_operacion_log_elementos (generacion, molde, id, tipo, proyecto, clave) FROM stdin;
\.


--
-- Data for Name: apex_molde_operacion_tipo; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_molde_operacion_tipo (operacion_tipo, descripcion_corta, descripcion, clase, ci, icono, vista_previa, orden) FROM stdin;
10	ABM simple	Alta, baja y modificacion de registros de una tabla	toba_asistente_abms	1988	objetos/ut_formulario.gif	asistente_abms.gif	1
11	Grilla simple	Alta, baja y modificacion a travez de una grilla	toba_asistente_grilla	2008	objetos/calendario.gif	asistente_grilla.gif	2
12	Importar Operación	Importa una operación completa previamente publicada desde otro proyecto	toba_asistente_importacion	1000613	deshacer.gif	\N	3
\.


--
-- Data for Name: apex_molde_operacion_tipo_dato; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_molde_operacion_tipo_dato (tipo_dato, descripcion_corta, descripcion, dt_tipo_dato, elemento_formulario, cuadro_estilo, cuadro_formato, orden, filtro_operador) FROM stdin;
1000001	Cadena	Cadena de texto de una línea	C	ef_editable	4	1	0	ILIKE
1000002	Texto	Cadena de texto multilínea	X	ef_editable_textarea	4	14	1	ILIKE
1000003	Entero	Número entero	E	ef_editable_numero	0	7	2	=
1000004	Fecha	Fecha	F	ef_editable_fecha	7	8	3	=
1000005	Booleano	Booleano	L	ef_checkbox	7	13	4	=
1000006	Numero	Numero	N	ef_editable_numero	1	7	5	=
1000007	Archivo	Archivo binario	B	ef_upload	4	1	6	=
1000008	Referencia	Referencia a una tabla externa (FK)	\N	ef_combo	1	1	7	=
1000012	Fecha-Hora	Fecha-Hora con un timestamp	T	ef_editable	7	18	8	=
\.


--
-- Data for Name: apex_msg; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_msg (msg, indice, proyecto, msg_tipo, descripcion_corta, mensaje_a, mensaje_b, mensaje_c, mensaje_customizable) FROM stdin;
2	ef	toba	error	Error en un elemento de formulario	\N	\N	\N	\N
178	lib	toba	error	Error de libreria	\N	\N	\N	\N
179	buffer	toba	error	Error de buffer	\N	\N	\N	\N
1000001	db_00000	toba	error	\N	La ejecución de la operación ha sido satisfactoria y no ha provocado ningún tipo de aviso ni condición de excepción.	\N	\N	\N
1000002	db_01002	toba	error	\N	Se ha producido un error de DISCONNECT.	\N	\N	\N
1000003	db_01003	toba	error	\N	Los valores nulos se han eliminado del argumento de una función de columna.	\N	\N	\N
1000004	db_01004	toba	error	\N	El valor de una serie se ha truncado al asignarla a otro tipo de datos de serie con una longitud menor.	\N	\N	\N
1000005	db_01005	toba	error	\N	Número insuficiente de entradas en una SQLDA.	\N	\N	\N
1000006	db_01007	toba	error	\N	No se ha otorgado un privilegio.	\N	\N	\N
1000007	db_0100C	toba	error	\N	El procedimiento ha devuelto uno o varios conjuntos resultantes adecuados.	\N	\N	\N
1000008	db_0100D	toba	error	\N	El cursor que se ha cerrado se ha vuelto a abrir en el siguiente conjunto resultante de la cadena.	\N	\N	\N
1000009	db_0100E	toba	error	\N	El procedimiento ha generado un número superior al número máximo permitido de conjuntos de resultados. Sólo se ha devuelto el primer conjunto de resultados al emisor de la llamada.	\N	\N	\N
1000010	db_01503	toba	error	\N	El número de columnas resultantes es mayor que el número de variables de sistema principal especificadas.	\N	\N	\N
1000011	db_01504	toba	error	\N	La sentencia UPDATE o DELETE no incluye una cláusula WHERE.	\N	\N	\N
1000012	db_01506	toba	error	\N	Un valor DATE o TIMESTAMP se ha ajustado para corregir una fecha no válida obtenida de una operación aritmética.	\N	\N	\N
1000013	db_01509	toba	error	\N	El bloqueo de un cursor se ha anulado porque no hay suficiente almacenamiento en la máquina virtual del usuario.	\N	\N	\N
1000014	db_01515	toba	error	\N	El valor nulo se ha asignado a una variable de sistema principal porque el valor que no es nulo de la columna no está dentro del rango permitido de la variable de sistema principal.	\N	\N	\N
1000015	db_01516	toba	error	\N	WITH GRANT OPTION no aplicable se ha pasado por alto.	\N	\N	\N
1000016	db_01517	toba	error	\N	Se ha sustituido un carácter que no se podía convertir por un carácter sustituto.	\N	\N	\N
1000017	db_01519	toba	error	\N	El valor nulo se ha asignado a una variable de sistema principal porque un valor numérico está fuera del rango.	\N	\N	\N
1000018	db_01524	toba	error	\N	El resultado de una función de columna no incluye los valores nulos originados al calcular una expresión aritmética.	\N	\N	\N
1000019	db_01526	toba	error	\N	El nivel de aislamiento se ha reajustado.	\N	\N	\N
1000020	db_01527	toba	error	\N	Una sentencia SET hace referencia a un registro especial que no existe en el AS.	\N	\N	\N
1000021	db_01539	toba	error	\N	La conexión ha sido satisfactoria pero sólo deben utilizarse caracteres SBCS.	\N	\N	\N
1000022	db_01543	toba	error	\N	Se ha pasado por alto una restricción duplicada.	\N	\N	\N
1000023	db_01545	toba	error	\N	Un nombre de columna no calificado se ha interpretado como una referencia correlacionada.	\N	\N	\N
1000024	db_01550	toba	error	\N	El índice no se ha creado porque ya existe uno con la misma descripción.	\N	\N	\N
1000025	db_01560	toba	error	\N	Se ha ignorado un GRANT redundante.	\N	\N	\N
1000026	db_01562	toba	error	\N	La nueva vía de acceso al archivo de anotaciones cronológicas (newlogpath) del archivo de configuración de la base de datos no es válida.	\N	\N	\N
1000027	db_01563	toba	error	\N	La vía de acceso actual al archivo de anotaciones cronológicas (logpath) no es válida. La vía de acceso al archivo de anotaciones cronológicas se restablece al valor por omisión.	\N	\N	\N
1000028	db_01564	toba	error	\N	El valor nulo se ha asignado a una variable de sistema principal porque se ha producido una división por cero.	\N	\N	\N
1000029	db_01586	toba	error	\N	Al desactivar (OFF) las restricciones de una tabla padre en una estructura de referencias, una o varias tablas se han situado automáticamente en un estado de pendiente de comprobación.	\N	\N	\N
1000030	db_01589	toba	error	\N	Una sentencia contiene especificaciones redundantes.	\N	\N	\N
1000032	db_01594	toba	error	\N	El número de entradas en una SQLDA para la información ALL es insuficiente (por ejemplo, no hay suficientes descriptores para devolver el nombre diferenciado).	\N	\N	\N
1000033	db_01595	toba	error	\N	La vista ha sustituido una vista existente que estaba invalidada.	\N	\N	\N
1000034	db_01596	toba	error	\N	No se han creado las funciones de comparación para un tipo diferenciado basado en un tipo de datos de serie larga.	\N	\N	\N
1000035	db_01598	toba	error	\N	Se ha intentado activar un supervisor de sucesos activo o bien desactivar un supervisor de sucesos inactivo.	\N	\N	\N
1000036	db_01599	toba	error	\N	Las opciones de vinculación se han pasado por alto en REBIND.	\N	\N	\N
1000037	db_01602	toba	error	\N	El nivel de optimización se ha reducido.	\N	\N	\N
1000038	db_01603	toba	error	\N	El proceso CHECK DATA ha detectado violaciones de restricción y las ha colocado en tablas de excepción.	\N	\N	\N
1000039	db_01604	toba	error	\N	La sentencia de SQL se ha explicado pero no se ha ejecutado.	\N	\N	\N
1000040	db_01605	toba	error	\N	Es posible que la expresión de tabla común repetitiva contenga un bucle infinito.	\N	\N	\N
1000041	db_01606	toba	error	\N	El directorio de la base de datos del sistema o del nodo está vacío.	\N	\N	\N
1000042	db_01607	toba	error	\N	La diferencia horaria de los nodos de una transacción de sólo lectura excede el umbral definido.	\N	\N	\N
1000043	db_01609	toba	error	\N	El procedimiento ha generado un número superior al número máximo permitido de conjuntos de resultados. Sólo se ha devuelto el primer conjunto de resultados al emisor de la llamada.	\N	\N	\N
1000044	db_01610	toba	error	\N	El procedimiento ha devuelto uno o varios conjuntos resultantes adecuados.	\N	\N	\N
1000045	db_01611	toba	error	\N	El cursor que se ha cerrado se ha vuelto a abrir en el siguiente conjunto resultante de la cadena.	\N	\N	\N
1000046	db_01614	toba	error	\N	El número de localizadores es menor que el número de conjuntos de resultados.	\N	\N	\N
1000047	db_01616	toba	error	\N	El coste estimado de la CPU sobrepasa el límite de recursos.	\N	\N	\N
1000048	db_01618	toba	error	\N	Se necesita el grupo de nodos redistribuido para cambiar la partición de los datos.	\N	\N	\N
1000049	db_01620	toba	error	\N	Algunas tablas base de UNION ALL pueden ser la misma tabla.	\N	\N	\N
1000050	db_01621	toba	error	\N	El valor LOB recuperado puede haber cambiado.	\N	\N	\N
1000051	db_01622	toba	error	\N	La sentencia ha finalizado satisfactoriamente pero se ha producido un error del sistema cuando la sentencia ha finalizado.	\N	\N	\N
1000052	db_01623	toba	error	\N	Se ignora el valor de DEGREE.	\N	\N	\N
1000053	db_01625	toba	error	\N	El nombre de esquema aparece más de una vez en la sentencia CURRENT PATH.	\N	\N	\N
1000054	db_01626	toba	error	\N	La base de datos únicamente tiene una agrupación de almacenamientos intermedios activa.	\N	\N	\N
1000055	db_01627	toba	error	\N	Es posible que el valor de DATALINK no sea válido ya que la tabla está en estado de reconciliación pendiente o reconciliación no posible.	\N	\N	\N
1000056	db_01632	toba	error	\N	El número de conexiones concurrentes ha excedido la titularidad definida para el producto.	\N	\N	\N
1000057	db_01633	toba	error	\N	Es posible que no se utilice la tabla de consultas materializadas para optimizar el proceso de consultas.	\N	\N	\N
1000058	db_01636	toba	error	\N	El gestor de bases de datos continúa sin verificar la integridad de los datos no incrementales.	\N	\N	\N
1000059	db_01637	toba	error	\N	No se ha habilitado la depuración.	\N	\N	\N
1000060	db_01639	toba	error	\N	El objeto federado puede requerir que el invocador tenga los privilegios necesarios sobre objetos de fuente de datos.	\N	\N	\N
1000061	db_01641	toba	error	\N	Los atributos de tipo datalink limitan el uso del tipo estructurado.	\N	\N	\N
1000062	db_01642	toba	error	\N	La columna no es lo suficientemente larga para el máximo valor por omisión de USER posible.	\N	\N	\N
1000063	db_01643	toba	error	\N	La asignación a una variable SQLSTATE o SQLCODE en una rutina SQL puede que sea sobregrabada y que no active ningún manejador.	\N	\N	\N
1000064	db_01645	toba	error	\N	El ejecutable del procedimiento de SQL no está guardado en el catálogo de la base de datos.	\N	\N	\N
1000065	db_01648	toba	error	\N	Se ha ignorado el atributo de la columna COMPRESS porque se ha desactivado el VALUE COMPRESSION para la tabla.	\N	\N	\N
1000066	db_01649	toba	error	\N	La operación de agrupación de almacenamientos intermedios se ha completado pero no entrará en vigor hasta el siguiente reinicio de la base de datos.	\N	\N	\N
1000067	db_01650	toba	error	\N	El índice y las estadísticas de tabla son incoherentes.	\N	\N	\N
1000068	db_01651	toba	error	\N	El supervisor de sucesos se ha activado satisfactoriamente, sin embargo alguna información del supervisor se puede haber perdido.	\N	\N	\N
1000069	db_01652	toba	error	\N	La cláusula de aislamiento se pasa por alto a causa del contexto de la sentencia.	\N	\N	\N
1000070	db_01653	toba	error	\N	Las autorizaciones se otorgaron al USER. Los grupos no se tomaron en consideración porque el nombre de autorización tiene más de 8 bytes.	\N	\N	\N
1000071	db_01654	toba	error	\N	No se ha iniciado la agrupación de almacenamientos intermedios.	\N	\N	\N
1000072	db_01655	toba	error	\N	El supervisor de sucesos se ha creado satisfactoriamente pero como mínimo ya existe una tabla de destino de supervisor de sucesos.	\N	\N	\N
1000073	db_01657	toba	error	\N	La operación de agrupación de almacenamientos intermedios no entrará en vigor hasta el siguiente inicio de la base de datos.	\N	\N	\N
1000074	db_01665	toba	error	\N	El nombre de columna o de parámetro está truncado.	\N	\N	\N
1000075	db_01667	toba	error	\N	Es posible que no se utilice la vista para optimizar el proceso de consultas.	\N	\N	\N
1000076	db_01669	toba	error	\N	Las estadísticas para los apodos especificados no se han actualizado completamente debido a las incoherencias de esquema entre los catálogos remotos y locales.	\N	\N	\N
1000077	db_01670	toba	error	\N	En la nueva tabla no existe ningún espacio de tabla principal por omisión.	\N	\N	\N
1000078	db_01671	toba	error	\N	El entorno de la sentencia puesta en antememoria es diferente del entorno actual. El entorno actual se utilizará para volver a optimizar la sentencia especificada.	\N	\N	\N
1000079	db_01H51	toba	error	\N	Un mensaje de la Interfaz de mensajes de aplicación de MQSeries estaba truncado.	\N	\N	\N
1000080	db_01HXX	toba	error	\N	Una función definida por el usuario o un procedimiento externo CALL ha devuelto mensajes de aviso SQLSTATE válidos.	\N	\N	\N
1000082	db_02501	toba	error	\N	La posición del cursor no es válida para FETCH de la fila actual.	\N	\N	\N
1000083	db_02502	toba	error	\N	Se ha detectado un error de supresión o actualización	\N	\N	\N
1000084	db_07001	toba	error	\N	El número de variables del lenguaje principal no es correcto para el número de marcadores de parámetro.	\N	\N	\N
1000085	db_07002	toba	error	\N	La lista de parámetros de llamada o el bloque de control no son válidos.	\N	\N	\N
1000086	db_07003	toba	error	\N	La sentencia identificada en la sentencia EXECUTE es una sentencia de selección o no se encuentra en estado preparado.	\N	\N	\N
1000087	db_07004	toba	error	\N	Es necesaria la cláusula USING o la cláusula INTO para los parámetros dinámicos.	\N	\N	\N
1000088	db_07005	toba	error	\N	El nombre de sentencia del cursor identifica una sentencia preparada que no se puede asociar con un cursor.	\N	\N	\N
1000089	db_07006	toba	error	\N	No se puede utilizar una variable de sistema principal de entrada debido a su tipo de datos.	\N	\N	\N
1000090	db_08001	toba	error	\N	El peticionario de la aplicación no puede establecer la conexión.	\N	\N	\N
1000091	db_08002	toba	error	\N	La conexión ya existe.	\N	\N	\N
1000092	db_08003	toba	error	\N	La conexión no existe.	\N	\N	\N
1000093	db_08004	toba	error	\N	El servidor de aplicación ha rechazado el establecimiento de la conexión.	\N	\N	\N
1000094	db_08007	toba	error	\N	Resolución de transacción desconocida.	\N	\N	\N
1000095	db_08502	toba	error	\N	La sentencia CONNECT emitida por un proceso de aplicación que se ejecutaba con un SYNCPOINT de TWOPHASE ha fallado porque no hay disponible ningún gestor de transacciones.	\N	\N	\N
1000096	db_08504	toba	error	\N	Se ha producido un error durante el proceso del archivo de configuración de renombrar la vía de acceso especificada.	\N	\N	\N
1000097	db_09000	toba	error	\N	Una sentencia de SQL activada ha fallado.	\N	\N	\N
1000098	db_0A001	toba	error	\N	La sentencia CONNECT no es válida porque el proceso no se encuentra en estado de conexión.	\N	\N	\N
1000099	db_0A502	toba	error	\N	La acción u operación no está habilitada para esta instancia de la base de datos.	\N	\N	\N
1000100	db_0A503	toba	error	\N	La operación de inserción, actualización o supresión federada no puede compilarse, debido a la incoherencia potencial de los datos.	\N	\N	\N
1000101	db_0D000	toba	error	\N	La especificación de tipo de datos estructurados de destino es un subtipo apropiado de tipo de datos estructurados de fuente.	\N	\N	\N
1000102	db_0F001	toba	error	\N	La variable de símbolo LOB no representa actualmente ningún valor.	\N	\N	\N
1000103	db_0K000	toba	error	\N	La sentencia RESIGNAL no está en un manejador.	\N	\N	\N
1000104	db_20000	toba	error	\N	No se encontraron las mayúsculas/minúsculas para la sentencia CASE.	\N	\N	\N
1000105	db_21000	toba	error	\N	El resultado de SELECT INTO es una tabla resultante de más de una fila o el resultado de la subconsulta de un predicado básico es más de un valor.	\N	\N	\N
1000106	db_21501	toba	error	\N	Un INSERT de varias filas en una tabla de autoreferencia no es válida.	\N	\N	\N
1000107	db_21502	toba	error	\N	Un UPDATE de varias filas en una clave primaria no es válida.	\N	\N	\N
1000108	db_21504	toba	error	\N	Un DELETE de varias filas de una tabla de autoreferencia con una norma de supresión RESTRICT o SET NULL no es válida.	\N	\N	\N
1000109	db_21505	toba	error	\N	Una función de fila no debe devolver más de una fila.	\N	\N	\N
1000110	db_21506	toba	error	\N	La misma fila de una tabla no puede ser el destino de más de una operación de actualización, supresión o inserción.	\N	\N	\N
1000111	db_22001	toba	error	\N	Se ha producido un truncamiento por la derecha de los datos de carácter. Por ejemplo, un valor de actualización o inserción es una serie demasiada larga para la columna o bien un valor de fecha y hora no se puede asignar a una variable de sistema principal porque es demasiado pequeño.	\N	\N	\N
1000112	db_22002	toba	error	\N	Se ha detectado un valor nulo o la ausencia de un parámetro de indicador. Por ejemplo, el valor nulo no puede asignarse a una variable de sistema principal porque no se ha especificado ninguna variable de indicador.	\N	\N	\N
1000113	db_22003	toba	error	\N	Un valor numérico está fuera del rango.	\N	\N	\N
1000114	db_22004	toba	error	\N	No se puede devolver un valor nulo de un procedimiento que se define como PARAMETER STYLE GENERAL o de un método de conservación de tipo que se invoca con un argumento no nulo.	\N	\N	\N
1000115	db_22007	toba	error	\N	Se ha detectado un formato de fecha y hora no válido, es decir, se ha especificado un valor o una representación de serie no válida.	\N	\N	\N
1000116	db_22008	toba	error	\N	Se ha producido un desbordamiento en el campo de fecha y hora. Por ejemplo, una operación aritmética en una fecha o indicación de la hora da como resultado un valor que no se encuentra dentro del rango válido de fechas.	\N	\N	\N
1000117	db_2200G	toba	error	\N	No coincide el tipo más específico.	\N	\N	\N
1000118	db_22011	toba	error	\N	Se ha producido un error de subserie. Por ejemplo, un argumento de SUBSTR está fuera del rango.	\N	\N	\N
1000119	db_22012	toba	error	\N	La división por cero no es válida.	\N	\N	\N
1000120	db_22018	toba	error	\N	El valor de carácter para la función escalar CAST, DECIMAL, FLOAT o INTEGER no es válida.	\N	\N	\N
1000121	db_22019	toba	error	\N	El predicado LIKE tiene un carácter de escape no válido.	\N	\N	\N
1000122	db_22021	toba	error	\N	Un carácter no se encuentra en el conjunto de caracteres codificado.	\N	\N	\N
1000123	db_22024	toba	error	\N	Una variable o parámetro de sistema principal de entrada terminado en NUL no contiene un valor NUL.	\N	\N	\N
1000124	db_22025	toba	error	\N	El patrón de serie de predicado LIKE contiene una ocurrencia no válida de un carácter de escape.	\N	\N	\N
1000125	db_2202D	toba	error	\N	Instancia nula utilizada con un método mutante.	\N	\N	\N
1000126	db_2202H	toba	error	\N	El tamaño de muestra especificado en la cláusula TABLESAMPLE no es válido.	\N	\N	\N
1000127	db_22501	toba	error	\N	El campo de control de la longitud de una serie de longitud variable es negativo o mayor que el valor máximo.	\N	\N	\N
1000128	db_22504	toba	error	\N	Un valor de datos mixtos no es válido.	\N	\N	\N
1000129	db_22506	toba	error	\N	Una referencia a un registro especial de fecha y hora no es válido porque el reloj TOD no funciona correctamente o el parámetro de zona horaria del sistema operativo está fuera del rango.	\N	\N	\N
1000130	db_22522	toba	error	\N	Un valor CCSID no es válido en absoluto, no es válido para el tipo o el subtipo de datos o no es válido para el esquema de codificación.	\N	\N	\N
1000131	db_22526	toba	error	\N	Una función de transformación clave no ha generado o duplicado filas.	\N	\N	\N
1000132	db_22527	toba	error	\N	Se han detectado datos de entrada no válidos para una operación de INSERT múltiples filas.	\N	\N	\N
1000133	db_23001	toba	error	\N	La actualización o la supresión de una clave principal no es factible debido a una norma de actualización o supresión RESTRICT.	\N	\N	\N
1000134	db_23502	toba	error	\N	Un valor de inserción o actualización es nulo, pero la columna no puede contener valores nulos.	\N	\N	\N
1000135	db_23503	toba	error	\N	El valor de inserción o actualización de una clave externa no es válido.	\N	\N	\N
1000136	db_23504	toba	error	\N	La actualización o la supresión de una clave principal no es factible debido a una norma de actualización o supresión NO ACTION.	\N	\N	\N
1000137	db_23505	toba	error	\N	Se ha producido una violación de la restricción impuesta por un índice único o una restricción de unicidad.	\N	\N	\N
1000138	db_23510	toba	error	\N	Ha habido una violación de una restricción referente al uso del mandato impuesto por la tabla RLST.	\N	\N	\N
1000139	db_23511	toba	error	\N	Una fila superior no se puede suprimir porque una restricción de comprobación restringe la supresión.	\N	\N	\N
1000140	db_23512	toba	error	\N	La restricción de comprobación no se puede añadir porque la tabla contiene filas que no satisfacen la definición de restricción.	\N	\N	\N
1000141	db_23513	toba	error	\N	La fila resultante de INSERT o de UPDATE no cumple la definición de restricción de comprobación.	\N	\N	\N
1000142	db_23514	toba	error	\N	El proceso de datos de comprobación ha detectado violaciones de restricción.	\N	\N	\N
1000143	db_23515	toba	error	\N	El índice único no se ha podido crear ni la restricción de unicidad se ha podido añadir porque la tabla contiene valores duplicados de la clave especificada.	\N	\N	\N
1000144	db_23520	toba	error	\N	La clave externa no se puede definir porque todos sus valores no son los mismos que los de una clave principal de la tabla padre.	\N	\N	\N
1000145	db_23521	toba	error	\N	La actualización de una tabla de catálogo viola una restricción interna.	\N	\N	\N
1000146	db_23522	toba	error	\N	El rango de los valores para una secuencia o columna de identidad está agotado.	\N	\N	\N
1000147	db_23524	toba	error	\N	Movimiento de fila no válida dentro de la vista UNION ALL.	\N	\N	\N
1000148	db_23527	toba	error	\N	Restricción de integridad violada en fuente de datos federada.	\N	\N	\N
1000149	db_24501	toba	error	\N	El cursor identificado no está abierto.	\N	\N	\N
1000150	db_24502	toba	error	\N	El cursor identificado en una sentencia OPEN ya está abierto.	\N	\N	\N
1000151	db_24504	toba	error	\N	El cursor identificado en la sentencia UPDATE, DELETE, SET o GET no está situado en una fila.	\N	\N	\N
1000152	db_24506	toba	error	\N	La sentencia identificada en PREPARE es la sentencia de un cursor abierto.	\N	\N	\N
1000153	db_24510	toba	error	\N	Se ha intentado realizar una operación UPDATE o DELETE contra un orificio de supresión o de actualización.	\N	\N	\N
1000154	db_24512	toba	error	\N	La tabla de resultados no coincide con la tabla base.	\N	\N	\N
1000155	db_24513	toba	error	\N	FETCH NEXT, PRIOR, CURRENT o RELATIVE no están permitidos porque la posición del cursor es desconocida.	\N	\N	\N
1000156	db_24514	toba	error	\N	Un error anterior ha inhabilitado este cursor.	\N	\N	\N
1000157	db_24516	toba	error	\N	Ya se ha asignado un cursor a un conjunto de resultados.	\N	\N	\N
1000158	db_24517	toba	error	\N	Una función o método externo ha dejado un cursor abierto.	\N	\N	\N
1000159	db_25000	toba	error	\N	Una operación de inserción, actualización o supresión no es válida en el contexto en el que se ha especificado.	\N	\N	\N
1000160	db_25001	toba	error	\N	La sentencia sólo se admite como primera sentencia de una unidad de trabajo.	\N	\N	\N
1000161	db_25501	toba	error	\N	La sentencia sólo se admite como primera sentencia de una unidad de trabajo.	\N	\N	\N
1000162	db_25502	toba	error	\N	La operación no se puede realizar varias veces en una sola transacción.	\N	\N	\N
1000163	db_26501	toba	error	\N	La sentencia identificada no existe.	\N	\N	\N
1000164	db_27000	toba	error	\N	Se ha realizado un intento de modificar la tabla de destino de la sentencia MERGE mediante una restricción o un activador.	\N	\N	\N
1000165	db_28000	toba	error	\N	El nombre de autorización no es válido.	\N	\N	\N
1000166	db_2D521	toba	error	\N	SQL COMMIT o ROLLBACK no son válidas en el entorno operativo actual.	\N	\N	\N
1000167	db_2D522	toba	error	\N	COMMIT y ROLLBACK no están permitidas en una sentencia ATOMIC compuesta.	\N	\N	\N
1000168	db_2D528	toba	error	\N	Un COMMIT dinámico no es válida para el entorno de ejecución de la aplicación.	\N	\N	\N
1000169	db_2D529	toba	error	\N	Una ROLLBACK dinámica no es válida para el entorno de ejecución de la aplicación.	\N	\N	\N
1000170	db_2E000	toba	error	\N	El nombre de conexión no es válido.	\N	\N	\N
1000171	db_34000	toba	error	\N	El nombre del cursor no es correcto.	\N	\N	\N
1000172	db_36001	toba	error	\N	No se puede definir un cursor SENSITIVE para la sentencia select especificada.	\N	\N	\N
1000173	db_38XXX	toba	error	\N	Mensajes SQLSTATE de error válido devueltos por una rutina externa o un activador.	\N	\N	\N
1000174	db_38001	toba	error	\N	La rutina externa no tiene permiso para ejecutar sentencias de SQL.	\N	\N	\N
1000175	db_38002	toba	error	\N	La rutina ha intentado modificar datos, pero no estaba definida como MODIFIES SQL DATA.	\N	\N	\N
1000176	db_38003	toba	error	\N	La sentencia no se permite en una rutina.	\N	\N	\N
1000177	db_38004	toba	error	\N	La rutina ha intentado leer datos, pero no estaba definida como READS SQL DATA.	\N	\N	\N
1000178	db_38501	toba	error	\N	Se ha producido un error mientras se llamaba a una función definida por el usuario, un procedimiento externo o un activador (mediante el convenio de llamada SIMPLE CALL o SIMPLE CALL WITH NULLS).	\N	\N	\N
1000179	db_38502	toba	error	\N	La función externa no puede ejecutar sentencias de SQL.	\N	\N	\N
1000180	db_38503	toba	error	\N	Una función definida por el usuario ha finalizado anormalmente (abend).	\N	\N	\N
1000181	db_38504	toba	error	\N	Una función definida por el usuario ha sido interrumpida por el usuario para detener una posible condición de bucle.	\N	\N	\N
1000182	db_38505	toba	error	\N	No está permitida una sentencia de SQL en una rutina para una FINAL CALL.	\N	\N	\N
1000183	db_38506	toba	error	\N	La función ha fallado con un error procedente del proveedor OLE DB.	\N	\N	\N
1000184	db_38552	toba	error	\N	Una función del SYSFUN (suministrado por IBM) ha finalizado anormalmente.	\N	\N	\N
1000185	db_38553	toba	error	\N	Una rutina de un esquema del sistema ha finalizado sin error.	\N	\N	\N
1000186	db_38H01	toba	error	\N	Una función de MQSeries no ha conseguido inicializarse.	\N	\N	\N
1000187	db_38H02	toba	error	\N	La Interfaz de mensajes de aplicación de MQSeries no ha conseguido terminar la sesión.	\N	\N	\N
1000188	db_38H03	toba	error	\N	La Interfaz de mensajes de aplicación de MQSeries no ha conseguido procesar correctamente un mensaje.	\N	\N	\N
1000189	db_38H04	toba	error	\N	La Interfaz de mensajes de aplicación de MQSeries no ha conseguido enviar un mensaje.	\N	\N	\N
1000190	db_38H05	toba	error	\N	La Interfaz de mensajes de aplicación de MQSeries no ha conseguido leer/recibir un mensaje.	\N	\N	\N
1000191	db_38H06	toba	error	\N	La petición de (des)suscripción de la Interfaz de mensajes de aplicación de MQSeries ha fallado.	\N	\N	\N
1000192	db_38H07	toba	error	\N	La Interfaz de mensajes de aplicación de MQSeries no ha conseguido confirmar la unidad de trabajo.	\N	\N	\N
1000193	db_38H08	toba	error	\N	Error de política de la Interfaz de mensajes de aplicación de MQSeries.	\N	\N	\N
1000194	db_38H09	toba	error	\N	Error de llamada a la API de MQSeries XA (confirmación de dos fases).	\N	\N	\N
1000195	db_38H0A	toba	error	\N	La interfaz de mensajes de aplicación de MQSeries no ha conseguido retrotraer la unidad de trabajo.	\N	\N	\N
1000196	db_39001	toba	error	\N	Una función definida por el usuario ha devuelto un SQLSTATE no válido.	\N	\N	\N
1000197	db_39004	toba	error	\N	No se permite un valor nulo para un argumento IN o INOUT.	\N	\N	\N
1000198	db_39501	toba	error	\N	El valor llamativo de un argumento se ha modificado.	\N	\N	\N
1000199	db_3B001	toba	error	\N	El punto de salvaguarda no es válido.	\N	\N	\N
1000200	db_3B002	toba	error	\N	Se ha alcanzado el número máximo de puntos de salvaguarda.	\N	\N	\N
1000201	db_3B501	toba	error	\N	Se ha detectado un nombre de punto de salvaguarda duplicado.	\N	\N	\N
1000202	db_3B502	toba	error	\N	Se especificó RELEASE o ROLLBACK TO SAVEPOINT, pero no existe un punto de salvaguarda.	\N	\N	\N
1000203	db_3B503	toba	error	\N	No se permite SAVEPOINT, RELEASE SAVEPOINT o ROLLBACK TO SAVEPOINT en una transacción global o activador.	\N	\N	\N
1000204	db_40001	toba	error	\N	Se ha producido un punto muerto o un tiempo de espera con retrotracción automática.	\N	\N	\N
1000205	db_40003	toba	error	\N	La realización de la sentencia es desconocida.	\N	\N	\N
1000206	db_40504	toba	error	\N	Un error del sistema ha provocado la retrotracción de la unidad de trabajo.	\N	\N	\N
1000207	db_40506	toba	error	\N	La transacción actual se ha retrotraído debido a un error SQL.	\N	\N	\N
1000208	db_40507	toba	error	\N	La transacción actual se ha retrotraído como resultado de una anomalía en la creación de un índice.	\N	\N	\N
1000209	db_42501	toba	error	\N	El ID de autorización no tiene el privilegio para poder realizar la operación especificada en el objeto identificado.	\N	\N	\N
1000210	db_42502	toba	error	\N	El ID de autorización no tiene el privilegio para poder realizar la operación tal como se había especificado.	\N	\N	\N
1000211	db_42504	toba	error	\N	Un privilegio especificado no se puede revocar desde un nombre de autorización especificado.	\N	\N	\N
1000212	db_42506	toba	error	\N	Se ha producido una anomalía de autorización del propietario.	\N	\N	\N
1000213	db_42508	toba	error	\N	Los privilegios especificados para la base de datos no pueden garantizarse a PUBLIC.	\N	\N	\N
1000214	db_42509	toba	error	\N	La sentencia de SQL no está autorizada debido a la opción STATICRULES.	\N	\N	\N
1000215	db_42511	toba	error	\N	No se puede recuperar un valor de DATALINK.	\N	\N	\N
1000216	db_42601	toba	error	\N	Un carácter, símbolo o cláusula no es válida o no se encuentra.	\N	\N	\N
1000217	db_42602	toba	error	\N	Se ha detectado un carácter no válido en un nombre.	\N	\N	\N
1000218	db_42603	toba	error	\N	Se ha detectado una constante de serie no determinada.	\N	\N	\N
1000219	db_42604	toba	error	\N	Se ha detectado una constante de serie o una constante numérica no válida.	\N	\N	\N
1000220	db_42605	toba	error	\N	El número de argumentos especificado para una función escalar no es válido.	\N	\N	\N
1000221	db_42606	toba	error	\N	Se ha detectado una constante hexadecimal no válida.	\N	\N	\N
1000222	db_42607	toba	error	\N	Un operando de una función de columna no es válido.	\N	\N	\N
1000223	db_42608	toba	error	\N	El uso de NULL o DEFAULT en VALUES no es válido.	\N	\N	\N
1000224	db_42609	toba	error	\N	Todos los operandos de un operador o predicado son marcadores de parámetro.	\N	\N	\N
1000225	db_42610	toba	error	\N	No se admite un marcador de parámetro.	\N	\N	\N
1000226	db_42611	toba	error	\N	La definición de columna o argumento no es válida.	\N	\N	\N
1000227	db_42612	toba	error	\N	La serie de la sentencia es una sentencia de SQL que no se puede aceptar en el contexto que se encuentra.	\N	\N	\N
1000228	db_42613	toba	error	\N	Las cláusulas se excluyen mutuamente.	\N	\N	\N
1000229	db_42614	toba	error	\N	Una palabra clave duplicada no es válida.	\N	\N	\N
1000230	db_42615	toba	error	\N	Se ha detectado una alternativa no válida.	\N	\N	\N
1000231	db_42616	toba	error	\N	Se han especificado opciones no válidas.	\N	\N	\N
1000232	db_42617	toba	error	\N	La serie de sentencia está en blanco o vacía.	\N	\N	\N
1000233	db_42618	toba	error	\N	No se admite una variable de sistema principal.	\N	\N	\N
1000234	db_42620	toba	error	\N	Se ha especificado SCROLL de sólo lectura con la cláusula UPDATE.	\N	\N	\N
1000235	db_42621	toba	error	\N	La restricción de comprobación no es válida.	\N	\N	\N
1000236	db_42622	toba	error	\N	La longitud de un nombre o de una etiqueta es demasiado larga.	\N	\N	\N
1000237	db_42623	toba	error	\N	No se puede especificar una cláusula DEFAULT.	\N	\N	\N
1000238	db_42625	toba	error	\N	Una expresión CASE no es válida.	\N	\N	\N
1000239	db_42627	toba	error	\N	La cláusula RETURNS debe especificarse con anterioridad a una especificación de predicado utilizando la cláusula EXPRESSION AS.	\N	\N	\N
1000240	db_42628	toba	error	\N	Una función de transformación TO SQL o FROM SQL se define más de una vez en una definición de transformación.	\N	\N	\N
1000241	db_42629	toba	error	\N	Los nombres de parámetros deben estar estar especificados para rutinas SQL.	\N	\N	\N
1000242	db_42630	toba	error	\N	Una declaración de variable SQLSTATE o SQLCODE no debe estar en una sentencia compuesta anidada.	\N	\N	\N
1000243	db_42631	toba	error	\N	Una sentencia RETURN en una función o método SQL debe incluir un valor de retorno.	\N	\N	\N
1000244	db_42634	toba	error	\N	El nombre XML no es válido.	\N	\N	\N
1000245	db_42635	toba	error	\N	El prefijo del espacio de tabla XML no es válido.	\N	\N	\N
1000246	db_42701	toba	error	\N	Se ha detectado un nombre de columna duplicado en una operación de inserción o actualización, o bien la sentencia SET de variable de transición.	\N	\N	\N
1000247	db_42702	toba	error	\N	Una referencia de columna es ambigua debido a los nombres duplicados.	\N	\N	\N
1000248	db_42703	toba	error	\N	Se ha detectado un nombre de parámetro, atributo o columna no definidos.	\N	\N	\N
1000249	db_42704	toba	error	\N	Se ha detectado un objeto no definido o un nombre de restricción.	\N	\N	\N
1000250	db_42705	toba	error	\N	Se ha detectado un nombre de servidor no definido.	\N	\N	\N
1000251	db_42707	toba	error	\N	Un nombre de columna en ORDER BY no identifica a ninguna columna de la tabla resultante.	\N	\N	\N
1000252	db_42709	toba	error	\N	Se ha detectado un nombre de columna duplicado en una cláusula PRIMARY, UNIQUE o FOREIGN KEY.	\N	\N	\N
1000253	db_42710	toba	error	\N	Se ha detectado un objeto o un nombre de restricción duplicado.	\N	\N	\N
1000254	db_42711	toba	error	\N	Se ha detectado un nombre de columna o un nombre de atributo duplicado en la definición de objeto o sentencia ALTER TABLE.	\N	\N	\N
1000255	db_42712	toba	error	\N	Un designador de tabla duplicado se ha detectado en la cláusula FROM.	\N	\N	\N
1000256	db_42713	toba	error	\N	Se ha detectado un objeto duplicado en una lista de objetos.	\N	\N	\N
1000257	db_42720	toba	error	\N	El nombre de nodo de la base de datos remota no se encuentra en el directorio de nodos.	\N	\N	\N
1000258	db_42723	toba	error	\N	Ya existe en el esquema una función con la misma signatura.	\N	\N	\N
1000259	db_42724	toba	error	\N	No se puede acceder a un programa externo que se utiliza para una función o procedimiento definido por el usuario.	\N	\N	\N
1000260	db_42725	toba	error	\N	Se ha hecho referencia directa a una función o método (no por parte de la signatura ni por parte del nombre de instancia específico) pero existe más de una instancia específica de esa función o método.	\N	\N	\N
1000261	db_42726	toba	error	\N	Se han detectado nombres duplicados para las tablas derivadas con nombre.	\N	\N	\N
1000262	db_42727	toba	error	\N	En la nueva tabla no existe el espacio de tabla principal por omisión.	\N	\N	\N
1000263	db_42728	toba	error	\N	Se ha detectado un nodo duplicado en la definición de grupo de nodos.	\N	\N	\N
1000264	db_42729	toba	error	\N	El nodo no está definido.	\N	\N	\N
1000265	db_42730	toba	error	\N	El nombre de contenedor ya está siendo utilizado por otro espacio de tabla.	\N	\N	\N
1000266	db_42731	toba	error	\N	El nombre de contenedor ya está siendo utilizado por este espacio de tabla.	\N	\N	\N
1000267	db_42732	toba	error	\N	Se ha detectado un nombre de esquema duplicado en la sentencia SET CURRENT PATH.	\N	\N	\N
1000268	db_42734	toba	error	\N	Se ha detectado un nombre de parámetro duplicado, un nombre de variable de SQL, un nombre de cursos, un nombre de condición o una etiqueta.	\N	\N	\N
1000269	db_42735	toba	error	\N	No se ha definido el grupo de nodos del espacio de tabla para la agrupación de almacenamientos intermedios.	\N	\N	\N
1000270	db_42736	toba	error	\N	La etiqueta especificada en la sentencia LEAVE no se encuentra o no es válida.	\N	\N	\N
1000271	db_42737	toba	error	\N	No se ha definido la condición especificada en el manejador.	\N	\N	\N
1000272	db_42738	toba	error	\N	Un nombre de columna duplicado o una columna sin nombre se especificó en una sentencia DECLARE CURSOR de una sentencia FOR.	\N	\N	\N
1000273	db_42739	toba	error	\N	Se ha detectado una transformación duplicada.	\N	\N	\N
1000274	db_42740	toba	error	\N	No se han encontrado transformaciones para el tipo especificado. No se han descartado transformaciones.	\N	\N	\N
1000275	db_42741	toba	error	\N	No se ha definido un grupo de transformación para un tipo de datos.	\N	\N	\N
1000276	db_42742	toba	error	\N	Ya existe una subtabla o subvista del mismo tipo en la jerarquía de vistas o tablas de tipo.	\N	\N	\N
1000277	db_42743	toba	error	\N	El método de búsqueda no se ha encontrado en la extensión de índices.	\N	\N	\N
1000278	db_42744	toba	error	\N	No se ha definido una función de transformación TO SQL o FROM SQL en un grupo de transformación.	\N	\N	\N
1000279	db_42745	toba	error	\N	La rutina definiría una relación predominante con un método existente.	\N	\N	\N
1000280	db_42746	toba	error	\N	Un nombre de método no puede ser el mismo que un nombre de un tipo estructurado en el mismo tipo de jerarquía.	\N	\N	\N
1000281	db_42748	toba	error	\N	La vía de acceso del almacenamiento ya existe para la base de datos o se ha especificado más de una vez.	\N	\N	\N
1000282	db_42802	toba	error	\N	El número de valores de inserción o actualización no es el mismo que el número de columnas.	\N	\N	\N
1000283	db_42803	toba	error	\N	Una referencia de columna de la cláusula SELECT o HAVING no es válida porque no es una columna de agrupamiento, o una referencia de columna de la cláusula GROUP BY no es válida.	\N	\N	\N
1000284	db_42804	toba	error	\N	Las expresiones resultantes de una expresión CASE no son compatibles.	\N	\N	\N
1000285	db_42805	toba	error	\N	Un entero de la cláusula ORDER BY no identifica a ninguna columna de la tabla resultante.	\N	\N	\N
1000286	db_42806	toba	error	\N	No puede asignarse ningún valor a una variable de sistema principal porque los tipos de datos no son compatibles.	\N	\N	\N
1000287	db_42807	toba	error	\N	INSERT, UPDATE o DELETE no se admiten en este objeto.	\N	\N	\N
1000288	db_42808	toba	error	\N	Una columna identificada en la operación de inserción o actualización no se puede actualizar.	\N	\N	\N
1000289	db_42809	toba	error	\N	El objeto identificado no es el tipo de objeto al que se aplica la sentencia.	\N	\N	\N
1000290	db_42810	toba	error	\N	Una tabla base no está definida en una cláusula FOREIGN KEY.	\N	\N	\N
1000291	db_42811	toba	error	\N	El número de columnas especificado no es el mismo que el número de columnas de la cláusula SELECT.	\N	\N	\N
1000292	db_42813	toba	error	\N	WITH CHECK OPTION no se pueden utilizar para la vista especificada.	\N	\N	\N
1000293	db_42815	toba	error	\N	El tipo de datos, la longitud, la escala, el valor o CCSID no son válidos.	\N	\N	\N
1000294	db_42816	toba	error	\N	Un valor de hora y fecha o la duración en una expresión no son válidos.	\N	\N	\N
1000295	db_42818	toba	error	\N	Los operandos de un operador o función no son compatibles.	\N	\N	\N
1000296	db_42819	toba	error	\N	Un operando de una operación aritmética o un operando de una función que necesita un número no es ningún número.	\N	\N	\N
1000297	db_42820	toba	error	\N	Una constante numérica es demasiado larga o tiene un valor que no se encuentra dentro del rango de su tipo de datos.	\N	\N	\N
1000298	db_42821	toba	error	\N	Un valor de actualización o inserción no es compatible con la columna.	\N	\N	\N
1000299	db_42823	toba	error	\N	Se devuelven columnas múltiples desde una subconsulta que sólo permite una columna.	\N	\N	\N
1000300	db_42824	toba	error	\N	Un operando de LIKE no es una serie o el primer operando no es una columna.	\N	\N	\N
1000301	db_42825	toba	error	\N	Las filas de UNION, INTERSECT, EXCEPT o VALUES no tiene columnas compatibles.	\N	\N	\N
1000302	db_42826	toba	error	\N	Las filas de UNION, INTERSECT, EXCEPT o VALUES no tienen el mismo número de columnas.	\N	\N	\N
1000303	db_42827	toba	error	\N	La tabla identificada en UPDATE o DELETE no es la misma tabla designada por el cursor.	\N	\N	\N
1000304	db_42828	toba	error	\N	La tabla designada por el cursor de la sentencia UPDATE o DELETE no se puede modificar o el cursor es de sólo lectura.	\N	\N	\N
1000305	db_42829	toba	error	\N	FOR UPDATE OF no es válida porque la tabla resultante designada por el cursor no se puede modificar.	\N	\N	\N
1000306	db_42830	toba	error	\N	La clave externa no coincide con la descripción de la clave principal.	\N	\N	\N
1000307	db_42831	toba	error	\N	Una columna de una clave primaria o única no admite valores nulos.	\N	\N	\N
1000308	db_42832	toba	error	\N	La operación no se admite en objetos de sistemas.	\N	\N	\N
1000309	db_42834	toba	error	\N	No se puede especificar SET NULL porque no se le puede asignar el valor nulo a ninguna columna de la clave foránea.	\N	\N	\N
1000310	db_42835	toba	error	\N	Las referencias cíclicas no se pueden especificar entre tablas derivadas con nombre.	\N	\N	\N
1000311	db_42836	toba	error	\N	La especificación de una tabla derivada con nombre y repetitiva no es válida.	\N	\N	\N
1000312	db_42837	toba	error	\N	No se puede modificar la columna porque sus atributos no son compatibles con los atributos de columna actuales.	\N	\N	\N
1000313	db_42838	toba	error	\N	Se ha detectado el uso no válido de un espacio de tabla.	\N	\N	\N
1000314	db_42839	toba	error	\N	Los índices y las columnas largas no pueden encontrarse en espacios de tabla separados de la tabla.	\N	\N	\N
1000315	db_42840	toba	error	\N	Se ha detectado el uso no válido de la opción AS CAST.	\N	\N	\N
1000316	db_42841	toba	error	\N	Un marcador de parámetro no puede ser un tipo definido por el usuario ni un tipo de referencia.	\N	\N	\N
1000317	db_42842	toba	error	\N	Una definición de columna no es válida porque una opción especificada no es coherente con la descripción de columna.	\N	\N	\N
1000318	db_42845	toba	error	\N	Se ha detectado el uso no válido de una función VARIANT o EXTERNAL.	\N	\N	\N
1000319	db_42846	toba	error	\N	No se da soporte a la conversión del tipo de origen al tipo de destino.	\N	\N	\N
1000320	db_42852	toba	error	\N	Los privilegios especificados en GRANT o REVOKE no son válidos o no son coherentes (por ejemplo, GRANT ALTER en una vista.)	\N	\N	\N
1000321	db_42853	toba	error	\N	Se han especificado las dos alternativas de una opción, o bien se ha especificado la misma opción más de una vez.	\N	\N	\N
1000322	db_42854	toba	error	\N	Un tipo de datos de la columna de resultados de la lista de selección no es compatible con el tipo definido en una definición de tabla de consultas materializadas o vista de tipo.	\N	\N	\N
1000323	db_42855	toba	error	\N	No se permite la asignación del LOB a esta variable del sistema principal. La variable del sistema principal destino para todas las búsquedas y cargas de este valor LOB de este cursor debe ser un localizador o una variable LOB.	\N	\N	\N
1000324	db_42858	toba	error	\N	La operación no se puede aplicar al objeto especificado.	\N	\N	\N
1000325	db_42863	toba	error	\N	Se ha detectado una variable no definida de sistema principal en REXX.	\N	\N	\N
1000326	db_42866	toba	error	\N	El tipo de datos de cualquier cláusula RETURNS de la cláusula CAST FROM de la sentencia CREATE FUNCTION no es el adecuado para el tipo de datos devueltos desde la función de origen o la sentencia RETURN del cuerpo de funciones.	\N	\N	\N
1000327	db_42867	toba	error	\N	Se han especificado opciones que entran en conflicto.	\N	\N	\N
1000328	db_42872	toba	error	\N	Las cláusulas de la sentencia FETCH son incompatibles con la definición de cursor.	\N	\N	\N
1000329	db_42875	toba	error	\N	El objeto que se debe crear en CREATE SCHEMA debe tener el mismo calificador que el nombre de esquema.	\N	\N	\N
1000330	db_42877	toba	error	\N	El nombre de columna no se puede calificar.	\N	\N	\N
1000331	db_42878	toba	error	\N	Una función o nombre de procedimiento no válido se ha utilizado con la palabra clave EXTERNAL.	\N	\N	\N
1000332	db_42879	toba	error	\N	El tipo de datos de uno o varios parámetros de entrada de la sentencia CREATE FUNCTION no es el adecuado para el correspondiente tipo de datos de la función de origen.	\N	\N	\N
1000333	db_42880	toba	error	\N	Los tipos de datos CAST TO y CAST FROM son incompatibles o siempre provocarán el truncamiento de una serie fija.	\N	\N	\N
1000334	db_42881	toba	error	\N	Uso no válido de una función basada en la fila.	\N	\N	\N
1000335	db_42882	toba	error	\N	El calificador de nombre de instancia específico no es el mismo que el calificador de nombre de función.	\N	\N	\N
1000336	db_42883	toba	error	\N	No se ha encontrado ninguna función o método que tenga la misma signatura.	\N	\N	\N
1000337	db_42884	toba	error	\N	No se ha encontrado ninguna rutina con el nombre especificado y los argumentos compatibles.	\N	\N	\N
1000338	db_42885	toba	error	\N	El número de parámetros de entrada especificado en una sentencia CREATE FUNCTION no coincide con el número proporcionado por la función denominada en la cláusula SOURCE.	\N	\N	\N
1000339	db_42886	toba	error	\N	Los atributos de parámetro IN, OUT o INOUT no coinciden.	\N	\N	\N
1000340	db_42887	toba	error	\N	La función no es válida en el contexto en el que tiene lugar.	\N	\N	\N
1000341	db_42888	toba	error	\N	La tabla no tiene una clave primaria.	\N	\N	\N
1000342	db_42889	toba	error	\N	La tabla ya tiene una clave primaria.	\N	\N	\N
1000343	db_42890	toba	error	\N	Se ha especificado una lista de columna en la cláusula de referencias pero la tabla padre identificada no tiene una restricción de unicidad con los nombres de columna especificados.	\N	\N	\N
1000344	db_42891	toba	error	\N	Ya existe una restricción UNIQUE duplicada.	\N	\N	\N
1000345	db_42893	toba	error	\N	El objeto o la restricción no se pueden descartar porque otros objetos dependen de este objeto o restricción.	\N	\N	\N
1000346	db_42894	toba	error	\N	El valor DEFAULT no es válido.	\N	\N	\N
1000347	db_42895	toba	error	\N	Para el SQL estático no se puede utilizar una variable de sistema principal porque su tipo de datos no es compatible con el parámetro de un procedimiento o la función definida por el usuario.	\N	\N	\N
1000348	db_428A0	toba	error	\N	Se ha producido un error con la función de origen en la que se basa la función definida por el usuario.	\N	\N	\N
1000349	db_428A1	toba	error	\N	No se puede acceder a un archivo al que una variable de archivo de sistema principal hace referencia.	\N	\N	\N
1000350	db_428A2	toba	error	\N	No se puede asignar una tabla a un grupo de varios nodos porque no tiene una clave de partición.	\N	\N	\N
1000351	db_428A3	toba	error	\N	Se ha especificado una vía de acceso no válida para un supervisor de sucesos.	\N	\N	\N
1000352	db_428A4	toba	error	\N	Se ha especificado un valor no válido para una opción del supervisor de sucesos.	\N	\N	\N
1000353	db_428A5	toba	error	\N	Una tabla de excepción que se menciona en una sentencia SET INTEGRITY no tiene la estructura adecuada o se ha definido con columnas generadas, restricciones o activadores.	\N	\N	\N
1000354	db_428A6	toba	error	\N	Una tabla de excepción que se menciona en una sentencia SET INTEGRITY no puede ser la misma que una de las tablas que se están comprobando.	\N	\N	\N
1000355	db_428A7	toba	error	\N	Hay una discrepancia en el número de tablas que se están comprobando y en el número de tablas de excepciones especificadas en la sentencia SET INTEGRITY.	\N	\N	\N
1000356	db_428A8	toba	error	\N	No se puede restablecer el estado de pendiente de comprobación mediante la sentencia SET INTEGRITY en una tabla descendiente mientras la tabla padre se encuentra en estado de pendiente de comprobación.	\N	\N	\N
1000357	db_428A9	toba	error	\N	El rango del nodo no es válido.	\N	\N	\N
1000358	db_428AA	toba	error	\N	El nombre de columna no es una columna válida para una tabla de supervisor de sucesos.	\N	\N	\N
1000359	db_428B0	toba	error	\N	Anidamiento ilícito dentro de ROLLUP, CUBE o GROUPING SETS.	\N	\N	\N
1000360	db_428B1	toba	error	\N	Número incorrecto de especificaciones de contenedor de espacio de tabla que no se han designado para nodos específicos.	\N	\N	\N
1000361	db_428B2	toba	error	\N	El nombre de la vía de acceso del contenedor no es válido.	\N	\N	\N
1000362	db_428B3	toba	error	\N	Se ha especificado un SQLSTATE no válido.	\N	\N	\N
1000363	db_428B7	toba	error	\N	El número especificado en la sentencia de SQL está fuera del rango válido.	\N	\N	\N
1000364	db_428BO	toba	error	\N	No se ha podido crear ningún plan para la fuente de datos federados.	\N	\N	\N
1000365	db_428C0	toba	error	\N	El nodo no se puede descartar porque es el único nodo del grupo de nodos.	\N	\N	\N
1000366	db_428C1	toba	error	\N	Sólo se puede especificar una columna ROWID para una tabla.	\N	\N	\N
1000367	db_428C2	toba	error	\N	El examen del cuerpo de funciones indica que la cláusula en concreto debería haberse especificado en la sentencia CREATE FUNCTION.	\N	\N	\N
1000368	db_428C4	toba	error	\N	El número de elementos en cada lado del operador del predicado no es el mismo.	\N	\N	\N
1000369	db_428C5	toba	error	\N	No se ha encontrado ninguna correlación de tipo de datos para un tipo de datos desde la fuente de datos.	\N	\N	\N
1000370	db_428C9	toba	error	\N	Una columna ROWID no se puede especificar como la columna de destino de INSERT o UPDATE.	\N	\N	\N
1000371	db_428CA	toba	error	\N	Una tabla en modalidad de agregación no puede tener un índice con clusters.	\N	\N	\N
1000372	db_428CB	toba	error	\N	El tamaño de página para un espacio de tabla debe corresponderse con el tamaño de página de la agrupación de almacenamientos intermedios asociada.	\N	\N	\N
1000373	db_428D1	toba	error	\N	No se puede acceder a un archivo al que hace referencia un valor de DATALINK.	\N	\N	\N
1000374	db_428D4	toba	error	\N	No se puede hacer referencia en una sentencia OPEN, CLOSE o FETCH a un curso especificado en una sentencia FOR.	\N	\N	\N
1000375	db_428D5	toba	error	\N	La etiqueta final no coincide con la etiqueta inicial.	\N	\N	\N
1000376	db_428D6	toba	error	\N	No se permite UNDO en sentencias NOT ATOMIC.	\N	\N	\N
1000377	db_428D7	toba	error	\N	No se permite el valor de la condición.	\N	\N	\N
1000378	db_428D8	toba	error	\N	La declaración o el uso de la variable SQLSTATE o SQLCODE no es válido.	\N	\N	\N
1000379	db_428DB	toba	error	\N	El objeto no es válido como supertipo, supertabla o supervista.	\N	\N	\N
1000380	db_428DC	toba	error	\N	La función o método no es válido como transformación para este tipo.	\N	\N	\N
1000381	db_428DD	toba	error	\N	No se ha definido una transformación obligatoria.	\N	\N	\N
1000382	db_428DE	toba	error	\N	El valor de PAGESIZE no está soportado.	\N	\N	\N
1000383	db_428DF	toba	error	\N	Los tipos de datos especificados en CREATE CAST no son válidos.	\N	\N	\N
1000384	db_428DG	toba	error	\N	La función especificada en CREATE CAST no es válida.	\N	\N	\N
1000385	db_428DH	toba	error	\N	La operación no es válida para las tablas con tipo.	\N	\N	\N
1000386	db_428DJ	toba	error	\N	La columna heredada o atributo no puede cambiarse o descartarse.	\N	\N	\N
1000387	db_428DK	toba	error	\N	El ámbito para la columna de referencia ya está definido.	\N	\N	\N
1000388	db_428DL	toba	error	\N	El parámetro de la función externa o con fuente (SOURCE) tiene un ámbito definido.	\N	\N	\N
1000389	db_428DM	toba	error	\N	La tabla o vista de ámbito no es válida para el tipo de referencia.	\N	\N	\N
1000390	db_428DN	toba	error	\N	SCOPE no se ha especificado en la cláusula RETURNS de una función externa o se ha especificado en la cláusula RETURNS de una función con fuente (SOURCE).	\N	\N	\N
1000391	db_428DP	toba	error	\N	El tipo no es un tipo estructurado.	\N	\N	\N
1000392	db_428DQ	toba	error	\N	Una subtabla o una subvista no puede tener un nombre de esquema diferente de la supertabla o la supervista.	\N	\N	\N
1000393	db_428DR	toba	error	\N	La operación no puede aplicarse a una subtabla.	\N	\N	\N
1000394	db_428DS	toba	error	\N	El índice de las columnas específicas no puede definirse en la subtabla.	\N	\N	\N
1000395	db_428DT	toba	error	\N	El operando de expresión no es un tipo de referencia con ámbito válido.	\N	\N	\N
1000396	db_428DU	toba	error	\N	Un tipo no está incluido en la jerarquía de tipo necesaria.	\N	\N	\N
1000397	db_428DV	toba	error	\N	Operando izquierdo no válido de un operador no referenciado.	\N	\N	\N
1000398	db_428DW	toba	error	\N	No puede hacerse referencia a la columna de identificador de objeto utilizando el operador no referenciado.	\N	\N	\N
1000399	db_428DX	toba	error	\N	Se necesita la columna de identificador de objeto para definir la tabla o la vista raíz de una jerarquía de tablas o vistas de tipo.	\N	\N	\N
1000400	db_428DY	toba	error	\N	No se pueden actualizar las estadísticas para el tipo de objeto de destino.	\N	\N	\N
1000401	db_428DZ	toba	error	\N	No se puede actualizar la columna de identificador de objeto.	\N	\N	\N
1000402	db_428E0	toba	error	\N	La definición del índice no coincide con la definición de la extensión del índice.	\N	\N	\N
1000403	db_428E1	toba	error	\N	El resultado de la función de tabla que produce el rango es incoherente con el de la función de tabla de transformación de claves para la extensión de índices.	\N	\N	\N
1000404	db_428E2	toba	error	\N	El número o tipo de los parámetros de destino-clave no coincide con el número o tipo de la función de transformación de claves para la extensión de índices.	\N	\N	\N
1000405	db_428E3	toba	error	\N	No es válido el argumento para la función en la extensión de índices.	\N	\N	\N
1000406	db_428E4	toba	error	\N	La función no está soportada en la sentencia CREATE INDEX EXTENSION.	\N	\N	\N
1000407	db_428E5	toba	error	\N	La cláusula SELECTIVITY sólo se puede especificar con un predicado definido por el usuario.	\N	\N	\N
1000408	db_428E6	toba	error	\N	El argumento de búsqueda del método del predicado definido por el usuario no coincide con el del método de búsqueda correspondiente de la extensión de índices.	\N	\N	\N
1000409	db_428E7	toba	error	\N	El tipo del operando que va a continuación del operador de comparación del predicado definido por el usuario no coincide con el tipo de datos RETURNS.	\N	\N	\N
1000410	db_428E8	toba	error	\N	Un destino de búsqueda o parámetro de argumento de búsqueda no coincide con un nombre de parámetro de la función que se está creando.	\N	\N	\N
1000411	db_428E9	toba	error	\N	Un nombre de parámetro de argumento no puede aparecer como destino de búsqueda y argumento de búsqueda en la misma regla de explotación.	\N	\N	\N
1000412	db_428EA	toba	error	\N	Una selección completa en una vista de tipo no es válida.	\N	\N	\N
1000464	db_428G8	toba	error	\N	No se puede habilitar la vista para la optimización de consultas.	\N	\N	\N
1000413	db_428EB	toba	error	\N	Una columna de una supervista sólo se puede leer cuando la columna correspondiente en la supervista se puede actualizar.	\N	\N	\N
1000414	db_428EC	toba	error	\N	La selección completa especificada para la tabla de consultas materializadas no es válida.	\N	\N	\N
1000415	db_428ED	toba	error	\N	No se pueden crear los tipos estructurados con los atributos de tipo Enlace de datos o Referencia.	\N	\N	\N
1000416	db_428EE	toba	error	\N	La opción no es válida para esta fuente de datos.	\N	\N	\N
1000417	db_428EF	toba	error	\N	El valor de la opción no es válido para esta fuente de datos.	\N	\N	\N
1000418	db_428EG	toba	error	\N	Falta una opción necesaria para esta fuente de datos.	\N	\N	\N
1000419	db_428EH	toba	error	\N	No se puede ejecutar el mandato ADD sobre una opción ya definida.	\N	\N	\N
1000420	db_428EJ	toba	error	\N	No se puede ejecutar el mandato SET ni DROP sobre una opción que no se ha añadido.	\N	\N	\N
1000421	db_428EK	toba	error	\N	El calificador para un nombre de tabla temporal global declarada debe ser SESSION.	\N	\N	\N
1000422	db_428EL	toba	error	\N	No es válido el uso de una función de transformación con una función o método.	\N	\N	\N
1000423	db_428EM	toba	error	\N	La cláusula TRANSFORM GROUP es obligatoria.	\N	\N	\N
1000424	db_428EN	toba	error	\N	Se ha especificado un grupo de transformación que no se usa.	\N	\N	\N
1000425	db_428EP	toba	error	\N	Un tipo estructurado no puede depender de sí mismo directa o indirectamente.	\N	\N	\N
1000426	db_428EQ	toba	error	\N	El tipo devuelto de la rutina no es el mismo que el tipo tema.	\N	\N	\N
1000427	db_428ER	toba	error	\N	No se puede descartar una especificación de método antes de que se descarte el cuerpo del método.	\N	\N	\N
1000428	db_428ES	toba	error	\N	Un cuerpo de método no correspondo con el tipo de lenguaje de la especificación de método.	\N	\N	\N
1000429	db_428EU	toba	error	\N	No se ha especificado TYPE o VERSION en la definición del servidor.	\N	\N	\N
1000430	db_428EV	toba	error	\N	El tipo de fuente de datos no soporta el recurso de paso a través.	\N	\N	\N
1000431	db_428EW	toba	error	\N	La tabla no se puede convertir en una tabla de consultas materializadas o desde una tabla de consultas materializadas.	\N	\N	\N
1000432	db_428EX	toba	error	\N	No se puede usar la rutina como una función de transformación porque es una función o un método incorporado.	\N	\N	\N
1000433	db_428EY	toba	error	\N	El tipo de datos del destino de búsqueda en un predicado definido por el usuario no coincide con el tipo de datos de la clave fuente de la extensión de índice especificada.	\N	\N	\N
1000434	db_428EZ	toba	error	\N	No es válida una especificación de ventana para una función OLAP.	\N	\N	\N
1000435	db_428F0	toba	error	\N	Una función ROW debe incluir cómo mínimo a dos columnas.	\N	\N	\N
1000436	db_428F1	toba	error	\N	Una función SQL TABLE debe devolver un resultado de tabla.	\N	\N	\N
1000437	db_428F2	toba	error	\N	El tipo de datos del valor de la sentencia RETURN en un procedimiento SQL debe ser INTEGER.	\N	\N	\N
1000438	db_428F3	toba	error	\N	SCROLL y WITH RETURN se excluyen mutuamente.	\N	\N	\N
1000439	db_428F4	toba	error	\N	La SENSITIVITY especificada en FETCH no está permitida para el cursor.	\N	\N	\N
1000440	db_428F6	toba	error	\N	El cursor es desplazable, pero la tabla de resultados incluye la salida de una función de tabla.	\N	\N	\N
1000441	db_428F7	toba	error	\N	En una rutina externa se ha intentado una operación que se aplica sólo a rutinas SQL.	\N	\N	\N
1000442	db_428F9	toba	error	\N	No se puede especificar una expresión de secuencia en este contexto.	\N	\N	\N
1000443	db_428FA	toba	error	\N	La escala del número decimal debe ser cero.	\N	\N	\N
1000444	db_428FB	toba	error	\N	El nombre de secuencia no debe ser una secuencia generada por el sistema para una columna de identidad.	\N	\N	\N
1000445	db_428FC	toba	error	\N	La longitud de la contraseña de cifrado no es válida.	\N	\N	\N
1000446	db_428FD	toba	error	\N	La contraseña utilizada para el descifrado no coincide con la utilizada para cifrar los datos.	\N	\N	\N
1000447	db_428FE	toba	error	\N	Los datos no son resultado de la función ENCRYPT.	\N	\N	\N
1000448	db_428FF	toba	error	\N	La especificación de la agrupación de almacenamientos intermedios no es válida.	\N	\N	\N
1000449	db_428FG	toba	error	\N	La tabla utilizada para definir una tabla por etapas no es válida.	\N	\N	\N
1000450	db_428FH	toba	error	\N	La opción SET INTEGRITY no es válida	\N	\N	\N
1000451	db_428FI	toba	error	\N	Se ha especificado ORDER OF pero el designador de tabla no contiene una cláusula ORDER BY.	\N	\N	\N
1000452	db_428FJ	toba	error	\N	No se permite la cláusula ORDER BY en la selección completa exterior de una vista o tabla de consultas materializadas.	\N	\N	\N
1000453	db_428FL	toba	error	\N	Una sentencia de cambio de datos de SQL no está permitida en el contexto en que se ha especificado.	\N	\N	\N
1000454	db_428FM	toba	error	\N	Una sentencia INSERT dentro de una SELECT especificaba una vista que no es una vista simétrica.	\N	\N	\N
1000455	db_428FP	toba	error	\N	Se permite un activador INSTEAD OF para cada tipo de operación en una vista del asunto.	\N	\N	\N
1000456	db_428FQ	toba	error	\N	Un activador INSTEAD OF no debe especificar una vista que se define utilizando WITH CHECK OPTION, una vista definida sobre otra vista que está definida con WITH CHECK OPTION, o una vista que está anidada en una vista que está definida con la cláusula WITH ROW MOVEMENT.	\N	\N	\N
1000457	db_428FU	toba	error	\N	El tipo incorporado devuelto desde la función o el método de transformación FROM de SQL no coincide con el tipo integrado correspondiente para la función o el método de transformación TO de SQL.	\N	\N	\N
1000458	db_428FV	toba	error	\N	No se puede definir el método como un método de alteración temporal.	\N	\N	\N
1000459	db_428FZ	toba	error	\N	Una vista que sólo tiene definidos activadores INSTEAD OF para algunas operaciones no puede utilizarse como destino en la sentencia MERGE.	\N	\N	\N
1000460	db_428G3	toba	error	\N	FINAL TABLE no es válida cuando la vista de destino de la sentencia de cambio de datos de SQL de una selección completa tiene definido un activador INSTEAD OF.	\N	\N	\N
1000461	db_428G4	toba	error	\N	Uso no válido de la ordenación INPUT SEQUENCE.	\N	\N	\N
1000462	db_428G5	toba	error	\N	La cláusula de asignación de la sentencia UPDATE debe especificar como mínimo una columna que no sea INCLUDE.	\N	\N	\N
1000463	db_428G6	toba	error	\N	Se ha especificado una columna no se puede seleccionar en el destino de la sentencia de cambio de datos de la cláusula FROM de la selección completa.	\N	\N	\N
1000465	db_428GA	toba	error	\N	No se puede añadir, descartar o modificar una opción federada.	\N	\N	\N
1000466	db_42901	toba	error	\N	Una función de columna no incluye ningún nombre de columna.	\N	\N	\N
1000467	db_42903	toba	error	\N	Una cláusula WHERE o SET incluye una referencia no válida, como, por ejemplo una función de columna.	\N	\N	\N
1000468	db_42904	toba	error	\N	No se ha creado el procedimiento SQL debido a un error de compilación.	\N	\N	\N
1000469	db_42907	toba	error	\N	La serie es demasiado larga.	\N	\N	\N
1000470	db_42908	toba	error	\N	La sentencia no incluye una lista de columna necesaria.	\N	\N	\N
1000471	db_42910	toba	error	\N	La sentencia no está permitida en una sentencia Compond.	\N	\N	\N
1000472	db_42911	toba	error	\N	Una operación de división decimal no es válida porque el resultado tendría una escala negativa.	\N	\N	\N
1000473	db_42912	toba	error	\N	No se puede actualizar una columna porque no está identificada en la cláusula UPDATE de la sentencia de selección del cursor.	\N	\N	\N
1000474	db_42914	toba	error	\N	La sentencia DELETE no es válida porque una tabla referenciada en una subconsulta puede verse afectada por la operación.	\N	\N	\N
1000475	db_42915	toba	error	\N	Se ha detectado una restricción referencial no válida.	\N	\N	\N
1000476	db_42916	toba	error	\N	El alias no se puede crear porque daría como resultado una cadena repetitiva de alias.	\N	\N	\N
1000477	db_42917	toba	error	\N	El objeto no puede descartarse ni modificarse explícitamente.	\N	\N	\N
1000478	db_42918	toba	error	\N	Un tipo de datos definido por el usuario no se puede crear con un nombre de tipo de datos definido por el usuario (por ejemplo, INTEGER).	\N	\N	\N
1000479	db_42919	toba	error	\N	No se permiten las sentencias compuestas anidadas.	\N	\N	\N
1000480	db_42921	toba	error	\N	No se pueden añadir contenedores al espacio de tabla.	\N	\N	\N
1000481	db_42925	toba	error	\N	Las tablas derivadas repetitivas con nombre no pueden especificar SELECT DISTINCT y deben especificar UNION ALL.	\N	\N	\N
1000482	db_42928	toba	error	\N	No se puede especificar WITH EMPTY TABLE para la tabla.	\N	\N	\N
1000483	db_42932	toba	error	\N	Las suposiciones en la preparación del programa son incorrectas.	\N	\N	\N
1000484	db_42939	toba	error	\N	El nombre no puede utilizarse porque el identificador especificado está reservado para el uso del sistema.	\N	\N	\N
1000485	db_42961	toba	error	\N	El nombre del servidor especificado no coincide con el servidor actual.	\N	\N	\N
1000486	db_42962	toba	error	\N	Una columna larga, una columna LOB o una columna de tipo estructurado no se puede utilizar en un índice, en una clave o en una restricción.	\N	\N	\N
1000487	db_42968	toba	error	\N	La conexión ha fallado porque no hay una licencia actual de software.	\N	\N	\N
1000488	db_42969	toba	error	\N	No se ha creado el paquete.	\N	\N	\N
1000489	db_42972	toba	error	\N	Una expresión en una condición de unión o cláusula ON de una sentencia MERGE hace referencia a columnas en más de una tabla de operandos.	\N	\N	\N
1000490	db_42985	toba	error	\N	La sentencia no se permite en una rutina.	\N	\N	\N
1000491	db_42987	toba	error	\N	La sentencia no se admite en un procedimiento o activador.	\N	\N	\N
1000492	db_42989	toba	error	\N	Una columna GENERATED que se basa en una expresión no se puede usar en un activador BEFORE.	\N	\N	\N
1000493	db_42991	toba	error	\N	En este momento el tipo de datos BOOLEAN sólo se soporta internamente.	\N	\N	\N
1000494	db_42993	toba	error	\N	La columna, tal y como está definida, es demasiado larga para poderse registrar.	\N	\N	\N
1000495	db_42994	toba	error	\N	Los contenedores de dispositivo en bruto no están soportados.	\N	\N	\N
1000496	db_42995	toba	error	\N	La función solicitada no se aplica a tablas temporales globales.	\N	\N	\N
1000497	db_42997	toba	error	\N	Esta versión del peticionario de aplicaciones de DB2, del servidor de aplicaciones de DB2 o la combinación de ambos no dan soporte a esta función.	\N	\N	\N
1000498	db_429A0	toba	error	\N	Una clave externa no puede hacer referencia a una tabla padre definida inicialmente como no registrada.	\N	\N	\N
1000499	db_429A1	toba	error	\N	El grupo de nodo no es válido para el espacio de tabla.	\N	\N	\N
1000500	db_429A9	toba	error	\N	DataJoiner no puede procesar la sentencia de SQL.	\N	\N	\N
1000501	db_429B2	toba	error	\N	El valor de longitud en la línea especificado para el tipo estructurado o columna es demasiado pequeño.	\N	\N	\N
1000502	db_429B3	toba	error	\N	El objeto no puede definirse en una subtabla.	\N	\N	\N
1000503	db_429B4	toba	error	\N	La función de filtro de datos no puede ser una función LANGUAGE SQL.	\N	\N	\N
1000504	db_429B5	toba	error	\N	No es válido el tipo de datos del parámetro de instancia en la extensión de índices.	\N	\N	\N
1000505	db_429B8	toba	error	\N	Una rutina definida con PARAMETER STYLE JAVA no puede tener un tipo estructurado como un tipo devuelto o parámetro.	\N	\N	\N
1000506	db_429B9	toba	error	\N	DEFAULT o NULL no se pueden usar en una asignación de atributo.	\N	\N	\N
1000507	db_429BA	toba	error	\N	La palabra clave FEDERATED debe utilizarse con una referencia a un objeto de base de datos federado.	\N	\N	\N
1000508	db_429BB	toba	error	\N	Una rutina SQL no soporta un tipo de datos especificado para un parámetro o variable.	\N	\N	\N
1000509	db_429BC	toba	error	\N	Hay acciones de contenedores múltiples en la sentencia ALTER TABLESPACE.	\N	\N	\N
1000510	db_429BE	toba	error	\N	La clave primaria o una clave exclusiva es un subconjunto de las columnas en la cláusula de dimensiones.	\N	\N	\N
1000511	db_429BG	toba	error	\N	No se soporta la función en las tablas agrupadas por clústers de rangos.	\N	\N	\N
1000512	db_429BJ	toba	error	\N	Uso no válido de WITH ROW MOVEMENT en una vista.	\N	\N	\N
1000513	db_429BK	toba	error	\N	Intento no válido de actualizar una vista debido al movimiento de filas que implica vistas subyacentes.	\N	\N	\N
1000514	db_429BL	toba	error	\N	Se invoca una función que modifica datos de SQL en un contexto no permitido.	\N	\N	\N
1000515	db_429BO	toba	error	\N	No se ha podido crear ningún plan para la fuente de datos federados.	\N	\N	\N
1000516	db_429BP	toba	error	\N	Expresión de columna de apodo no válida.	\N	\N	\N
1000517	db_44000	toba	error	\N	La operación INSERT o UPDATE no está permitida porque una fila resultante no cumple la definición de vista.	\N	\N	\N
1000518	db_46001	toba	error	\N	Java DDL - URL no válido.	\N	\N	\N
1000519	db_46002	toba	error	\N	Java DDL - Nombre de contenedor no válido.	\N	\N	\N
1000520	db_46003	toba	error	\N	Java DDL - Supresión de clase no válida.	\N	\N	\N
1000521	db_46007	toba	error	\N	Java DDL - Signatura no válida.	\N	\N	\N
1000522	db_46008	toba	error	\N	Java DDL - Especificación de método no válida.	\N	\N	\N
1000523	db_46103	toba	error	\N	Una rutina Java ha encontrado una excepción ClassNotFound.	\N	\N	\N
1000524	db_46501	toba	error	\N	Java DDL - No se ha implantado un componente opcional.	\N	\N	\N
1000525	db_51002	toba	error	\N	El paquete correspondiente a una solicitud de ejecución de sentencia de SQL no se ha encontrado.	\N	\N	\N
1000526	db_51003	toba	error	\N	Los símbolos de coherencia no coinciden.	\N	\N	\N
1000527	db_51004	toba	error	\N	Una dirección de SQLDA no es válida.	\N	\N	\N
1000528	db_51005	toba	error	\N	El error anterior del sistema ha inhabilitado esta función.	\N	\N	\N
1000529	db_51008	toba	error	\N	El número de release del programa precompilado no es válido.	\N	\N	\N
1000530	db_51015	toba	error	\N	En tiempo de vinculación se ha realizado un intento de ejecutar una sección que ha resultado estar en error.	\N	\N	\N
1000531	db_51017	toba	error	\N	El usuario no está conectado.	\N	\N	\N
1000532	db_51021	toba	error	\N	Las sentencias de SQL no pueden ejecutarse hasta que el proceso de aplicación ejecute una operación de retrotracción.	\N	\N	\N
1000533	db_51022	toba	error	\N	Una sentencia CONNECT que especifica un nombre de autorización no es válida cuando una conexión (activa o inactiva) ya existe en el servidor que se menciona en la sentencia CONNECT.	\N	\N	\N
1000534	db_51023	toba	error	\N	La base de datos ya está siendo utilizada por otra instancia del gestor de bases de datos.	\N	\N	\N
1000535	db_51024	toba	error	\N	Una vista no puede utilizarse porque está marcada como vista no operativa.	\N	\N	\N
1000536	db_51025	toba	error	\N	Una aplicación en el entorno de proceso de transacción XA no se ha vinculado con SYNCPOINT TWOPHASE.	\N	\N	\N
1000537	db_51026	toba	error	\N	Un supervisor de sucesos no se puede activar porque su vía de acceso de destino ya está siendo utilizada por otro supervisor de sucesos.	\N	\N	\N
1000538	db_51027	toba	error	\N	La opción IMMEDIATE CHECKED de la sentencia SET INTEGRITY no es válida ya que una tabla es una tabla de consultas materializadas mantenida por el usuario o no está en estado de comprobación pendiente.	\N	\N	\N
1000539	db_51028	toba	error	\N	Un paquete no se puede utilizar porque está marcado como inoperativo.	\N	\N	\N
1000540	db_51030	toba	error	\N	El procedimiento de aplicación todavía no ha llamado al procedimiento mencionado en una sentencia ALLOCATE CURSOR o ASSOCIATE LOCATORS.	\N	\N	\N
1000541	db_51034	toba	error	\N	Una rutina definida con MODIFIES SQL DATA no es válida en el contexto en que se ha invocado.	\N	\N	\N
1000542	db_51035	toba	error	\N	No se puede utilizar una expresión PREVVAL porque no se ha generado un valor para la secuencia que todavía está en esta sesión.	\N	\N	\N
1000543	db_51038	toba	error	\N	La rutina ya no puede emitir sentencias de SQL.	\N	\N	\N
1000544	db_51039	toba	error	\N	El valor ENCRYPTION PASSWORD no está establecido.	\N	\N	\N
1000545	db_51040	toba	error	\N	Entorno de compilación no válido.	\N	\N	\N
1000546	db_53040	toba	error	\N	La agrupación de almacenamientos intermedios especificada no existe en la partición de base de datos especificada.	\N	\N	\N
1000547	db_53090	toba	error	\N	Sólo se pueden consultar datos de un esquema de codificación, ya sea ASCII, EBCDIC o Unicode en la misma sentencia de SQL.	\N	\N	\N
1000548	db_53091	toba	error	\N	El esquema de codificación especificado no es el mismo que el esquema de codificación que se utiliza actualmente para el objeto que lo contiene.	\N	\N	\N
1000549	db_54001	toba	error	\N	La sentencia es demasiado larga o demasiado compleja.	\N	\N	\N
1000550	db_54002	toba	error	\N	Una constante de serie es demasiado larga.	\N	\N	\N
1000551	db_54004	toba	error	\N	La sentencia tiene demasiados nombres de tabla o demasiados elementos en una lista SELECT o INSERT.	\N	\N	\N
1000552	db_54006	toba	error	\N	El resultado de la concatenación es demasiado largo.	\N	\N	\N
1000553	db_54008	toba	error	\N	La clave es demasiado larga, tiene demasiadas columnas o una columna de claves es demasiado larga.	\N	\N	\N
1000554	db_54010	toba	error	\N	La longitud de registro de la tabla es demasiado larga.	\N	\N	\N
1000555	db_54011	toba	error	\N	Se han especificado demasiadas columnas para una tabla o vista.	\N	\N	\N
1000556	db_54023	toba	error	\N	Se ha excedido el límite para el número de parámetros o argumentos de una función o procedimiento.	\N	\N	\N
1000557	db_54028	toba	error	\N	Se ha alcanzado el número máximo de manejadores de LOB simultáneos.	\N	\N	\N
1000558	db_54029	toba	error	\N	Se ha llegado al número máximo permitido de exploraciones abiertas de directorios.	\N	\N	\N
1000559	db_54030	toba	error	\N	Ya están activos el número máximo de supervisores de sucesos.	\N	\N	\N
1000560	db_54031	toba	error	\N	El número máximo de archivos ya se ha asignado al supervisor de sucesos.	\N	\N	\N
1000561	db_54032	toba	error	\N	Se ha alcanzado el tamaño máximo de una tabla.	\N	\N	\N
1000562	db_54033	toba	error	\N	Se ha alcanzado el número máximo de correlaciones de partición.	\N	\N	\N
1000563	db_54034	toba	error	\N	La longitud combinada de todos los nombres de contenedor del espacio de tabla es demasiado larga.	\N	\N	\N
1000564	db_54035	toba	error	\N	Se ha sobrepasado el límite de objetos internos.	\N	\N	\N
1000565	db_54036	toba	error	\N	El nombre de la vía de acceso para el contenedor o la vía de acceso del almacenamiento es demasiado larga.	\N	\N	\N
1000566	db_54037	toba	error	\N	La correlación del contenedor del espacio de tabla es demasiado complicada.	\N	\N	\N
1000567	db_54038	toba	error	\N	Se ha excedido la profundidad máxima de las rutinas o activadores anidados.	\N	\N	\N
1000568	db_54045	toba	error	\N	Se han superado los niveles máximos de una jerarquía de tipos.	\N	\N	\N
1000569	db_54046	toba	error	\N	Se han superado los parámetros máximos admisibles en una extensión de índices.	\N	\N	\N
1000570	db_54047	toba	error	\N	Se ha sobrepasado el tamaño máximo de un espacio de tabla.	\N	\N	\N
1000571	db_54048	toba	error	\N	No se dispone de un espacio de tabla temporal con el suficiente tamaño de página.	\N	\N	\N
1000572	db_54049	toba	error	\N	La longitud de una instancia de un tipo estructurado rebasa el límite del sistema.	\N	\N	\N
1000573	db_54050	toba	error	\N	Se ha sobrepasado el número máximo de atributos permitidos en un tipo estructurado.	\N	\N	\N
1000574	db_54052	toba	error	\N	El número de páginas de bloque para una agrupación de almacenamientos intermedios es demasiado grande para el tamaño de la agrupación de almacenamientos intermedios.	\N	\N	\N
1000575	db_54053	toba	error	\N	El valor especificado para BLOCKSIZE no está dentro del rango válido.	\N	\N	\N
1000576	db_55001	toba	error	\N	Es necesario migrar la base de datos.	\N	\N	\N
1000577	db_55002	toba	error	\N	La tabla de explicación no se ha definido correctamente.	\N	\N	\N
1000578	db_55006	toba	error	\N	El objeto no se puede descartar porque está siendo utilizado por el mismo proceso de aplicación.	\N	\N	\N
1000579	db_55007	toba	error	\N	El objeto no se puede modificar porque está siendo utilizado por el mismo proceso de aplicación.	\N	\N	\N
1000580	db_55009	toba	error	\N	El sistema ha tratado de grabar en un archivo de sólo lectura o en un disquete protegido contra grabación.	\N	\N	\N
1000581	db_55012	toba	error	\N	Ya existe un índice de clusters en la tabla.	\N	\N	\N
1000582	db_55019	toba	error	\N	La tabla se encuentra en un estado no válido para la operación.	\N	\N	\N
1000583	db_55022	toba	error	\N	El servidor de archivos no está registrado con esta base de datos.	\N	\N	\N
1000584	db_55023	toba	error	\N	Se ha producido un error al llamar a la rutina.	\N	\N	\N
1000585	db_55024	toba	error	\N	El espacio de tabla no se puede descartar porque los datos relacionados con una tabla también se encuentran en otro espacio de tabla.	\N	\N	\N
1000586	db_55025	toba	error	\N	Es necesario volver a iniciar la base de datos.	\N	\N	\N
1000587	db_55026	toba	error	\N	Un espacio de tabla temporal no se puede descartar.	\N	\N	\N
1000588	db_55031	toba	error	\N	El formato del archivo de correlación de errores no es correcto.	\N	\N	\N
1000589	db_55032	toba	error	\N	La sentencia CONNECT no es válida porque el gestor de bases de datos se ha detenido después de iniciar esta aplicación.	\N	\N	\N
1000590	db_55033	toba	error	\N	Un supervisor de sucesos no se puede activar en la misma unidad de trabajo en la que se ha creado o modificado.	\N	\N	\N
1000591	db_55034	toba	error	\N	El supervisor de sucesos se encuentra en un estado no válido para la operación.	\N	\N	\N
1000592	db_55035	toba	error	\N	No se puede descartar la tabla porque está protegida.	\N	\N	\N
1000593	db_55036	toba	error	\N	El nodo no se puede descartar porque se ha eliminado de la correlación de particiones.	\N	\N	\N
1000594	db_55037	toba	error	\N	La clave de particionamiento no se puede descartar porque la tabla se encuentra en un grupo de varios nodos.	\N	\N	\N
1000595	db_55038	toba	error	\N	El grupo de nodos no se puede utilizar porque se está volviendo a equilibrar.	\N	\N	\N
1000596	db_55039	toba	error	\N	La transición de acceso o estado no se admite porque el espacio de tabla no se encuentra en el estado adecuado.	\N	\N	\N
1000597	db_55041	toba	error	\N	Los contenedores no se pueden añadir a un espacio de tabla mientras se produce un reequilibrio.	\N	\N	\N
1000598	db_55043	toba	error	\N	Los atributos de un tipo estructurado no pueden modificarse cuando existe una tabla o vista de tipo basada en el tipo.	\N	\N	\N
1000599	db_55045	toba	error	\N	El archivo SQL Archive (SAR) para la rutina no ha podido crearse debido a que en el servidor no está disponible un componente necesario.	\N	\N	\N
1000600	db_55046	toba	error	\N	El archivo SQL especificado no se corresponde con el entorno de destino.	\N	\N	\N
1000601	db_55047	toba	error	\N	Una función o método externo ha intentado acceder a un objeto federado.	\N	\N	\N
1000602	db_55048	toba	error	\N	Los datos cifrados no se pueden cifrar.	\N	\N	\N
1000603	db_55049	toba	error	\N	La tabla del supervisor de sucesos no está definida correctamente.	\N	\N	\N
1000604	db_55051	toba	error	\N	La sentencia ALTER BUFFERPOOL está actualmente en progreso.	\N	\N	\N
1000605	db_55054	toba	error	\N	No se puede definir el método como un método de alteración temporal.	\N	\N	\N
1000606	db_55056	toba	error	\N	Las estadísticas de apodo no se pueden actualizar porque no se ha habilitado la base de datos para la federación.	\N	\N	\N
1000607	db_55060	toba	error	\N	No se ha definido el almacenamiento automático para la base de datos.	\N	\N	\N
1000608	db_55061	toba	error	\N	La restauración redirigida de un espacio de tabla de almacenamiento automático no está permitida.	\N	\N	\N
1000609	db_55062	toba	error	\N	Las vías de acceso de almacenamiento no se pueden suministrar porque la base de datos no se ha habilitado para el almacenamiento automático.	\N	\N	\N
1000610	db_56031	toba	error	\N	La función escalar o la cláusula no son válidas porque en este sistema no se da soporte a los datos DBCS y a los datos mixtos.	\N	\N	\N
1000611	db_56033	toba	error	\N	El valor de inserción o de actualización de una columna de serie larga debe ser una variable de sistema principal o un nulo.	\N	\N	\N
1000612	db_56038	toba	error	\N	La función solicitada no está soportada en este entorno.	\N	\N	\N
1000613	db_56072	toba	error	\N	La ejecución ha fallado debido a la función que el servidor de nivel más bajo no soporta que no afectará a la ejecución de sentencias de SQL subsiguientes.	\N	\N	\N
1000614	db_56084	toba	error	\N	En DRDA no se da soporte a los datos LOB.	\N	\N	\N
1000615	db_56091	toba	error	\N	Se han producido varios errores debido a la ejecución de una sentencia del SQL compuesto.	\N	\N	\N
1000616	db_56092	toba	error	\N	El tipo de autorización no se puede determinar porque el nombre de autorización es a la vez un id de usuario y un id de grupo.	\N	\N	\N
1000617	db_56095	toba	error	\N	La opción de vinculación no es válida.	\N	\N	\N
1000618	db_56097	toba	error	\N	Los campos LONG VARCHAR y LONG VARGRAPHIC no se permiten en los TABLESPACE que se hayan generado en DEVICE.	\N	\N	\N
1000619	db_56098	toba	error	\N	Se ha producido un error durante una preparación o revinculación implícitas.	\N	\N	\N
1000620	db_56099	toba	error	\N	La base de datos de destino no da soporte al tipo de datos REAL.	\N	\N	\N
1000621	db_560A0	toba	error	\N	La acción en un valor LOB ha fallado.	\N	\N	\N
1000622	db_560AA	toba	error	\N	La función escalar o la cláusula no son válidas porque UCS-2 carece de soporte en este sistema.	\N	\N	\N
1000623	db_560AC	toba	error	\N	No se puede usar la definición del reiniciador en el tipo o versión especificada de la fuente de datos.	\N	\N	\N
1000624	db_560AF	toba	error	\N	No se soporta la sentencia PREPARE cuando se usa un concentrador de pasarela.	\N	\N	\N
1000625	db_560B0	toba	error	\N	El valor del nuevo tamaño no es válido para ajustar el tamaño del contenedor del espacio de tabla.	\N	\N	\N
1000626	db_560B1	toba	error	\N	Especificación de cursor no válida en el procedimiento almacenado.	\N	\N	\N
1000627	db_560B7	toba	error	\N	Para INSERT de varias filas, el uso de una expresión de secuencia debe ser el mismo para cada fila.	\N	\N	\N
1000628	db_560BB	toba	error	\N	Para un parámetro INOUT en una sentencia CALL preparada dinámicamente, se debe utilizar la misma variable del sistema principal tanto en la cláusula USING como en la cláusula INTO.	\N	\N	\N
1000629	db_560BC	toba	error	\N	Se ha producido un error al acceder a un archivo.	\N	\N	\N
1000630	db_560BD	toba	error	\N	Un servidor federado ha recibido un código de error inesperado desde una fuente de datos.	\N	\N	\N
1000631	db_560BF	toba	error	\N	El recurso de cifrado no está disponible.	\N	\N	\N
1000632	db_560C0	toba	error	\N	Las tablas creadas en el esquema de codificación Unicode no se pueden utilizar en funciones o en métodos SQL.	\N	\N	\N
1000633	db_560C1	toba	error	\N	Las tablas creadas en el esquema de codificación Unicode no pueden ser una tabla escrita, contienen tipos de gráficos o tipos definidos por el usuario.	\N	\N	\N
1000634	db_560C2	toba	error	\N	Ha fallado la grabación de una entrada de archivo histórico para una tabla descartada.	\N	\N	\N
1000635	db_560C3	toba	error	\N	Un activador AFTER no puede modificar una fila que se inserte para una sentencia INSERT.	\N	\N	\N
1000636	db_560C6	toba	error	\N	Una restricción de referencia no puede modificar una fila que había sido modificada por una sentencia de cambio de datos de SQL dentro de una selección completa.	\N	\N	\N
1000637	db_560C8	toba	error	\N	No se pueden actualizar algunas de las estadísticas de apodo.	\N	\N	\N
1000638	db_560C9	toba	error	\N	No se puede explicar la sentencia especificada.	\N	\N	\N
1000639	db_560CA	toba	error	\N	La sentencia de SQL hace referencia a una rutina que sólo puede ejecutarse en la partición de la base de datos actual.	\N	\N	\N
1000640	db_57001	toba	error	\N	La tabla no está disponible, porque no tiene un índice primario.	\N	\N	\N
1000641	db_57003	toba	error	\N	No se ha activado la agrupación de almacenamientos intermedios especificada.	\N	\N	\N
1000642	db_57007	toba	error	\N	El objeto no se puede utilizar porque DROP o ALTER están pendientes.	\N	\N	\N
1000643	db_57009	toba	error	\N	El almacenamiento temporal o el recurso de la base de datos no están disponibles temporalmente.	\N	\N	\N
1000644	db_57011	toba	error	\N	El almacenamiento temporal o el recurso de la base de datos no están disponibles.	\N	\N	\N
1000645	db_57012	toba	error	\N	Un recurso que no es de la base de datos no está disponible. Este hecho no impedirá que las sentencias siguientes se ejecuten satisfactoriamente.	\N	\N	\N
1000646	db_57013	toba	error	\N	Un recurso que no es de la base de datos no está disponible. Este hecho afectará la ejecución satisfactoria de las siguientes sentencias.	\N	\N	\N
1000647	db_57014	toba	error	\N	El proceso se ha cancelado tal y como se había solicitado.	\N	\N	\N
1000648	db_57016	toba	error	\N	No se puede acceder a la tabla porque no está activa.	\N	\N	\N
1000649	db_57017	toba	error	\N	La conversión de caracteres no se ha definido.	\N	\N	\N
1000650	db_57019	toba	error	\N	La sentencia no ha sido satisfactoria debido a un problema con un recurso.	\N	\N	\N
1000651	db_57020	toba	error	\N	La unidad que contiene la base de datos está bloqueada.	\N	\N	\N
1000652	db_57021	toba	error	\N	La puerta de la unidad de disquetes está abierta.	\N	\N	\N
1000653	db_57022	toba	error	\N	No se ha podido crear la tabla porque el ID de autorización de la sentencia no tiene ningún espacio de base de datos adecuado.	\N	\N	\N
1000654	db_57030	toba	error	\N	La conexión con el servidor de aplicación sobrepasaría el límite definido por la instalación.	\N	\N	\N
1000655	db_57032	toba	error	\N	Ya se ha iniciado el número máximo de bases de datos simultáneas.	\N	\N	\N
1000656	db_57033	toba	error	\N	Se ha producido un punto muerto o un tiempo de espera sin retrotracción automática.	\N	\N	\N
1000657	db_57036	toba	error	\N	El archivo de anotaciones cronológicas de transacciones no pertenece a la base de datos actual.	\N	\N	\N
1000658	db_57046	toba	error	\N	No se puede iniciar una transacción nueva porque la base de datos o la instancia están inactivas.	\N	\N	\N
1000659	db_57047	toba	error	\N	No se puede crear un archivo interno de la base de datos porque no se puede acceder al directorio.	\N	\N	\N
1000660	db_57048	toba	error	\N	Se ha producido un error al acceder a un contenedor de un espacio de tabla.	\N	\N	\N
1000661	db_57049	toba	error	\N	Se ha alcanzado el límite de proceso del sistema operativo.	\N	\N	\N
1000662	db_57050	toba	error	\N	El servidor de archivos no está disponible en la actualidad.	\N	\N	\N
1000663	db_57051	toba	error	\N	El coste estimado de la CPU sobrepasa el límite de recursos.	\N	\N	\N
1000664	db_57052	toba	error	\N	El nodo no está disponible porque no tiene contenedores para todos los espacios de tabla temporales.	\N	\N	\N
1000665	db_57053	toba	error	\N	La operación no puede realizarse en la tabla debido a que hay operaciones en conflicto.	\N	\N	\N
1000666	db_57055	toba	error	\N	No estaba disponible un espacio de tabla temporal con el suficiente tamaño de página.	\N	\N	\N
1000667	db_57056	toba	error	\N	No hay disponible un paquete porque la base de datos está en modalidad NO PACKAGE LOCK.	\N	\N	\N
1000668	db_57057	toba	error	\N	La sentencia de SQL no puede ejecutarse a causa de una condición previa de una cadena DRDA de sentencias de SQL.	\N	\N	\N
1000669	db_57059	toba	error	\N	No hay espacio suficiente en el espacio de tabla para la acción especificada.	\N	\N	\N
1000670	db_58004	toba	error	\N	Se ha producido un error del sistema, aunque ello no impide la ejecución satisfactoria de las siguientes sentencias de SQL.	\N	\N	\N
1000671	db_58005	toba	error	\N	Se ha producido un error del sistema que impide ejecutar satisfactoriamente las siguientes sentencias de SQL.	\N	\N	\N
1000672	db_58008	toba	error	\N	La ejecución ha fallado debido a un error del protocolo de distribución que no impedirá que los siguientes mandatos DDM o sentencias de SQL se ejecuten satisfactoriamente.	\N	\N	\N
1000673	db_58009	toba	error	\N	La ejecución ha fallado debido a un error del protocolo de distribución que ha provocado la desasignación de la conversación.	\N	\N	\N
1000674	db_58010	toba	error	\N	La ejecución ha fallado debido a un error del protocolo de distribución que impedirá que los siguientes mandatos DDM o sentencias de SQL se ejecuten satisfactoriamente.	\N	\N	\N
1000675	db_58011	toba	error	\N	El mandato DDM no es válido cuando un proceso de vinculación está en curso.	\N	\N	\N
1000676	db_58012	toba	error	\N	El proceso de vinculación con el nombre de paquete especificado y el símbolo de coherencia no está activo.	\N	\N	\N
1000677	db_58014	toba	error	\N	No se da soporte al mandato DDM.	\N	\N	\N
1000678	db_58015	toba	error	\N	No se da soporte al objeto DDM.	\N	\N	\N
1000679	db_58016	toba	error	\N	No se da soporte al parámetro DDM.	\N	\N	\N
1000680	db_58017	toba	error	\N	No se da soporte al valor del parámetro DDM.	\N	\N	\N
1000681	db_58018	toba	error	\N	No se da soporte al mensaje de respuesta DDM.	\N	\N	\N
1000682	db_58023	toba	error	\N	Un error del sistema ha provocado la cancelación del programa actual.	\N	\N	\N
1000683	db_58030	toba	error	\N	Se ha producido un error de E/S.	\N	\N	\N
1000684	db_58031	toba	error	\N	La conexión no ha sido satisfactoria debido a un error del sistema.	\N	\N	\N
1000685	db_58032	toba	error	\N	No se puede utilizar el proceso para una función de modalidad delimitada definida por el usuario.	\N	\N	\N
1000686	db_58034	toba	error	\N	Se ha detectado un error cuando se intentaban buscar páginas para un objeto en un espacio de tabla DMS.	\N	\N	\N
1000687	db_58035	toba	error	\N	Se ha detectado un error cuando se intentaban liberar páginas para un objeto en un espacio de tabla DMS.	\N	\N	\N
1000688	db_58036	toba	error	\N	El ID de espacio de tabla interno especificado no existe.	\N	\N	\N
\.


--
-- Data for Name: apex_msg_tipo; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_msg_tipo (msg_tipo, descripcion, icono) FROM stdin;
error	Error 	\N
info	Informacion	\N
\.


--
-- Data for Name: apex_nivel_acceso; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_nivel_acceso (nivel_acceso, nombre, descripcion) FROM stdin;
0	Administradores	\N
10	Usuario poderoso	\N
20	Usuario	\N
\.


--
-- Data for Name: apex_nota; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_nota (nota, nota_tipo, proyecto, usuario_origen, usuario_destino, titulo, texto, leido, bl, creacion) FROM stdin;
\.


--
-- Data for Name: apex_nota_tipo; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_nota_tipo (nota_tipo, descripcion, icono) FROM stdin;
bug	BUG	\N
comentario	Comentario	\N
regla	Regla de utilizacion	\N
\.


--
-- Data for Name: apex_objeto; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_objeto (proyecto, objeto, anterior, identificador, reflexivo, clase_proyecto, clase, punto_montaje, subclase, subclase_archivo, objeto_categoria_proyecto, objeto_categoria, nombre, titulo, colapsable, descripcion, fuente_datos_proyecto, fuente_datos, solicitud_registrar, solicitud_obj_obs_tipo, solicitud_obj_observacion, parametro_a, parametro_b, parametro_c, parametro_d, parametro_e, parametro_f, usuario, creacion, posicion_botonera) FROM stdin;
arai_usuarios	31000035	\N	\N	\N	toba	toba_datos_tabla	30000001	\N	\N	\N	\N	DT - aplicaciones	\N	\N	\N	arai_usuarios	arai_usuarios	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2016-04-29 14:24:15	\N
arai_usuarios	2316	\N	\N	\N	toba	toba_datos_tabla	30000001	\N	\N	\N	\N	DT - conector_oidc	\N	\N	\N	arai_usuarios	arai_usuarios	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2020-04-14 19:40:50	\N
arai_usuarios	2314	\N	\N	\N	toba	toba_datos_tabla	30000001	\N	\N	\N	\N	DT - conector_saml	\N	\N	\N	arai_usuarios	arai_usuarios	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2020-04-13 21:53:10	\N
arai_usuarios	2315	\N	\N	\N	toba	toba_datos_tabla	30000001	\N	\N	\N	\N	DT - oidc_client	\N	\N	\N	arai_usuarios	arai_usuarios	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2020-04-13 21:53:48	\N
arai_usuarios	31000039	\N	\N	\N	toba	toba_datos_relacion	30000001	\N	\N	\N	\N	Aplicaciones - relacion	\N	\N	\N	arai_usuarios	arai_usuarios	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2016-04-29 14:42:34	\N
arai_usuarios	31000029	\N	\N	\N	toba	toba_ci	30000001	ci_configuraciones_seguridad	operaciones/configuraciones/ci_configuraciones_seguridad.php	\N	\N	Configuraciones Seguridad	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2015-07-22 13:26:25	abajo
arai_usuarios	2304	\N	\N	\N	toba	toba_ci	30000001	ci_grupos_edicion	operaciones/grupos/ci_grupos_edicion.php	\N	\N	ABM de grupos - Listado - ci_grupo_edicion	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2016-07-25 21:33:57	abajo
arai_usuarios	102000003	\N	\N	\N	toba	toba_ci	30000001	ci_logs_cambios_clave	operaciones/auditoria/logs_cambio_clave/ci_logs_cambios_clave.php	\N	\N	Logs de cambios de contraseña	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2015-07-23 18:32:15	abajo
arai_usuarios	31000036	\N	\N	\N	toba	toba_ci	30000001	ci_aplicaciones	operaciones/aplicaciones/ci_aplicaciones.php	\N	\N	Aplicaciones	Aplicaciones	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2016-04-29 14:25:31	arriba
arai_usuarios	2301	\N	\N	\N	toba	toba_ci	30000001	ci_grupos_listado	operaciones/grupos/ci_grupos_listado.php	\N	\N	ABM de grupos - Listado	Grupos	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2016-07-25 20:34:30	arriba
arai_usuarios	31000026	\N	\N	\N	toba	toba_ci	30000001	\N	\N	\N	\N	Configuraciones	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2016-01-07 18:39:46	abajo
arai_usuarios	31000022	\N	\N	\N	toba	toba_ci	30000001	ci_usuario_cuentas	operaciones/usuarios/ci_usuario_cuentas.php	\N	\N	Cuentas	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2015-07-22 13:26:25	abajo
arai_usuarios	31000001	\N	\N	\N	toba	toba_ci	30000001	ci_usuarios_listado	operaciones/usuarios/ci_usuarios_listado.php	\N	\N	ABM de usuarios - Listado	Usuarios	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2015-07-15 19:25:20	arriba
arai_usuarios	30000192	\N	\N	\N	toba	toba_ci	30000001	ci_login	login/ci_login.php	\N	\N	Login Genérico	Autentificación de Usuarios	0	\N	arai_usuarios	arai_usuarios	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2006-07-20 13:55:33	abajo
arai_usuarios	31000033	\N	\N	\N	toba	toba_ci	30000001	ci_fusionar_usuarios	operaciones/fusionar_usuarios/ci_fusionar_usuarios.php	\N	\N	Fusionar usuarios	Fusionar usuarios	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2016-04-28 13:08:40	abajo
arai_usuarios	31000010	\N	\N	\N	toba	toba_ci	30000001	ci_usuario_edicion	operaciones/usuarios/ci_usuario_edicion.php	\N	\N	ABM de usuarios - Listado - ci_usuario_edicion	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2015-07-16 14:42:09	abajo
arai_usuarios	2309	\N	\N	\N	toba	toba_ci	30000001	ci_aplicaciones_interno	operaciones/aplicaciones/ci_aplicaciones_interno.php	\N	\N	Aplicaciones - ci_interno	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2020-04-13 20:59:36	abajo
arai_usuarios	60000005	\N	\N	\N	toba	toba_ci	30000001	ci_persona_edicion	operaciones/usuarios/ci_persona_edicion.php	\N	\N	ABM de usuarios - Listado - ci_usuario_edicion - ci_persona_edicion	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2022-08-26 15:32:42	abajo
arai_usuarios	31000015	\N	\N	\N	toba	toba_ci	30000001	ci_configuraciones_idp	operaciones/configuraciones/ci_configuraciones_idp.php	\N	\N	Configuraciones IdP	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2015-07-22 13:26:25	abajo
arai_usuarios	31000024	\N	\N	\N	toba	toba_ci	30000001	ci_logs_sesiones_accesos	operaciones/auditoria/logs_sesiones_accesos/ci_logs_sesiones_accesos.php	\N	\N	Logs de sesiones y accesos	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2015-07-23 18:32:15	abajo
arai_usuarios	31000025	\N	\N	\N	toba	toba_ei_filtro	30000001	\N	\N	\N	\N	Logs de sesiones y accesos - filtro	Filtro para logs de sesiones y accesos	0	\N	arai_usuarios	arai_usuarios	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2015-07-23 18:48:46	abajo
arai_usuarios	102000002	\N	\N	\N	toba	toba_ei_filtro	30000001	\N	\N	\N	\N	Logs de cambios de clave	Filtro para logs de sesiones y accesos	0	\N	arai_usuarios	arai_usuarios	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2015-07-23 18:48:46	abajo
arai_usuarios	2303	\N	\N	\N	toba	toba_ei_filtro	30000001	\N	\N	\N	\N	ABM de grupos - Listado - filtro	Búsqueda	0	\N	arai_usuarios	arai_usuarios	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2016-07-25 20:35:39	abajo
arai_usuarios	31000003	\N	\N	\N	toba	toba_ei_filtro	30000001	\N	\N	\N	\N	ABM de usuarios - Listado - filtro	Búsqueda	1	\N	arai_usuarios	arai_usuarios	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2015-07-15 19:39:43	abajo
arai_usuarios	2317	\N	\N	\N	toba	toba_ei_cuadro	30000001	\N	\N	\N	\N	ABM de usuarios - Listado - ci_usuario_edicion - cuadro_segundo_factor	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2020-09-25 15:49:34	abajo
arai_usuarios	60000007	\N	\N	\N	toba	toba_ei_cuadro	30000001	cuadro_sellos	operaciones/usuarios/cuadro_sellos.php	\N	\N	ABM de usuarios - Listado - ci_usuario_edicion - ci_persona_edicion - cuadro_sellos	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2022-08-29 12:38:11	abajo
arai_usuarios	30000191	\N	\N	\N	toba	toba_ei_cuadro	30000001	cuadro_autologin	login/cuadro_autologin.php	\N	\N	Login Genérico - login - seleccion_usuario	\N	0	\N	arai_usuarios	arai_usuarios	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2006-07-20 13:55:33	abajo
arai_usuarios	2307	\N	\N	\N	toba	toba_ei_cuadro	30000001	\N	\N	\N	\N	Cuentas - cuadro_inactivas	Cuentas del usuario en aplicaciones inactivas	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2018-08-07 20:05:19	abajo
arai_usuarios	31000023	\N	\N	\N	toba	toba_ei_cuadro	30000001	\N	\N	\N	\N	Auditoria - Logs de sesiones y accesos - cuadro_logs_sesiones_accesos	Listado de logs de sesiones y accesos	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2015-07-23 18:10:11	abajo
arai_usuarios	31000030	\N	\N	\N	toba	toba_ei_cuadro	30000001	\N	\N	\N	\N	ABM de usuarios - Listado - ci_usuario_edicion - cuadro_logs_sesiones_accesos_usuario	Listado de logs de sesiones y accesos del usuario	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2015-07-23 18:10:11	abajo
arai_usuarios	102000001	\N	\N	\N	toba	toba_ei_cuadro	30000001	\N	\N	\N	\N	Auditoria - Logs de cambios de contraseña - cuadro_logs_cambios_clave	Listado de logs de cambios de contraseña	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2015-07-23 18:10:11	abajo
arai_usuarios	2302	\N	\N	\N	toba	toba_ei_cuadro	30000001	\N	\N	\N	\N	ABM de grupos - Listado - cuadro	Listado de grupos	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2016-07-25 20:35:09	abajo
arai_usuarios	31000027	\N	\N	\N	toba	toba_ei_cuadro	30000001	\N	\N	\N	\N	Configuraciones seguridad - cuadro	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2015-07-22 13:27:45	abajo
arai_usuarios	31000002	\N	\N	\N	toba	toba_ei_cuadro	30000001	cuadro_usuarios	operaciones/usuarios/cuadro_usuarios.php	\N	\N	ABM de usuarios - Listado - cuadro	Listado de usuarios	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2015-07-15 19:27:32	abajo
arai_usuarios	31000037	\N	\N	\N	toba	toba_ei_cuadro	30000001	\N	\N	\N	\N	Aplicaciones - cuadro	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2016-04-29 14:28:02	abajo
arai_usuarios	31000019	\N	\N	\N	toba	toba_ei_cuadro	30000001	cuadro_cuentas_usuario	operaciones/usuarios/cuadro_cuentas_usuario.php	\N	\N	Cuentas - cuadro	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2015-07-22 13:27:45	abajo
arai_usuarios	31000016	\N	\N	\N	toba	toba_ei_cuadro	30000001	\N	\N	\N	\N	Configuraciones IdP - cuadro	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2015-07-22 13:27:45	abajo
arai_usuarios	2306	\N	\N	\N	toba	toba_ei_cuadro	30000001	\N	\N	\N	\N	ABM de grupos - Listado - ci_grupo_edicion - cuadro_miembros	Listado de miembros	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2016-08-09 18:28:13	abajo
arai_usuarios	60000004	\N	\N	\N	toba	toba_ei_formulario	30000001	\N	\N	\N	\N	ABM de usuarios - Listado - ci_usuario_edicion - ci_persona_edicion - form_datos_persona	\N	0	\N	arai_usuarios	arai_usuarios	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2022-08-26 14:08:47	abajo
arai_usuarios	2310	\N	\N	\N	toba	toba_ei_formulario	30000001	form_saml	operaciones/aplicaciones/form_saml.php	\N	\N	Aplicaciones - ci_interno - form_saml	\N	0	\N	arai_usuarios	arai_usuarios	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2020-04-13 21:05:15	abajo
arai_usuarios	60000008	\N	\N	\N	toba	toba_ei_formulario	30000001	\N	\N	\N	\N	ABM de usuarios - Listado - ci_usuario_edicion - ci_persona_edicion - form_edic_sello	\N	0	\N	arai_usuarios	arai_usuarios	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2022-08-29 14:36:45	abajo
arai_usuarios	31000020	\N	\N	\N	toba	toba_ei_formulario	30000001	form_cuentas	operaciones/usuarios/form_cuentas.php	\N	\N	Cuentas - formulario	\N	0	\N	arai_usuarios	arai_usuarios	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2015-07-22 13:37:42	abajo
arai_usuarios	2305	\N	\N	\N	toba	toba_ei_formulario	30000001	\N	\N	\N	\N	ABM de grupos - Listado - ci_grupo_edicion - form_general	\N	0	\N	arai_usuarios	arai_usuarios	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2016-07-25 21:40:50	abajo
arai_usuarios	2311	\N	\N	\N	toba	toba_ei_formulario	30000001	form_oidc	operaciones/aplicaciones/form_oidc.php	\N	\N	Aplicaciones - ci_interno - form_oidc	\N	0	\N	arai_usuarios	arai_usuarios	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2020-04-13 21:18:27	abajo
arai_usuarios	31000017	\N	\N	\N	toba	toba_ei_formulario	30000001	\N	\N	\N	\N	Configuraciones IdP - formulario	\N	0	\N	arai_usuarios	arai_usuarios	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2015-07-22 13:37:42	abajo
arai_usuarios	31000038	\N	\N	\N	toba	toba_ei_formulario	30000001	form_aplicacion	operaciones/aplicaciones/form_aplicacion.php	\N	\N	Aplicaciones - formulario	\N	0	\N	arai_usuarios	arai_usuarios	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2016-04-29 14:31:19	abajo
arai_usuarios	31000031	\N	\N	\N	toba	toba_ei_formulario	30000001	\N	\N	\N	\N	ABM de usuarios - Listado - ci_usuario_edicion - form_datos_adicionales	Datos Generales	0	\N	arai_usuarios	arai_usuarios	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2016-03-18 14:56:32	abajo
arai_usuarios	31000028	\N	\N	\N	toba	toba_ei_formulario	30000001	\N	\N	\N	\N	Configuraciones seguridad - formulario	\N	0	\N	arai_usuarios	arai_usuarios	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2015-07-22 13:37:42	abajo
arai_usuarios	30000190	\N	\N	\N	toba	toba_ei_formulario	30000001	\N	\N	\N	\N	Login Genérico - openid	Remoto	0	\N	arai_usuarios	arai_usuarios	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2012-01-27 14:14:33	abajo
arai_usuarios	31000011	\N	\N	\N	toba	toba_ei_formulario	30000001	form_general	operaciones/usuarios/form_general.php	\N	\N	ABM de usuarios - Listado - ci_usuario_edicion - form_general	Datos B&aacutesicos	0	\N	arai_usuarios	arai_usuarios	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2015-07-20 15:03:14	abajo
arai_usuarios	2308	\N	\N	\N	toba	toba_ei_formulario	30000001	form_expiracion_cuenta	operaciones/usuarios/form_expiracion_cuenta.php	\N	\N	ABM de usuarios - Listado - ci_usuario_edicion - form_acceso	\N	0	\N	arai_usuarios	arai_usuarios	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2018-11-02 12:27:54	abajo
arai_usuarios	30000187	\N	\N	\N	toba	toba_ei_formulario	30000001	\N	\N	\N	\N	Login Genérico - form_cas	\N	0	\N	arai_usuarios	arai_usuarios	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2013-05-30 15:42:18	abajo
arai_usuarios	60000006	\N	\N	\N	toba	toba_ei_formulario	30000001	\N	\N	\N	\N	ABM de usuarios - Listado - ci_usuario_edicion - ci_persona_edicion - form_datos_persona	\N	0	\N	arai_usuarios	arai_usuarios	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2022-08-26 15:34:16	abajo
arai_usuarios	30000189	\N	\N	\N	toba	toba_ei_formulario	30000001	\N	\N	\N	\N	Cambiar Contraseña (vencida) - formulario	\N	0	\N	arai_usuarios	arai_usuarios	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2012-03-06 12:00:33	abajo
arai_usuarios	30000188	\N	\N	\N	toba	toba_ei_formulario	30000001	\N	\N	\N	\N	Login Genérico - login - datos	Local	0	\N	arai_usuarios	arai_usuarios	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2006-07-20 13:55:33	abajo
arai_usuarios	31000034	\N	\N	\N	toba	toba_ei_formulario_ml	30000001	form_ml_datos	operaciones/fusionar_usuarios/form_ml_datos.php	\N	\N	Fusionar usuarios - formulario_ml	\N	0	\N	arai_usuarios	arai_usuarios	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2016-04-28 13:11:13	abajo
arai_usuarios	2318	\N	\N	\N	toba	toba_ei_formulario_ml	30000001	form_ml_edic_etiquetas	operaciones/usuarios/form_ml_edic_etiquetas.php	\N	\N	ABM de usuarios - Listado - ci_usuario_edicion - ci_persona_edicion - form_ml_edic_etiquetas	\N	0	\N	arai_usuarios	arai_usuarios	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2022-08-30 12:51:18	abajo
arai_usuarios	31000012	\N	\N	\N	toba	toba_ei_formulario_ml	30000001	form_ml_atributos	operaciones/usuarios/form_ml_atributos.php	\N	\N	ABM de usuarios - Listado - ci_usuario_edicion - form_ml_atributos	\N	0	\N	arai_usuarios	arai_usuarios	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	2015-07-20 15:05:50	abajo
\.


--
-- Data for Name: apex_objeto_ci_pantalla; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_objeto_ci_pantalla (objeto_ci_proyecto, objeto_ci, pantalla, identificador, orden, etiqueta, descripcion, tip, imagen_recurso_origen, imagen, objetos, eventos, subclase, subclase_archivo, template, template_impresion, punto_montaje) FROM stdin;
arai_usuarios	31000029	31000012	pant_inicial	1	Pantalla Inicial	\N	\N	apex	\N	\N	\N	\N	\N	\N	\N	\N
arai_usuarios	2304	1191	pant_general	1	Datos generales	\N	\N	apex	\N	\N	\N	\N	\N	\N	\N	30000001
arai_usuarios	2304	1192	pant_miembros	2	Miembros	\N	\N	apex	\N	\N	\N	\N	\N	\N	\N	30000001
arai_usuarios	102000003	102000001	pant_inicial	1	Pantalla Inicial	\N	\N	apex	\N	\N	\N	\N	\N	\N	\N	30000001
arai_usuarios	31000036	1195	pant_edicion	2	Pantalla Edicion	\N	\N	apex	\N	\N	\N	\N	\N	\N	\N	30000001
arai_usuarios	31000036	31000016	pant_inicial	1	Pantalla Inicial	\N	\N	apex	\N	\N	\N	\N	\N	\N	\N	30000001
arai_usuarios	2301	1189	pant_inicial	1	Pantalla Inicial	\N	\N	apex	\N	\N	\N	\N	\N	\N	\N	30000001
arai_usuarios	2301	1190	pant_edicion	2	Pantalla edicion	\N	\N	apex	\N	\N	\N	\N	\N	\N	\N	30000001
arai_usuarios	31000026	31000010	pant_configuracion_idp	1	IdP	\N	\N	apex	\N	\N	\N	\N	\N	\N	\N	30000001
arai_usuarios	31000026	31000011	pant_configuracion_seguridad	2	Seguridad	\N	\N	apex	\N	\N	\N	\N	\N	\N	\N	\N
arai_usuarios	31000022	31000007	pant_inicial	1	Pantalla Inicial	\N	\N	apex	\N	\N	\N	\N	\N	\N	\N	30000001
arai_usuarios	31000001	31000001	pant_inicial	1	Pantalla Inicial	\N	\N	apex	\N	\N	\N	\N	\N	\N	\N	30000001
arai_usuarios	31000001	31000002	pant_edicion	2	Pantalla Edición	\N	\N	apex	\N	\N	\N	\N	\N	\N	\N	30000001
arai_usuarios	30000192	30000085	cambiar_contrasenia	2	Contraseña	\N	\N	apex	\N	\N	\N	\N	\N	\N	\N	30000001
arai_usuarios	30000192	30000086	login	1	Login	\N	\N	apex	\N	\N	\N	pant_login	login/pant_login.php	\N	\N	30000001
arai_usuarios	31000033	31000015	pant_inicial	\N	Pantalla Inicial	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
arai_usuarios	31000010	1193	pant_acceso	6	Control Acceso	\N	\N	apex	\N	\N	\N	\N	\N	\N	\N	30000001
arai_usuarios	31000010	1194	pant_perfil	1	Perfil	\N	\N	apex	\N	\N	\N	pant_perfil	operaciones/usuarios/pant_perfil.php	\N	\N	30000001
arai_usuarios	31000010	1199	pant_2FA	7	Segundo Factor	\N	\N	apex	\N	\N	\N	\N	\N	\N	\N	30000001
arai_usuarios	31000010	31000004	pant_atributos	3	Atributos Extra	\N	\N	apex	\N	\N	\N	\N	\N	\N	\N	30000001
arai_usuarios	31000010	31000005	pant_cuentas	4	Cuentas	\N	\N	apex	\N	\N	\N	\N	\N	\N	\N	\N
arai_usuarios	31000010	31000008	pant_logs_sesiones_accesos	5	Log de sesiones y accesos	\N	\N	apex	\N	\N	\N	\N	\N	\N	\N	\N
arai_usuarios	31000010	60000001	pant_persona	2	Persona	\N	\N	apex	\N	\N	\N	\N	\N	\N	\N	30000001
arai_usuarios	2309	1196	pant_gral	1	Datos Generales	\N	\N	apex	\N	\N	\N	\N	\N	\N	\N	30000001
arai_usuarios	2309	1197	pant_saml	2	SAML	\N	\N	apex	\N	\N	\N	\N	\N	\N	\N	\N
arai_usuarios	2309	1198	pant_oidc	3	OpenID Connect	\N	\N	apex	\N	\N	\N	\N	\N	\N	\N	\N
arai_usuarios	60000005	60000003	pant_selec_sello	1	Pantalla Sello	\N	\N	apex	\N	\N	\N	\N	\N	\N	\N	30000001
arai_usuarios	60000005	60000004	pant_edic_sello	2	Edicion Sello	\N	\N	apex	\N	\N	\N	\N	\N	\N	\N	30000001
arai_usuarios	31000015	31000006	pant_inicial	1	Pantalla Inicial	\N	\N	apex	\N	\N	\N	\N	\N	\N	\N	\N
arai_usuarios	31000024	31000009	pant_inicial	1	Pantalla Inicial	\N	\N	apex	\N	\N	\N	\N	\N	\N	\N	30000001
\.


--
-- Data for Name: apex_objeto_codigo; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_objeto_codigo (objeto_codigo_proyecto, objeto_codigo, descripcion, ancho, alto) FROM stdin;
\.


--
-- Data for Name: apex_objeto_cuadro; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_objeto_cuadro (objeto_cuadro_proyecto, objeto_cuadro, titulo, subtitulo, sql, columnas_clave, columna_descripcion, clave_dbr, archivos_callbacks, ancho, ordenar, paginar, tamano_pagina, tipo_paginado, mostrar_total_registros, eof_invisible, eof_customizado, siempre_con_titulo, exportar_paginado, exportar, exportar_rtf, pdf_propiedades, pdf_respetar_paginacion, asociacion_columnas, ev_seleccion, ev_eliminar, dao_nucleo_proyecto, dao_nucleo, dao_metodo, dao_parametros, desplegable, desplegable_activo, scroll, scroll_alto, cc_modo, cc_modo_anidado_colap, cc_modo_anidado_totcol, cc_modo_anidado_totcua) FROM stdin;
arai_usuarios	2317	\N	\N	\N	id_dispositivo	nombre	0	\N	\N	0	0	\N	P	0	0	El usuario no posee dispositivos registrados	0	0	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N
arai_usuarios	60000007	\N	\N	\N	id	descripcion	0	\N	\N	1	0	\N	P	0	0	La persona no posee sellos	0	0	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N
arai_usuarios	30000191	\N	\N	\N	usuario	\N	0	\N	100%	0	0	\N	\N	0	1	\N	0	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	1	300px	\N	\N	\N	\N
arai_usuarios	2307	\N	\N	\N	uid,app_unique_id,cuenta	\N	0	\N	100%	0	0	\N	P	0	1	\N	0	0	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N
arai_usuarios	31000023	\N	\N	\N	id_logs_sesion	\N	0	\N	100%	1	1	20	C	1	0	No existen logs de sesiones y accesos.	0	0	1	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	t	1	\N	\N
arai_usuarios	31000030	\N	\N	\N	id_logs_sesion	\N	0	\N	100%	1	1	20	P	1	0	El usuario no posee logs de sesiones y accesos.	0	0	1	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	t	0	\N	\N
arai_usuarios	102000001	\N	\N	\N	id_cambio	\N	0	\N	100%	1	1	20	C	1	0	No existen logs de cambios de contraseña	0	0	1	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	t	1	\N	\N
arai_usuarios	2302	\N	\N	\N	cn	\N	0	\N	100%	1	1	20	C	1	1	\N	0	0	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N
arai_usuarios	31000027	\N	\N	\N	clave	\N	0	\N	100%	0	0	\N	P	0	1	\N	0	0	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	t	0	\N	\N
arai_usuarios	31000002	\N	\N	\N	uid	\N	0	\N	100%	1	1	20	C	1	1	\N	0	0	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	t	0	\N	\N
arai_usuarios	31000037	\N	\N	\N	app_unique_id	\N	0	\N	100%	0	0	\N	P	0	0	No existen aplicaciones	0	0	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	t	0	\N	\N
arai_usuarios	31000019	\N	\N	\N	uid,app_unique_id,cuenta	\N	0	\N	100%	0	0	\N	P	0	0	El usuario no se encuentra asociado a ninguna aplicación.	0	0	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	t	0	\N	\N
arai_usuarios	31000016	\N	\N	\N	clave	\N	0	\N	100%	0	0	\N	P	0	1	\N	0	0	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	t	0	\N	\N
arai_usuarios	2306	\N	\N	\N	uid	\N	0	\N	100%	0	1	20	C	1	1	\N	0	0	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N
\.


--
-- Data for Name: apex_objeto_cuadro_cc; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_objeto_cuadro_cc (objeto_cuadro_proyecto, objeto_cuadro, objeto_cuadro_cc, identificador, descripcion, orden, columnas_id, columnas_descripcion, pie_contar_filas, pie_mostrar_titular, pie_mostrar_titulos, imp_paginar, modo_inicio_colapsado) FROM stdin;
arai_usuarios	31000023	29	session	Fecha	2	session	fecha_formateada	0	0	1	\N	0
arai_usuarios	31000023	30	uid	\N	1	uid	uid_descripcion	0	0	0	\N	0
arai_usuarios	102000001	102000002	uid	Usuario	1	uid	uid	0	0	0	\N	0
arai_usuarios	31000019	31000001	aplicacion	Aplicación	1	app_unique_id	aplicacion	0	0	0	\N	0
\.


--
-- Data for Name: apex_objeto_cuadro_col_cc; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_objeto_cuadro_col_cc (objeto_cuadro_cc, objeto_cuadro_proyecto, objeto_cuadro, objeto_cuadro_col, total) FROM stdin;
\.


--
-- Data for Name: apex_objeto_datos_rel; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_objeto_datos_rel (proyecto, objeto, debug, clave, ap, punto_montaje, ap_clase, ap_archivo, sinc_susp_constraints, sinc_orden_automatico, sinc_lock_optimista) FROM stdin;
arai_usuarios	31000039	0	\N	2	30000001	\N	\N	1	1	0
\.


--
-- Data for Name: apex_objeto_datos_rel_asoc; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_objeto_datos_rel_asoc (proyecto, objeto, asoc_id, identificador, padre_proyecto, padre_objeto, padre_id, padre_clave, hijo_proyecto, hijo_objeto, hijo_id, hijo_clave, cascada, orden) FROM stdin;
arai_usuarios	31000039	44	\N	arai_usuarios	31000035	aplicaciones	\N	arai_usuarios	2314	saml	\N	\N	1
arai_usuarios	31000039	45	\N	arai_usuarios	31000035	aplicaciones	\N	arai_usuarios	2316	oidc	\N	\N	2
\.


--
-- Data for Name: apex_objeto_db_columna_fks; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_objeto_db_columna_fks (id, objeto_proyecto, objeto, tabla, columna, tabla_ext, columna_ext) FROM stdin;
3	arai_usuarios	2316	conector_oidc	id_oidc_client	oidc_client	id
2	arai_usuarios	2315	oidc_client	id	conector_oidc	id_oidc_client
\.


--
-- Data for Name: apex_objeto_db_registros; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_objeto_db_registros (objeto_proyecto, objeto, max_registros, min_registros, punto_montaje, ap, ap_clase, ap_archivo, tabla, tabla_ext, alias, modificar_claves, fuente_datos_proyecto, fuente_datos, permite_actualizacion_automatica, esquema, esquema_ext) FROM stdin;
arai_usuarios	31000035	\N	\N	30000001	1	\N	\N	aplicaciones	\N	\N	0	arai_usuarios	arai_usuarios	0	\N	usuarios
arai_usuarios	2316	\N	\N	30000001	4	\N	\N	conector_oidc	oidc_client	\N	0	arai_usuarios	arai_usuarios	1	usuarios	usuarios
arai_usuarios	2314	\N	\N	30000001	1	\N	\N	conector_saml	\N	\N	1	arai_usuarios	arai_usuarios	1	\N	usuarios
arai_usuarios	2315	\N	\N	30000001	4	\N	\N	oidc_client	conector_oidc	\N	0	arai_usuarios	arai_usuarios	1	\N	usuarios
\.


--
-- Data for Name: apex_objeto_db_registros_col; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_objeto_db_registros_col (objeto_proyecto, objeto, col_id, columna, tipo, pk, secuencia, largo, no_nulo, no_nulo_db, externa, tabla) FROM stdin;
arai_usuarios	31000035	812	filtrar_grupos	E	0		\N	\N	1	0	aplicaciones
arai_usuarios	31000035	813	lista_grupos	X	0		\N	\N	0	0	aplicaciones
arai_usuarios	31000035	814	inactiva	E	0	\N	\N	\N	1	0	\N
arai_usuarios	31000035	879	permite_acceso_sin_cuenta	L	0		\N	\N	1	0	aplicaciones
arai_usuarios	31000035	880	ocultar_menu	L	0	\N	\N	\N	1	0	\N
arai_usuarios	31000035	881	requiere_second_factor	L	0	\N	\N	\N	1	0	\N
arai_usuarios	31000035	882	es_idm	L	0	\N	\N	\N	0	0	\N
arai_usuarios	31000035	31000001	app_unique_id	X	1		\N	\N	1	0	aplicaciones
arai_usuarios	31000035	31000002	url	X	0		\N	\N	1	0	aplicaciones
arai_usuarios	31000035	31000003	etiqueta	X	0		\N	\N	1	0	aplicaciones
arai_usuarios	31000035	31000004	version	X	0		\N	\N	1	0	aplicaciones
arai_usuarios	31000035	31000005	descripcion	X	0		\N	\N	1	0	aplicaciones
arai_usuarios	31000035	31000006	orden	E	0		\N	\N	1	0	aplicaciones
arai_usuarios	2316	866	app_unique_id	X	0		\N	\N	1	0	conector_oidc
arai_usuarios	2316	867	id_oidc_client	C	1		255	\N	1	0	conector_oidc
arai_usuarios	2316	868	frontchannel_logout_uri	X	0		\N	\N	0	0	conector_oidc
arai_usuarios	2316	869	frontchannel_logout_session_required	L	0		\N	\N	0	0	conector_oidc
arai_usuarios	2316	870	activo	L	0		\N	\N	1	0	conector_oidc
arai_usuarios	2316	871	id	C	1		255	\N	1	0	oidc_client
arai_usuarios	2316	872	secret	C	0		255	\N	1	0	oidc_client
arai_usuarios	2316	873	name	C	0		255	\N	1	0	oidc_client
arai_usuarios	2316	874	description	C	0		255	\N	1	0	oidc_client
arai_usuarios	2316	875	auth_source	C	0		255	\N	0	0	oidc_client
arai_usuarios	2316	876	redirect_uri	X	0		\N	\N	1	0	oidc_client
arai_usuarios	2316	877	scopes	X	0		\N	\N	1	0	oidc_client
arai_usuarios	2316	878	is_enabled	L	0		\N	\N	1	0	oidc_client
arai_usuarios	2314	820	app_unique_id	X	1		\N	\N	1	0	conector_saml
arai_usuarios	2314	821	metadata_key	X	1		\N	\N	1	0	conector_saml
arai_usuarios	2314	822	config_sp	X	0		\N	\N	1	0	conector_saml
arai_usuarios	2314	823	activo	L	0		\N	\N	1	0	conector_saml
arai_usuarios	2315	840	id	C	1		255	\N	1	0	oidc_client
arai_usuarios	2315	841	secret	C	0		255	\N	1	0	oidc_client
arai_usuarios	2315	842	name	C	0		255	\N	1	0	oidc_client
arai_usuarios	2315	843	description	C	0		255	\N	1	0	oidc_client
arai_usuarios	2315	844	auth_source	C	0		255	\N	0	0	oidc_client
arai_usuarios	2315	845	redirect_uri	X	0		\N	\N	1	0	oidc_client
arai_usuarios	2315	846	scopes	X	0		\N	\N	1	0	oidc_client
arai_usuarios	2315	847	is_enabled	L	0		\N	\N	1	0	oidc_client
arai_usuarios	2315	848	app_unique_id	X	0		\N	\N	1	0	conector_oidc
arai_usuarios	2315	849	id_oidc_client	C	0		255	\N	1	0	conector_oidc
arai_usuarios	2315	850	frontchannel_logout_uri	X	0		\N	\N	0	0	conector_oidc
arai_usuarios	2315	851	frontchannel_logout_session_required	L	0		\N	\N	0	0	conector_oidc
arai_usuarios	2315	852	activo	L	0		\N	\N	1	0	conector_oidc
\.


--
-- Data for Name: apex_objeto_db_registros_ext; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_objeto_db_registros_ext (objeto_proyecto, objeto, externa_id, tipo, sincro_continua, metodo, clase, include, punto_montaje, sql, dato_estricto, carga_dt, carga_consulta_php, permite_carga_masiva, metodo_masivo) FROM stdin;
\.


--
-- Data for Name: apex_objeto_db_registros_ext_col; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_objeto_db_registros_ext_col (objeto_proyecto, objeto, externa_id, col_id, es_resultado) FROM stdin;
\.


--
-- Data for Name: apex_objeto_db_registros_uniq; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_objeto_db_registros_uniq (objeto_proyecto, objeto, uniq_id, columnas) FROM stdin;
\.


--
-- Data for Name: apex_objeto_dep_consumo; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_objeto_dep_consumo (proyecto, consumo_id, objeto_consumidor, objeto_proveedor, identificador, parametros_a, parametros_b, parametros_c, inicializar) FROM stdin;
\.


--
-- Data for Name: apex_objeto_dependencias; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_objeto_dependencias (proyecto, dep_id, objeto_consumidor, objeto_proveedor, identificador, parametros_a, parametros_b, parametros_c, inicializar, orden) FROM stdin;
arai_usuarios	31000035	31000039	31000035	aplicaciones	1	1	\N	\N	1
arai_usuarios	1202	31000039	2316	oidc	0	1	\N	\N	2
arai_usuarios	1198	31000039	2314	saml	0	1	\N	\N	3
arai_usuarios	31000026	31000029	31000027	cuadro	\N	\N	\N	\N	\N
arai_usuarios	31000027	31000029	31000028	formulario	\N	\N	\N	\N	\N
arai_usuarios	1187	2304	2306	cuadro_miembros	\N	\N	\N	\N	\N
arai_usuarios	1190	2304	31000002	cuadro_usuario	\N	\N	\N	\N	\N
arai_usuarios	1191	2304	31000003	filtro_usuario	\N	\N	\N	\N	\N
arai_usuarios	1186	2304	2305	form_general	\N	\N	\N	\N	\N
arai_usuarios	102000001	102000003	102000001	cuadro	\N	\N	\N	\N	\N
arai_usuarios	102000002	102000003	102000002	filtro	\N	\N	\N	\N	\N
arai_usuarios	1194	31000036	2309	ci_interno	\N	\N	\N	\N	\N
arai_usuarios	31000033	31000036	31000037	cuadro	\N	\N	\N	\N	\N
arai_usuarios	31000036	31000036	31000039	relacion	\N	\N	\N	\N	\N
arai_usuarios	1185	2301	2304	ci_grupo_edicion	\N	\N	\N	\N	\N
arai_usuarios	1183	2301	2302	cuadro	\N	\N	\N	\N	\N
arai_usuarios	1184	2301	2303	filtro	\N	\N	\N	\N	\N
arai_usuarios	31000025	31000026	31000015	configuracion_idp	\N	\N	\N	\N	\N
arai_usuarios	31000028	31000026	31000029	configuracion_seguridad	\N	\N	\N	\N	\N
arai_usuarios	31000017	31000022	31000019	cuadro	\N	\N	\N	\N	\N
arai_usuarios	1192	31000022	2307	cuadro_inactivas	\N	\N	\N	\N	\N
arai_usuarios	31000018	31000022	31000020	formulario	\N	\N	\N	\N	\N
arai_usuarios	31000006	31000001	31000010	ci_usuario_edicion	\N	\N	\N	\N	\N
arai_usuarios	31000001	31000001	31000002	cuadro	\N	\N	\N	\N	\N
arai_usuarios	31000002	31000001	31000003	filtro	\N	\N	\N	\N	\N
arai_usuarios	30000116	30000192	30000187	cas	\N	\N	\N	\N	\N
arai_usuarios	30000117	30000192	30000188	datos	\N	\N	\N	\N	\N
arai_usuarios	30000118	30000192	30000189	form_passwd_vencido	\N	\N	\N	\N	\N
arai_usuarios	30000119	30000192	30000190	openid	\N	\N	\N	\N	\N
arai_usuarios	30000120	30000192	30000191	seleccion_usuario	\N	\N	\N	\N	\N
arai_usuarios	31000032	31000033	31000034	formulario_ml	\N	\N	\N	\N	\N
arai_usuarios	60000008	31000010	60000005	ci_persona_edicion	\N	\N	\N	\N	\N
arai_usuarios	31000020	31000010	31000022	ci_usuario_cuentas	\N	\N	\N	\N	\N
arai_usuarios	31000029	31000010	31000030	cuadro_logs_sesiones_accesos_usuario	\N	\N	\N	\N	\N
arai_usuarios	1203	31000010	2317	cuadro_segundo_factor	\N	\N	\N	\N	\N
arai_usuarios	1193	31000010	2308	form_acceso	\N	\N	\N	\N	\N
arai_usuarios	31000030	31000010	31000031	form_datos_adicionales	\N	\N	\N	\N	\N
arai_usuarios	31000007	31000010	31000011	form_general	\N	\N	\N	\N	\N
arai_usuarios	31000008	31000010	31000012	form_ml_atributos	\N	\N	\N	\N	\N
arai_usuarios	1195	2309	31000038	form_gral	\N	\N	\N	\N	\N
arai_usuarios	1197	2309	2311	form_oidc	\N	\N	\N	\N	\N
arai_usuarios	1196	2309	2310	form_saml	\N	\N	\N	\N	\N
arai_usuarios	60000010	60000005	60000007	cuadro_sellos	\N	\N	\N	\N	\N
arai_usuarios	60000009	60000005	60000006	form_datos_persona	\N	\N	\N	\N	\N
arai_usuarios	60000011	60000005	60000008	form_edic_sello	\N	\N	\N	\N	\N
arai_usuarios	1204	60000005	2318	form_ml_edic_etiquetas	\N	\N	\N	\N	\N
arai_usuarios	31000012	31000015	31000016	cuadro	\N	\N	\N	\N	\N
arai_usuarios	31000013	31000015	31000017	formulario	\N	\N	\N	\N	\N
arai_usuarios	31000023	31000024	31000023	cuadro_logs_sesiones_accesos	\N	\N	\N	\N	\N
arai_usuarios	31000024	31000024	31000025	filtro	\N	\N	\N	\N	\N
\.


--
-- Data for Name: apex_objeto_ei_cuadro_columna; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_objeto_ei_cuadro_columna (objeto_cuadro_proyecto, objeto_cuadro, objeto_cuadro_col, clave, orden, titulo, estilo_titulo, estilo, ancho, formateo, vinculo_indice, no_ordenar, mostrar_xls, mostrar_pdf, pdf_propiedades, desabilitado, total, total_cc, usar_vinculo, vinculo_carpeta, vinculo_item, vinculo_popup, vinculo_popup_param, vinculo_target, vinculo_celda, vinculo_servicio, permitir_html, grupo, evento_asociado) FROM stdin;
arai_usuarios	2317	832	nombre	1	Identificación	ei-cuadro-col-tit	4	\N	5	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	2317	833	issuer	2	Issuer	ei-cuadro-col-tit	4	\N	5	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	2317	834	fecha_token	3	Fecha Creación	ei-cuadro-col-tit	7	\N	8	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	2317	835	estado	4	Activo	ei-cuadro-col-tit	7	\N	13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	60000007	60000001	descripcion	1	Descripción	ei-cuadro-col-tit	4	800px	1	\N	0	\N	\N	\N	\N	0	\N	0	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	60000007	60000002	es_defecto	2	Por defecto	ei-cuadro-col-tit	7	200px	13	\N	1	\N	\N	\N	\N	0	\N	0	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	30000191	30000070	usuario	1	Usuario	ei-cuadro-col-tit	col-tex-p1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
arai_usuarios	30000191	30000071	nombre	2	Nombre	ei-cuadro-col-tit	col-tex-p1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
arai_usuarios	2307	825	cuenta	1	Cuenta	ei-cuadro-col-tit	4	\N	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	2307	826	defecto	3	Por defecto	ei-cuadro-col-tit	7	\N	13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	2307	827	aplicacion	2	Aplicación inactiva	ei-cuadro-col-tit	4	\N	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	31000023	828	tipo_conector	4	Tipo	ei-cuadro-col-tit	4	\N	6	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	31000023	829	nombre_app	5	App	ei-cuadro-col-tit	4	\N	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	31000023	31000018	url	3	URL	ei-cuadro-col-tit	logs-acceso-col-url	40%	1	\N	0	\N	\N	\N	\N	0	\N	0	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	31000023	31000019	fecha_acceso	1	Acceso	ei-cuadro-col-tit	7	\N	18	\N	0	\N	\N	\N	\N	0	\N	0	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	31000023	31000021	ip	2	IP	ei-cuadro-col-tit	4	\N	1	\N	0	\N	\N	\N	\N	0	\N	0	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	31000030	31000025	uid	1	Usuario	ei-cuadro-col-tit	4	\N	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	31000030	31000026	url	5	URL	ei-cuadro-col-tit	4	\N	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	31000030	31000027	fecha_inicio	2	Ingreso	ei-cuadro-col-tit	7	\N	18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	31000030	31000028	fecha_fin	3	Egreso	ei-cuadro-col-tit	7	\N	18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	31000030	31000029	ip	4	IP	ei-cuadro-col-tit	4	\N	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	102000001	102000001	estado_descripcion	3	Estado	ei-cuadro-col-tit	logs-acceso-col-url	\N	1	\N	0	\N	\N	\N	\N	0	\N	0	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	102000001	102000002	fecha_envio_token	1	Fecha de envío	ei-cuadro-col-tit	7	\N	18	\N	0	\N	\N	\N	\N	0	\N	0	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	102000001	102000003	fecha_de_cambio	2	Fecha de cambio	ei-cuadro-col-tit	4	\N	1	\N	0	\N	\N	\N	\N	0	\N	0	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	2302	819	cn	1	Nombre	ei-cuadro-col-tit	4	\N	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	2302	820	description	2	Descripción	ei-cuadro-col-tit	4	\N	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	31000027	31000022	valor	2	Valor	ei-cuadro-col-tit	4	\N	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	31000027	31000023	clave	1	Configuración	ei-cuadro-col-tit	4	\N	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	31000002	31000002	givenName	3	Nombre	ei-cuadro-col-tit	4	\N	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	31000002	31000003	sn	4	Apellido	ei-cuadro-col-tit	4	\N	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	31000002	31000004	mail	5	Email	ei-cuadro-col-tit	4	\N	1	\N	0	\N	\N	\N	\N	0	\N	0	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	31000002	31000005	uid	1	uid	ei-cuadro-col-tit	4	\N	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	31000002	31000007	bloqueado	6	Bloqueado	ei-cuadro-col-tit	col-cen-s1	\N	13	\N	0	\N	\N	\N	\N	0	\N	0	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	31000002	100000001	uniqueIdentifier	2	Identificador	ei-cuadro-col-tit	4	\N	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	31000037	824	inactiva	7	Activa	ei-cuadro-col-tit	col-cen-s1	\N	13	\N	0	\N	\N	\N	\N	0	\N	0	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	31000037	836	es_idm	8	IDM	ei-cuadro-col-tit	col-cen-s1	\N	13	\N	0	\N	\N	\N	\N	0	\N	0	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	31000037	31000030	appUniqueId	1	appUniqueId	ei-cuadro-col-tit	4	\N	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	31000037	31000031	url	2	Url	ei-cuadro-col-tit	4	\N	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	31000037	31000032	etiqueta	3	Etiqueta	ei-cuadro-col-tit	4	\N	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	31000037	31000033	version	4	Version	ei-cuadro-col-tit	col-cen-s1	\N	1	\N	0	\N	\N	\N	\N	0	\N	0	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	31000037	31000034	descripcion	5	Descripción	ei-cuadro-col-tit	4	\N	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	31000037	31000035	orden	6	Orden	ei-cuadro-col-tit	col-cen-s1	\N	1	\N	0	\N	\N	\N	\N	0	\N	0	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	31000019	830	observacion	5	Observaciones	ei-cuadro-col-tit	col-cen-s2	\N	1	\N	1	\N	\N	\N	\N	0	\N	0	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	31000019	831	usaSecondFactor	3	Segundo Factor	ei-cuadro-col-tit	col-cen-s1	\N	13	\N	0	\N	\N	\N	\N	0	\N	0	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	31000019	837	es_idm	4	IDM	ei-cuadro-col-tit	col-cen-s1	\N	13	\N	1	\N	\N	\N	\N	0	\N	0	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	31000019	31000016	cuenta	1	Cuenta	ei-cuadro-col-tit	4	\N	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	31000019	31000024	defecto	2	Por defecto	ei-cuadro-col-tit	col-cen-s1	\N	13	\N	0	\N	\N	\N	\N	0	\N	0	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	31000016	31000011	clave	1	Configuración	ei-cuadro-col-tit	4	\N	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	31000016	31000012	valor	2	Valor	ei-cuadro-col-tit	4	\N	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	2306	821	uid	1	uid	ei-cuadro-col-tit	4	\N	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	2306	822	givenName	3	Nombre	ei-cuadro-col-tit	4	\N	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	2306	823	sn	4	Apellido	ei-cuadro-col-tit	4	\N	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
arai_usuarios	2306	100000002	uniqueIdentifier	2	Identificador	ei-cuadro-col-tit	4	\N	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N
\.


--
-- Data for Name: apex_objeto_ei_filtro; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_objeto_ei_filtro (objeto_ei_filtro_proyecto, objeto_ei_filtro, ancho) FROM stdin;
arai_usuarios	31000025	100%
arai_usuarios	102000002	100%
arai_usuarios	2303	100%
arai_usuarios	31000003	100%
\.


--
-- Data for Name: apex_objeto_ei_filtro_col; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_objeto_ei_filtro_col (objeto_ei_filtro_col, objeto_ei_filtro, objeto_ei_filtro_proyecto, tipo, nombre, expresion, etiqueta, descripcion, obligatorio, inicial, orden, estado_defecto, opciones_es_multiple, opciones_ef, carga_metodo, carga_clase, carga_include, carga_dt, carga_consulta_php, carga_sql, carga_fuente, carga_lista, carga_col_clave, carga_col_desc, carga_permite_no_seteado, carga_no_seteado, carga_no_seteado_ocultar, carga_maestros, edit_tamano, edit_maximo, edit_mascara, edit_unidad, edit_rango, edit_expreg, estilo, popup_item, popup_proyecto, popup_editable, popup_ventana, popup_carga_desc_metodo, popup_carga_desc_clase, popup_carga_desc_include, popup_puede_borrar_estado, punto_montaje, check_valor_si, check_valor_no, check_desc_si, check_desc_no, selec_cant_minima, selec_cant_maxima, selec_utilidades, selec_tamano, selec_ancho, selec_serializar, selec_cant_columnas, placeholder) FROM stdin;
31000008	31000025	arai_usuarios	fecha	fecha_inicio	fecha_inicio	Ingreso	\N	0	0	2	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000009	31000025	arai_usuarios	fecha	fecha_fin	fecha_fin	Egreso	\N	0	0	3	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000010	31000025	arai_usuarios	cadena	ip	ip	IP	\N	0	0	4	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000011	31000025	arai_usuarios	cadena	url	url	URL	\N	0	0	5	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000012	31000025	arai_usuarios	cadena	uid	uid	UID	\N	0	0	1	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
102000001	102000002	arai_usuarios	fecha	fecha_envio_token	fecha_envio_token	Fecha envío	\N	0	0	2	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	30000001	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
102000002	102000002	arai_usuarios	fecha	fecha_de_cambio	fecha_de_cambio	Fecha cambio	\N	0	0	3	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	30000001	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
102000004	102000002	arai_usuarios	opciones	estado	estado	Estado	\N	0	0	4	\N	0	ef_combo	\N	\N	\N	\N	\N	\N	arai_usuarios	0/Cambio voluntario,1/Cambio forzado,2/Usado,3/Inválido	\N	\N	0	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	30000001	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
102000005	102000002	arai_usuarios	cadena	uid	uid	Usuario	\N	0	1	1	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	30000001	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
2	2303	arai_usuarios	cadena	cn	cn	Nombre	\N	0	1	1	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
10	31000003	arai_usuarios	opciones	memberof	memberof	Grupo	\N	0	0	13	\N	0	ef_combo	get_lista_grupos	\N	\N	\N	\N	\N	arai_usuarios	\N	dn	descripcion	0	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	30000001	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
11	31000003	arai_usuarios	cadena	uniqueIdentifier	uniqueIdentifier	Identificador	\N	0	1	2	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000001	31000003	arai_usuarios	cadena	uid	uid	UID	\N	0	0	1	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000002	31000003	arai_usuarios	cadena	givenName	givenName	Nombre	\N	0	0	3	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000003	31000003	arai_usuarios	cadena	sn	sn	Apellido	\N	0	0	4	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000004	31000003	arai_usuarios	cadena	mail	mail	Email	\N	0	0	5	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000005	31000003	arai_usuarios	cadena	idPersona	idPersona	ID persona	\N	0	0	6	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000006	31000003	arai_usuarios	booleano	bloqueado	bloqueado	Bloqueado	\N	0	0	7	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000013	31000003	arai_usuarios	cadena	employeeNumber	employeeNumber	N° empleado	Número de empleado o legajo en SIU-Mapuche	0	0	8	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000014	31000003	arai_usuarios	cadena	genero	genero	Genero	\N	0	0	9	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000015	31000003	arai_usuarios	cadena	tipoDocumento	tipoDocumento	Tipo documento	\N	0	0	10	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000016	31000003	arai_usuarios	cadena	numeroDocumento	numeroDocumento	Nº documento	\N	0	0	11	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
102000006	31000003	arai_usuarios	opciones	app_unique_id	app_unique_id	Aplicación	Posee una o más cuentas de acceso a la aplicación	0	0	13	\N	0	ef_combo	get_aplicaciones	\N	\N	\N	\N	\N	arai_usuarios	\N	app_unique_id	etiqueta	0	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	30000001	\N	\N	\N	\N	\N	\N	0	\N	\N	0	\N	\N
\.


--
-- Data for Name: apex_objeto_ei_filtro_tipo_col; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_objeto_ei_filtro_tipo_col (tipo_col, descripcion, proyecto) FROM stdin;
booleano	Si/No	toba
cadena	Cadena de texto	toba
fecha	Fecha	toba
fecha_hora	Fecha y Hora	toba
hora	Hora	toba
numero	Número	toba
opciones	Lista de opciones	toba
\.


--
-- Data for Name: apex_objeto_ei_firma; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_objeto_ei_firma (objeto_ei_firma_proyecto, objeto_ei_firma, ancho, alto) FROM stdin;
\.


--
-- Data for Name: apex_objeto_ei_formulario_ef; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_objeto_ei_formulario_ef (objeto_ei_formulario_fila, objeto_ei_formulario, objeto_ei_formulario_proyecto, identificador, elemento_formulario, columnas, obligatorio, oculto_relaja_obligatorio, orden, etiqueta, etiqueta_estilo, descripcion, colapsado, desactivado, estilo, total, inicializacion, permitir_html, deshabilitar_rest_func, estado_defecto, solo_lectura, solo_lectura_modificacion, carga_metodo, carga_clase, carga_include, carga_dt, carga_consulta_php, carga_sql, carga_fuente, carga_lista, carga_col_clave, carga_col_desc, carga_maestros, carga_cascada_relaj, cascada_mantiene_estado, carga_permite_no_seteado, carga_no_seteado, carga_no_seteado_ocultar, edit_tamano, edit_maximo, edit_mascara, edit_unidad, edit_rango, edit_filas, edit_columnas, edit_wrap, edit_resaltar, edit_ajustable, edit_confirmar_clave, edit_expreg, popup_item, popup_proyecto, popup_editable, popup_ventana, popup_carga_desc_metodo, popup_carga_desc_clase, popup_carga_desc_include, popup_puede_borrar_estado, fieldset_fin, check_valor_si, check_valor_no, check_desc_si, check_desc_no, check_ml_toggle, fijo_sin_estado, editor_ancho, editor_alto, editor_botonera, editor_config_file, selec_cant_minima, selec_cant_maxima, selec_utilidades, selec_tamano, selec_ancho, selec_serializar, selec_cant_columnas, upload_extensiones, punto_montaje, placeholder) FROM stdin;
60000004	60000004	arai_usuarios	es_firmante	ef_checkbox	es_firmante	1	0	1	¿Es Firmante?	\N	\N	0	0	\N	\N	\N	0	0	0	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	1	0	Sí	No	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
5393	2310	arai_usuarios	activo	ef_checkbox	activo	1	0	1	Activo	\N	\N	0	0	\N	\N	\N	0	0	0	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	1	0	Sí	No	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
5394	2310	arai_usuarios	entity_id	ef_editable	metadata_key	1	0	2	Entity ID.	\N	\N	0	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	50	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
5395	2310	arai_usuarios	acs	ef_editable	acs	1	0	3	Assertion Consumer Serv.	\N	\N	0	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	50	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
5396	2310	arai_usuarios	sls	ef_editable	sls	1	0	4	Single Logout Serv.	\N	\N	0	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	50	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
5397	2310	arai_usuarios	json_config	ef_editable_textarea	json_config	0	0	5	Config Extra	\N	\N	0	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	6	40	\N	0	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	Formato JSON
5403	2310	arai_usuarios	config_preview	ef_fijo	config_preview	0	0	6	Preview	\N	\N	0	0	\N	\N	\N	0	0	\N	1	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
60000006	60000008	arai_usuarios	descripcion	ef_editable_textarea	descripcion	0	0	2	Descripción	\N	Caracteres mínimos 1 y máximos 255.	0	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	255	\N	\N	\N	4	40	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
60000007	60000008	arai_usuarios	es_defecto	ef_checkbox	es_defecto	0	0	3	Por defecto	\N	\N	0	0	\N	\N	\N	0	0	0	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	1	0	Sí	No	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
60000014	60000008	arai_usuarios	id	ef_oculto	id	0	0	1	Id	\N	\N	0	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
5410	31000020	arai_usuarios	secondFactor	ef_checkbox	secondFactor	0	0	3	Requiere Segundo Factor	\N	El usuario deberá registrar un 2FA y tenerlo operativo para acceder a la app.	0	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	1	0	Sí	No	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000023	31000020	arai_usuarios	app_unique_id	ef_combo	app_unique_id	1	0	1	Aplicación	\N	\N	0	0	\N	\N	\N	0	0	\N	0	1	get_aplicaciones	\N	\N	\N	\N	\N	arai_usuarios	\N	app_unique_id	aplicacion	\N	0	0	1	-- Seleccione --	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	30000001	\N
31000024	31000020	arai_usuarios	cuenta	ef_editable	cuenta	1	0	2	Cuenta	\N	\N	0	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	30	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	/^[a-zA-Z0-9_.\\-Ññ]+$/	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000025	31000020	arai_usuarios	uid	ef_oculto	uid	0	0	5	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000029	31000020	arai_usuarios	defecto	ef_oculto	defecto	0	0	4	Por defecto	\N	\N	0	0	\N	\N	\N	0	0	0	0	0	\N	\N	\N	\N	\N	\N	arai_usuarios	\N	\N	\N	\N	0	0	0	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	30000001	\N
5387	2305	arai_usuarios	cn	ef_editable	cn	1	0	1	Nombre	\N	\N	0	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	/^(?:[A-Za-z0-9\\-])+$/	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
5388	2305	arai_usuarios	description	ef_editable	description	0	0	2	Descripción	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
5398	2311	arai_usuarios	activo	ef_checkbox	activo	1	0	1	Activo	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
5399	2311	arai_usuarios	nombre	ef_editable	name	1	0	4	Nombre	\N	\N	0	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
5401	2311	arai_usuarios	uri_redireccion	ef_editable_textarea	redirect_uri	0	0	5	Uris de redirección	\N	Lista de URIs separadas por [Enter]	0	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	6	60	\N	0	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	Añada una URI válida por línea separando con [Enter]
5402	2311	arai_usuarios	scopes	ef_multi_seleccion_doble	scopes	1	0	6	Scopes	\N	\N	0	0	\N	\N	\N	0	0	\N	0	0	get_scopes_oidc	\N	\N	\N	\N	\N	arai_usuarios	\N	id	id	\N	0	0	0	\N	\N	\N	\N	\N	\N	\N	6	40	\N	0	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	1	\N	1	\N	\N	0	\N	\N	30000001	\N
5404	2311	arai_usuarios	id	ef_fijo	id	0	0	2	ID OIDC	\N	\N	0	0	stronger	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
5405	2311	arai_usuarios	secret	ef_fijo	secret	0	0	3	Secret	\N	\N	0	0	stronger	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000019	31000017	arai_usuarios	clave	ef_editable	clave	1	0	1	Configuración	\N	\N	0	0	\N	\N	\N	0	0	\N	0	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	40	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000020	31000017	arai_usuarios	valor	ef_editable	valor	0	0	2	Valor	\N	\N	0	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	40	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
5384	31000038	arai_usuarios	check_activar_grupos	ef_checkbox	filtrar_grupos	0	0	10	Filtrar por grupos	\N	\N	0	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	1	0	Sí	No	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
5385	31000038	arai_usuarios	lista_grupos	ef_multi_seleccion_doble	lista_grupos	0	0	11	Grupos	\N	\N	0	0	\N	\N	\N	0	0	\N	0	0	get_grupos_disponibles	\N	\N	\N	\N	\N	arai_usuarios	\N	id	valor	\N	0	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	1	\N	\N	1	\N	\N	30000001	\N
5386	31000038	arai_usuarios	icono	ef_upload	icono	0	0	14	Ícono	\N	\N	0	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	png	\N	\N
5389	31000038	arai_usuarios	inactiva	ef_checkbox	inactiva	1	0	12	Activa	\N	Si la aplicación no se marca como activa, esta no aparecerá en el menú de aplicaciones ni será tenida en cuenta al momento de generar cuentas de usuarios con la misma	0	0	\N	\N	\N	0	0	0	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	1	Sí	No	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
5406	31000038	arai_usuarios	permite_acceso_sin_cuenta	ef_checkbox	permite_acceso_sin_cuenta	0	0	8	Acceso irrestricto	\N	No se requieren cuentas ni membresías a grupos para acceder a esta aplicación	0	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	1	0	Sí	No	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
5407	31000038	arai_usuarios	ocultar_menu	ef_checkbox	ocultar_menu	0	0	13	Oculta del menú	\N	Si la aplicación se muestra o se oculta del menú de aplicaciones integrado app-launcher	0	0	\N	\N	\N	0	0	0	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	1	0	Sí	No	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
5411	31000038	arai_usuarios	requiere_second_factor	ef_checkbox	requiere_second_factor	0	0	9	Requiere Segundo Factor	\N	El usuario deberá registrar un 2FA y tenerlo operativo para acceder a la aplicación	0	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	1	0	Sí	No	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
5416	31000038	arai_usuarios	es_idm	ef_fijo	es_idm	0	0	7	Es IDM	\N	\N	0	0	\N	\N	\N	0	0	\N	1	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000056	31000038	arai_usuarios	app_unique_id	ef_fijo	app_unique_id	1	0	1	appUniqueId	\N	\N	0	0	\N	\N	\N	0	0	\N	0	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	70	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000057	31000038	arai_usuarios	url	ef_editable	url	1	0	2	Url	\N	\N	0	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	80	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000058	31000038	arai_usuarios	etiqueta	ef_editable	etiqueta	1	0	3	Nombre	\N	\N	0	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	80	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000059	31000038	arai_usuarios	version	ef_editable	version	0	0	4	Version	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000060	31000038	arai_usuarios	descripcion	ef_editable_textarea	descripcion	0	0	5	Descripción	\N	\N	0	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	4	50	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000061	31000038	arai_usuarios	orden	ef_editable	orden	0	0	6	Orden	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000031	31000031	arai_usuarios	employeeNumber	ef_editable	employeeNumber	0	0	1	Nro. empleado	\N	\N	0	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000032	31000031	arai_usuarios	displayName	ef_editable	displayName	0	0	2	displayName	\N	\N	0	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000034	31000031	arai_usuarios	eduPersonAffiliation	ef_editable	eduPersonAffiliation	0	0	3	eduPersonAffiliation	\N	\N	1	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000035	31000031	arai_usuarios	eduPersonEntitlement	ef_editable	eduPersonEntitlement	0	0	4	eduPersonEntitlement	\N	\N	1	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000036	31000031	arai_usuarios	eduPersonNickname	ef_editable	eduPersonNickname	0	0	5	eduPersonNickname	\N	\N	1	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000037	31000031	arai_usuarios	eduPersonOrgDN	ef_editable	eduPersonOrgDN	0	0	6	eduPersonOrgDN	\N	\N	1	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000038	31000031	arai_usuarios	eduPersonOrgUnitDN	ef_editable	eduPersonOrgUnitDN	0	0	7	eduPersonOrgUnitDN	\N	\N	1	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000039	31000031	arai_usuarios	eduPersonPrimaryAffiliation	ef_editable	eduPersonPrimaryAffiliation	0	0	8	eduPersonPrimaryAffiliation	\N	\N	1	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000040	31000031	arai_usuarios	eduPersonPrimaryOrgUnitDN	ef_editable	eduPersonPrimaryOrgUnitDN	0	0	9	eduPersonPrimaryOrgUnitDN	\N	\N	1	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000041	31000031	arai_usuarios	eduPersonPrincipalName	ef_editable	eduPersonPrincipalName	0	0	10	eduPersonPrincipalName	\N	\N	1	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000042	31000031	arai_usuarios	eduPersonPrincipalNamePrior	ef_editable	eduPersonPrincipalNamePrior	0	0	11	eduPersonPrincipalNamePrior	\N	\N	1	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000043	31000031	arai_usuarios	eduPersonScopedAffiliation	ef_editable	eduPersonScopedAffiliation	0	0	12	eduPersonScopedAffiliation	\N	\N	1	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000044	31000031	arai_usuarios	eduPersonTargetedID	ef_editable	eduPersonTargetedID	0	0	13	eduPersonTargetedID	\N	\N	1	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000045	31000031	arai_usuarios	eduPersonAssurance	ef_editable	eduPersonAssurance	0	0	14	eduPersonAssurance	\N	\N	1	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000046	31000031	arai_usuarios	eduPersonUniqueId	ef_editable	eduPersonUniqueId	0	0	15	eduPersonUniqueId	\N	\N	1	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000047	31000031	arai_usuarios	eduPersonOrcid	ef_editable	eduPersonOrcid	0	0	16	eduPersonOrcid	\N	\N	1	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000027	31000028	arai_usuarios	clave	ef_editable	clave	1	0	1	Configuración	\N	\N	0	0	\N	\N	\N	0	0	\N	0	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	40	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000028	31000028	arai_usuarios	valor	ef_editable	valor	0	0	2	Valor	\N	\N	0	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	40	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000030	31000028	arai_usuarios	valor_password	ef_editable_clave	valor_password	1	0	3	Valor	\N	\N	0	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	40	\N	\N	\N	\N	\N	\N	\N	\N	\N	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
30000264	30000190	arai_usuarios	provider	ef_radio	provider	1	0	1	Servidor	\N	\N	0	0	\N	\N	\N	0	0	\N	0	0	get_openid_providers	\N	\N	\N	\N	\N	instancia	\N	id	nombre	\N	0	0	0	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	30000001	\N
30000265	30000190	arai_usuarios	provider_url	ef_editable	provider_url	1	1	2	Dirección	\N	\N	0	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	30000001	\N
5389	31000011	arai_usuarios	node	ef_combo	node	0	0	1	Nodo	\N	Representa el nodo dentro del directorio LDAP donde se almacena el usuario y su configuración	0	0	\N	\N	\N	0	0	\N	1	0	get_lista_nodes_ldap_validos	\N	\N	\N	\N	\N	arai_usuarios	\N	atributo	descripcion	\N	0	0	1	RAIZ	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	30000001	\N
5392	31000011	arai_usuarios	uniqueIdentifier	ef_editable	uniqueIdentifier	1	0	3	Identificador	\N	\N	0	0	\N	\N	\N	0	0	\N	0	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	30	128	\N	\N	\N	\N	\N	\N	\N	\N	\N	/^[a-zA-Z0-9.\\-]+$/	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
5408	31000011	arai_usuarios	mailPassRecovery	ef_editable	mailPassRecovery	0	0	8	Email Recuperación	\N	Email para recuperación de acceso, se recomienda que sea distinto del principal.	0	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	30	128	\N	\N	\N	\N	\N	\N	\N	\N	\N	/^[A-Z0-9._%+-]+@[A-Z0-9.-]+\\.[A-Z]{2,20}$/i	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
5409	31000011	arai_usuarios	secondFactor	ef_checkbox	secondFactor	0	0	11	Requiere Segundo Factor	\N	El usuario deberá registrar un 2FA y tenerlo operativo para acceder a la app.	0	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	1	0	Sí	No	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
5412	31000011	arai_usuarios	check_mismo_mail	ef_checkbox	check_mismo_mail	0	0	7	Mismo email para recuperar clave	\N	\N	0	0	\N	\N	\N	0	0	1	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	1	0	Sí	No	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000002	31000011	arai_usuarios	givenName	ef_editable	givenName	1	0	4	Nombre	\N	\N	0	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	30	30	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000003	31000011	arai_usuarios	sn	ef_editable	sn	1	0	5	Apellido	\N	\N	0	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	30	30	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000004	31000011	arai_usuarios	mail	ef_editable	mail	1	0	6	Email	\N	\N	0	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	30	128	\N	\N	\N	\N	\N	\N	\N	\N	\N	/^[A-Z0-9._%+-]+@[A-Z0-9.-]+\\.[A-Z]{2,4}$/i	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000005	31000011	arai_usuarios	identificador	ef_editable	identificador	0	0	2	uid	\N	\N	0	0	\N	\N	\N	0	0	\N	1	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	30	128	\N	\N	\N	\N	\N	\N	\N	\N	\N	/^[a-fA-F0-9\\-]+$/	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000006	31000011	arai_usuarios	tienePersona	ef_fijo	tienePersona	0	0	9	¿Tiene Persona?	\N	\N	0	0	\N	\N	\N	0	0	\N	1	0	\N	\N	\N	\N	\N	\N	arai_usuarios	\N	clave	valor	\N	0	0	0	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	30000001	\N
31000007	31000011	arai_usuarios	password	ef_editable_clave	password	1	0	10	Password	\N	\N	0	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	30	128	\N	\N	\N	\N	\N	\N	\N	\N	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000012	31000011	arai_usuarios	bloqueado	ef_checkbox	bloqueado	0	0	12	Bloqueado	\N	\N	0	0	\N	\N	\N	0	0	0	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	1	0	Sí	No	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000013	31000011	arai_usuarios	jpegPhoto	ef_editable	jpegPhoto	0	0	13	URL foto	\N	\N	0	0	\N	\N	\N	0	0	\N	1	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	30	256	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000026	31000011	arai_usuarios	foto	ef_upload	foto	0	0	14	\N	\N	\N	0	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	jpg,jpeg,gif,png	\N	\N
5390	2308	arai_usuarios	vto_cuenta	ef_editable_fecha_hora	vto_cuenta	0	0	1	Expiración de Cuenta	\N	\N	0	0	ef-fecha-hora	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
5391	2308	arai_usuarios	vto_password	ef_editable_fecha	vto_password	0	0	2	Expiración de Password	\N	\N	0	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
30000258	30000187	arai_usuarios	msg	ef_fijo	msg	0	0	1	\N	\N	\N	0	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	30000001	\N
60000005	60000006	arai_usuarios	es_firmante	ef_checkbox	es_firmante	1	0	1	¿Es Firmante?	\N	\N	0	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	1	0	Sí	No	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
30000262	30000189	arai_usuarios	clave_nueva	ef_editable_clave	clave_nueva	1	0	2	Clave Nueva	\N	\N	0	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	30	128	\N	\N	\N	\N	\N	\N	\N	\N	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	30000001	\N
30000263	30000189	arai_usuarios	clave_anterior	ef_editable_clave	clave_anterior	1	0	1	Clave Anterior	\N	\N	0	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	30	128	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	30000001	\N
30000259	30000188	arai_usuarios	usuario	ef_editable	usuario	1	0	1	Usuario	\N	\N	0	0	\N	0	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	30000001	\N
30000260	30000188	arai_usuarios	clave	ef_editable_clave	clave	1	0	2	Clave	\N	\N	0	0	\N	0	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	15	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	30000001	\N
30000261	30000188	arai_usuarios	test_error_repetido	ef_editable_captcha	test_error_repetido	1	0	3	Confirmación	\N	\N	0	0	\N	\N	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	30000001	\N
31000048	31000034	arai_usuarios	uid	ef_fijo	uid	0	0	1	Uid	\N	\N	0	0	\N	0	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000049	31000034	arai_usuarios	apellido_nombre	ef_fijo	apellido_nombre	0	0	2	Apellido y nombre	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000051	31000034	arai_usuarios	atributo	ef_fijo	atributo	0	0	3	Atributo	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000052	31000034	arai_usuarios	valores	ef_fijo	valores	0	0	4	Valores posibles	\N	\N	0	0	\N	0	\N	1	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000053	31000034	arai_usuarios	uniqueIdentifier	ef_oculto	uniqueIdentifier	0	0	5	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000054	31000034	arai_usuarios	valor	ef_editable	valor	0	0	6	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000055	31000034	arai_usuarios	array_valores	ef_oculto	array_valores	0	0	7	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
5414	2318	arai_usuarios	etiqueta	ef_combo	etiqueta	1	0	1	Etiqueta	\N	\N	0	0	\N	0	\N	0	0	\N	1	0	get_lista_etiquetas_validas	\N	\N	\N	\N	\N	arai_usuarios	\N	id	descripcion	\N	0	0	1	\N	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	30000001	\N
5415	2318	arai_usuarios	valor	ef_editable	valor	1	0	2	Valor	\N	Caracteres mínimos 1 y máximos 255.	0	0	\N	0	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	60	255	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31000014	31000012	arai_usuarios	atributo	ef_combo	atributo	1	0	1	Atributo	\N	\N	0	0	\N	0	\N	0	0	\N	0	1	get_lista_atributos_validos	\N	\N	\N	\N	\N	arai_usuarios	\N	atributo	descripcion	\N	0	0	1	-- Seleccione --	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	30000001	\N
31000015	31000012	arai_usuarios	valor	ef_editable	valor	1	0	2	Valor	\N	\N	0	0	\N	0	\N	0	0	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0	\N	\N	60	4000	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
\.


--
-- Data for Name: apex_objeto_esquema; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_objeto_esquema (objeto_esquema_proyecto, objeto_esquema, parser, descripcion, dot, debug, formato, modelo_ejecucion, modelo_ejecucion_cache, tipo_incrustacion, ancho, alto, dirigido, sql) FROM stdin;
\.


--
-- Data for Name: apex_objeto_eventos; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_objeto_eventos (proyecto, evento_id, objeto, identificador, etiqueta, maneja_datos, sobre_fila, confirmacion, estilo, imagen_recurso_origen, imagen, en_botonera, ayuda, orden, ci_predep, implicito, defecto, display_datos_cargados, grupo, accion, accion_imphtml_debug, accion_vinculo_carpeta, accion_vinculo_item, accion_vinculo_objeto, accion_vinculo_popup, accion_vinculo_popup_param, accion_vinculo_target, accion_vinculo_celda, accion_vinculo_servicio, es_seleccion_multiple, es_autovinculo) FROM stdin;
arai_usuarios	1104	2304	buscar_miembro	&Agregar miembro	0	\N	\N	\N	apex	buscar.png	1	\N	1	\N	0	0	\N	\N	\N	0	\N	\N	\N	0	\N	\N	\N	\N	0	0
arai_usuarios	1105	2304	cancelar_miembro	&Volver	0	\N	\N	\N	apex	deshacer.png	1	\N	2	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	1111	31000036	agregar	&Agregar	0	\N	\N	\N	apex	nucleo/agregar.gif	1	\N	1	\N	0	0	\N	\N	\N	0	\N	\N	\N	0	\N	\N	\N	\N	0	0
arai_usuarios	1112	31000036	cancelar	&Volver	0	\N	\N	\N	apex	deshacer.png	1	\N	2	\N	0	0	\N	\N	\N	0	\N	\N	\N	0	\N	\N	\N	\N	0	0
arai_usuarios	1113	31000036	eliminar	&Eliminar	0	\N	¿Esta seguro que desea ELIMINAR los datos?	\N	apex	borrar.gif	1	\N	3	\N	0	0	\N	\N	\N	0	\N	\N	\N	0	\N	\N	\N	\N	0	0
arai_usuarios	1114	31000036	guardar	&Guardar	1	\N	\N	\N	apex	guardar.gif	1	\N	4	\N	0	1	\N	\N	\N	0	\N	\N	\N	0	\N	\N	\N	\N	0	0
arai_usuarios	1094	2301	agregar	&Agregar	0	\N	\N	btn-agregar	apex	nucleo/agregar.gif	1	\N	1	\N	0	0	\N	\N	\N	0	\N	\N	\N	0	\N	\N	\N	\N	0	0
arai_usuarios	1095	2301	cancelar	&Volver	0	\N	\N	\N	apex	deshacer.png	1	\N	2	\N	0	0	\N	\N	\N	0	\N	\N	\N	0	\N	\N	\N	\N	0	0
arai_usuarios	1097	2301	guardar	&Guardar	1	\N	\N	\N	apex	guardar.gif	1	\N	3	\N	0	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	31000001	31000001	agregar	&Agregar	0	\N	\N	btn-agregar	apex	nucleo/agregar.gif	1	\N	1	\N	0	0	\N	\N	\N	0	\N	\N	\N	0	\N	\N	\N	\N	0	0
arai_usuarios	31000002	31000001	cancelar	&Volver	0	\N	\N	\N	apex	deshacer.png	1	\N	2	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	31000003	31000001	eliminar	&Eliminar	0	\N	¿Está seguro que desea eliminar el usuario?	\N	apex	borrar.png	1	\N	3	\N	0	0	\N	\N	\N	0	\N	\N	\N	0	\N	\N	\N	\N	0	0
arai_usuarios	31000004	31000001	guardar	&Guardar	1	\N	\N	\N	apex	guardar.gif	1	\N	4	\N	0	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	31000042	31000033	resolver_conflictos	Resolver conflictos	1	\N	¿Esta seguro que desea resolver los conflictos de usuarios?	\N	apex	\N	1	\N	1	\N	0	0	\N	\N	\N	0	\N	\N	\N	0	\N	\N	\N	\N	0	0
arai_usuarios	60000012	60000005	desvincular	&Desvincular Persona	0	\N	¡ATENCIÓN! Debe presionar "Guardar" para que se efectué la desvinculación	ei-boton-desvincular	apex	finalizar_sesion.gif	1	\N	1	\N	0	0	\N	\N	\N	0	\N	\N	\N	0	\N	\N	\N	\N	0	0
arai_usuarios	1121	60000005	vincular	Vincular Persona	0	\N	¡ATENCIÓN! Vincular con persona solicitado. Recuerde guardar para realizar cambios.	ei-boton-desvincular	proyecto	usuario_nuevo.gif	1	\N	2	\N	0	0	\N	\N	\N	0	\N	\N	\N	0	\N	\N	\N	\N	0	0
arai_usuarios	1122	60000005	nuevo_sello	Nuevo Sello	0	\N	\N	\N	apex	\N	1	\N	3	\N	0	0	\N	\N	\N	0	\N	\N	\N	0	\N	\N	\N	\N	0	0
arai_usuarios	1123	60000005	sincronizar	Sincronizar Persona	0	\N	¡ATENCIÓN! Sincronizar Persona solicitado. Recuerde guardar para realizar cambios.	\N	apex	\N	1	\N	4	\N	0	0	\N	\N	\N	0	\N	\N	\N	0	\N	\N	\N	\N	0	0
arai_usuarios	31000029	31000025	filtrar	&Filtrar	1	\N	\N	ei-boton-filtrar	apex	filtrar.png	1	\N	1	\N	0	1	\N	cargado,no_cargado	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	31000030	31000025	cancelar	&Limpiar	0	\N	\N	ei-boton-limpiar	apex	limpiar.png	1	\N	2	\N	0	0	\N	cargado	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	102000002	102000002	filtrar	&Filtrar	1	\N	\N	ei-boton-filtrar	apex	filtrar.png	1	\N	1	\N	0	0	\N	cargado,no_cargado	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	102000001	102000002	cancelar	&Limpiar	0	\N	\N	ei-boton-limpiar	apex	limpiar.png	1	\N	2	\N	0	0	\N	cargado	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	1098	2303	filtrar	&Filtrar	1	\N	\N	ei-boton-filtrar	apex	filtrar.png	1	\N	1	\N	0	0	\N	cargado,no_cargado	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	1099	2303	cancelar	&Limpiar	0	\N	\N	ei-boton-limpiar	apex	limpiar.png	1	\N	2	\N	0	0	\N	cargado	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	31000006	31000003	filtrar	&Filtrar	1	\N	\N	ei-boton-filtrar	apex	filtrar.png	1	\N	1	\N	0	1	\N	cargado,no_cargado	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	31000007	31000003	cancelar	&Limpiar	0	\N	\N	ei-boton-limpiar	apex	limpiar.png	1	\N	2	\N	0	0	\N	cargado	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	1119	2317	desactivacion		1	1	¿Está por desactivar el Segundo Factor de Autenticación esta operación es irreversible, esta seguro?	\N	apex	nucleo/borrar.gif	0	\N	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	0	0
arai_usuarios	60000007	60000007	seleccion		1	1	\N	\N	apex	doc.gif	0	\N	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	60000006	60000007	eliminar	\N	1	1	¡ATENCIÓN! Eliminar sello solicitado. Recuerde guardar para realizar cambios.	\N	apex	borrar.gif	0	\N	2	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	0	0
arai_usuarios	30000191	30000191	seleccion	\N	1	1	\N	\N	apex	doc.gif	0	\N	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	1100	2302	seleccion		1	1	\N	\N	apex	doc.gif	0	\N	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	1101	2302	eliminar	\N	1	1	¿Está seguro que desea eliminar el grupo?	\N	apex	borrar.gif	0	\N	2	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	0	0
arai_usuarios	31000032	31000027	seleccion		1	1	\N	\N	apex	doc.gif	0	\N	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	31000031	31000027	eliminar	\N	1	0	¿Desea ELIMINAR la configuración?	\N	apex	borrar.gif	0	ELIMINAR configuración	2	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	0	0
arai_usuarios	31000005	31000002	seleccion		1	1	\N	\N	apex	doc.gif	0	\N	1	\N	\N	\N	\N	abm	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	0	0
arai_usuarios	31000011	31000002	eliminar	\N	1	1	¿Está seguro que desea eliminar el usuario?	\N	apex	borrar.gif	0	\N	2	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	0	0
arai_usuarios	1110	31000002	agregar_miembro	\N	1	1	\N	\N	apex	nucleo/agregar.gif	0	\N	3	\N	\N	\N	\N	grupo	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	0	0
arai_usuarios	31000043	31000037	seleccion		1	1	\N	\N	apex	doc.gif	0	\N	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	31000038	31000019	defecto	\N	1	1	¿Está seguro que desea definir por defecto la cuenta en la aplicación?	\N	apex	favorito.png	0	Definir por defecto la cuenta en la aplicación	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	0	0
arai_usuarios	31000022	31000019	seleccion		1	1	\N	\N	apex	doc.gif	0	\N	2	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	31000016	31000016	seleccion		1	1	\N	\N	apex	doc.gif	0	\N	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	31000028	31000016	eliminar	\N	1	0	¿Desea ELIMINAR la configuración?	\N	apex	borrar.gif	0	ELIMINAR configuración	2	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	0	0
arai_usuarios	1106	2306	eliminar_miembro	\N	1	1	\N	\N	apex	borrar.gif	0	\N	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	60000003	60000004	modificacion	&Modificar	1	\N	\N	\N	apex	\N	0	\N	1	\N	1	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	1116	2310	modificacion	&Modificar	1	\N	\N	\N	apex	\N	0	\N	1	\N	1	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	60000008	60000008	modificacion	&Modificar	1	\N	\N	\N	apex	\N	0	\N	1	\N	1	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	31000023	31000020	alta	&Agregar	1	\N	\N	ei-boton-alta	apex	nucleo/agregar.gif	1	\N	1	\N	0	0	\N	no_cargado	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	31000024	31000020	baja	&Eliminar	0	\N	¿Desea DESASOCIAR la cuenta del usuario?	ei-boton-baja	apex	borrar.gif	1	\N	2	\N	0	0	\N	cargado	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	0	0
arai_usuarios	31000037	31000020	defecto	Definir por defecto	0	\N	¿Está seguro que desea definir por defecto la cuenta en la aplicación?	\N	apex	favorito.png	1	Definir por defecto la cuenta en la aplicación	3	\N	0	0	\N	cargado	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	0	0
arai_usuarios	31000026	31000020	modificacion	&Modificar	1	\N	\N	ei-boton-mod	apex	guardar.gif	1	\N	4	\N	0	0	\N	cargado	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	31000025	31000020	cancelar	Ca&ncelar	0	\N	\N	ei-boton-canc	apex	deshacer.png	1	\N	5	\N	0	0	\N	cargado	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	0	0
arai_usuarios	1102	2305	modificacion	&Modificar	1	\N	\N	\N	apex	\N	0	\N	1	\N	1	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	1117	2311	modificacion	&Modificar	1	\N	\N	\N	apex	\N	0	\N	1	\N	1	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	1118	2311	refresh_credenciales	Regenerar Credenciales	0	\N	Todos los tokens entregados a este cliente se invalidarán, ¿desea seguir?	\N	apex	refrescar.png	0	\N	2	\N	0	0	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	0	0
arai_usuarios	31000018	31000017	alta	&Agregar	1	\N	\N	ei-boton-alta	apex	nucleo/agregar.gif	0	\N	1	\N	0	0	\N	no_cargado	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	31000019	31000017	baja	&Eliminar	0	\N	¿Desea ELIMINAR la configuración?	ei-boton-baja	apex	borrar.gif	0	\N	2	\N	0	0	\N	cargado	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	0	0
arai_usuarios	31000020	31000017	modificacion	&Modificar	1	\N	\N	ei-boton-mod	apex	guardar.gif	1	\N	3	\N	0	0	\N	cargado	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	31000021	31000017	cancelar	Ca&ncelar	0	\N	\N	ei-boton-canc	apex	deshacer.png	1	\N	4	\N	0	0	\N	cargado	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	1115	31000038	modificacion	&Modificar	1	\N	\N	\N	apex	\N	0	\N	1	\N	1	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	31000039	31000031	modificacion	&Modificar	1	\N	\N	\N	apex	\N	0	\N	1	\N	1	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	31000033	31000028	alta	&Agregar	1	\N	\N	ei-boton-alta	apex	nucleo/agregar.gif	0	\N	1	\N	0	0	\N	no_cargado	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	31000034	31000028	baja	&Eliminar	0	\N	¿Desea ELIMINAR la configuración?	ei-boton-baja	apex	borrar.gif	0	\N	2	\N	0	0	\N	cargado	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	0	0
arai_usuarios	31000036	31000028	modificacion	&Modificar	1	\N	\N	ei-boton-mod	apex	guardar.gif	1	\N	3	\N	0	0	\N	cargado	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	31000035	31000028	cancelar	Ca&ncelar	0	\N	\N	ei-boton-canc	apex	deshacer.png	1	\N	4	\N	0	0	\N	cargado	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	30000190	30000190	ingresar	&Ingresar	1	\N	\N	\N	apex	\N	1	\N	1	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	31000008	31000011	modificacion	&Modificar	1	\N	\N	\N	apex	\N	0	\N	1	\N	1	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	1107	31000011	reset_pwd	&Forzar Cambio de Clave	1	\N	\N	ei-cuadro-orden	apex	\N	1	\N	2	\N	0	0	\N	cargado	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	0	0
arai_usuarios	1108	2308	modificacion	&Modificar	1	\N	\N	\N	apex	\N	0	\N	1	\N	1	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	30000186	30000187	ingresar	Login	0	\N	\N	\N	apex	\N	1	\N	1	\N	0	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	60000004	60000006	modificacion	&Modificar	1	\N	\N	\N	apex	\N	0	\N	1	\N	1	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	30000189	30000189	modificacion	&Modificar	1	\N	\N	ei-boton-mod	apex	\N	1	\N	1	\N	0	0	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	0	0
arai_usuarios	30000188	30000189	cancelar	Ca&ncelar	0	\N	\N	ei-boton-canc	apex	\N	1	\N	2	\N	0	0	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	0	0
arai_usuarios	30000187	30000188	ingresar	&Ingresar	1	\N	\N	\N	apex	\N	1	\N	1	\N	0	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	31000041	31000034	modificacion	&Modificacion	1	0	\N	\N	apex	\N	0	\N	1	\N	1	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
arai_usuarios	1120	2318	modificacion	&Modificar	1	0	\N	ei-boton-izq	apex	guardar.gif	1	\N	1	\N	1	0	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	0	0
arai_usuarios	60000010	2318	cancelar	Cancelar	0	0	\N	ei-boton-izq	apex	deshacer.png	1	\N	2	\N	0	0	\N	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	\N	0	0
arai_usuarios	31000009	31000012	modificacion	&Modificacion	1	0	\N	\N	apex	\N	0	\N	1	\N	1	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
\.


--
-- Data for Name: apex_objeto_grafico; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_objeto_grafico (objeto_grafico_proyecto, objeto_grafico, descripcion, grafico, ancho, alto) FROM stdin;
\.


--
-- Data for Name: apex_objeto_info; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_objeto_info (objeto_proyecto, objeto, descripcion_breve, descripcion_larga) FROM stdin;
\.


--
-- Data for Name: apex_objeto_mapa; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_objeto_mapa (objeto_mapa_proyecto, objeto_mapa, mapfile_path) FROM stdin;
\.


--
-- Data for Name: apex_objeto_msg; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_objeto_msg (objeto_msg, msg_tipo, indice, objeto_proyecto, objeto, descripcion_corta, mensaje_a, mensaje_b, mensaje_c, mensaje_customizable, parametro_clase) FROM stdin;
\.


--
-- Data for Name: apex_objeto_mt_me; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_objeto_mt_me (objeto_mt_me_proyecto, objeto_mt_me, ev_procesar_etiq, ev_cancelar_etiq, ancho, alto, posicion_botonera, tipo_navegacion, botonera_barra_item, con_toc, incremental, debug_eventos, activacion_procesar, activacion_cancelar, ev_procesar, ev_cancelar, objetos, post_procesar, metodo_despachador, metodo_opciones) FROM stdin;
arai_usuarios	31000029	\N	\N	100%	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
arai_usuarios	2304	\N	\N	100%	\N	\N	tab_h	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
arai_usuarios	102000003	\N	\N	80%	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
arai_usuarios	31000036	\N	\N	70%	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
arai_usuarios	2301	\N	\N	70%	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
arai_usuarios	31000026	\N	\N	80%	\N	\N	tab_h	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
arai_usuarios	31000022	\N	\N	100%	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
arai_usuarios	31000001	\N	\N	70%	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
arai_usuarios	30000192	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
arai_usuarios	31000033	\N	\N	70%	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
arai_usuarios	31000010	\N	\N	100%	\N	\N	tab_h	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
arai_usuarios	2309	\N	\N	\N	\N	\N	tab_h	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
arai_usuarios	60000005	\N	\N	\N	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
arai_usuarios	31000015	\N	\N	100%	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
arai_usuarios	31000024	\N	\N	80%	\N	\N	\N	0	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
\.


--
-- Data for Name: apex_objeto_mt_me_tipo_nav; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_objeto_mt_me_tipo_nav (tipo_navegacion, descripcion) FROM stdin;
tab_h	TAB horizontal
tab_v	TAB vertical
wizard	Wizard
\.


--
-- Data for Name: apex_objeto_nota; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_objeto_nota (objeto_nota, nota_tipo, objeto_proyecto, objeto, usuario_origen, usuario_destino, titulo, texto, bl, leido, creacion) FROM stdin;
\.


--
-- Data for Name: apex_objeto_rel_columnas_asoc; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_objeto_rel_columnas_asoc (proyecto, objeto, asoc_id, padre_objeto, padre_clave, hijo_objeto, hijo_clave) FROM stdin;
arai_usuarios	31000039	44	31000035	31000001	2314	820
arai_usuarios	31000039	45	31000035	31000001	2316	866
\.


--
-- Data for Name: apex_objeto_ut_formulario; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_objeto_ut_formulario (objeto_ut_formulario_proyecto, objeto_ut_formulario, tabla, titulo, ev_agregar, ev_agregar_etiq, ev_mod_modificar, ev_mod_modificar_etiq, ev_mod_eliminar, ev_mod_eliminar_etiq, ev_mod_limpiar, ev_mod_limpiar_etiq, ev_mod_clave, clase_proyecto, clase, auto_reset, ancho, ancho_etiqueta, expandir_descripcion, campo_bl, scroll, filas, filas_agregar, filas_agregar_online, filas_agregar_abajo, filas_agregar_texto, filas_borrar_en_linea, filas_undo, filas_ordenar, filas_ordenar_en_linea, columna_orden, filas_numerar, ev_seleccion, alto, analisis_cambios, no_imprimir_efs_sin_estado, resaltar_efs_con_estado, template, template_impresion) FROM stdin;
arai_usuarios	60000004	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	150px	0	\N	\N	\N	\N	1	0	\N	0	\N	\N	0	\N	\N	\N	\N	\N	0	0	\N	\N
arai_usuarios	2310	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	150px	0	\N	\N	\N	\N	1	0	\N	0	\N	\N	0	\N	\N	\N	\N	\N	0	0	\N	\N
arai_usuarios	60000008	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	150px	0	\N	\N	\N	\N	1	0	\N	0	\N	\N	0	\N	\N	\N	\N	\N	0	0	\N	\N
arai_usuarios	31000020	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	100%	150px	0	\N	\N	\N	\N	1	0	\N	0	\N	\N	0	\N	\N	\N	\N	\N	0	0	\N	\N
arai_usuarios	2305	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	100%	150px	0	\N	\N	\N	\N	1	0	\N	0	\N	\N	0	\N	\N	\N	\N	\N	0	0	\N	\N
arai_usuarios	2311	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	150px	0	\N	\N	\N	\N	1	0	\N	0	\N	\N	0	\N	\N	\N	\N	\N	0	0	\N	\N
arai_usuarios	31000017	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	100%	150px	0	\N	\N	\N	\N	1	0	\N	0	\N	\N	0	\N	\N	\N	\N	\N	0	0	\N	\N
arai_usuarios	31000038	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	100%	150px	0	\N	\N	\N	\N	1	0	\N	0	\N	\N	0	\N	\N	\N	\N	\N	0	0	\N	\N
arai_usuarios	31000031	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	100%	150px	0	\N	\N	\N	\N	1	0	\N	0	\N	\N	0	\N	\N	\N	\N	\N	0	0	\N	\N
arai_usuarios	31000028	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	100%	150px	0	\N	\N	\N	\N	1	0	\N	0	\N	\N	0	\N	\N	\N	\N	\N	0	0	\N	\N
arai_usuarios	30000190	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	300px	100px	0	\N	\N	\N	\N	1	0	\N	0	\N	\N	0	\N	\N	\N	\N	\N	0	0	\N	\N
arai_usuarios	31000011	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	100%	150px	0	\N	\N	\N	\N	1	0	\N	0	\N	\N	0	\N	\N	\N	\N	\N	0	0	\N	\N
arai_usuarios	2308	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	150px	0	\N	\N	\N	\N	1	0	\N	0	\N	\N	0	\N	\N	\N	\N	\N	0	0	\N	\N
arai_usuarios	30000187	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	150px	0	\N	\N	\N	\N	1	0	\N	0	\N	\N	0	\N	\N	\N	\N	\N	0	0	<p>[ef id=msg]</p>\r\n<div>\r\n\t<span style="font-weight: bold; font-size:1.2em; padding:3px;">Usted ser&aacute; redirigido hacia un servidor de autenticaci&oacute;n central</span></div>	\N
arai_usuarios	60000006	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	150px	0	\N	\N	\N	\N	1	0	\N	0	\N	\N	0	\N	\N	\N	\N	\N	0	0		\N
arai_usuarios	30000189	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	100%	150px	0	\N	\N	\N	\N	1	0	\N	0	\N	\N	0	\N	\N	\N	\N	\N	0	0	\N	\N
arai_usuarios	30000188	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	300px	100px	0	\N	\N	\N	\N	1	0	\N	0	\N	\N	0	\N	\N	\N	\N	\N	0	0	\N	\N
arai_usuarios	31000034	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	100%	\N	\N	\N	0	\N	0	1	0	\N	0	\N	0	0		0	\N	\N	LINEA	\N	\N	\N	\N
arai_usuarios	2318	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	100%	\N	\N	\N	0	\N	0	1	0	\N	1	\N	0	0		0	\N	\N	LINEA	\N	\N	\N	\N
arai_usuarios	31000012	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	100%	\N	\N	\N	0	\N	1	1	0	\N	1	\N	0	0		0	\N	\N	LINEA	\N	\N	\N	\N
\.


--
-- Data for Name: apex_objetos_pantalla; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_objetos_pantalla (proyecto, pantalla, objeto_ci, orden, dep_id) FROM stdin;
arai_usuarios	31000012	31000029	0	31000026
arai_usuarios	31000012	31000029	1	31000027
arai_usuarios	1191	2304	0	1186
arai_usuarios	1192	2304	2	1187
arai_usuarios	1192	2304	1	1190
arai_usuarios	1192	2304	0	1191
arai_usuarios	102000001	102000003	1	102000001
arai_usuarios	102000001	102000003	0	102000002
arai_usuarios	1195	31000036	1	1194
arai_usuarios	31000016	31000036	0	31000033
arai_usuarios	1189	2301	1	1183
arai_usuarios	1189	2301	0	1184
arai_usuarios	1190	2301	0	1185
arai_usuarios	31000010	31000026	0	31000025
arai_usuarios	31000011	31000026	0	31000028
arai_usuarios	31000007	31000022	2	1192
arai_usuarios	31000007	31000022	0	31000017
arai_usuarios	31000007	31000022	1	31000018
arai_usuarios	31000001	31000001	1	31000001
arai_usuarios	31000001	31000001	0	31000002
arai_usuarios	31000002	31000001	0	31000006
arai_usuarios	30000085	30000192	0	30000118
arai_usuarios	30000086	30000192	3	30000116
arai_usuarios	30000086	30000192	0	30000117
arai_usuarios	30000086	30000192	1	30000119
arai_usuarios	30000086	30000192	2	30000120
arai_usuarios	31000015	31000033	0	31000032
arai_usuarios	1193	31000010	0	1193
arai_usuarios	1194	31000010	0	31000007
arai_usuarios	1194	31000010	3	31000008
arai_usuarios	1194	31000010	1	31000030
arai_usuarios	1199	31000010	0	1203
arai_usuarios	31000004	31000010	0	31000008
arai_usuarios	31000005	31000010	2	31000020
arai_usuarios	31000008	31000010	1	31000029
arai_usuarios	60000001	31000010	0	60000008
arai_usuarios	1196	2309	0	1195
arai_usuarios	1197	2309	0	1196
arai_usuarios	1198	2309	0	1197
arai_usuarios	60000003	60000005	0	60000009
arai_usuarios	60000003	60000005	1	60000010
arai_usuarios	60000004	60000005	1	1204
arai_usuarios	60000004	60000005	0	60000011
arai_usuarios	31000006	31000015	0	31000012
arai_usuarios	31000006	31000015	1	31000013
arai_usuarios	31000009	31000024	1	31000023
arai_usuarios	31000009	31000024	0	31000024
\.


--
-- Data for Name: apex_pagina_tipo; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_pagina_tipo (proyecto, pagina_tipo, descripcion, clase_nombre, clase_archivo, include_arriba, include_abajo, exclusivo_toba, contexto, punto_montaje) FROM stdin;
toba	NO	Ninguno - Sin salida	toba_tipo_pagina		\N	\N	\N	\N	\N
toba	logon	Página de login	toba_tp_logon		\N	\N	\N	\N	\N
toba	normal	Página Normal (incluye menu,barra superior, etc.)	toba_tp_normal		\N	\N	\N	\N	\N
toba	popup_ef	Página en popup (ideal para comunicación con un ef popup)	toba_tp_popup		\N	\N	\N	\N	\N
toba	titulo	Página con Título	toba_tp_basico_titulo		\N	\N	\N	\N	\N
toba	vacio	Página Básica (Sin menú, título, etc.)	toba_tp_basico		\N	\N	\N		\N
\.


--
-- Data for Name: apex_perfil_datos_set_prueba; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_perfil_datos_set_prueba (proyecto, fuente_datos, lote, seleccionados, parametros) FROM stdin;
\.


--
-- Data for Name: apex_permiso; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_permiso (permiso, proyecto, nombre, descripcion, mensaje_particular) FROM stdin;
\.


--
-- Data for Name: apex_permiso_grupo_acc; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_permiso_grupo_acc (proyecto, usuario_grupo_acc, permiso) FROM stdin;
\.


--
-- Data for Name: apex_proyecto; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_proyecto (proyecto, descripcion, descripcion_corta, estilo, con_frames, frames_clase, frames_archivo, pm_impresion, salida_impr_html_c, salida_impr_html_a, menu, path_includes, path_browser, administrador, listar_multiproyecto, orden, palabra_vinculo_std, version_toba, requiere_validacion, usuario_anonimo, usuario_anonimo_desc, usuario_anonimo_grupos_acc, validacion_intentos, validacion_intentos_min, validacion_bloquear_usuario, validacion_debug, sesion_tiempo_no_interac_min, sesion_tiempo_maximo_min, pm_sesion, sesion_subclase, sesion_subclase_archivo, pm_contexto, contexto_ejecucion_subclase, contexto_ejecucion_subclase_archivo, pm_usuario, usuario_subclase, usuario_subclase_archivo, encriptar_qs, registrar_solicitud, registrar_cronometro, item_inicio_sesion, item_pre_sesion, item_pre_sesion_popup, item_set_sesion, log_archivo, log_archivo_nivel, fuente_datos, pagina_tipo, version, version_fecha, version_detalle, version_link, tiempo_espera_ms, navegacion_ajax, codigo_ga_tracker, extension_toba, extension_proyecto) FROM stdin;
toba	NUCLEO TOBA	Nucleo - Toba	cubos	1	\N	\N	\N	\N	\N	css	php	/apl	\N	1	0	\N	0.9.0	\N	\N	\N	\N	\N	\N	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
arai_usuarios	ARAI_USUARIOS	Arai Usuarios	plastik	1	\N	\N	30000001	\N	\N	css	\N	\N	\N	0	\N	\N	3.3.0	1	\N	\N	\N	\N	5	1	0	30	\N	30000001	\N	\N	30000001	contexto_ejecucion	contexto_ejecucion.php	30000001	\N	\N	0	1	\N	2	30000072	0	\N	1	7	arai_usuarios	\N	3.2.1	\N	\N	\N	\N	0	\N	t	f
\.


--
-- Data for Name: apex_ptos_control; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_ptos_control (proyecto, pto_control, descripcion) FROM stdin;
\.


--
-- Data for Name: apex_ptos_control_ctrl; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_ptos_control_ctrl (proyecto, pto_control, clase, archivo, actua_como) FROM stdin;
\.


--
-- Data for Name: apex_ptos_control_param; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_ptos_control_param (proyecto, pto_control, parametro) FROM stdin;
\.


--
-- Data for Name: apex_ptos_control_x_evento; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_ptos_control_x_evento (proyecto, pto_control, evento_id, objeto) FROM stdin;
\.


--
-- Data for Name: apex_puntos_montaje; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_puntos_montaje (id, etiqueta, proyecto, proyecto_ref, descripcion, path_pm, tipo) FROM stdin;
30000001	proyecto	arai_usuarios	arai_usuarios	Punto de montaje por defecto de todos los proyectos de toba	php	proyecto_toba
\.


--
-- Data for Name: apex_recurso_origen; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_recurso_origen (recurso_origen, descripcion) FROM stdin;
apex	Toba
proyecto	Proyecto
skin	Skin
\.


--
-- Data for Name: apex_relacion_tablas; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_relacion_tablas (fuente_datos_proyecto, fuente_datos, proyecto, relacion_tablas, tabla_1, tabla_1_cols, tabla_2, tabla_2_cols) FROM stdin;
\.


--
-- Data for Name: apex_restriccion_funcional; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_restriccion_funcional (proyecto, restriccion_funcional, descripcion, permite_edicion) FROM stdin;
\.


--
-- Data for Name: apex_restriccion_funcional_cols; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_restriccion_funcional_cols (proyecto, restriccion_funcional, item, objeto_cuadro, objeto_cuadro_col, no_visible) FROM stdin;
\.


--
-- Data for Name: apex_restriccion_funcional_ef; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_restriccion_funcional_ef (proyecto, restriccion_funcional, item, objeto_ei_formulario_fila, objeto_ei_formulario, no_visible, no_editable) FROM stdin;
\.


--
-- Data for Name: apex_restriccion_funcional_ei; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_restriccion_funcional_ei (proyecto, restriccion_funcional, item, objeto, no_visible) FROM stdin;
\.


--
-- Data for Name: apex_restriccion_funcional_evt; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_restriccion_funcional_evt (proyecto, restriccion_funcional, item, evento_id, no_visible) FROM stdin;
\.


--
-- Data for Name: apex_restriccion_funcional_filtro_cols; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_restriccion_funcional_filtro_cols (proyecto, restriccion_funcional, item, objeto_ei_filtro_col, objeto_ei_filtro, no_visible) FROM stdin;
\.


--
-- Data for Name: apex_restriccion_funcional_pantalla; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_restriccion_funcional_pantalla (proyecto, restriccion_funcional, item, pantalla, objeto_ci, no_visible) FROM stdin;
\.


--
-- Data for Name: apex_revision; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_revision (revision, proyecto, creacion) FROM stdin;
DESCONOCIDA	\N	2023-05-31 21:30:54
DESCONOCIDA	toba	2023-06-01 20:53:01
\.


--
-- Data for Name: apex_servicio_web; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_servicio_web (proyecto, servicio_web, descripcion, tipo, param_to, param_wsa) FROM stdin;
arai_usuarios	rest_arai_reportes	Servio Web para acceder a Arai-Reportes	rest	\N	0
\.


--
-- Data for Name: apex_servicio_web_param; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_servicio_web_param (proyecto, servicio_web, parametro, valor) FROM stdin;
\.


--
-- Data for Name: apex_solicitud_obs_tipo; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_solicitud_obs_tipo (proyecto, solicitud_obs_tipo, descripcion, criterio) FROM stdin;
toba	error	Error	sistema
toba	info	Información	sistema
toba	item_datos	Datos	item
toba	item_peligroso	Seguridad	item
toba	usr_anonimo	Información	usuario
toba	usr_priv	Información	usuario
\.


--
-- Data for Name: apex_solicitud_tipo; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_solicitud_tipo (solicitud_tipo, descripcion, descripcion_corta, icono) FROM stdin;
accion	Ejecuta una archivo PHP plano, sin esquema de componentes , tipo de pagina, menu, etc.	Aplicación Web - PHP Plano	\N
consola	Solicitud realizada desde la linea de comandos.	Consola - Procesos batch	solic_consola.gif
fantasma	Item que no es solicitado nunca	\N	\N
servicio_web	Servicio Web (Soap-Rest)	Servicio Web (Soap/Rest)	\N
web	Aplicación Web	Aplicación Web - Esquema de Componentes	solic_browser.gif
\.


--
-- Data for Name: apex_tarea; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_tarea (proyecto, tarea, nombre, tarea_clase, tarea_objeto, ejecucion_proxima, intervalo_repeticion) FROM stdin;
\.


--
-- Data for Name: apex_tipo_datos; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_tipo_datos (tipo, descripcion) FROM stdin;
B	Binario
C	Caracter
E	Entero
F	Fecha
L	Logico
N	Numero
T	Timestamp
X	Caracter largo
\.


--
-- Data for Name: apex_usuario; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_usuario (usuario, clave, nombre, email, autentificacion, bloqueado, parametro_a, parametro_b, parametro_c, solicitud_registrar, solicitud_obs_tipo_proyecto, solicitud_obs_tipo, solicitud_observacion, usuario_tipodoc, pre, ciu, suf, telefono, vencimiento, dias, hora_entrada, hora_salida, ip_permitida, forzar_cambio_pwd, requiere_segundo_factor) FROM stdin;
admin	$2y$10$aIQIUeEsMKkd/HrmvYfF4ORfDbYOD5cUTfZS.wCH99xFvpgYdbT7O	Usuario Administrador	admin@institucion.edu.ar	bcrypt	0	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	0	0
\.


--
-- Data for Name: apex_usuario_grupo_acc; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_usuario_grupo_acc (proyecto, usuario_grupo_acc, nombre, nivel_acceso, descripcion, vencimiento, dias, hora_entrada, hora_salida, listar, permite_edicion, menu_usuario) FROM stdin;
arai_usuarios	admin	Administrador	0	Accede a toda la funcionalidad	\N	\N	\N	\N	\N	0	\N
\.


--
-- Data for Name: apex_usuario_grupo_acc_item; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_usuario_grupo_acc_item (proyecto, usuario_grupo_acc, item_id, item) FROM stdin;
arai_usuarios	admin	\N	1
arai_usuarios	admin	\N	2
arai_usuarios	admin	\N	3464
arai_usuarios	admin	\N	3465
arai_usuarios	admin	\N	31000002
arai_usuarios	admin	\N	31000004
arai_usuarios	admin	\N	31000006
arai_usuarios	admin	\N	31000007
arai_usuarios	admin	\N	31000008
arai_usuarios	admin	\N	102000001
arai_usuarios	admin	\N	102000002
\.


--
-- Data for Name: apex_usuario_grupo_acc_miembros; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_usuario_grupo_acc_miembros (proyecto, usuario_grupo_acc, usuario_grupo_acc_pertenece) FROM stdin;
\.


--
-- Data for Name: apex_usuario_perfil_datos; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_usuario_perfil_datos (proyecto, usuario_perfil_datos, nombre, descripcion, listar) FROM stdin;
\.


--
-- Data for Name: apex_usuario_perfil_datos_dims; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_usuario_perfil_datos_dims (proyecto, usuario_perfil_datos, dimension, elemento, clave) FROM stdin;
\.


--
-- Data for Name: apex_usuario_pregunta_secreta; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_usuario_pregunta_secreta (cod_pregunta_secreta, usuario, pregunta, respuesta, activa) FROM stdin;
\.


--
-- Data for Name: apex_usuario_proyecto; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_usuario_proyecto (proyecto, usuario_grupo_acc, usuario, usuario_perfil_datos) FROM stdin;
arai_usuarios	admin	admin	\N
\.


--
-- Data for Name: apex_usuario_proyecto_gadgets; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_usuario_proyecto_gadgets (usuario, proyecto, gadget, orden, eliminable) FROM stdin;
\.


--
-- Data for Name: apex_usuario_proyecto_perfil_datos; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_usuario_proyecto_perfil_datos (proyecto, usuario_perfil_datos, usuario) FROM stdin;
\.


--
-- Data for Name: apex_usuario_pwd_reset; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_usuario_pwd_reset (usuario, random, email, validez, bloqueado) FROM stdin;
\.


--
-- Data for Name: apex_usuario_pwd_usados; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_usuario_pwd_usados (cod_pwd_pasados, usuario, clave, algoritmo, fecha_cambio) FROM stdin;
\.


--
-- Data for Name: apex_usuario_tipodoc; Type: TABLE DATA; Schema: toba_arai_usuarios; Owner: -
--

COPY toba_arai_usuarios.apex_usuario_tipodoc (usuario_tipodoc, descripcion) FROM stdin;
1	DNI
2	CI
3	LE
4	CUIL
5	CUIT
\.


--
-- Data for Name: apex_log_error_login; Type: TABLE DATA; Schema: toba_arai_usuarios_logs; Owner: -
--

COPY toba_arai_usuarios_logs.apex_log_error_login (log_error_login, momento, usuario, clave, ip, gravedad, mensaje, punto_acceso) FROM stdin;
\.


--
-- Data for Name: apex_log_ip_rechazada; Type: TABLE DATA; Schema: toba_arai_usuarios_logs; Owner: -
--

COPY toba_arai_usuarios_logs.apex_log_ip_rechazada (ip, momento) FROM stdin;
\.


--
-- Data for Name: apex_log_objeto; Type: TABLE DATA; Schema: toba_arai_usuarios_logs; Owner: -
--

COPY toba_arai_usuarios_logs.apex_log_objeto (log_objeto, momento, usuario, objeto_proyecto, objeto, item, observacion) FROM stdin;
\.


--
-- Data for Name: apex_log_sistema; Type: TABLE DATA; Schema: toba_arai_usuarios_logs; Owner: -
--

COPY toba_arai_usuarios_logs.apex_log_sistema (log_sistema, momento, usuario, log_sistema_tipo, observaciones) FROM stdin;
\.


--
-- Data for Name: apex_log_tarea; Type: TABLE DATA; Schema: toba_arai_usuarios_logs; Owner: -
--

COPY toba_arai_usuarios_logs.apex_log_tarea (proyecto, log_tarea, tarea, nombre, tarea_clase, tarea_objeto, ejecucion) FROM stdin;
\.


--
-- Data for Name: apex_sesion_browser; Type: TABLE DATA; Schema: toba_arai_usuarios_logs; Owner: -
--

COPY toba_arai_usuarios_logs.apex_sesion_browser (sesion_browser, proyecto, usuario, ingreso, egreso, observaciones, php_id, ip, punto_acceso) FROM stdin;
\.


--
-- Data for Name: apex_solicitud; Type: TABLE DATA; Schema: toba_arai_usuarios_logs; Owner: -
--

COPY toba_arai_usuarios_logs.apex_solicitud (proyecto, solicitud, solicitud_tipo, item_proyecto, item, item_id, momento, tiempo_respuesta) FROM stdin;
\.


--
-- Data for Name: apex_solicitud_browser; Type: TABLE DATA; Schema: toba_arai_usuarios_logs; Owner: -
--

COPY toba_arai_usuarios_logs.apex_solicitud_browser (proyecto, sesion_browser, solicitud_proyecto, solicitud_browser, ip) FROM stdin;
\.


--
-- Data for Name: apex_solicitud_consola; Type: TABLE DATA; Schema: toba_arai_usuarios_logs; Owner: -
--

COPY toba_arai_usuarios_logs.apex_solicitud_consola (proyecto, solicitud_consola, usuario, ip, llamada, entorno) FROM stdin;
\.


--
-- Data for Name: apex_solicitud_cronometro; Type: TABLE DATA; Schema: toba_arai_usuarios_logs; Owner: -
--

COPY toba_arai_usuarios_logs.apex_solicitud_cronometro (proyecto, solicitud, marca, nivel_ejecucion, texto, tiempo) FROM stdin;
\.


--
-- Data for Name: apex_solicitud_observacion; Type: TABLE DATA; Schema: toba_arai_usuarios_logs; Owner: -
--

COPY toba_arai_usuarios_logs.apex_solicitud_observacion (proyecto, solicitud, solicitud_observacion, solicitud_obs_tipo_proyecto, solicitud_obs_tipo, observacion) FROM stdin;
\.


--
-- Data for Name: apex_solicitud_web_service; Type: TABLE DATA; Schema: toba_arai_usuarios_logs; Owner: -
--

COPY toba_arai_usuarios_logs.apex_solicitud_web_service (proyecto, solicitud, metodo, ip) FROM stdin;
\.


--
-- Name: apex_admin_persistencia_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_admin_persistencia_seq', 4, true);


--
-- Name: apex_clase_relacion_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_clase_relacion_seq', 18, true);


--
-- Name: apex_clase_tipo_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_clase_tipo_seq', 10, true);


--
-- Name: apex_columna_estilo_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_columna_estilo_seq', 11, true);


--
-- Name: apex_columna_formato_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_columna_formato_seq', 18, true);


--
-- Name: apex_consulta_php_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_consulta_php_seq', 1, true);


--
-- Name: apex_dimension_gatillo_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_dimension_gatillo_seq', 1, true);


--
-- Name: apex_dimension_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_dimension_seq', 1, true);


--
-- Name: apex_gadgets_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_gadgets_seq', 1, true);


--
-- Name: apex_item_msg_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_item_msg_seq', 1, true);


--
-- Name: apex_item_nota_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_item_nota_seq', 1, true);


--
-- Name: apex_item_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_item_seq', 3465, true);


--
-- Name: apex_menu_operaciones_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_menu_operaciones_seq', 1, false);


--
-- Name: apex_molde_operacion_abms_fila_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_molde_operacion_abms_fila_seq', 1, true);


--
-- Name: apex_molde_operacion_log_elementos_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_molde_operacion_log_elementos_seq', 1, true);


--
-- Name: apex_molde_operacion_log_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_molde_operacion_log_seq', 1, true);


--
-- Name: apex_molde_operacion_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_molde_operacion_seq', 1, true);


--
-- Name: apex_molde_operacion_tipo_dato_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_molde_operacion_tipo_dato_seq', 1, true);


--
-- Name: apex_molde_operacion_tipo_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_molde_operacion_tipo_seq', 12, true);


--
-- Name: apex_msg_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_msg_seq', 183, true);


--
-- Name: apex_nota_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_nota_seq', 1, true);


--
-- Name: apex_obj_ci_pantalla_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_obj_ci_pantalla_seq', 1199, true);


--
-- Name: apex_obj_ei_cuadro_cc_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_obj_ei_cuadro_cc_seq', 30, true);


--
-- Name: apex_obj_ei_cuadro_col_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_obj_ei_cuadro_col_seq', 837, true);


--
-- Name: apex_obj_ei_form_fila_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_obj_ei_form_fila_seq', 5416, true);


--
-- Name: apex_objeto_datos_rel_asoc_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_objeto_datos_rel_asoc_seq', 45, true);


--
-- Name: apex_objeto_db_columna_fks_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_objeto_db_columna_fks_seq', 3, true);


--
-- Name: apex_objeto_dbr_columna_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_objeto_dbr_columna_seq', 882, true);


--
-- Name: apex_objeto_dbr_ext_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_objeto_dbr_ext_seq', 1, true);


--
-- Name: apex_objeto_dbr_uniq_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_objeto_dbr_uniq_seq', 1, true);


--
-- Name: apex_objeto_dep_consumo_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_objeto_dep_consumo_seq', 1, true);


--
-- Name: apex_objeto_dep_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_objeto_dep_seq', 1204, true);


--
-- Name: apex_objeto_ei_filtro_col_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_objeto_ei_filtro_col_seq', 11, true);


--
-- Name: apex_objeto_eventos_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_objeto_eventos_seq', 1123, true);


--
-- Name: apex_objeto_msg_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_objeto_msg_seq', 1, true);


--
-- Name: apex_objeto_nota_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_objeto_nota_seq', 1, true);


--
-- Name: apex_objeto_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_objeto_seq', 2318, true);


--
-- Name: apex_permiso_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_permiso_seq', 1, true);


--
-- Name: apex_puntos_montaje_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_puntos_montaje_seq', 1, true);


--
-- Name: apex_relacion_tablas_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_relacion_tablas_seq', 1, true);


--
-- Name: apex_restriccion_funcional_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_restriccion_funcional_seq', 1, true);


--
-- Name: apex_tarea_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_tarea_seq', 1, true);


--
-- Name: apex_usuario_perfil_datos_dims_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_usuario_perfil_datos_dims_seq', 1, true);


--
-- Name: apex_usuario_perfil_datos_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_usuario_perfil_datos_seq', 1, true);


--
-- Name: apex_usuario_pregunta_secreta_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_usuario_pregunta_secreta_seq', 1, false);


--
-- Name: apex_usuario_pwd_usados_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios.apex_usuario_pwd_usados_seq', 1, false);


--
-- Name: apex_log_error_login_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios_logs; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios_logs.apex_log_error_login_seq', 1, true);


--
-- Name: apex_log_objeto_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios_logs; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios_logs.apex_log_objeto_seq', 1, true);


--
-- Name: apex_log_sistema_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios_logs; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios_logs.apex_log_sistema_seq', 1, true);


--
-- Name: apex_log_tarea_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios_logs; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios_logs.apex_log_tarea_seq', 1, true);


--
-- Name: apex_sesion_browser_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios_logs; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios_logs.apex_sesion_browser_seq', 1, true);


--
-- Name: apex_solicitud_observacion_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios_logs; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios_logs.apex_solicitud_observacion_seq', 1, true);


--
-- Name: apex_solicitud_seq; Type: SEQUENCE SET; Schema: toba_arai_usuarios_logs; Owner: -
--

SELECT pg_catalog.setval('toba_arai_usuarios_logs.apex_solicitud_seq', 1, true);


--
-- Name: apex_admin_album_fotos apex_admin_album_fotos_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_admin_album_fotos
    ADD CONSTRAINT apex_admin_album_fotos_pk PRIMARY KEY (proyecto, usuario, foto_nombre, foto_tipo);


--
-- Name: apex_admin_param_previsualizazion apex_admin_param_prev_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_admin_param_previsualizazion
    ADD CONSTRAINT apex_admin_param_prev_pk PRIMARY KEY (proyecto, usuario);


--
-- Name: apex_admin_persistencia apex_admin_persistencia_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_admin_persistencia
    ADD CONSTRAINT apex_admin_persistencia_pk PRIMARY KEY (ap);


--
-- Name: apex_arbol_items_fotos apex_arbol_items_fotos_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_arbol_items_fotos
    ADD CONSTRAINT apex_arbol_items_fotos_pk PRIMARY KEY (proyecto, usuario, foto_nombre);


--
-- Name: apex_checksum_proyectos apex_checksum_proyectos_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_checksum_proyectos
    ADD CONSTRAINT apex_checksum_proyectos_pk PRIMARY KEY (proyecto);


--
-- Name: apex_clase apex_clase_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_clase
    ADD CONSTRAINT apex_clase_pk PRIMARY KEY (proyecto, clase);


--
-- Name: apex_clase_relacion apex_clase_rel_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_clase_relacion
    ADD CONSTRAINT apex_clase_rel_pk PRIMARY KEY (clase_relacion);


--
-- Name: apex_clase_tipo apex_clase_tipo_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_clase_tipo
    ADD CONSTRAINT apex_clase_tipo_pk PRIMARY KEY (clase_tipo);


--
-- Name: apex_clase apex_clase_uq; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_clase
    ADD CONSTRAINT apex_clase_uq UNIQUE (clase);


--
-- Name: apex_columna_estilo apex_columna_estilo_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_columna_estilo
    ADD CONSTRAINT apex_columna_estilo_pk PRIMARY KEY (columna_estilo);


--
-- Name: apex_columna_formato apex_columna_formato_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_columna_formato
    ADD CONSTRAINT apex_columna_formato_pk PRIMARY KEY (columna_formato);


--
-- Name: apex_consulta_php apex_consulta_php_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_consulta_php
    ADD CONSTRAINT apex_consulta_php_pk PRIMARY KEY (consulta_php, proyecto);


--
-- Name: apex_conversion apex_conversion_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_conversion
    ADD CONSTRAINT apex_conversion_pk PRIMARY KEY (proyecto, conversion_aplicada);


--
-- Name: apex_dimension_gatillo apex_dimension_gatillo_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_dimension_gatillo
    ADD CONSTRAINT apex_dimension_gatillo_pk PRIMARY KEY (proyecto, gatillo);


--
-- Name: apex_dimension_gatillo apex_dimension_gatillo_uq_tabla; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_dimension_gatillo
    ADD CONSTRAINT apex_dimension_gatillo_uq_tabla UNIQUE (proyecto, dimension, tabla_rel_dim);


--
-- Name: apex_dimension apex_dimension_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_dimension
    ADD CONSTRAINT apex_dimension_pk PRIMARY KEY (proyecto, dimension);


--
-- Name: apex_objeto_ei_formulario_ef apex_ei_f_ef_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_ei_formulario_ef
    ADD CONSTRAINT apex_ei_f_ef_pk PRIMARY KEY (objeto_ei_formulario_fila, objeto_ei_formulario, objeto_ei_formulario_proyecto);


--
-- Name: apex_objeto_ei_filtro_col apex_ei_filtro_col_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_ei_filtro_col
    ADD CONSTRAINT apex_ei_filtro_col_pk PRIMARY KEY (objeto_ei_filtro_col, objeto_ei_filtro, objeto_ei_filtro_proyecto);


--
-- Name: apex_objeto_ei_filtro apex_ei_filtro_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_ei_filtro
    ADD CONSTRAINT apex_ei_filtro_pk PRIMARY KEY (objeto_ei_filtro_proyecto, objeto_ei_filtro);


--
-- Name: apex_objeto_ei_filtro_tipo_col apex_ei_filtro_tipo_col_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_ei_filtro_tipo_col
    ADD CONSTRAINT apex_ei_filtro_tipo_col_pk PRIMARY KEY (tipo_col);


--
-- Name: apex_elemento_formulario apex_elform_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_elemento_formulario
    ADD CONSTRAINT apex_elform_pk PRIMARY KEY (elemento_formulario);


--
-- Name: apex_estilo apex_estilo_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_estilo
    ADD CONSTRAINT apex_estilo_pk PRIMARY KEY (estilo, proyecto);


--
-- Name: apex_eventos_pantalla apex_eventos_pantalla_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_eventos_pantalla
    ADD CONSTRAINT apex_eventos_pantalla_pk PRIMARY KEY (pantalla, objeto_ci, proyecto, evento_id);


--
-- Name: apex_fuente_datos_motor apex_fuente_datos_motor_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_fuente_datos_motor
    ADD CONSTRAINT apex_fuente_datos_motor_pk PRIMARY KEY (fuente_datos_motor);


--
-- Name: apex_fuente_datos apex_fuente_datos_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_fuente_datos
    ADD CONSTRAINT apex_fuente_datos_pk PRIMARY KEY (proyecto, fuente_datos);


--
-- Name: apex_fuente_datos_schemas apex_fuente_datos_schemas_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_fuente_datos_schemas
    ADD CONSTRAINT apex_fuente_datos_schemas_pk PRIMARY KEY (proyecto, fuente_datos, nombre);


--
-- Name: apex_gadgets apex_gadget_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_gadgets
    ADD CONSTRAINT apex_gadget_pk PRIMARY KEY (proyecto, gadget);


--
-- Name: apex_grupo_acc_restriccion_funcional apex_grupo_acc_restriccion_funcional_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_grupo_acc_restriccion_funcional
    ADD CONSTRAINT apex_grupo_acc_restriccion_funcional_pk PRIMARY KEY (usuario_grupo_acc, restriccion_funcional, proyecto);


--
-- Name: apex_instancia apex_instancia_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_instancia
    ADD CONSTRAINT apex_instancia_pk PRIMARY KEY (instancia);


--
-- Name: apex_item_objeto apex_item_consumo_obj_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_item_objeto
    ADD CONSTRAINT apex_item_consumo_obj_pk PRIMARY KEY (proyecto, item, objeto);


--
-- Name: apex_item_info apex_item_info_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_item_info
    ADD CONSTRAINT apex_item_info_pk PRIMARY KEY (item_proyecto, item);


--
-- Name: apex_item_msg apex_item_msg_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_item_msg
    ADD CONSTRAINT apex_item_msg_pk PRIMARY KEY (item_msg, item_proyecto);


--
-- Name: apex_item_msg apex_item_msg_uk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_item_msg
    ADD CONSTRAINT apex_item_msg_uk UNIQUE (indice);


--
-- Name: apex_item_nota apex_item_nota_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_item_nota
    ADD CONSTRAINT apex_item_nota_pk PRIMARY KEY (item_nota);


--
-- Name: apex_item_permisos_tablas apex_item_permisos_tablas_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_item_permisos_tablas
    ADD CONSTRAINT apex_item_permisos_tablas_pk PRIMARY KEY (proyecto, item, fuente_datos, tabla);


--
-- Name: apex_item apex_item_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_item
    ADD CONSTRAINT apex_item_pk PRIMARY KEY (item, proyecto);


--
-- Name: apex_item_zona apex_item_zona_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_item_zona
    ADD CONSTRAINT apex_item_zona_pk PRIMARY KEY (proyecto, zona);


--
-- Name: apex_log_sistema_tipo apex_log_sistema_tipo_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_log_sistema_tipo
    ADD CONSTRAINT apex_log_sistema_tipo_pk PRIMARY KEY (log_sistema_tipo);


--
-- Name: apex_menu_operaciones apex_menu_operaciones_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_menu_operaciones
    ADD CONSTRAINT apex_menu_operaciones_pk PRIMARY KEY (proyecto, menu_id, menu_elemento);


--
-- Name: apex_menu apex_menu_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_menu
    ADD CONSTRAINT apex_menu_pk PRIMARY KEY (proyecto, menu_id);


--
-- Name: apex_menu_tipos apex_menu_tipos_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_menu_tipos
    ADD CONSTRAINT apex_menu_tipos_pk PRIMARY KEY (menu);


--
-- Name: apex_molde_opciones_generacion apex_molde_opciones_generacion_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_molde_opciones_generacion
    ADD CONSTRAINT apex_molde_opciones_generacion_pk PRIMARY KEY (proyecto);


--
-- Name: apex_molde_operacion_abms_fila apex_molde_operacion_abms_fila_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_molde_operacion_abms_fila
    ADD CONSTRAINT apex_molde_operacion_abms_fila_pk PRIMARY KEY (fila, molde, proyecto);


--
-- Name: apex_molde_operacion_abms_fila apex_molde_operacion_abms_fila_uq; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_molde_operacion_abms_fila
    ADD CONSTRAINT apex_molde_operacion_abms_fila_uq UNIQUE (proyecto, molde, columna);


--
-- Name: apex_molde_operacion_abms apex_molde_operacion_abms_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_molde_operacion_abms
    ADD CONSTRAINT apex_molde_operacion_abms_pk PRIMARY KEY (proyecto, molde);


--
-- Name: apex_molde_operacion_importacion apex_molde_operacion_imp_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_molde_operacion_importacion
    ADD CONSTRAINT apex_molde_operacion_imp_pk PRIMARY KEY (proyecto, molde);


--
-- Name: apex_molde_operacion apex_molde_operacion_item; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_molde_operacion
    ADD CONSTRAINT apex_molde_operacion_item UNIQUE (proyecto, item);


--
-- Name: apex_molde_operacion_log_elementos apex_molde_operacion_log_e_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_molde_operacion_log_elementos
    ADD CONSTRAINT apex_molde_operacion_log_e_pk PRIMARY KEY (id);


--
-- Name: apex_molde_operacion_log apex_molde_operacion_log_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_molde_operacion_log
    ADD CONSTRAINT apex_molde_operacion_log_pk PRIMARY KEY (generacion);


--
-- Name: apex_molde_operacion apex_molde_operacion_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_molde_operacion
    ADD CONSTRAINT apex_molde_operacion_pk PRIMARY KEY (molde, proyecto);


--
-- Name: apex_molde_operacion_tipo_dato apex_molde_operacion_tipo_dato_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_molde_operacion_tipo_dato
    ADD CONSTRAINT apex_molde_operacion_tipo_dato_pk PRIMARY KEY (tipo_dato);


--
-- Name: apex_molde_operacion_tipo apex_molde_operacion_tipo_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_molde_operacion_tipo
    ADD CONSTRAINT apex_molde_operacion_tipo_pk PRIMARY KEY (operacion_tipo);


--
-- Name: apex_msg apex_msg_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_msg
    ADD CONSTRAINT apex_msg_pk PRIMARY KEY (msg, proyecto);


--
-- Name: apex_msg_tipo apex_msg_tipo_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_msg_tipo
    ADD CONSTRAINT apex_msg_tipo_pk PRIMARY KEY (msg_tipo);


--
-- Name: apex_nivel_acceso apex_nivel_acceso_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_nivel_acceso
    ADD CONSTRAINT apex_nivel_acceso_pk PRIMARY KEY (nivel_acceso);


--
-- Name: apex_nota apex_nota_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_nota
    ADD CONSTRAINT apex_nota_pk PRIMARY KEY (nota);


--
-- Name: apex_nota_tipo apex_nota_tipo_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_nota_tipo
    ADD CONSTRAINT apex_nota_tipo_pk PRIMARY KEY (nota_tipo);


--
-- Name: apex_objeto_ci_pantalla apex_obj_ci_pan__pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_ci_pantalla
    ADD CONSTRAINT apex_obj_ci_pan__pk PRIMARY KEY (pantalla, objeto_ci, objeto_ci_proyecto);


--
-- Name: apex_objeto_ci_pantalla apex_obj_ci_pan__uk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_ci_pantalla
    ADD CONSTRAINT apex_obj_ci_pan__uk UNIQUE (objeto_ci_proyecto, objeto_ci, identificador);


--
-- Name: apex_objeto_cuadro_cc apex_obj_cuadro_cc_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_cuadro_cc
    ADD CONSTRAINT apex_obj_cuadro_cc_pk PRIMARY KEY (objeto_cuadro_cc, objeto_cuadro_proyecto, objeto_cuadro);


--
-- Name: apex_objeto_cuadro_cc apex_obj_cuadro_cc_uq; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_cuadro_cc
    ADD CONSTRAINT apex_obj_cuadro_cc_uq UNIQUE (objeto_cuadro_proyecto, objeto_cuadro, identificador);


--
-- Name: apex_objeto_datos_rel_asoc apex_obj_datos_rel_asoc_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_datos_rel_asoc
    ADD CONSTRAINT apex_obj_datos_rel_asoc_pk PRIMARY KEY (asoc_id, objeto, proyecto);


--
-- Name: apex_objeto_db_columna_fks apex_obj_db_col_fks_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_db_columna_fks
    ADD CONSTRAINT apex_obj_db_col_fks_pk PRIMARY KEY (id, objeto, objeto_proyecto);


--
-- Name: apex_objeto_db_registros_col apex_obj_dbr_col_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_db_registros_col
    ADD CONSTRAINT apex_obj_dbr_col_pk PRIMARY KEY (col_id, objeto, objeto_proyecto);


--
-- Name: apex_objeto_db_registros_ext_col apex_obj_dbr_ext_col_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_db_registros_ext_col
    ADD CONSTRAINT apex_obj_dbr_ext_col_pk PRIMARY KEY (externa_id, col_id, objeto, objeto_proyecto);


--
-- Name: apex_objeto_db_registros_ext apex_obj_dbr_ext_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_db_registros_ext
    ADD CONSTRAINT apex_obj_dbr_ext_pk PRIMARY KEY (externa_id, objeto, objeto_proyecto);


--
-- Name: apex_objeto_db_registros_uniq apex_obj_dbr_uniq_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_db_registros_uniq
    ADD CONSTRAINT apex_obj_dbr_uniq_pk PRIMARY KEY (uniq_id, objeto, objeto_proyecto);


--
-- Name: apex_objeto_db_registros_col apex_obj_dbr_uq_col; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_db_registros_col
    ADD CONSTRAINT apex_obj_dbr_uq_col UNIQUE (objeto_proyecto, objeto, columna);


--
-- Name: apex_objeto_ei_cuadro_columna apex_obj_ei_cuadro_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_ei_cuadro_columna
    ADD CONSTRAINT apex_obj_ei_cuadro_pk PRIMARY KEY (objeto_cuadro_col, objeto_cuadro, objeto_cuadro_proyecto);


--
-- Name: apex_objeto_codigo apex_objeto_codigo_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_codigo
    ADD CONSTRAINT apex_objeto_codigo_pk PRIMARY KEY (objeto_codigo_proyecto, objeto_codigo);


--
-- Name: apex_objeto_dep_consumo apex_objeto_consumo_depen_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_dep_consumo
    ADD CONSTRAINT apex_objeto_consumo_depen_pk PRIMARY KEY (consumo_id);


--
-- Name: apex_objeto_dep_consumo apex_objeto_consumo_depen_uq; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_dep_consumo
    ADD CONSTRAINT apex_objeto_consumo_depen_uq UNIQUE (proyecto, objeto_consumidor, identificador);


--
-- Name: apex_objeto_cuadro_col_cc apex_objeto_cuadro_col_cc_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_cuadro_col_cc
    ADD CONSTRAINT apex_objeto_cuadro_col_cc_pk PRIMARY KEY (objeto_cuadro_cc, objeto_cuadro_proyecto, objeto_cuadro, objeto_cuadro_col);


--
-- Name: apex_objeto_cuadro apex_objeto_cuadro_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_cuadro
    ADD CONSTRAINT apex_objeto_cuadro_pk PRIMARY KEY (objeto_cuadro, objeto_cuadro_proyecto);


--
-- Name: apex_objeto_datos_rel apex_objeto_datos_rel_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_datos_rel
    ADD CONSTRAINT apex_objeto_datos_rel_pk PRIMARY KEY (objeto, proyecto);


--
-- Name: apex_objeto_db_registros apex_objeto_dbr_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_db_registros
    ADD CONSTRAINT apex_objeto_dbr_pk PRIMARY KEY (objeto, objeto_proyecto);


--
-- Name: apex_objeto_db_registros apex_objeto_dbr_uq_tabla; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_db_registros
    ADD CONSTRAINT apex_objeto_dbr_uq_tabla UNIQUE (fuente_datos_proyecto, fuente_datos, tabla);


--
-- Name: apex_objeto_dependencias apex_objeto_depen_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_dependencias
    ADD CONSTRAINT apex_objeto_depen_pk PRIMARY KEY (dep_id, proyecto, objeto_consumidor);


--
-- Name: apex_objeto_dependencias apex_objeto_depen_uq; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_dependencias
    ADD CONSTRAINT apex_objeto_depen_uq UNIQUE (proyecto, objeto_consumidor, identificador);


--
-- Name: apex_objeto_ei_firma apex_objeto_ei_firma_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_ei_firma
    ADD CONSTRAINT apex_objeto_ei_firma_pk PRIMARY KEY (objeto_ei_firma_proyecto, objeto_ei_firma);


--
-- Name: apex_objeto_esquema apex_objeto_esquema_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_esquema
    ADD CONSTRAINT apex_objeto_esquema_pk PRIMARY KEY (objeto_esquema_proyecto, objeto_esquema);


--
-- Name: apex_objeto_eventos apex_objeto_eventos_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_eventos
    ADD CONSTRAINT apex_objeto_eventos_pk PRIMARY KEY (evento_id, proyecto);


--
-- Name: apex_objeto_eventos apex_objeto_eventos_uq; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_eventos
    ADD CONSTRAINT apex_objeto_eventos_uq UNIQUE (proyecto, objeto, identificador);


--
-- Name: apex_objeto_grafico apex_objeto_grafico_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_grafico
    ADD CONSTRAINT apex_objeto_grafico_pk PRIMARY KEY (objeto_grafico_proyecto, objeto_grafico);


--
-- Name: apex_objeto apex_objeto_identificador_uq; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto
    ADD CONSTRAINT apex_objeto_identificador_uq UNIQUE (proyecto, identificador);


--
-- Name: apex_objeto_info apex_objeto_info_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_info
    ADD CONSTRAINT apex_objeto_info_pk PRIMARY KEY (objeto_proyecto, objeto);


--
-- Name: apex_objeto_mapa apex_objeto_mapa_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_mapa
    ADD CONSTRAINT apex_objeto_mapa_pk PRIMARY KEY (objeto_mapa_proyecto, objeto_mapa);


--
-- Name: apex_objeto_msg apex_objeto_msg_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_msg
    ADD CONSTRAINT apex_objeto_msg_pk PRIMARY KEY (objeto_msg, objeto_proyecto);


--
-- Name: apex_objeto_mt_me apex_objeto_mt_me_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_mt_me
    ADD CONSTRAINT apex_objeto_mt_me_pk PRIMARY KEY (objeto_mt_me_proyecto, objeto_mt_me);


--
-- Name: apex_objeto_mt_me_tipo_nav apex_objeto_mt_me_tn_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_mt_me_tipo_nav
    ADD CONSTRAINT apex_objeto_mt_me_tn_pk PRIMARY KEY (tipo_navegacion);


--
-- Name: apex_objeto_nota apex_objeto_nota_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_nota
    ADD CONSTRAINT apex_objeto_nota_pk PRIMARY KEY (objeto_nota);


--
-- Name: apex_objeto apex_objeto_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto
    ADD CONSTRAINT apex_objeto_pk PRIMARY KEY (objeto, proyecto);


--
-- Name: apex_objeto_rel_columnas_asoc apex_objeto_rel_columnas_asoc_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_rel_columnas_asoc
    ADD CONSTRAINT apex_objeto_rel_columnas_asoc_pk PRIMARY KEY (asoc_id, objeto, proyecto, padre_objeto, hijo_objeto, padre_clave, hijo_clave);


--
-- Name: apex_objeto_ut_formulario apex_objeto_ut_f_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_ut_formulario
    ADD CONSTRAINT apex_objeto_ut_f_pk PRIMARY KEY (objeto_ut_formulario, objeto_ut_formulario_proyecto);


--
-- Name: apex_objetos_pantalla apex_objetos_pantalla_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objetos_pantalla
    ADD CONSTRAINT apex_objetos_pantalla_pk PRIMARY KEY (proyecto, objeto_ci, pantalla, dep_id);


--
-- Name: apex_pagina_tipo apex_pagina_tipo_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_pagina_tipo
    ADD CONSTRAINT apex_pagina_tipo_pk PRIMARY KEY (proyecto, pagina_tipo);


--
-- Name: apex_permiso_grupo_acc apex_per_grupo_acc_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_permiso_grupo_acc
    ADD CONSTRAINT apex_per_grupo_acc_pk PRIMARY KEY (usuario_grupo_acc, permiso, proyecto);


--
-- Name: apex_permiso apex_per_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_permiso
    ADD CONSTRAINT apex_per_pk PRIMARY KEY (permiso, proyecto);


--
-- Name: apex_permiso apex_per_uq_nombre; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_permiso
    ADD CONSTRAINT apex_per_uq_nombre UNIQUE (proyecto, nombre);


--
-- Name: apex_perfil_datos_set_prueba apex_perfil_datos_set_prueba_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_perfil_datos_set_prueba
    ADD CONSTRAINT apex_perfil_datos_set_prueba_pk PRIMARY KEY (proyecto, fuente_datos);


--
-- Name: apex_proyecto apex_proyecto_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_proyecto
    ADD CONSTRAINT apex_proyecto_pk PRIMARY KEY (proyecto);


--
-- Name: apex_ptos_control apex_ptos_control__pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_ptos_control
    ADD CONSTRAINT apex_ptos_control__pk PRIMARY KEY (proyecto, pto_control);


--
-- Name: apex_ptos_control_ctrl apex_ptos_ctrl_ctrl__pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_ptos_control_ctrl
    ADD CONSTRAINT apex_ptos_ctrl_ctrl__pk PRIMARY KEY (proyecto, pto_control, clase);


--
-- Name: apex_ptos_control_param apex_ptos_ctrl_param__pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_ptos_control_param
    ADD CONSTRAINT apex_ptos_ctrl_param__pk PRIMARY KEY (proyecto, pto_control, parametro);


--
-- Name: apex_ptos_control_x_evento apex_ptos_ctrl_x_evt__pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_ptos_control_x_evento
    ADD CONSTRAINT apex_ptos_ctrl_x_evt__pk PRIMARY KEY (proyecto, pto_control, evento_id);


--
-- Name: apex_puntos_montaje apex_punto_montaje_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_puntos_montaje
    ADD CONSTRAINT apex_punto_montaje_pk PRIMARY KEY (id, proyecto);


--
-- Name: apex_puntos_montaje apex_puntos_montaje_etiqueta_proyecto_key; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_puntos_montaje
    ADD CONSTRAINT apex_puntos_montaje_etiqueta_proyecto_key UNIQUE (etiqueta, proyecto);


--
-- Name: apex_recurso_origen apex_rec_origen_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_recurso_origen
    ADD CONSTRAINT apex_rec_origen_pk PRIMARY KEY (recurso_origen);


--
-- Name: apex_relacion_tablas apex_relacion_tablas_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_relacion_tablas
    ADD CONSTRAINT apex_relacion_tablas_pk PRIMARY KEY (proyecto, relacion_tablas);


--
-- Name: apex_restriccion_funcional_cols apex_restriccion_funcional_cols_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_restriccion_funcional_cols
    ADD CONSTRAINT apex_restriccion_funcional_cols_pk PRIMARY KEY (proyecto, restriccion_funcional, item, objeto_cuadro_col);


--
-- Name: apex_restriccion_funcional_ef apex_restriccion_funcional_ef_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_restriccion_funcional_ef
    ADD CONSTRAINT apex_restriccion_funcional_ef_pk PRIMARY KEY (proyecto, restriccion_funcional, item, objeto_ei_formulario_fila);


--
-- Name: apex_restriccion_funcional_ei apex_restriccion_funcional_ei_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_restriccion_funcional_ei
    ADD CONSTRAINT apex_restriccion_funcional_ei_pk PRIMARY KEY (proyecto, restriccion_funcional, item, objeto);


--
-- Name: apex_restriccion_funcional_evt apex_restriccion_funcional_evt_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_restriccion_funcional_evt
    ADD CONSTRAINT apex_restriccion_funcional_evt_pk PRIMARY KEY (proyecto, restriccion_funcional, item, evento_id);


--
-- Name: apex_restriccion_funcional_filtro_cols apex_restriccion_funcional_filtro_col_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_restriccion_funcional_filtro_cols
    ADD CONSTRAINT apex_restriccion_funcional_filtro_col_pk PRIMARY KEY (proyecto, restriccion_funcional, item, objeto_ei_filtro_col);


--
-- Name: apex_restriccion_funcional_pantalla apex_restriccion_funcional_pantalla_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_restriccion_funcional_pantalla
    ADD CONSTRAINT apex_restriccion_funcional_pantalla_pk PRIMARY KEY (proyecto, restriccion_funcional, item, pantalla);


--
-- Name: apex_servicio_web_param apex_servicio_web_param_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_servicio_web_param
    ADD CONSTRAINT apex_servicio_web_param_pk PRIMARY KEY (proyecto, servicio_web, parametro);


--
-- Name: apex_servicio_web apex_servicio_web_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_servicio_web
    ADD CONSTRAINT apex_servicio_web_pk PRIMARY KEY (proyecto, servicio_web);


--
-- Name: apex_solicitud_obs_tipo apex_sol_obs_tipo_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_solicitud_obs_tipo
    ADD CONSTRAINT apex_sol_obs_tipo_pk PRIMARY KEY (proyecto, solicitud_obs_tipo);


--
-- Name: apex_solicitud_tipo apex_sol_tipo_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_solicitud_tipo
    ADD CONSTRAINT apex_sol_tipo_pk PRIMARY KEY (solicitud_tipo);


--
-- Name: apex_tarea apex_tarea_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_tarea
    ADD CONSTRAINT apex_tarea_pk PRIMARY KEY (tarea, proyecto);


--
-- Name: apex_tipo_datos apex_tipo_datos_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_tipo_datos
    ADD CONSTRAINT apex_tipo_datos_pk PRIMARY KEY (tipo);


--
-- Name: apex_grafico apex_tipo_grafico_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_grafico
    ADD CONSTRAINT apex_tipo_grafico_pk PRIMARY KEY (grafico);


--
-- Name: apex_usuario_grupo_acc_miembros apex_usu_g_acc_miembros_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_usuario_grupo_acc_miembros
    ADD CONSTRAINT apex_usu_g_acc_miembros_pk PRIMARY KEY (proyecto, usuario_grupo_acc, usuario_grupo_acc_pertenece);


--
-- Name: apex_usuario_grupo_acc apex_usu_g_acc_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_usuario_grupo_acc
    ADD CONSTRAINT apex_usu_g_acc_pk PRIMARY KEY (proyecto, usuario_grupo_acc);


--
-- Name: apex_usuario_grupo_acc_item apex_usu_item_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_usuario_grupo_acc_item
    ADD CONSTRAINT apex_usu_item_pk PRIMARY KEY (proyecto, usuario_grupo_acc, item);


--
-- Name: apex_usuario_proyecto_perfil_datos apex_usu_proy_pd_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_usuario_proyecto_perfil_datos
    ADD CONSTRAINT apex_usu_proy_pd_pk PRIMARY KEY (proyecto, usuario_perfil_datos, usuario);


--
-- Name: apex_usuario_proyecto apex_usu_proy_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_usuario_proyecto
    ADD CONSTRAINT apex_usu_proy_pk PRIMARY KEY (proyecto, usuario_grupo_acc, usuario);


--
-- Name: apex_usuario_perfil_datos_dims apex_usuario_perfil_datos_dims_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_usuario_perfil_datos_dims
    ADD CONSTRAINT apex_usuario_perfil_datos_dims_pk PRIMARY KEY (proyecto, elemento);


--
-- Name: apex_usuario_perfil_datos apex_usuario_perfil_datos_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_usuario_perfil_datos
    ADD CONSTRAINT apex_usuario_perfil_datos_pk PRIMARY KEY (proyecto, usuario_perfil_datos);


--
-- Name: apex_usuario apex_usuario_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_usuario
    ADD CONSTRAINT apex_usuario_pk PRIMARY KEY (usuario);


--
-- Name: apex_usuario_pregunta_secreta apex_usuario_pregunta_secreta_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_usuario_pregunta_secreta
    ADD CONSTRAINT apex_usuario_pregunta_secreta_pk PRIMARY KEY (cod_pregunta_secreta);


--
-- Name: apex_usuario_proyecto_gadgets apex_usuario_proyecto_gadgets_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_usuario_proyecto_gadgets
    ADD CONSTRAINT apex_usuario_proyecto_gadgets_pk PRIMARY KEY (usuario, proyecto, gadget);


--
-- Name: apex_usuario_pwd_reset apex_usuario_pwd_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_usuario_pwd_reset
    ADD CONSTRAINT apex_usuario_pwd_pk PRIMARY KEY (usuario, random);


--
-- Name: apex_usuario_pwd_usados apex_usuario_pwd_usados_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_usuario_pwd_usados
    ADD CONSTRAINT apex_usuario_pwd_usados_pk PRIMARY KEY (cod_pwd_pasados);


--
-- Name: apex_usuario_pwd_usados apex_usuario_pwd_usados_uk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_usuario_pwd_usados
    ADD CONSTRAINT apex_usuario_pwd_usados_uk UNIQUE (usuario, clave);


--
-- Name: apex_usuario_tipodoc apex_usuario_tipodoc_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_usuario_tipodoc
    ADD CONSTRAINT apex_usuario_tipodoc_pk PRIMARY KEY (usuario_tipodoc);


--
-- Name: apex_restriccion_funcional restriccion_funcional_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_restriccion_funcional
    ADD CONSTRAINT restriccion_funcional_pk PRIMARY KEY (proyecto, restriccion_funcional);


--
-- Name: apex_log_ip_rechazada apex_ip_rechazada_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios_logs; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios_logs.apex_log_ip_rechazada
    ADD CONSTRAINT apex_ip_rechazada_pk PRIMARY KEY (ip);


--
-- Name: apex_log_error_login apex_log_error_login_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios_logs; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios_logs.apex_log_error_login
    ADD CONSTRAINT apex_log_error_login_pk PRIMARY KEY (log_error_login);


--
-- Name: apex_log_objeto apex_log_objeto_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios_logs; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios_logs.apex_log_objeto
    ADD CONSTRAINT apex_log_objeto_pk PRIMARY KEY (log_objeto);


--
-- Name: apex_log_sistema apex_log_sis_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios_logs; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios_logs.apex_log_sistema
    ADD CONSTRAINT apex_log_sis_pk PRIMARY KEY (log_sistema);


--
-- Name: apex_solicitud apex_log_sol_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios_logs; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios_logs.apex_solicitud
    ADD CONSTRAINT apex_log_sol_pk PRIMARY KEY (solicitud, proyecto);


--
-- Name: apex_log_tarea apex_log_tarea_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios_logs; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios_logs.apex_log_tarea
    ADD CONSTRAINT apex_log_tarea_pk PRIMARY KEY (log_tarea, proyecto);


--
-- Name: apex_sesion_browser apex_ses_brw_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios_logs; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios_logs.apex_sesion_browser
    ADD CONSTRAINT apex_ses_brw_pk PRIMARY KEY (sesion_browser, proyecto);


--
-- Name: apex_solicitud_browser apex_sol_brw_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios_logs; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios_logs.apex_solicitud_browser
    ADD CONSTRAINT apex_sol_brw_pk PRIMARY KEY (solicitud_proyecto, solicitud_browser);


--
-- Name: apex_solicitud_consola apex_sol_consola_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios_logs; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios_logs.apex_solicitud_consola
    ADD CONSTRAINT apex_sol_consola_pk PRIMARY KEY (solicitud_consola, proyecto);


--
-- Name: apex_solicitud_cronometro apex_sol_cron_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios_logs; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios_logs.apex_solicitud_cronometro
    ADD CONSTRAINT apex_sol_cron_pk PRIMARY KEY (solicitud, proyecto, marca);


--
-- Name: apex_solicitud_observacion apex_sol_obs_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios_logs; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios_logs.apex_solicitud_observacion
    ADD CONSTRAINT apex_sol_obs_pk PRIMARY KEY (solicitud_observacion);


--
-- Name: apex_solicitud_web_service apex_solicitud_web_service_pk; Type: CONSTRAINT; Schema: toba_arai_usuarios_logs; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios_logs.apex_solicitud_web_service
    ADD CONSTRAINT apex_solicitud_web_service_pk PRIMARY KEY (solicitud, proyecto);


--
-- Name: index_apex_tarea_proxima_ejecucion; Type: INDEX; Schema: toba_arai_usuarios; Owner: -
--

CREATE INDEX index_apex_tarea_proxima_ejecucion ON toba_arai_usuarios.apex_tarea USING btree (ejecucion_proxima);


--
-- Name: apex_usuario tusuario_pwd_pasados; Type: TRIGGER; Schema: toba_arai_usuarios; Owner: -
--

CREATE TRIGGER tusuario_pwd_pasados AFTER UPDATE ON toba_arai_usuarios.apex_usuario FOR EACH ROW EXECUTE FUNCTION toba_arai_usuarios.sp_old_pwd_copy();


--
-- Name: apex_objeto_ei_filtro_tipo_col apex__ei_filtro_tipo_col_fk_proyecto; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_ei_filtro_tipo_col
    ADD CONSTRAINT apex__ei_filtro_tipo_col_fk_proyecto FOREIGN KEY (proyecto) REFERENCES toba_arai_usuarios.apex_proyecto(proyecto) DEFERRABLE;


--
-- Name: apex_checksum_proyectos apex_checksum_proyectos_fk; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_checksum_proyectos
    ADD CONSTRAINT apex_checksum_proyectos_fk FOREIGN KEY (proyecto) REFERENCES toba_arai_usuarios.apex_proyecto(proyecto) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_clase apex_clase_fk_proyecto; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_clase
    ADD CONSTRAINT apex_clase_fk_proyecto FOREIGN KEY (proyecto) REFERENCES toba_arai_usuarios.apex_proyecto(proyecto) DEFERRABLE;


--
-- Name: apex_clase apex_clase_fk_tipo; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_clase
    ADD CONSTRAINT apex_clase_fk_tipo FOREIGN KEY (clase_tipo) REFERENCES toba_arai_usuarios.apex_clase_tipo(clase_tipo) DEFERRABLE;


--
-- Name: apex_clase_relacion apex_clase_rel_fk_clase_hijo; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_clase_relacion
    ADD CONSTRAINT apex_clase_rel_fk_clase_hijo FOREIGN KEY (proyecto, clase_contenida) REFERENCES toba_arai_usuarios.apex_clase(proyecto, clase) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_clase_relacion apex_clase_rel_fk_clase_padre; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_clase_relacion
    ADD CONSTRAINT apex_clase_rel_fk_clase_padre FOREIGN KEY (proyecto, clase_contenedora) REFERENCES toba_arai_usuarios.apex_clase(proyecto, clase) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_objeto_ei_cuadro_columna apex_col_cuadro_evento_asoc_fk; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_ei_cuadro_columna
    ADD CONSTRAINT apex_col_cuadro_evento_asoc_fk FOREIGN KEY (objeto_cuadro_proyecto, evento_asociado) REFERENCES toba_arai_usuarios.apex_objeto_eventos(proyecto, evento_id) DEFERRABLE;


--
-- Name: apex_columna_formato apex_columna_formato_fk_estilo; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_columna_formato
    ADD CONSTRAINT apex_columna_formato_fk_estilo FOREIGN KEY (estilo_defecto) REFERENCES toba_arai_usuarios.apex_columna_estilo(columna_estilo) DEFERRABLE;


--
-- Name: apex_objeto_rel_columnas_asoc apex_columna_objeto_hijo_fk; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_rel_columnas_asoc
    ADD CONSTRAINT apex_columna_objeto_hijo_fk FOREIGN KEY (hijo_clave, hijo_objeto, proyecto) REFERENCES toba_arai_usuarios.apex_objeto_db_registros_col(col_id, objeto, objeto_proyecto) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_objeto_rel_columnas_asoc apex_columna_objeto_padre_fk; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_rel_columnas_asoc
    ADD CONSTRAINT apex_columna_objeto_padre_fk FOREIGN KEY (padre_objeto, padre_clave, proyecto) REFERENCES toba_arai_usuarios.apex_objeto_db_registros_col(objeto, col_id, objeto_proyecto) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_consulta_php apex_consulta_php_fk_proyecto; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_consulta_php
    ADD CONSTRAINT apex_consulta_php_fk_proyecto FOREIGN KEY (proyecto) REFERENCES toba_arai_usuarios.apex_proyecto(proyecto) DEFERRABLE;


--
-- Name: apex_conversion apex_conversion_proy; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_conversion
    ADD CONSTRAINT apex_conversion_proy FOREIGN KEY (proyecto) REFERENCES toba_arai_usuarios.apex_proyecto(proyecto) DEFERRABLE;


--
-- Name: apex_dimension apex_dimension_fk_proy; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_dimension
    ADD CONSTRAINT apex_dimension_fk_proy FOREIGN KEY (proyecto) REFERENCES toba_arai_usuarios.apex_proyecto(proyecto) DEFERRABLE;


--
-- Name: apex_dimension_gatillo apex_dimension_gatillo_fk_dim; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_dimension_gatillo
    ADD CONSTRAINT apex_dimension_gatillo_fk_dim FOREIGN KEY (proyecto, dimension) REFERENCES toba_arai_usuarios.apex_dimension(proyecto, dimension) DEFERRABLE;


--
-- Name: apex_objeto_ei_formulario_ef apex_ei_f_ef_fk_accion_vinculo; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_ei_formulario_ef
    ADD CONSTRAINT apex_ei_f_ef_fk_accion_vinculo FOREIGN KEY (popup_proyecto, popup_item) REFERENCES toba_arai_usuarios.apex_item(proyecto, item) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_objeto_ei_formulario_ef apex_ei_f_ef_fk_consulta_php; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_ei_formulario_ef
    ADD CONSTRAINT apex_ei_f_ef_fk_consulta_php FOREIGN KEY (objeto_ei_formulario_proyecto, carga_consulta_php) REFERENCES toba_arai_usuarios.apex_consulta_php(proyecto, consulta_php) DEFERRABLE;


--
-- Name: apex_objeto_ei_formulario_ef apex_ei_f_ef_fk_datos_tabla; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_ei_formulario_ef
    ADD CONSTRAINT apex_ei_f_ef_fk_datos_tabla FOREIGN KEY (objeto_ei_formulario_proyecto, carga_dt) REFERENCES toba_arai_usuarios.apex_objeto(proyecto, objeto) DEFERRABLE;


--
-- Name: apex_objeto_ei_formulario_ef apex_ei_f_ef_fk_ef; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_ei_formulario_ef
    ADD CONSTRAINT apex_ei_f_ef_fk_ef FOREIGN KEY (elemento_formulario) REFERENCES toba_arai_usuarios.apex_elemento_formulario(elemento_formulario) DEFERRABLE;


--
-- Name: apex_objeto_ei_formulario_ef apex_ei_f_ef_fk_padre; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_ei_formulario_ef
    ADD CONSTRAINT apex_ei_f_ef_fk_padre FOREIGN KEY (objeto_ei_formulario, objeto_ei_formulario_proyecto) REFERENCES toba_arai_usuarios.apex_objeto_ut_formulario(objeto_ut_formulario, objeto_ut_formulario_proyecto) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_objeto_ei_filtro_col apex_ei_filtro_col_fk_accion_vinculo; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_ei_filtro_col
    ADD CONSTRAINT apex_ei_filtro_col_fk_accion_vinculo FOREIGN KEY (popup_proyecto, popup_item) REFERENCES toba_arai_usuarios.apex_item(proyecto, item) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_objeto_ei_filtro_col apex_ei_filtro_col_fk_ef; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_ei_filtro_col
    ADD CONSTRAINT apex_ei_filtro_col_fk_ef FOREIGN KEY (opciones_ef) REFERENCES toba_arai_usuarios.apex_elemento_formulario(elemento_formulario) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_objeto_ei_filtro_col apex_ei_filtro_col_fk_padre; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_ei_filtro_col
    ADD CONSTRAINT apex_ei_filtro_col_fk_padre FOREIGN KEY (objeto_ei_filtro, objeto_ei_filtro_proyecto) REFERENCES toba_arai_usuarios.apex_objeto_ei_filtro(objeto_ei_filtro, objeto_ei_filtro_proyecto) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_objeto_ei_filtro_col apex_ei_filtro_col_fk_puntos_montaje; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_ei_filtro_col
    ADD CONSTRAINT apex_ei_filtro_col_fk_puntos_montaje FOREIGN KEY (objeto_ei_filtro_proyecto, punto_montaje) REFERENCES toba_arai_usuarios.apex_puntos_montaje(proyecto, id) DEFERRABLE;


--
-- Name: apex_objeto_ei_filtro_col apex_ei_filtro_col_fk_tipo; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_ei_filtro_col
    ADD CONSTRAINT apex_ei_filtro_col_fk_tipo FOREIGN KEY (tipo) REFERENCES toba_arai_usuarios.apex_objeto_ei_filtro_tipo_col(tipo_col) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_objeto_ei_filtro apex_ei_filtro_fk_objeto; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_ei_filtro
    ADD CONSTRAINT apex_ei_filtro_fk_objeto FOREIGN KEY (objeto_ei_filtro, objeto_ei_filtro_proyecto) REFERENCES toba_arai_usuarios.apex_objeto(objeto, proyecto) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_elemento_formulario apex_elform_fk_padre; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_elemento_formulario
    ADD CONSTRAINT apex_elform_fk_padre FOREIGN KEY (padre) REFERENCES toba_arai_usuarios.apex_elemento_formulario(elemento_formulario) DEFERRABLE;


--
-- Name: apex_elemento_formulario apex_elform_fk_proyecto; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_elemento_formulario
    ADD CONSTRAINT apex_elform_fk_proyecto FOREIGN KEY (proyecto) REFERENCES toba_arai_usuarios.apex_proyecto(proyecto) DEFERRABLE;


--
-- Name: apex_estilo apex_estilo_fk_proyecto; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_estilo
    ADD CONSTRAINT apex_estilo_fk_proyecto FOREIGN KEY (proyecto) REFERENCES toba_arai_usuarios.apex_proyecto(proyecto) DEFERRABLE;


--
-- Name: apex_eventos_pantalla apex_eventos_pantalla_apex_objeto_ci_pantalla_fk; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_eventos_pantalla
    ADD CONSTRAINT apex_eventos_pantalla_apex_objeto_ci_pantalla_fk FOREIGN KEY (pantalla, objeto_ci, proyecto) REFERENCES toba_arai_usuarios.apex_objeto_ci_pantalla(pantalla, objeto_ci, objeto_ci_proyecto) DEFERRABLE;


--
-- Name: apex_eventos_pantalla apex_eventos_pantalla_apex_objeto_eventos_fk; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_eventos_pantalla
    ADD CONSTRAINT apex_eventos_pantalla_apex_objeto_eventos_fk FOREIGN KEY (evento_id, proyecto) REFERENCES toba_arai_usuarios.apex_objeto_eventos(evento_id, proyecto) DEFERRABLE;


--
-- Name: apex_fuente_datos apex_fuente_datos_fk_motor; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_fuente_datos
    ADD CONSTRAINT apex_fuente_datos_fk_motor FOREIGN KEY (fuente_datos_motor) REFERENCES toba_arai_usuarios.apex_fuente_datos_motor(fuente_datos_motor) DEFERRABLE;


--
-- Name: apex_fuente_datos apex_fuente_datos_fk_proyecto; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_fuente_datos
    ADD CONSTRAINT apex_fuente_datos_fk_proyecto FOREIGN KEY (proyecto) REFERENCES toba_arai_usuarios.apex_proyecto(proyecto) DEFERRABLE;


--
-- Name: apex_fuente_datos apex_fuente_datos_fk_punto_montaje; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_fuente_datos
    ADD CONSTRAINT apex_fuente_datos_fk_punto_montaje FOREIGN KEY (proyecto, punto_montaje) REFERENCES toba_arai_usuarios.apex_puntos_montaje(proyecto, id) DEFERRABLE;


--
-- Name: apex_fuente_datos_schemas apex_fuente_datos_schemas_fk_fuente; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_fuente_datos_schemas
    ADD CONSTRAINT apex_fuente_datos_schemas_fk_fuente FOREIGN KEY (proyecto, fuente_datos) REFERENCES toba_arai_usuarios.apex_fuente_datos(proyecto, fuente_datos) DEFERRABLE;


--
-- Name: apex_grupo_acc_restriccion_funcional apex_grupo_acc_restriccion_funcional_ga_fk; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_grupo_acc_restriccion_funcional
    ADD CONSTRAINT apex_grupo_acc_restriccion_funcional_ga_fk FOREIGN KEY (proyecto, usuario_grupo_acc) REFERENCES toba_arai_usuarios.apex_usuario_grupo_acc(proyecto, usuario_grupo_acc) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_grupo_acc_restriccion_funcional apex_grupo_acc_restriccion_funcional_rf_fk; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_grupo_acc_restriccion_funcional
    ADD CONSTRAINT apex_grupo_acc_restriccion_funcional_rf_fk FOREIGN KEY (proyecto, restriccion_funcional) REFERENCES toba_arai_usuarios.apex_restriccion_funcional(proyecto, restriccion_funcional) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_item_objeto apex_item_consumo_obj_fk_item; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_item_objeto
    ADD CONSTRAINT apex_item_consumo_obj_fk_item FOREIGN KEY (proyecto, item) REFERENCES toba_arai_usuarios.apex_item(proyecto, item) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_item_objeto apex_item_consumo_obj_fk_objeto; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_item_objeto
    ADD CONSTRAINT apex_item_consumo_obj_fk_objeto FOREIGN KEY (proyecto, objeto) REFERENCES toba_arai_usuarios.apex_objeto(proyecto, objeto) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_item apex_item_fk_niv_acc; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_item
    ADD CONSTRAINT apex_item_fk_niv_acc FOREIGN KEY (nivel_acceso) REFERENCES toba_arai_usuarios.apex_nivel_acceso(nivel_acceso) DEFERRABLE;


--
-- Name: apex_item apex_item_fk_padre; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_item
    ADD CONSTRAINT apex_item_fk_padre FOREIGN KEY (padre_proyecto, padre) REFERENCES toba_arai_usuarios.apex_item(proyecto, item) ON UPDATE CASCADE DEFERRABLE;


--
-- Name: apex_item apex_item_fk_pag_tipo; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_item
    ADD CONSTRAINT apex_item_fk_pag_tipo FOREIGN KEY (pagina_tipo_proyecto, pagina_tipo) REFERENCES toba_arai_usuarios.apex_pagina_tipo(proyecto, pagina_tipo) DEFERRABLE;


--
-- Name: apex_item apex_item_fk_proyecto; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_item
    ADD CONSTRAINT apex_item_fk_proyecto FOREIGN KEY (proyecto) REFERENCES toba_arai_usuarios.apex_proyecto(proyecto) DEFERRABLE;


--
-- Name: apex_item apex_item_fk_puntos_montaje; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_item
    ADD CONSTRAINT apex_item_fk_puntos_montaje FOREIGN KEY (proyecto, punto_montaje) REFERENCES toba_arai_usuarios.apex_puntos_montaje(proyecto, id) DEFERRABLE;


--
-- Name: apex_item apex_item_fk_rec_orig; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_item
    ADD CONSTRAINT apex_item_fk_rec_orig FOREIGN KEY (imagen_recurso_origen) REFERENCES toba_arai_usuarios.apex_recurso_origen(recurso_origen) DEFERRABLE;


--
-- Name: apex_item apex_item_fk_solic_ot; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_item
    ADD CONSTRAINT apex_item_fk_solic_ot FOREIGN KEY (solicitud_obs_tipo_proyecto, solicitud_obs_tipo) REFERENCES toba_arai_usuarios.apex_solicitud_obs_tipo(proyecto, solicitud_obs_tipo) DEFERRABLE;


--
-- Name: apex_item apex_item_fk_solic_tipo; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_item
    ADD CONSTRAINT apex_item_fk_solic_tipo FOREIGN KEY (solicitud_tipo) REFERENCES toba_arai_usuarios.apex_solicitud_tipo(solicitud_tipo) DEFERRABLE;


--
-- Name: apex_item apex_item_fk_zona; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_item
    ADD CONSTRAINT apex_item_fk_zona FOREIGN KEY (zona_proyecto, zona) REFERENCES toba_arai_usuarios.apex_item_zona(proyecto, zona) DEFERRABLE;


--
-- Name: apex_item_info apex_item_info_fk_item; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_item_info
    ADD CONSTRAINT apex_item_info_fk_item FOREIGN KEY (item_proyecto, item) REFERENCES toba_arai_usuarios.apex_item(proyecto, item) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_item_msg apex_item_msg_fk_item; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_item_msg
    ADD CONSTRAINT apex_item_msg_fk_item FOREIGN KEY (item, item_proyecto) REFERENCES toba_arai_usuarios.apex_item(item, proyecto) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_item_msg apex_item_msg_fk_tipo; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_item_msg
    ADD CONSTRAINT apex_item_msg_fk_tipo FOREIGN KEY (msg_tipo) REFERENCES toba_arai_usuarios.apex_msg_tipo(msg_tipo) DEFERRABLE;


--
-- Name: apex_item_nota apex_item_nota_fk_item; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_item_nota
    ADD CONSTRAINT apex_item_nota_fk_item FOREIGN KEY (item_proyecto, item) REFERENCES toba_arai_usuarios.apex_item(proyecto, item) ON UPDATE CASCADE DEFERRABLE;


--
-- Name: apex_item_nota apex_item_nota_fk_tipo; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_item_nota
    ADD CONSTRAINT apex_item_nota_fk_tipo FOREIGN KEY (nota_tipo) REFERENCES toba_arai_usuarios.apex_nota_tipo(nota_tipo) DEFERRABLE;


--
-- Name: apex_item_nota apex_item_nota_fk_usud; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_item_nota
    ADD CONSTRAINT apex_item_nota_fk_usud FOREIGN KEY (usuario_destino) REFERENCES toba_arai_usuarios.apex_usuario(usuario) DEFERRABLE;


--
-- Name: apex_item_nota apex_item_nota_fk_usuo; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_item_nota
    ADD CONSTRAINT apex_item_nota_fk_usuo FOREIGN KEY (usuario_origen) REFERENCES toba_arai_usuarios.apex_usuario(usuario) DEFERRABLE;


--
-- Name: apex_item_permisos_tablas apex_item_permisos_tablas_fuente; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_item_permisos_tablas
    ADD CONSTRAINT apex_item_permisos_tablas_fuente FOREIGN KEY (proyecto, fuente_datos) REFERENCES toba_arai_usuarios.apex_fuente_datos(proyecto, fuente_datos) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_item_permisos_tablas apex_item_permisos_tablas_item; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_item_permisos_tablas
    ADD CONSTRAINT apex_item_permisos_tablas_item FOREIGN KEY (proyecto, item) REFERENCES toba_arai_usuarios.apex_item(proyecto, item) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_item_zona apex_item_zona_fk_proy; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_item_zona
    ADD CONSTRAINT apex_item_zona_fk_proy FOREIGN KEY (proyecto) REFERENCES toba_arai_usuarios.apex_proyecto(proyecto) DEFERRABLE;


--
-- Name: apex_menu apex_menu_menu_tipos_fk; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_menu
    ADD CONSTRAINT apex_menu_menu_tipos_fk FOREIGN KEY (tipo_menu) REFERENCES toba_arai_usuarios.apex_menu_tipos(menu) DEFERRABLE;


--
-- Name: apex_menu_operaciones apex_menu_operaciones_apex_proyecto_fk; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_menu_operaciones
    ADD CONSTRAINT apex_menu_operaciones_apex_proyecto_fk FOREIGN KEY (proyecto) REFERENCES toba_arai_usuarios.apex_proyecto(proyecto) DEFERRABLE;


--
-- Name: apex_menu_operaciones apex_menu_operaciones_auto_fk; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_menu_operaciones
    ADD CONSTRAINT apex_menu_operaciones_auto_fk FOREIGN KEY (proyecto, menu_id, menu_elemento) REFERENCES toba_arai_usuarios.apex_menu_operaciones(proyecto, menu_id, menu_elemento) DEFERRABLE;


--
-- Name: apex_menu_operaciones apex_menu_operaciones_item_fk; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_menu_operaciones
    ADD CONSTRAINT apex_menu_operaciones_item_fk FOREIGN KEY (proyecto, item) REFERENCES toba_arai_usuarios.apex_item(proyecto, item) DEFERRABLE;


--
-- Name: apex_menu apex_menu_proyecto_fk; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_menu
    ADD CONSTRAINT apex_menu_proyecto_fk FOREIGN KEY (proyecto) REFERENCES toba_arai_usuarios.apex_proyecto(proyecto) DEFERRABLE;


--
-- Name: apex_molde_opciones_generacion apex_molde_opciones_generacion_fk_proy; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_molde_opciones_generacion
    ADD CONSTRAINT apex_molde_opciones_generacion_fk_proy FOREIGN KEY (proyecto) REFERENCES toba_arai_usuarios.apex_proyecto(proyecto) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_molde_opciones_generacion apex_molde_opciones_generacion_fk_puntos_montaje; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_molde_opciones_generacion
    ADD CONSTRAINT apex_molde_opciones_generacion_fk_puntos_montaje FOREIGN KEY (proyecto, punto_montaje) REFERENCES toba_arai_usuarios.apex_puntos_montaje(proyecto, id) DEFERRABLE;


--
-- Name: apex_molde_operacion_abms_fila apex_molde_operacion_abms_fila; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_molde_operacion_abms_fila
    ADD CONSTRAINT apex_molde_operacion_abms_fila FOREIGN KEY (asistente_tipo_dato) REFERENCES toba_arai_usuarios.apex_molde_operacion_tipo_dato(tipo_dato) DEFERRABLE;


--
-- Name: apex_molde_operacion_abms_fila apex_molde_operacion_abms_fila_fk_ef; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_molde_operacion_abms_fila
    ADD CONSTRAINT apex_molde_operacion_abms_fila_fk_ef FOREIGN KEY (elemento_formulario) REFERENCES toba_arai_usuarios.apex_elemento_formulario(elemento_formulario) DEFERRABLE;


--
-- Name: apex_molde_operacion_abms_fila apex_molde_operacion_abms_fila_fk_estilo; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_molde_operacion_abms_fila
    ADD CONSTRAINT apex_molde_operacion_abms_fila_fk_estilo FOREIGN KEY (cuadro_estilo) REFERENCES toba_arai_usuarios.apex_columna_estilo(columna_estilo) DEFERRABLE;


--
-- Name: apex_molde_operacion_abms_fila apex_molde_operacion_abms_fila_fk_formato; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_molde_operacion_abms_fila
    ADD CONSTRAINT apex_molde_operacion_abms_fila_fk_formato FOREIGN KEY (cuadro_formato) REFERENCES toba_arai_usuarios.apex_columna_formato(columna_formato) DEFERRABLE;


--
-- Name: apex_molde_operacion_abms_fila apex_molde_operacion_abms_fila_fk_molde; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_molde_operacion_abms_fila
    ADD CONSTRAINT apex_molde_operacion_abms_fila_fk_molde FOREIGN KEY (molde, proyecto) REFERENCES toba_arai_usuarios.apex_molde_operacion(molde, proyecto) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_molde_operacion_abms_fila apex_molde_operacion_abms_fila_fk_puntos_montaje; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_molde_operacion_abms_fila
    ADD CONSTRAINT apex_molde_operacion_abms_fila_fk_puntos_montaje FOREIGN KEY (proyecto, punto_montaje) REFERENCES toba_arai_usuarios.apex_puntos_montaje(proyecto, id) DEFERRABLE;


--
-- Name: apex_molde_operacion_abms_fila apex_molde_operacion_abms_fila_fk_tipo_datos; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_molde_operacion_abms_fila
    ADD CONSTRAINT apex_molde_operacion_abms_fila_fk_tipo_datos FOREIGN KEY (dt_tipo_dato) REFERENCES toba_arai_usuarios.apex_tipo_datos(tipo) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_molde_operacion apex_molde_operacion_abms_fk_fuente; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_molde_operacion
    ADD CONSTRAINT apex_molde_operacion_abms_fk_fuente FOREIGN KEY (proyecto, fuente) REFERENCES toba_arai_usuarios.apex_fuente_datos(proyecto, fuente_datos) DEFERRABLE;


--
-- Name: apex_molde_operacion_abms apex_molde_operacion_abms_fk_molde; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_molde_operacion_abms
    ADD CONSTRAINT apex_molde_operacion_abms_fk_molde FOREIGN KEY (molde, proyecto) REFERENCES toba_arai_usuarios.apex_molde_operacion(molde, proyecto) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_molde_operacion_abms apex_molde_operacion_abms_fk_puntos_montaje; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_molde_operacion_abms
    ADD CONSTRAINT apex_molde_operacion_abms_fk_puntos_montaje FOREIGN KEY (proyecto, punto_montaje) REFERENCES toba_arai_usuarios.apex_puntos_montaje(proyecto, id) DEFERRABLE;


--
-- Name: apex_molde_operacion apex_molde_operacion_fk_item; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_molde_operacion
    ADD CONSTRAINT apex_molde_operacion_fk_item FOREIGN KEY (item, proyecto) REFERENCES toba_arai_usuarios.apex_item(item, proyecto) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_molde_operacion apex_molde_operacion_fk_puntos_montaje; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_molde_operacion
    ADD CONSTRAINT apex_molde_operacion_fk_puntos_montaje FOREIGN KEY (proyecto, punto_montaje) REFERENCES toba_arai_usuarios.apex_puntos_montaje(proyecto, id) DEFERRABLE;


--
-- Name: apex_molde_operacion apex_molde_operacion_fk_tipo; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_molde_operacion
    ADD CONSTRAINT apex_molde_operacion_fk_tipo FOREIGN KEY (operacion_tipo) REFERENCES toba_arai_usuarios.apex_molde_operacion_tipo(operacion_tipo) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_molde_operacion_importacion apex_molde_operacion_imp_fk_molde; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_molde_operacion_importacion
    ADD CONSTRAINT apex_molde_operacion_imp_fk_molde FOREIGN KEY (molde, proyecto) REFERENCES toba_arai_usuarios.apex_molde_operacion(molde, proyecto) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_molde_operacion_log_elementos apex_molde_operacion_log_e_fk; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_molde_operacion_log_elementos
    ADD CONSTRAINT apex_molde_operacion_log_e_fk FOREIGN KEY (generacion) REFERENCES toba_arai_usuarios.apex_molde_operacion_log(generacion) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_molde_operacion_log apex_molde_operacion_log_fk; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_molde_operacion_log
    ADD CONSTRAINT apex_molde_operacion_log_fk FOREIGN KEY (molde, proyecto) REFERENCES toba_arai_usuarios.apex_molde_operacion(molde, proyecto) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_molde_operacion apex_molde_operacion_proy; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_molde_operacion
    ADD CONSTRAINT apex_molde_operacion_proy FOREIGN KEY (proyecto) REFERENCES toba_arai_usuarios.apex_proyecto(proyecto) DEFERRABLE;


--
-- Name: apex_molde_operacion_tipo_dato apex_molde_operacion_tipo_dato_fk_ef; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_molde_operacion_tipo_dato
    ADD CONSTRAINT apex_molde_operacion_tipo_dato_fk_ef FOREIGN KEY (elemento_formulario) REFERENCES toba_arai_usuarios.apex_elemento_formulario(elemento_formulario) DEFERRABLE;


--
-- Name: apex_molde_operacion_tipo_dato apex_molde_operacion_tipo_dato_fk_estilo; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_molde_operacion_tipo_dato
    ADD CONSTRAINT apex_molde_operacion_tipo_dato_fk_estilo FOREIGN KEY (cuadro_estilo) REFERENCES toba_arai_usuarios.apex_columna_estilo(columna_estilo) DEFERRABLE;


--
-- Name: apex_molde_operacion_tipo_dato apex_molde_operacion_tipo_dato_fk_formato; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_molde_operacion_tipo_dato
    ADD CONSTRAINT apex_molde_operacion_tipo_dato_fk_formato FOREIGN KEY (cuadro_formato) REFERENCES toba_arai_usuarios.apex_columna_formato(columna_formato) DEFERRABLE;


--
-- Name: apex_molde_operacion_tipo_dato apex_molde_operacion_tipo_dato_fk_tipo_datos; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_molde_operacion_tipo_dato
    ADD CONSTRAINT apex_molde_operacion_tipo_dato_fk_tipo_datos FOREIGN KEY (dt_tipo_dato) REFERENCES toba_arai_usuarios.apex_tipo_datos(tipo) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_msg apex_msg_fk_proy; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_msg
    ADD CONSTRAINT apex_msg_fk_proy FOREIGN KEY (proyecto) REFERENCES toba_arai_usuarios.apex_proyecto(proyecto) DEFERRABLE;


--
-- Name: apex_msg apex_msg_fk_tipo; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_msg
    ADD CONSTRAINT apex_msg_fk_tipo FOREIGN KEY (msg_tipo) REFERENCES toba_arai_usuarios.apex_msg_tipo(msg_tipo) DEFERRABLE;


--
-- Name: apex_nota apex_nota_fk_proy; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_nota
    ADD CONSTRAINT apex_nota_fk_proy FOREIGN KEY (proyecto) REFERENCES toba_arai_usuarios.apex_proyecto(proyecto) DEFERRABLE;


--
-- Name: apex_nota apex_nota_fk_tipo; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_nota
    ADD CONSTRAINT apex_nota_fk_tipo FOREIGN KEY (nota_tipo) REFERENCES toba_arai_usuarios.apex_nota_tipo(nota_tipo) DEFERRABLE;


--
-- Name: apex_nota apex_nota_fk_usud; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_nota
    ADD CONSTRAINT apex_nota_fk_usud FOREIGN KEY (usuario_destino) REFERENCES toba_arai_usuarios.apex_usuario(usuario) DEFERRABLE;


--
-- Name: apex_nota apex_nota_fk_usuo; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_nota
    ADD CONSTRAINT apex_nota_fk_usuo FOREIGN KEY (usuario_origen) REFERENCES toba_arai_usuarios.apex_usuario(usuario) DEFERRABLE;


--
-- Name: apex_objeto_ci_pantalla apex_obj_ci_pan__fk_padre; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_ci_pantalla
    ADD CONSTRAINT apex_obj_ci_pan__fk_padre FOREIGN KEY (objeto_ci_proyecto, objeto_ci) REFERENCES toba_arai_usuarios.apex_objeto_mt_me(objeto_mt_me_proyecto, objeto_mt_me) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_objeto_ci_pantalla apex_obj_ci_pan_fk_rec_orig; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_ci_pantalla
    ADD CONSTRAINT apex_obj_ci_pan_fk_rec_orig FOREIGN KEY (imagen_recurso_origen) REFERENCES toba_arai_usuarios.apex_recurso_origen(recurso_origen) DEFERRABLE;


--
-- Name: apex_objeto_cuadro_cc apex_obj_cuadro_cc_fk_objeto_cuadro; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_cuadro_cc
    ADD CONSTRAINT apex_obj_cuadro_cc_fk_objeto_cuadro FOREIGN KEY (objeto_cuadro, objeto_cuadro_proyecto) REFERENCES toba_arai_usuarios.apex_objeto_cuadro(objeto_cuadro, objeto_cuadro_proyecto) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_objeto_rel_columnas_asoc apex_obj_datos_rel_asoc_fk; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_rel_columnas_asoc
    ADD CONSTRAINT apex_obj_datos_rel_asoc_fk FOREIGN KEY (asoc_id, objeto, proyecto) REFERENCES toba_arai_usuarios.apex_objeto_datos_rel_asoc(asoc_id, objeto, proyecto) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_objeto_datos_rel_asoc apex_obj_datos_rel_asoc_fk_hijo; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_datos_rel_asoc
    ADD CONSTRAINT apex_obj_datos_rel_asoc_fk_hijo FOREIGN KEY (proyecto, objeto, hijo_id) REFERENCES toba_arai_usuarios.apex_objeto_dependencias(proyecto, objeto_consumidor, identificador) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_objeto_datos_rel_asoc apex_obj_datos_rel_asoc_fk_objeto; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_datos_rel_asoc
    ADD CONSTRAINT apex_obj_datos_rel_asoc_fk_objeto FOREIGN KEY (objeto, proyecto) REFERENCES toba_arai_usuarios.apex_objeto_datos_rel(objeto, proyecto) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_objeto_datos_rel_asoc apex_obj_datos_rel_asoc_fk_padre; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_datos_rel_asoc
    ADD CONSTRAINT apex_obj_datos_rel_asoc_fk_padre FOREIGN KEY (proyecto, objeto, padre_id) REFERENCES toba_arai_usuarios.apex_objeto_dependencias(proyecto, objeto_consumidor, identificador) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_objeto_db_columna_fks apex_obj_db_col_fks_reg; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_db_columna_fks
    ADD CONSTRAINT apex_obj_db_col_fks_reg FOREIGN KEY (objeto_proyecto, objeto) REFERENCES toba_arai_usuarios.apex_objeto_db_registros(objeto_proyecto, objeto) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_objeto_db_registros_col apex_obj_dbr_col_fk_objeto_dbr; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_db_registros_col
    ADD CONSTRAINT apex_obj_dbr_col_fk_objeto_dbr FOREIGN KEY (objeto, objeto_proyecto) REFERENCES toba_arai_usuarios.apex_objeto_db_registros(objeto, objeto_proyecto) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_objeto_db_registros_col apex_obj_dbr_col_fk_tipo; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_db_registros_col
    ADD CONSTRAINT apex_obj_dbr_col_fk_tipo FOREIGN KEY (tipo) REFERENCES toba_arai_usuarios.apex_tipo_datos(tipo) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_objeto_db_registros_ext_col apex_obj_dbr_ext_col_fk_col; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_db_registros_ext_col
    ADD CONSTRAINT apex_obj_dbr_ext_col_fk_col FOREIGN KEY (col_id, objeto, objeto_proyecto) REFERENCES toba_arai_usuarios.apex_objeto_db_registros_col(col_id, objeto, objeto_proyecto) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_objeto_db_registros_ext_col apex_obj_dbr_ext_col_fk_ext; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_db_registros_ext_col
    ADD CONSTRAINT apex_obj_dbr_ext_col_fk_ext FOREIGN KEY (externa_id, objeto, objeto_proyecto) REFERENCES toba_arai_usuarios.apex_objeto_db_registros_ext(externa_id, objeto, objeto_proyecto) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_objeto_db_registros_ext apex_obj_dbr_ext_fk_consulta_php; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_db_registros_ext
    ADD CONSTRAINT apex_obj_dbr_ext_fk_consulta_php FOREIGN KEY (objeto_proyecto, carga_consulta_php) REFERENCES toba_arai_usuarios.apex_consulta_php(proyecto, consulta_php) DEFERRABLE;


--
-- Name: apex_objeto_db_registros_ext apex_obj_dbr_ext_fk_datos_tabla; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_db_registros_ext
    ADD CONSTRAINT apex_obj_dbr_ext_fk_datos_tabla FOREIGN KEY (objeto_proyecto, carga_dt) REFERENCES toba_arai_usuarios.apex_objeto(proyecto, objeto) DEFERRABLE;


--
-- Name: apex_objeto_db_registros_ext apex_obj_dbr_ext_fk_objeto_dbr; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_db_registros_ext
    ADD CONSTRAINT apex_obj_dbr_ext_fk_objeto_dbr FOREIGN KEY (objeto, objeto_proyecto) REFERENCES toba_arai_usuarios.apex_objeto_db_registros(objeto, objeto_proyecto) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_objeto_db_registros_ext apex_obj_dbr_ext_fk_punto_montaje; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_db_registros_ext
    ADD CONSTRAINT apex_obj_dbr_ext_fk_punto_montaje FOREIGN KEY (objeto_proyecto, punto_montaje) REFERENCES toba_arai_usuarios.apex_puntos_montaje(proyecto, id) DEFERRABLE;


--
-- Name: apex_objeto_db_registros_uniq apex_obj_dbr_uniq_fk_objeto_dbr; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_db_registros_uniq
    ADD CONSTRAINT apex_obj_dbr_uniq_fk_objeto_dbr FOREIGN KEY (objeto, objeto_proyecto) REFERENCES toba_arai_usuarios.apex_objeto_db_registros(objeto, objeto_proyecto) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_objeto_ei_cuadro_columna apex_obj_ei_cuadro_fk_accion_vinculo; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_ei_cuadro_columna
    ADD CONSTRAINT apex_obj_ei_cuadro_fk_accion_vinculo FOREIGN KEY (objeto_cuadro_proyecto, vinculo_item) REFERENCES toba_arai_usuarios.apex_item(proyecto, item) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_objeto_ei_cuadro_columna apex_obj_ei_cuadro_fk_formato; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_ei_cuadro_columna
    ADD CONSTRAINT apex_obj_ei_cuadro_fk_formato FOREIGN KEY (formateo) REFERENCES toba_arai_usuarios.apex_columna_formato(columna_formato) DEFERRABLE;


--
-- Name: apex_objeto_ei_cuadro_columna apex_obj_ei_cuadro_fk_objeto_cuadro; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_ei_cuadro_columna
    ADD CONSTRAINT apex_obj_ei_cuadro_fk_objeto_cuadro FOREIGN KEY (objeto_cuadro, objeto_cuadro_proyecto) REFERENCES toba_arai_usuarios.apex_objeto_cuadro(objeto_cuadro, objeto_cuadro_proyecto) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_objeto_codigo apex_objeto_codigo_fk_objeto; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_codigo
    ADD CONSTRAINT apex_objeto_codigo_fk_objeto FOREIGN KEY (objeto_codigo_proyecto, objeto_codigo) REFERENCES toba_arai_usuarios.apex_objeto(proyecto, objeto) DEFERRABLE;


--
-- Name: apex_objeto_dep_consumo apex_objeto_consumo_depen_fk_objeto_c; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_dep_consumo
    ADD CONSTRAINT apex_objeto_consumo_depen_fk_objeto_c FOREIGN KEY (proyecto, objeto_consumidor) REFERENCES toba_arai_usuarios.apex_objeto(proyecto, objeto) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_objeto_dep_consumo apex_objeto_consumo_depen_fk_objeto_p; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_dep_consumo
    ADD CONSTRAINT apex_objeto_consumo_depen_fk_objeto_p FOREIGN KEY (proyecto, objeto_proveedor) REFERENCES toba_arai_usuarios.apex_objeto(proyecto, objeto) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_objeto_cuadro_col_cc apex_objeto_cuadro_col_cc_fk_apex_objeto_cuadro_cc; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_cuadro_col_cc
    ADD CONSTRAINT apex_objeto_cuadro_col_cc_fk_apex_objeto_cuadro_cc FOREIGN KEY (objeto_cuadro_cc, objeto_cuadro_proyecto, objeto_cuadro) REFERENCES toba_arai_usuarios.apex_objeto_cuadro_cc(objeto_cuadro_cc, objeto_cuadro_proyecto, objeto_cuadro) DEFERRABLE;


--
-- Name: apex_objeto_cuadro_col_cc apex_objeto_cuadro_col_cc_fk_apex_objeto_ei_cuadro_columna; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_cuadro_col_cc
    ADD CONSTRAINT apex_objeto_cuadro_col_cc_fk_apex_objeto_ei_cuadro_columna FOREIGN KEY (objeto_cuadro_col, objeto_cuadro, objeto_cuadro_proyecto) REFERENCES toba_arai_usuarios.apex_objeto_ei_cuadro_columna(objeto_cuadro_col, objeto_cuadro, objeto_cuadro_proyecto) DEFERRABLE;


--
-- Name: apex_objeto_cuadro apex_objeto_cuadro_fk_objeto; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_cuadro
    ADD CONSTRAINT apex_objeto_cuadro_fk_objeto FOREIGN KEY (objeto_cuadro, objeto_cuadro_proyecto) REFERENCES toba_arai_usuarios.apex_objeto(objeto, proyecto) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_objeto_datos_rel apex_objeto_datos_rel_fk_ap; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_datos_rel
    ADD CONSTRAINT apex_objeto_datos_rel_fk_ap FOREIGN KEY (ap) REFERENCES toba_arai_usuarios.apex_admin_persistencia(ap) DEFERRABLE;


--
-- Name: apex_objeto_datos_rel apex_objeto_datos_rel_fk_objeto; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_datos_rel
    ADD CONSTRAINT apex_objeto_datos_rel_fk_objeto FOREIGN KEY (objeto, proyecto) REFERENCES toba_arai_usuarios.apex_objeto(objeto, proyecto) DEFERRABLE;


--
-- Name: apex_objeto_db_registros apex_objeto_dbr_fk_ap; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_db_registros
    ADD CONSTRAINT apex_objeto_dbr_fk_ap FOREIGN KEY (ap) REFERENCES toba_arai_usuarios.apex_admin_persistencia(ap) DEFERRABLE;


--
-- Name: apex_objeto_db_registros apex_objeto_dbr_fk_fuente; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_db_registros
    ADD CONSTRAINT apex_objeto_dbr_fk_fuente FOREIGN KEY (fuente_datos_proyecto, fuente_datos) REFERENCES toba_arai_usuarios.apex_fuente_datos(proyecto, fuente_datos) DEFERRABLE;


--
-- Name: apex_objeto_db_registros apex_objeto_dbr_fk_objeto; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_db_registros
    ADD CONSTRAINT apex_objeto_dbr_fk_objeto FOREIGN KEY (objeto, objeto_proyecto) REFERENCES toba_arai_usuarios.apex_objeto(objeto, proyecto) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_objeto_dependencias apex_objeto_depen_fk_objeto_c; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_dependencias
    ADD CONSTRAINT apex_objeto_depen_fk_objeto_c FOREIGN KEY (proyecto, objeto_consumidor) REFERENCES toba_arai_usuarios.apex_objeto(proyecto, objeto) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_objeto_dependencias apex_objeto_depen_fk_objeto_p; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_dependencias
    ADD CONSTRAINT apex_objeto_depen_fk_objeto_p FOREIGN KEY (proyecto, objeto_proveedor) REFERENCES toba_arai_usuarios.apex_objeto(proyecto, objeto) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_objeto_ei_firma apex_objeto_ei_firma_fk_objeto; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_ei_firma
    ADD CONSTRAINT apex_objeto_ei_firma_fk_objeto FOREIGN KEY (objeto_ei_firma_proyecto, objeto_ei_firma) REFERENCES toba_arai_usuarios.apex_objeto(proyecto, objeto) DEFERRABLE;


--
-- Name: apex_objeto_esquema apex_objeto_esquema_fk_objeto; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_esquema
    ADD CONSTRAINT apex_objeto_esquema_fk_objeto FOREIGN KEY (objeto_esquema_proyecto, objeto_esquema) REFERENCES toba_arai_usuarios.apex_objeto(proyecto, objeto) DEFERRABLE;


--
-- Name: apex_objeto_eventos apex_objeto_eventos_fk_accion_vinculo; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_eventos
    ADD CONSTRAINT apex_objeto_eventos_fk_accion_vinculo FOREIGN KEY (proyecto, accion_vinculo_item) REFERENCES toba_arai_usuarios.apex_item(proyecto, item) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_objeto_eventos apex_objeto_eventos_fk_objeto; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_eventos
    ADD CONSTRAINT apex_objeto_eventos_fk_objeto FOREIGN KEY (proyecto, objeto) REFERENCES toba_arai_usuarios.apex_objeto(proyecto, objeto) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_objeto_eventos apex_objeto_eventos_fk_rec_orig; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_eventos
    ADD CONSTRAINT apex_objeto_eventos_fk_rec_orig FOREIGN KEY (imagen_recurso_origen) REFERENCES toba_arai_usuarios.apex_recurso_origen(recurso_origen) DEFERRABLE;


--
-- Name: apex_objeto apex_objeto_fk_clase; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto
    ADD CONSTRAINT apex_objeto_fk_clase FOREIGN KEY (clase_proyecto, clase) REFERENCES toba_arai_usuarios.apex_clase(proyecto, clase) DEFERRABLE;


--
-- Name: apex_objeto apex_objeto_fk_fuente_datos; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto
    ADD CONSTRAINT apex_objeto_fk_fuente_datos FOREIGN KEY (fuente_datos_proyecto, fuente_datos) REFERENCES toba_arai_usuarios.apex_fuente_datos(proyecto, fuente_datos) DEFERRABLE;


--
-- Name: apex_relacion_tablas apex_objeto_fk_fuente_datos; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_relacion_tablas
    ADD CONSTRAINT apex_objeto_fk_fuente_datos FOREIGN KEY (fuente_datos_proyecto, fuente_datos) REFERENCES toba_arai_usuarios.apex_fuente_datos(proyecto, fuente_datos) DEFERRABLE;


--
-- Name: apex_dimension apex_objeto_fk_fuente_datos; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_dimension
    ADD CONSTRAINT apex_objeto_fk_fuente_datos FOREIGN KEY (fuente_datos_proyecto, fuente_datos) REFERENCES toba_arai_usuarios.apex_fuente_datos(proyecto, fuente_datos) DEFERRABLE;


--
-- Name: apex_objeto_db_registros apex_objeto_fk_fuente_schemas; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_db_registros
    ADD CONSTRAINT apex_objeto_fk_fuente_schemas FOREIGN KEY (objeto_proyecto, fuente_datos, esquema) REFERENCES toba_arai_usuarios.apex_fuente_datos_schemas(proyecto, fuente_datos, nombre) DEFERRABLE;


--
-- Name: apex_proyecto apex_objeto_fk_pm_contexto; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_proyecto
    ADD CONSTRAINT apex_objeto_fk_pm_contexto FOREIGN KEY (proyecto, pm_contexto) REFERENCES toba_arai_usuarios.apex_puntos_montaje(proyecto, id) DEFERRABLE;


--
-- Name: apex_proyecto apex_objeto_fk_pm_impresion; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_proyecto
    ADD CONSTRAINT apex_objeto_fk_pm_impresion FOREIGN KEY (proyecto, pm_impresion) REFERENCES toba_arai_usuarios.apex_puntos_montaje(proyecto, id) DEFERRABLE;


--
-- Name: apex_proyecto apex_objeto_fk_pm_sesion; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_proyecto
    ADD CONSTRAINT apex_objeto_fk_pm_sesion FOREIGN KEY (proyecto, pm_sesion) REFERENCES toba_arai_usuarios.apex_puntos_montaje(proyecto, id) DEFERRABLE;


--
-- Name: apex_proyecto apex_objeto_fk_pm_usuario; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_proyecto
    ADD CONSTRAINT apex_objeto_fk_pm_usuario FOREIGN KEY (proyecto, pm_usuario) REFERENCES toba_arai_usuarios.apex_puntos_montaje(proyecto, id) DEFERRABLE;


--
-- Name: apex_objeto apex_objeto_fk_proyecto; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto
    ADD CONSTRAINT apex_objeto_fk_proyecto FOREIGN KEY (proyecto) REFERENCES toba_arai_usuarios.apex_proyecto(proyecto) DEFERRABLE;


--
-- Name: apex_pagina_tipo apex_objeto_fk_puntos_montaje; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_pagina_tipo
    ADD CONSTRAINT apex_objeto_fk_puntos_montaje FOREIGN KEY (proyecto, punto_montaje) REFERENCES toba_arai_usuarios.apex_puntos_montaje(proyecto, id) DEFERRABLE;


--
-- Name: apex_consulta_php apex_objeto_fk_puntos_montaje; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_consulta_php
    ADD CONSTRAINT apex_objeto_fk_puntos_montaje FOREIGN KEY (proyecto, punto_montaje) REFERENCES toba_arai_usuarios.apex_puntos_montaje(proyecto, id) DEFERRABLE;


--
-- Name: apex_item_zona apex_objeto_fk_puntos_montaje; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_item_zona
    ADD CONSTRAINT apex_objeto_fk_puntos_montaje FOREIGN KEY (proyecto, punto_montaje) REFERENCES toba_arai_usuarios.apex_puntos_montaje(proyecto, id) DEFERRABLE;


--
-- Name: apex_objeto apex_objeto_fk_puntos_montaje; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto
    ADD CONSTRAINT apex_objeto_fk_puntos_montaje FOREIGN KEY (proyecto, punto_montaje) REFERENCES toba_arai_usuarios.apex_puntos_montaje(proyecto, id) DEFERRABLE;


--
-- Name: apex_objeto_ci_pantalla apex_objeto_fk_puntos_montaje; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_ci_pantalla
    ADD CONSTRAINT apex_objeto_fk_puntos_montaje FOREIGN KEY (objeto_ci_proyecto, punto_montaje) REFERENCES toba_arai_usuarios.apex_puntos_montaje(proyecto, id) DEFERRABLE;


--
-- Name: apex_objeto_ei_formulario_ef apex_objeto_fk_puntos_montaje; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_ei_formulario_ef
    ADD CONSTRAINT apex_objeto_fk_puntos_montaje FOREIGN KEY (objeto_ei_formulario_proyecto, punto_montaje) REFERENCES toba_arai_usuarios.apex_puntos_montaje(proyecto, id) DEFERRABLE;


--
-- Name: apex_objeto_db_registros apex_objeto_fk_puntos_montaje; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_db_registros
    ADD CONSTRAINT apex_objeto_fk_puntos_montaje FOREIGN KEY (objeto_proyecto, punto_montaje) REFERENCES toba_arai_usuarios.apex_puntos_montaje(proyecto, id) DEFERRABLE;


--
-- Name: apex_objeto_datos_rel apex_objeto_fk_puntos_montaje; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_datos_rel
    ADD CONSTRAINT apex_objeto_fk_puntos_montaje FOREIGN KEY (proyecto, punto_montaje) REFERENCES toba_arai_usuarios.apex_puntos_montaje(proyecto, id) DEFERRABLE;


--
-- Name: apex_objeto_grafico apex_objeto_grafico_fk_grafico; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_grafico
    ADD CONSTRAINT apex_objeto_grafico_fk_grafico FOREIGN KEY (grafico) REFERENCES toba_arai_usuarios.apex_grafico(grafico) DEFERRABLE;


--
-- Name: apex_objeto_grafico apex_objeto_grafico_fk_objeto; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_grafico
    ADD CONSTRAINT apex_objeto_grafico_fk_objeto FOREIGN KEY (objeto_grafico_proyecto, objeto_grafico) REFERENCES toba_arai_usuarios.apex_objeto(proyecto, objeto) DEFERRABLE;


--
-- Name: apex_objeto_info apex_objeto_info_fk_objeto; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_info
    ADD CONSTRAINT apex_objeto_info_fk_objeto FOREIGN KEY (objeto_proyecto, objeto) REFERENCES toba_arai_usuarios.apex_objeto(proyecto, objeto) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_objeto_mapa apex_objeto_mapa_fk_objeto; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_mapa
    ADD CONSTRAINT apex_objeto_mapa_fk_objeto FOREIGN KEY (objeto_mapa_proyecto, objeto_mapa) REFERENCES toba_arai_usuarios.apex_objeto(proyecto, objeto) DEFERRABLE;


--
-- Name: apex_objeto_msg apex_objeto_msg_fk_objeto; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_msg
    ADD CONSTRAINT apex_objeto_msg_fk_objeto FOREIGN KEY (objeto, objeto_proyecto) REFERENCES toba_arai_usuarios.apex_objeto(objeto, proyecto) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_objeto_msg apex_objeto_msg_fk_tipo; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_msg
    ADD CONSTRAINT apex_objeto_msg_fk_tipo FOREIGN KEY (msg_tipo) REFERENCES toba_arai_usuarios.apex_msg_tipo(msg_tipo) DEFERRABLE;


--
-- Name: apex_objeto_nota apex_objeto_nota_fk_objeto; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_nota
    ADD CONSTRAINT apex_objeto_nota_fk_objeto FOREIGN KEY (objeto_proyecto, objeto) REFERENCES toba_arai_usuarios.apex_objeto(proyecto, objeto) DEFERRABLE;


--
-- Name: apex_objeto_nota apex_objeto_nota_fk_tipo; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_nota
    ADD CONSTRAINT apex_objeto_nota_fk_tipo FOREIGN KEY (nota_tipo) REFERENCES toba_arai_usuarios.apex_nota_tipo(nota_tipo) DEFERRABLE;


--
-- Name: apex_objeto_nota apex_objeto_nota_fk_usud; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_nota
    ADD CONSTRAINT apex_objeto_nota_fk_usud FOREIGN KEY (usuario_destino) REFERENCES toba_arai_usuarios.apex_usuario(usuario) DEFERRABLE;


--
-- Name: apex_objeto_nota apex_objeto_nota_fk_usuo; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_nota
    ADD CONSTRAINT apex_objeto_nota_fk_usuo FOREIGN KEY (usuario_origen) REFERENCES toba_arai_usuarios.apex_usuario(usuario) DEFERRABLE;


--
-- Name: apex_objeto_ut_formulario apex_objeto_ut_f_fk_objeto; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_ut_formulario
    ADD CONSTRAINT apex_objeto_ut_f_fk_objeto FOREIGN KEY (objeto_ut_formulario, objeto_ut_formulario_proyecto) REFERENCES toba_arai_usuarios.apex_objeto(objeto, proyecto) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_objetos_pantalla apex_objetos_pantalla_apex_objeto_ci_pantalla_fk; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objetos_pantalla
    ADD CONSTRAINT apex_objetos_pantalla_apex_objeto_ci_pantalla_fk FOREIGN KEY (pantalla, objeto_ci, proyecto) REFERENCES toba_arai_usuarios.apex_objeto_ci_pantalla(pantalla, objeto_ci, objeto_ci_proyecto) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_objetos_pantalla apex_objetos_pantalla_apex_objeto_dependencias_fk; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objetos_pantalla
    ADD CONSTRAINT apex_objetos_pantalla_apex_objeto_dependencias_fk FOREIGN KEY (dep_id, proyecto, objeto_ci) REFERENCES toba_arai_usuarios.apex_objeto_dependencias(dep_id, proyecto, objeto_consumidor) ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_pagina_tipo apex_pagina_tipo_fk_proy; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_pagina_tipo
    ADD CONSTRAINT apex_pagina_tipo_fk_proy FOREIGN KEY (proyecto) REFERENCES toba_arai_usuarios.apex_proyecto(proyecto) DEFERRABLE;


--
-- Name: apex_permiso_grupo_acc apex_per_grupo_acc_grupo_fk; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_permiso_grupo_acc
    ADD CONSTRAINT apex_per_grupo_acc_grupo_fk FOREIGN KEY (proyecto, usuario_grupo_acc) REFERENCES toba_arai_usuarios.apex_usuario_grupo_acc(proyecto, usuario_grupo_acc) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_permiso_grupo_acc apex_per_grupo_acc_per_fk; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_permiso_grupo_acc
    ADD CONSTRAINT apex_per_grupo_acc_per_fk FOREIGN KEY (permiso, proyecto) REFERENCES toba_arai_usuarios.apex_permiso(permiso, proyecto) DEFERRABLE;


--
-- Name: apex_perfil_datos_set_prueba apex_perfil_datos_set_prueba_fk_fuente; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_perfil_datos_set_prueba
    ADD CONSTRAINT apex_perfil_datos_set_prueba_fk_fuente FOREIGN KEY (proyecto, fuente_datos) REFERENCES toba_arai_usuarios.apex_fuente_datos(proyecto, fuente_datos) DEFERRABLE;


--
-- Name: apex_proyecto apex_proyecto_fk_menu_tipos; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_proyecto
    ADD CONSTRAINT apex_proyecto_fk_menu_tipos FOREIGN KEY (menu) REFERENCES toba_arai_usuarios.apex_menu_tipos(menu) DEFERRABLE;


--
-- Name: apex_proyecto apex_proyecto_fk_pagina_tipo; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_proyecto
    ADD CONSTRAINT apex_proyecto_fk_pagina_tipo FOREIGN KEY (proyecto, pagina_tipo) REFERENCES toba_arai_usuarios.apex_pagina_tipo(proyecto, pagina_tipo) DEFERRABLE;


--
-- Name: apex_puntos_montaje apex_proyecto_fk_proy; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_puntos_montaje
    ADD CONSTRAINT apex_proyecto_fk_proy FOREIGN KEY (proyecto) REFERENCES toba_arai_usuarios.apex_proyecto(proyecto) DEFERRABLE;


--
-- Name: apex_ptos_control_x_evento apex_proyecto_fk_ptos_ctrl; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_ptos_control_x_evento
    ADD CONSTRAINT apex_proyecto_fk_ptos_ctrl FOREIGN KEY (proyecto, pto_control) REFERENCES toba_arai_usuarios.apex_ptos_control(proyecto, pto_control) DEFERRABLE;


--
-- Name: apex_proyecto apex_proyecto_item_is; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_proyecto
    ADD CONSTRAINT apex_proyecto_item_is FOREIGN KEY (proyecto, item_inicio_sesion) REFERENCES toba_arai_usuarios.apex_item(proyecto, item) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_proyecto apex_proyecto_item_ps; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_proyecto
    ADD CONSTRAINT apex_proyecto_item_ps FOREIGN KEY (proyecto, item_pre_sesion) REFERENCES toba_arai_usuarios.apex_item(proyecto, item) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_proyecto apex_proyecto_item_ss; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_proyecto
    ADD CONSTRAINT apex_proyecto_item_ss FOREIGN KEY (proyecto, item_set_sesion) REFERENCES toba_arai_usuarios.apex_item(proyecto, item) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_ptos_control_ctrl apex_ptos_ctrl_ctrl_fk_ptos_ctrl; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_ptos_control_ctrl
    ADD CONSTRAINT apex_ptos_ctrl_ctrl_fk_ptos_ctrl FOREIGN KEY (proyecto, pto_control) REFERENCES toba_arai_usuarios.apex_ptos_control(proyecto, pto_control) DEFERRABLE;


--
-- Name: apex_ptos_control_param apex_ptos_ctrl_param_fk_ptos_ctrl; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_ptos_control_param
    ADD CONSTRAINT apex_ptos_ctrl_param_fk_ptos_ctrl FOREIGN KEY (proyecto, pto_control) REFERENCES toba_arai_usuarios.apex_ptos_control(proyecto, pto_control) DEFERRABLE;


--
-- Name: apex_ptos_control_x_evento apex_ptos_ctrl_x_evt_fk_evento; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_ptos_control_x_evento
    ADD CONSTRAINT apex_ptos_ctrl_x_evt_fk_evento FOREIGN KEY (evento_id, proyecto) REFERENCES toba_arai_usuarios.apex_objeto_eventos(evento_id, proyecto) DEFERRABLE;


--
-- Name: apex_ptos_control_x_evento apex_ptos_ctrl_x_evt_fk_proyecto; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_ptos_control_x_evento
    ADD CONSTRAINT apex_ptos_ctrl_x_evt_fk_proyecto FOREIGN KEY (proyecto) REFERENCES toba_arai_usuarios.apex_proyecto(proyecto) DEFERRABLE;


--
-- Name: apex_relacion_tablas apex_relacion_tablas_fk_proy; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_relacion_tablas
    ADD CONSTRAINT apex_relacion_tablas_fk_proy FOREIGN KEY (proyecto) REFERENCES toba_arai_usuarios.apex_proyecto(proyecto) DEFERRABLE;


--
-- Name: apex_restriccion_funcional_cols apex_restriccion_funcional_cols_fk_evt; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_restriccion_funcional_cols
    ADD CONSTRAINT apex_restriccion_funcional_cols_fk_evt FOREIGN KEY (proyecto, objeto_cuadro, objeto_cuadro_col) REFERENCES toba_arai_usuarios.apex_objeto_ei_cuadro_columna(objeto_cuadro_proyecto, objeto_cuadro, objeto_cuadro_col) DEFERRABLE;


--
-- Name: apex_restriccion_funcional_cols apex_restriccion_funcional_cols_fk_pf; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_restriccion_funcional_cols
    ADD CONSTRAINT apex_restriccion_funcional_cols_fk_pf FOREIGN KEY (proyecto, restriccion_funcional) REFERENCES toba_arai_usuarios.apex_restriccion_funcional(proyecto, restriccion_funcional) DEFERRABLE;


--
-- Name: apex_restriccion_funcional_ef apex_restriccion_funcional_ef_fk_ef; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_restriccion_funcional_ef
    ADD CONSTRAINT apex_restriccion_funcional_ef_fk_ef FOREIGN KEY (proyecto, objeto_ei_formulario, objeto_ei_formulario_fila) REFERENCES toba_arai_usuarios.apex_objeto_ei_formulario_ef(objeto_ei_formulario_proyecto, objeto_ei_formulario, objeto_ei_formulario_fila) DEFERRABLE;


--
-- Name: apex_restriccion_funcional_ef apex_restriccion_funcional_ef_fk_pf; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_restriccion_funcional_ef
    ADD CONSTRAINT apex_restriccion_funcional_ef_fk_pf FOREIGN KEY (proyecto, restriccion_funcional) REFERENCES toba_arai_usuarios.apex_restriccion_funcional(proyecto, restriccion_funcional) DEFERRABLE;


--
-- Name: apex_restriccion_funcional_ei apex_restriccion_funcional_ei_fk_evt; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_restriccion_funcional_ei
    ADD CONSTRAINT apex_restriccion_funcional_ei_fk_evt FOREIGN KEY (proyecto, objeto) REFERENCES toba_arai_usuarios.apex_objeto(proyecto, objeto) DEFERRABLE;


--
-- Name: apex_restriccion_funcional_ei apex_restriccion_funcional_ei_fk_pf; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_restriccion_funcional_ei
    ADD CONSTRAINT apex_restriccion_funcional_ei_fk_pf FOREIGN KEY (proyecto, restriccion_funcional) REFERENCES toba_arai_usuarios.apex_restriccion_funcional(proyecto, restriccion_funcional) DEFERRABLE;


--
-- Name: apex_restriccion_funcional_evt apex_restriccion_funcional_evt_fk_evt; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_restriccion_funcional_evt
    ADD CONSTRAINT apex_restriccion_funcional_evt_fk_evt FOREIGN KEY (proyecto, evento_id) REFERENCES toba_arai_usuarios.apex_objeto_eventos(proyecto, evento_id) DEFERRABLE;


--
-- Name: apex_restriccion_funcional_evt apex_restriccion_funcional_evt_fk_pf; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_restriccion_funcional_evt
    ADD CONSTRAINT apex_restriccion_funcional_evt_fk_pf FOREIGN KEY (proyecto, restriccion_funcional) REFERENCES toba_arai_usuarios.apex_restriccion_funcional(proyecto, restriccion_funcional) DEFERRABLE;


--
-- Name: apex_restriccion_funcional_filtro_cols apex_restriccion_funcional_filtro_col_fk_col; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_restriccion_funcional_filtro_cols
    ADD CONSTRAINT apex_restriccion_funcional_filtro_col_fk_col FOREIGN KEY (proyecto, objeto_ei_filtro, objeto_ei_filtro_col) REFERENCES toba_arai_usuarios.apex_objeto_ei_filtro_col(objeto_ei_filtro_proyecto, objeto_ei_filtro, objeto_ei_filtro_col) DEFERRABLE;


--
-- Name: apex_restriccion_funcional_filtro_cols apex_restriccion_funcional_filtro_col_fk_pf; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_restriccion_funcional_filtro_cols
    ADD CONSTRAINT apex_restriccion_funcional_filtro_col_fk_pf FOREIGN KEY (proyecto, restriccion_funcional) REFERENCES toba_arai_usuarios.apex_restriccion_funcional(proyecto, restriccion_funcional) DEFERRABLE;


--
-- Name: apex_restriccion_funcional_pantalla apex_restriccion_funcional_pantalla_fk_pantalla; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_restriccion_funcional_pantalla
    ADD CONSTRAINT apex_restriccion_funcional_pantalla_fk_pantalla FOREIGN KEY (proyecto, objeto_ci, pantalla) REFERENCES toba_arai_usuarios.apex_objeto_ci_pantalla(objeto_ci_proyecto, objeto_ci, pantalla) DEFERRABLE;


--
-- Name: apex_restriccion_funcional_pantalla apex_restriccion_funcional_pantalla_fk_pf; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_restriccion_funcional_pantalla
    ADD CONSTRAINT apex_restriccion_funcional_pantalla_fk_pf FOREIGN KEY (proyecto, restriccion_funcional) REFERENCES toba_arai_usuarios.apex_restriccion_funcional(proyecto, restriccion_funcional) DEFERRABLE;


--
-- Name: apex_servicio_web apex_servicio_web_fk_proyecto; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_servicio_web
    ADD CONSTRAINT apex_servicio_web_fk_proyecto FOREIGN KEY (proyecto) REFERENCES toba_arai_usuarios.apex_proyecto(proyecto) DEFERRABLE;


--
-- Name: apex_servicio_web_param apex_servicio_web_param_fk_serv_web; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_servicio_web_param
    ADD CONSTRAINT apex_servicio_web_param_fk_serv_web FOREIGN KEY (proyecto, servicio_web) REFERENCES toba_arai_usuarios.apex_servicio_web(proyecto, servicio_web) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_solicitud_obs_tipo apex_sol_obs_tipo_fk_proyecto; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_solicitud_obs_tipo
    ADD CONSTRAINT apex_sol_obs_tipo_fk_proyecto FOREIGN KEY (proyecto) REFERENCES toba_arai_usuarios.apex_proyecto(proyecto) DEFERRABLE;


--
-- Name: apex_tarea apex_tarea_fk_proyecto; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_tarea
    ADD CONSTRAINT apex_tarea_fk_proyecto FOREIGN KEY (proyecto) REFERENCES toba_arai_usuarios.apex_proyecto(proyecto) DEFERRABLE;


--
-- Name: apex_usuario_grupo_acc apex_usu_g_acc_fk_proy; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_usuario_grupo_acc
    ADD CONSTRAINT apex_usu_g_acc_fk_proy FOREIGN KEY (proyecto) REFERENCES toba_arai_usuarios.apex_proyecto(proyecto) DEFERRABLE;


--
-- Name: apex_usuario_grupo_acc_miembros apex_usu_g_acc_fk_us_gru_acc; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_usuario_grupo_acc_miembros
    ADD CONSTRAINT apex_usu_g_acc_fk_us_gru_acc FOREIGN KEY (proyecto, usuario_grupo_acc) REFERENCES toba_arai_usuarios.apex_usuario_grupo_acc(proyecto, usuario_grupo_acc) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_usuario_grupo_acc_miembros apex_usu_g_acc_fk_us_gru_acc_pertenece; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_usuario_grupo_acc_miembros
    ADD CONSTRAINT apex_usu_g_acc_fk_us_gru_acc_pertenece FOREIGN KEY (proyecto, usuario_grupo_acc_pertenece) REFERENCES toba_arai_usuarios.apex_usuario_grupo_acc(proyecto, usuario_grupo_acc) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_usuario_grupo_acc_item apex_usu_item_fk_item; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_usuario_grupo_acc_item
    ADD CONSTRAINT apex_usu_item_fk_item FOREIGN KEY (proyecto, item) REFERENCES toba_arai_usuarios.apex_item(proyecto, item) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_usuario_grupo_acc_item apex_usu_item_fk_us_gru_acc; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_usuario_grupo_acc_item
    ADD CONSTRAINT apex_usu_item_fk_us_gru_acc FOREIGN KEY (proyecto, usuario_grupo_acc) REFERENCES toba_arai_usuarios.apex_usuario_grupo_acc(proyecto, usuario_grupo_acc) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_usuario_proyecto apex_usu_proy_fk_grupo_acc; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_usuario_proyecto
    ADD CONSTRAINT apex_usu_proy_fk_grupo_acc FOREIGN KEY (proyecto, usuario_grupo_acc) REFERENCES toba_arai_usuarios.apex_usuario_grupo_acc(proyecto, usuario_grupo_acc) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_usuario_proyecto apex_usu_proy_fk_proyecto; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_usuario_proyecto
    ADD CONSTRAINT apex_usu_proy_fk_proyecto FOREIGN KEY (proyecto) REFERENCES toba_arai_usuarios.apex_proyecto(proyecto) DEFERRABLE;


--
-- Name: apex_usuario_proyecto apex_usu_proy_fk_usuario; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_usuario_proyecto
    ADD CONSTRAINT apex_usu_proy_fk_usuario FOREIGN KEY (usuario) REFERENCES toba_arai_usuarios.apex_usuario(usuario) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_usuario_proyecto_perfil_datos apex_usu_proy_pd_fk_perf_dat; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_usuario_proyecto_perfil_datos
    ADD CONSTRAINT apex_usu_proy_pd_fk_perf_dat FOREIGN KEY (proyecto, usuario_perfil_datos) REFERENCES toba_arai_usuarios.apex_usuario_perfil_datos(proyecto, usuario_perfil_datos) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_usuario_proyecto_perfil_datos apex_usu_proy_pd_fk_usuario; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_usuario_proyecto_perfil_datos
    ADD CONSTRAINT apex_usu_proy_pd_fk_usuario FOREIGN KEY (usuario) REFERENCES toba_arai_usuarios.apex_usuario(usuario) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_usuario apex_usuario_fk_tipodoc; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_usuario
    ADD CONSTRAINT apex_usuario_fk_tipodoc FOREIGN KEY (usuario_tipodoc) REFERENCES toba_arai_usuarios.apex_usuario_tipodoc(usuario_tipodoc) DEFERRABLE;


--
-- Name: apex_usuario_grupo_acc apex_usuario_grupo_acc_menu_fk; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_usuario_grupo_acc
    ADD CONSTRAINT apex_usuario_grupo_acc_menu_fk FOREIGN KEY (proyecto, menu_usuario) REFERENCES toba_arai_usuarios.apex_menu(proyecto, menu_id) DEFERRABLE;


--
-- Name: apex_usuario_perfil_datos_dims apex_usuario_perfil_datos_dims_fk_dim; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_usuario_perfil_datos_dims
    ADD CONSTRAINT apex_usuario_perfil_datos_dims_fk_dim FOREIGN KEY (proyecto, dimension) REFERENCES toba_arai_usuarios.apex_dimension(proyecto, dimension) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_usuario_perfil_datos_dims apex_usuario_perfil_datos_dims_fk_perfda; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_usuario_perfil_datos_dims
    ADD CONSTRAINT apex_usuario_perfil_datos_dims_fk_perfda FOREIGN KEY (proyecto, usuario_perfil_datos) REFERENCES toba_arai_usuarios.apex_usuario_perfil_datos(proyecto, usuario_perfil_datos) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_usuario_perfil_datos apex_usuario_perfil_datos_fk_proy; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_usuario_perfil_datos
    ADD CONSTRAINT apex_usuario_perfil_datos_fk_proy FOREIGN KEY (proyecto) REFERENCES toba_arai_usuarios.apex_proyecto(proyecto) DEFERRABLE;


--
-- Name: apex_usuario_pregunta_secreta apex_usuario_pregunta_secreta_fk_usuario; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_usuario_pregunta_secreta
    ADD CONSTRAINT apex_usuario_pregunta_secreta_fk_usuario FOREIGN KEY (usuario) REFERENCES toba_arai_usuarios.apex_usuario(usuario) DEFERRABLE;


--
-- Name: apex_usuario_proyecto_gadgets apex_usuario_proyecto_gadgets_fk_gadget; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_usuario_proyecto_gadgets
    ADD CONSTRAINT apex_usuario_proyecto_gadgets_fk_gadget FOREIGN KEY (proyecto, gadget) REFERENCES toba_arai_usuarios.apex_gadgets(proyecto, gadget) DEFERRABLE;


--
-- Name: apex_gadgets apex_usuario_proyecto_gadgets_fk_proyecto; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_gadgets
    ADD CONSTRAINT apex_usuario_proyecto_gadgets_fk_proyecto FOREIGN KEY (proyecto) REFERENCES toba_arai_usuarios.apex_proyecto(proyecto) DEFERRABLE;


--
-- Name: apex_usuario_proyecto_gadgets apex_usuario_proyecto_gadgets_fk_proyecto; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_usuario_proyecto_gadgets
    ADD CONSTRAINT apex_usuario_proyecto_gadgets_fk_proyecto FOREIGN KEY (proyecto) REFERENCES toba_arai_usuarios.apex_proyecto(proyecto) DEFERRABLE;


--
-- Name: apex_usuario_proyecto_gadgets apex_usuario_proyecto_gadgets_fk_usuario; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_usuario_proyecto_gadgets
    ADD CONSTRAINT apex_usuario_proyecto_gadgets_fk_usuario FOREIGN KEY (usuario) REFERENCES toba_arai_usuarios.apex_usuario(usuario) DEFERRABLE;


--
-- Name: apex_usuario_pwd_usados apex_usuario_pwd_usados_fk_usuario; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_usuario_pwd_usados
    ADD CONSTRAINT apex_usuario_pwd_usados_fk_usuario FOREIGN KEY (usuario) REFERENCES toba_arai_usuarios.apex_usuario(usuario) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_objeto_mt_me obj_objeto_mt_me_fk_objeto; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_mt_me
    ADD CONSTRAINT obj_objeto_mt_me_fk_objeto FOREIGN KEY (objeto_mt_me_proyecto, objeto_mt_me) REFERENCES toba_arai_usuarios.apex_objeto(proyecto, objeto) DEFERRABLE;


--
-- Name: apex_objeto_mt_me obj_objeto_mt_me_fk_tnav; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_objeto_mt_me
    ADD CONSTRAINT obj_objeto_mt_me_fk_tnav FOREIGN KEY (tipo_navegacion) REFERENCES toba_arai_usuarios.apex_objeto_mt_me_tipo_nav(tipo_navegacion) DEFERRABLE;


--
-- Name: apex_restriccion_funcional_cols restriccion_funcional_cols_fk_item; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_restriccion_funcional_cols
    ADD CONSTRAINT restriccion_funcional_cols_fk_item FOREIGN KEY (proyecto, item) REFERENCES toba_arai_usuarios.apex_item(proyecto, item) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_restriccion_funcional_ef restriccion_funcional_ef_fk_item; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_restriccion_funcional_ef
    ADD CONSTRAINT restriccion_funcional_ef_fk_item FOREIGN KEY (proyecto, item) REFERENCES toba_arai_usuarios.apex_item(proyecto, item) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_restriccion_funcional_ei restriccion_funcional_ei_fk_item; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_restriccion_funcional_ei
    ADD CONSTRAINT restriccion_funcional_ei_fk_item FOREIGN KEY (proyecto, item) REFERENCES toba_arai_usuarios.apex_item(proyecto, item) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_restriccion_funcional_evt restriccion_funcional_evt_fk_item; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_restriccion_funcional_evt
    ADD CONSTRAINT restriccion_funcional_evt_fk_item FOREIGN KEY (proyecto, item) REFERENCES toba_arai_usuarios.apex_item(proyecto, item) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_restriccion_funcional_filtro_cols restriccion_funcional_filtro_col_fk_item; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_restriccion_funcional_filtro_cols
    ADD CONSTRAINT restriccion_funcional_filtro_col_fk_item FOREIGN KEY (proyecto, item) REFERENCES toba_arai_usuarios.apex_item(proyecto, item) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_restriccion_funcional restriccion_funcional_fk_proy; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_restriccion_funcional
    ADD CONSTRAINT restriccion_funcional_fk_proy FOREIGN KEY (proyecto) REFERENCES toba_arai_usuarios.apex_proyecto(proyecto) DEFERRABLE;


--
-- Name: apex_restriccion_funcional_pantalla restriccion_funcional_pantalla_fk_item; Type: FK CONSTRAINT; Schema: toba_arai_usuarios; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios.apex_restriccion_funcional_pantalla
    ADD CONSTRAINT restriccion_funcional_pantalla_fk_item FOREIGN KEY (proyecto, item) REFERENCES toba_arai_usuarios.apex_item(proyecto, item) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_solicitud_browser apex_sol_brw_fk_sesion; Type: FK CONSTRAINT; Schema: toba_arai_usuarios_logs; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios_logs.apex_solicitud_browser
    ADD CONSTRAINT apex_sol_brw_fk_sesion FOREIGN KEY (sesion_browser, proyecto) REFERENCES toba_arai_usuarios_logs.apex_sesion_browser(sesion_browser, proyecto) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_solicitud_browser apex_sol_brw_fk_sol; Type: FK CONSTRAINT; Schema: toba_arai_usuarios_logs; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios_logs.apex_solicitud_browser
    ADD CONSTRAINT apex_sol_brw_fk_sol FOREIGN KEY (solicitud_browser, solicitud_proyecto) REFERENCES toba_arai_usuarios_logs.apex_solicitud(solicitud, proyecto) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_solicitud_consola apex_sol_consola_fk_sol; Type: FK CONSTRAINT; Schema: toba_arai_usuarios_logs; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios_logs.apex_solicitud_consola
    ADD CONSTRAINT apex_sol_consola_fk_sol FOREIGN KEY (solicitud_consola, proyecto) REFERENCES toba_arai_usuarios_logs.apex_solicitud(solicitud, proyecto) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_solicitud_cronometro apex_sol_cron_fk_sol; Type: FK CONSTRAINT; Schema: toba_arai_usuarios_logs; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios_logs.apex_solicitud_cronometro
    ADD CONSTRAINT apex_sol_cron_fk_sol FOREIGN KEY (solicitud, proyecto) REFERENCES toba_arai_usuarios_logs.apex_solicitud(solicitud, proyecto) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_solicitud_observacion apex_sol_obs_fk_sol; Type: FK CONSTRAINT; Schema: toba_arai_usuarios_logs; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios_logs.apex_solicitud_observacion
    ADD CONSTRAINT apex_sol_obs_fk_sol FOREIGN KEY (solicitud, proyecto) REFERENCES toba_arai_usuarios_logs.apex_solicitud(solicitud, proyecto) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: apex_solicitud_web_service apex_sol_web_service_solicitud_fk; Type: FK CONSTRAINT; Schema: toba_arai_usuarios_logs; Owner: -
--

ALTER TABLE ONLY toba_arai_usuarios_logs.apex_solicitud_web_service
    ADD CONSTRAINT apex_sol_web_service_solicitud_fk FOREIGN KEY (solicitud, proyecto) REFERENCES toba_arai_usuarios_logs.apex_solicitud(solicitud, proyecto) DEFERRABLE;


--
-- PostgreSQL database dump complete
--

--estructura inicial

BEGIN;

CREATE SCHEMA IF NOT EXISTS usuarios;
SET SEARCH_PATH TO usuarios;

CREATE TABLE IF NOT EXISTS usuarios.aplicaciones (
    app_unique_id                   TEXT NOT NULL UNIQUE, --Ej. "siu-guarani_1.siu-guarani"
    url                             TEXT NOT NULL,
    etiqueta                        TEXT NOT NULL,        --Ej. "Guarani"
    version                         TEXT NOT NULL,        --Ej. "2.1.2"
    descripcion                     TEXT NOT NULL,        --Ej. "Sistema SIU-Guarani"
    filtrar_grupos                  SMALLINT NOT NULL DEFAULT 0,
    lista_grupos                    TEXT, -- Ej: "grupo1,grupo2"
    orden                           REAL,                 --Orden visual para app-launcher
    CONSTRAINT  "aplicaciones_pk"  PRIMARY KEY ("app_unique_id")
);

CREATE TABLE IF NOT EXISTS  usuarios.passwords_usados_usuarios (
    uid                             TEXT NOT NULL, -- referencia a usuarios.uid
    fecha                           TIMESTAMP NOT NULL DEFAULT NOW(),
    userPassword                    TEXT NOT NULL,
    CONSTRAINT "passwords_usados_usuarios_pk"            PRIMARY KEY ("uid", "fecha")
);

CREATE TABLE IF NOT EXISTS  usuarios.logs_usuarios_sesiones (
    id_logs_sesion                  SERIAL NOT NULL,
    uid                             TEXT, -- referencia a usuarios.uid
    fecha_inicio                    TIMESTAMP NOT NULL DEFAULT NOW(),
    fecha_fin                       TIMESTAMP,
    ip                              TEXT,
    CONSTRAINT "logs_usuarios_sesiones_pk"           PRIMARY KEY ("id_logs_sesion")
);

CREATE TABLE IF NOT EXISTS  usuarios.logs_usuarios_accesos (
    id_logs_acceso                  SERIAL NOT NULL,
    id_logs_sesion                  INTEGER NOT NULL,   
    url                             TEXT,   
    fecha                           TIMESTAMP NOT NULL DEFAULT NOW(),
    CONSTRAINT "logs_usuarios_accesos_pk"            PRIMARY KEY ("id_logs_acceso"),
    CONSTRAINT "logs_usuarios_accesos_fk_logs_sesiones"  FOREIGN KEY ("id_logs_sesion") REFERENCES   "logs_usuarios_sesiones" ("id_logs_sesion") ON DELETE    CASCADE ON UPDATE NO ACTION DEFERRABLE INITIALLY IMMEDIATE
);

-- baja lógica de aplicaciones
ALTER TABLE IF EXISTS usuarios.aplicaciones ADD COLUMN IF NOT EXISTS inactiva SMALLINT NOT NULL DEFAULT 0;

ALTER TABLE IF EXISTS usuarios.aplicaciones ADD COLUMN IF NOT EXISTS en_registry SMALLINT NOT NULL DEFAULT 0;

-- gestion de cambio de claves
CREATE TABLE IF NOT EXISTS  usuarios.passwords_cambios (
    id_cambio                       SERIAL,
    uid                             TEXT NOT NULL, -- referencia a usuarios.uid
    fecha_envio_token               TIMESTAMP NOT NULL DEFAULT NOW(),
    fecha_de_cambio                 TIMESTAMP,
    token                           TEXT NOT NULL, -- generado por simplesaml como en passrecovery
    estado                          INTEGER NOT NULL DEFAULT 0,
    CONSTRAINT "passwords_cambios_pk"  PRIMARY KEY ("id_cambio")
);

-- gestion de vencimiento de cuenta
CREATE TABLE IF NOT EXISTS  usuarios.politicas_acceso (
    id_politicas_acceso			SERIAL NOT NULL,
    uid						TEXT NOT NULL, -- referencia a usuarios.uid
    url							TEXT NULL,   -- Por si a futuro se quieren vencer applicaciones puntuales
    vencimiento_cuenta_desde           TIMESTAMP NULL,
    usado						SMALLINT DEFAULT 0,
    CONSTRAINT "politicas_acceso_pk"            PRIMARY KEY ("id_politicas_acceso")
);

-- gestion de vencimiento de cuenta
CREATE TABLE IF NOT EXISTS  usuarios.politicas_password (
    id_politicas_password			SERIAL NOT NULL,
    uid						TEXT NOT NULL, -- referencia a usuarios.uid
    vencimiento_password_desde     TIMESTAMP NULL,
    usado						SMALLINT DEFAULT 0,
    CONSTRAINT "politicas_password_pk"            PRIMARY KEY ("id_politicas_password")
);

-- session y token de acceso 
ALTER TABLE IF EXISTS usuarios.logs_usuarios_sesiones ADD COLUMN IF NOT EXISTS session TEXT;

ALTER TABLE IF EXISTS usuarios.logs_usuarios_sesiones ADD COLUMN IF NOT EXISTS token TEXT;

CREATE TABLE IF NOT EXISTS  usuarios.logs_usuarios_intentos_acceso(
    id_logs_intento_acceso          SERIAL NOT NULL,
    uid						        TEXT NOT NULL, -- referencia a usuarios.uid
    fecha                           TIMESTAMP NOT NULL DEFAULT NOW(),
    ip                              TEXT,
    observaciones                   TEXT,
    CONSTRAINT "logs_intento_acceso _pk"            PRIMARY KEY ("id_logs_intento_acceso")
);

----------------------------------------
-- Tablas oidc
----------------------------------------

CREATE TABLE IF NOT EXISTS usuarios.oidc_user (
    id character varying(255) NOT NULL,
    claims text,
    updated_at timestamp without time zone DEFAULT now() NOT NULL,
    created_at timestamp without time zone DEFAULT now() NOT NULL,

    CONSTRAINT  "oidc_user_pk"  PRIMARY KEY ("id")
);

CREATE TABLE IF NOT EXISTS usuarios.oidc_client (
    id character varying(255) NOT NULL,
    secret character varying(255) NOT NULL,
    name character varying(255) NOT NULL,
    description character varying(255) NOT NULL,
    auth_source character varying(255),
    redirect_uri text NOT NULL,
    scopes text NOT NULL,
    is_enabled boolean DEFAULT true NOT NULL,

    CONSTRAINT  "oidc_client_pk"  PRIMARY KEY ("id")
);

CREATE TABLE IF NOT EXISTS usuarios.oidc_auth_code (
    id character varying(255) NOT NULL,
    scopes text,
    expires_at timestamp without time zone DEFAULT now() NOT NULL,
    user_id character varying(255) NOT NULL,
    client_id character varying(255) NOT NULL,
    is_revoked boolean DEFAULT false NOT NULL,
    redirect_uri text NOT NULL,

    CONSTRAINT  "oidc_auth_code_pk"  PRIMARY KEY ("id")
);

CREATE TABLE IF NOT EXISTS usuarios.oidc_access_token (
    id character varying(255) NOT NULL,
    scopes text,
    expires_at timestamp without time zone DEFAULT now() NOT NULL,
    user_id character varying(255) NOT NULL,
    client_id character varying(255) NOT NULL,
    is_revoked boolean DEFAULT false NOT NULL,

    CONSTRAINT  "oidc_access_token_pk"  PRIMARY KEY ("id")
);


CREATE TABLE IF NOT EXISTS usuarios.oidc_migration_versions (
    version character varying(255) NOT NULL,

    CONSTRAINT  "oidc_migration_versions_pk"  PRIMARY KEY ("version")
);


-- En caso de que cambie el schema del modulo oidc
-- hay que cargar el schema a través del módulo y
-- agregar el nuevo valor de version manualmente
INSERT INTO usuarios.oidc_migration_versions (version) 
    VALUES ('20180305180300'), ('20180425203400')
    ON CONFLICT (version) DO NOTHING;


CREATE TABLE IF NOT EXISTS usuarios.oidc_refresh_token (
    id character varying(255) NOT NULL,
    expires_at timestamp without time zone DEFAULT now() NOT NULL,
    access_token_id character varying(255) NOT NULL,
    is_revoked boolean DEFAULT false NOT NULL,

    CONSTRAINT  "oidc_refresh_token_pk"  PRIMARY KEY ("id")
);

-- Foreign keys

ALTER TABLE IF EXISTS usuarios.oidc_refresh_token DROP CONSTRAINT IF EXISTS "oidc_refresh_token_fk_oidc_access_token";
ALTER TABLE IF EXISTS usuarios.oidc_refresh_token ADD CONSTRAINT "oidc_refresh_token_fk_oidc_access_token"
    FOREIGN KEY ("access_token_id") 
    REFERENCES usuarios.oidc_access_token(id) 
    ON DELETE CASCADE 
    ON UPDATE NO ACTION 
    DEFERRABLE INITIALLY IMMEDIATE;

ALTER TABLE IF EXISTS usuarios.oidc_auth_code DROP CONSTRAINT IF EXISTS "oidc_auth_code_fk_oidc_client";
ALTER TABLE IF EXISTS usuarios.oidc_auth_code ADD CONSTRAINT "oidc_auth_code_fk_oidc_client"  
    FOREIGN KEY ("client_id") 
    REFERENCES usuarios.oidc_client(id) 
    ON DELETE CASCADE 
    ON UPDATE NO ACTION 
    DEFERRABLE INITIALLY IMMEDIATE;

ALTER TABLE IF EXISTS usuarios.oidc_auth_code DROP CONSTRAINT IF EXISTS "oidc_auth_code_fk_oidc_user";
ALTER TABLE IF EXISTS usuarios.oidc_auth_code ADD CONSTRAINT "oidc_auth_code_fk_oidc_user"  
    FOREIGN KEY ("user_id") 
    REFERENCES usuarios.oidc_user(id) 
    ON DELETE CASCADE 
    ON UPDATE NO ACTION 
    DEFERRABLE INITIALLY IMMEDIATE;

ALTER TABLE IF EXISTS usuarios.oidc_access_token DROP CONSTRAINT IF EXISTS "oidc_access_token_fk_oidc_client";
ALTER TABLE IF EXISTS usuarios.oidc_access_token ADD CONSTRAINT "oidc_access_token_fk_oidc_client"  
    FOREIGN KEY ("client_id") 
    REFERENCES usuarios.oidc_client(id) 
    ON DELETE CASCADE 
    ON UPDATE NO ACTION 
    DEFERRABLE INITIALLY IMMEDIATE;

ALTER TABLE IF EXISTS usuarios.oidc_access_token DROP CONSTRAINT IF EXISTS "oidc_access_token_fk_oidc_user";
ALTER TABLE IF EXISTS usuarios.oidc_access_token ADD CONSTRAINT "oidc_access_token_fk_oidc_user"  
    FOREIGN KEY ("user_id") 
    REFERENCES usuarios.oidc_user(id) 
    ON DELETE CASCADE 
    ON UPDATE NO ACTION 
    DEFERRABLE INITIALLY IMMEDIATE;

----------------------------------------
-- FIN Tablas oidc
----------------------------------------

-- CONECTORES
CREATE TABLE IF NOT EXISTS  usuarios.conector_saml (
    app_unique_id                   TEXT NOT NULL UNIQUE,
    metadata_key                    TEXT NOT NULL,
    config_sp                       JSONB NOT NULL,
    activo                          BOOLEAN NOT NULL DEFAULT true,
	CONSTRAINT "conector_saml_pk"  PRIMARY KEY ("app_unique_id", "metadata_key"),
    CONSTRAINT "conector_saml_fk_aplicaciones"  FOREIGN KEY ("app_unique_id") REFERENCES   "aplicaciones" ("app_unique_id") ON DELETE    CASCADE ON UPDATE NO ACTION DEFERRABLE INITIALLY IMMEDIATE
);

CREATE TABLE IF NOT EXISTS  usuarios.conector_oidc (
    app_unique_id                           TEXT NOT NULL UNIQUE,
    id_oidc_client                          character varying(255) NOT NULL,
    -- no se usa todavía pero si cuando se implemente https://gitlab.siu.edu.ar/siu-arai/arai-usuarios/issues/190
    frontchannel_logout_uri                 TEXT, 
    frontchannel_logout_session_required    BOOLEAN DEFAULT false,
    activo                                  BOOLEAN NOT NULL DEFAULT true,
	CONSTRAINT "conector_oidc_pk"  PRIMARY KEY ("id_oidc_client"),
    CONSTRAINT "conector_oidc_fk_aplicaciones"  FOREIGN KEY ("app_unique_id") REFERENCES "aplicaciones" ("app_unique_id") ON DELETE    CASCADE ON UPDATE NO ACTION DEFERRABLE INITIALLY IMMEDIATE,
    CONSTRAINT "conector_oidc_fk_oidc_client"  FOREIGN KEY ("id_oidc_client") REFERENCES "oidc_client" ("id") ON DELETE    CASCADE ON UPDATE NO ACTION DEFERRABLE INITIALLY IMMEDIATE
);
-- FIN CONECTORES

-- Se agrega fuente de logins. Tipo de conector, nombre e identificador de app
ALTER TABLE IF EXISTS usuarios.logs_usuarios_sesiones  ADD COLUMN IF NOT EXISTS tipo_conector TEXT NOT NULL DEFAULT 'saml';
ALTER TABLE IF EXISTS usuarios.logs_usuarios_sesiones  ADD COLUMN IF NOT EXISTS id_app TEXT NULL;
ALTER TABLE IF EXISTS usuarios.logs_usuarios_sesiones  ADD COLUMN IF NOT EXISTS nombre_app TEXT NULL;

-- Se elimina constraint sobre columnas de la aplicacion
ALTER TABLE IF EXISTS usuarios.aplicaciones  ALTER COLUMN version DROP NOT NULL;
ALTER TABLE IF EXISTS usuarios.aplicaciones  ALTER COLUMN descripcion DROP NOT NULL;

-- Flag para permitir acceso sin filtrar por cuentas. Si hay usuario hay acceso
ALTER TABLE IF EXISTS usuarios.aplicaciones ADD COLUMN IF NOT EXISTS permite_acceso_sin_cuenta BOOL NOT NULL DEFAULT false;

-- Flag para controlar si la aplicacion se muestra en el app-launcher
ALTER TABLE IF EXISTS usuarios.aplicaciones ADD COLUMN IF NOT EXISTS ocultar_menu BOOL NOT NULL DEFAULT false;

-- gestion de verificacion de mail
CREATE TABLE IF NOT EXISTS  usuarios.verificaciones_mail (
    id_verificacion                 SERIAL,
    uid                             TEXT NOT NULL, -- referencia a usuarios.uid
    fecha_envio_token               TIMESTAMP NOT NULL DEFAULT NOW(),
    fecha_de_verificacion           TIMESTAMP,
    token                           TEXT NOT NULL, -- generado por simplesaml como en passrecovery
    estado                          INTEGER NOT NULL DEFAULT 0,
	tipo_cuenta						TEXT NOT NULL,
    CONSTRAINT "verificaciones_mail_pk"  PRIMARY KEY ("id_verificacion")
);

-- gestion de tokens 2FA
CREATE TABLE IF NOT EXISTS  usuarios.devices_second_factor (
    id_dispositivo                  TEXT NOT NULL, -- UUID nuevo
    uid                             TEXT NOT NULL, -- referencia a usuarios.uid
    nombre                          TEXT NOT NULL, -- descripcion que pone el usuario
    fecha_token                     TIMESTAMP NOT NULL DEFAULT NOW(),  -- Fecha de inicio por si se quiere limitar totp
    uri_token                       TEXT NOT NULL, -- URI generada por la lib
    estado                          SMALLINT NOT NULL DEFAULT 0, -- Marca si el dispositivo es valido o no
    issuer							TEXT NULL, -- referencia a aplicaciones.app_unique_id
    recovery_code					TEXT NULL,
    CONSTRAINT "tokens_2FA_pk"  PRIMARY KEY ("id_dispositivo"),
    CONSTRAINT "tokens_2FA_fk_aplicaciones" FOREIGN KEY ("issuer") REFERENCES "aplicaciones" ("app_unique_id") ON DELETE CASCADE ON UPDATE NO ACTION DEFERRABLE INITIALLY IMMEDIATE
);

CREATE TABLE IF NOT EXISTS  usuarios.tokens_second_factor (
    id_verificacion                 SERIAL,
    uid                             TEXT NOT NULL, -- referencia a usuarios.uid
    fecha_envio_token               TIMESTAMP NOT NULL DEFAULT NOW(),
    fecha_de_verificacion           TIMESTAMP,
    token                           TEXT NOT NULL, -- generado por simplesaml como en passrecovery
    estado                          INTEGER NOT NULL DEFAULT 0,
    CONSTRAINT "tokens_second_factor_pk"  PRIMARY KEY ("id_verificacion")
);

-- VERSIONES MODELO
CREATE TABLE IF NOT EXISTS usuarios.versiones (
    id                          SERIAL NOT NULL,
    version                     TEXT NOT NULL UNIQUE,
    api_major                   SMALLINT NULL,
    api_minor                   SMALLINT NULL,
    fecha                       DATE NOT NULL,
    observaciones               TEXT NULL,
    CONSTRAINT  "versiones_pk"  PRIMARY KEY ("id")
);


ALTER TABLE IF EXISTS usuarios.aplicaciones ADD COLUMN IF NOT EXISTS created_at TIMESTAMP NOT NULL DEFAULT NOW();
ALTER TABLE IF EXISTS usuarios.aplicaciones ADD COLUMN IF NOT EXISTS requiere_second_factor BOOL NOT NULL DEFAULT false;
ALTER TABLE IF EXISTS usuarios.logs_usuarios_sesiones ADD COLUMN IF NOT EXISTS user_agent TEXT NULL;

ALTER TABLE IF EXISTS usuarios.aplicaciones ADD COLUMN IF NOT EXISTS es_idm BOOL NOT NULL DEFAULT false;

-- INICIO VERSIONES
INSERT INTO usuarios.versiones (version, api_major, api_minor, fecha) VALUES ('3.0.0', '2', '0', now()) ON CONFLICT DO NOTHING;
INSERT INTO usuarios.versiones (version, api_major, api_minor, fecha) VALUES ('3.0.1', '2', '0', now()) ON CONFLICT DO NOTHING;
INSERT INTO usuarios.versiones (version, api_major, api_minor, fecha) VALUES ('3.0.2', '2', '0', now()) ON CONFLICT DO NOTHING;
INSERT INTO usuarios.versiones (version, api_major, api_minor, fecha) VALUES ('3.0.3', '2', '0', now()) ON CONFLICT DO NOTHING;
INSERT INTO usuarios.versiones (version, api_major, api_minor, fecha) VALUES ('3.0.4', '2', '0', now()) ON CONFLICT DO NOTHING;
INSERT INTO usuarios.versiones (version, api_major, api_minor, fecha) VALUES ('3.0.5', '2', '0', now()) ON CONFLICT DO NOTHING;
INSERT INTO usuarios.versiones (version, api_major, api_minor, fecha) VALUES ('3.1.0', '2', '1', now()) ON CONFLICT DO NOTHING;
INSERT INTO usuarios.versiones (version, api_major, api_minor, fecha) VALUES ('3.0.6', '2', '0', now()) ON CONFLICT DO NOTHING;
INSERT INTO usuarios.versiones (version, api_major, api_minor, fecha) VALUES ('3.0.7', '2', '0', now()) ON CONFLICT DO NOTHING;
INSERT INTO usuarios.versiones (version, api_major, api_minor, fecha) VALUES ('3.0.8', '2', '0', now()) ON CONFLICT DO NOTHING;
INSERT INTO usuarios.versiones (version, api_major, api_minor, fecha) VALUES ('3.1.1', '2', '1', now()) ON CONFLICT DO NOTHING;
INSERT INTO usuarios.versiones (version, api_major, api_minor, fecha) VALUES ('3.0.9', '2', '0', now()) ON CONFLICT DO NOTHING;
INSERT INTO usuarios.versiones (version, api_major, api_minor, fecha) VALUES ('3.1.2', '2', '1', now()) ON CONFLICT DO NOTHING;
INSERT INTO usuarios.versiones (version, api_major, api_minor, fecha) VALUES ('3.1.3', '2', '1', now()) ON CONFLICT DO NOTHING;
INSERT INTO usuarios.versiones (version, api_major, api_minor, fecha) VALUES ('3.1.4', '2', '1', now()) ON CONFLICT DO NOTHING;
INSERT INTO usuarios.versiones (version, api_major, api_minor, fecha) VALUES ('3.1.5', '2', '1', now()) ON CONFLICT DO NOTHING;
INSERT INTO usuarios.versiones (version, api_major, api_minor, fecha) VALUES ('3.1.6', '2', '1', now()) ON CONFLICT DO NOTHING;
INSERT INTO usuarios.versiones (version, api_major, api_minor, fecha) VALUES ('3.1.7', '2', '1', now()) ON CONFLICT DO NOTHING;
INSERT INTO usuarios.versiones (version, api_major, api_minor, fecha) VALUES ('3.1.8', '2', '1', now()) ON CONFLICT DO NOTHING;
INSERT INTO usuarios.versiones (version, api_major, api_minor, fecha) VALUES ('3.1.9', '2', '1', now()) ON CONFLICT DO NOTHING;
INSERT INTO usuarios.versiones (version, api_major, api_minor, fecha) VALUES ('3.1.10', '2', '1', now()) ON CONFLICT DO NOTHING;
INSERT INTO usuarios.versiones (version, api_major, api_minor, fecha) VALUES ('3.1.11', '2', '1', now()) ON CONFLICT DO NOTHING;
INSERT INTO usuarios.versiones (version, api_major, api_minor, fecha) VALUES ('3.1.12', '2', '2', now()) ON CONFLICT DO NOTHING;
INSERT INTO usuarios.versiones (version, api_major, api_minor, fecha) VALUES ('3.2.0', '2', '2', now()) ON CONFLICT DO NOTHING;
INSERT INTO usuarios.versiones (version, api_major, api_minor, fecha) VALUES ('3.1.13', '2', '2', now()) ON CONFLICT DO NOTHING;
INSERT INTO usuarios.versiones (version, api_major, api_minor, fecha) VALUES ('3.2.1', '2', '2', now()) ON CONFLICT DO NOTHING;
INSERT INTO usuarios.versiones (version, api_major, api_minor, fecha) VALUES ('3.2.2', '2', '3', now()) ON CONFLICT DO NOTHING;
INSERT INTO usuarios.versiones (version, api_major, api_minor, fecha) VALUES ('3.2.3', '2', '2', now()) ON CONFLICT DO NOTHING;
-- bump_version

-- FIN VERSIONES

CREATE SCHEMA IF NOT EXISTS auditoria;

ALTER TABLE IF EXISTS usuarios.logs_usuarios_accesos
    DROP CONSTRAINT "logs_usuarios_accesos_fk_logs_sesiones";

ALTER TABLE IF EXISTS usuarios.logs_usuarios_sesiones
    SET SCHEMA auditoria;

ALTER TABLE IF EXISTS usuarios.logs_usuarios_accesos
    SET SCHEMA auditoria;

ALTER TABLE IF EXISTS usuarios.logs_usuarios_intentos_acceso
    SET SCHEMA auditoria;

ALTER TABLE IF EXISTS auditoria.logs_usuarios_accesos
    ADD CONSTRAINT "logs_usuarios_accesos_fk_logs_sesiones"
	FOREIGN KEY ("id_logs_sesion") 
	REFERENCES auditoria.logs_usuarios_sesiones ("id_logs_sesion") ON DELETE CASCADE ON UPDATE NO ACTION DEFERRABLE INITIALLY IMMEDIATE;

CREATE TABLE IF NOT EXISTS  auditoria.log_eventos (
    token      character varying(36) NOT NULL,
    contexto                    TEXT NOT NULL,
    operador                    TEXT NOT NULL,
    componente  character varying(3) NOT NULL,
    fecha                  TIMESTAMP NOT NULL,
    entidad    character varying(255) NOT NULL,
    datos                      JSONB NOT NULL
);


COMMIT;
